#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_from_ddc, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x59920b2d, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x6cac5660, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x03fb448a, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x83b604d5, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0xa054d401, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x90497213, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x82f7e361, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x418018d1, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x0f3f98fa, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x65e07d01, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0xde4040ad, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0xacb55f39, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0xca929f3a, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x1fc14196, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x73c00e74, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x9cb33cc2, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0xe25f729f, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x60b7f39c, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x466d9bc1, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x62d5bd0c, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x2c5dc4f4, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x392fe366, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x1a3b8d4e, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x7348917e, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x8c881456, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0xd606f9fd, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0xb1f271cd, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x2f044ac0, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0xc2c92b8e, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0xad0967e7, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xb574374c, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0xc7db9203, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x0c6e255f, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x8d105593, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x9e7784d3, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x455479eb, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x80396b9d, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x574357c5, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x7af21afc, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0xc4d63a61, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x1036216e, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x325f5f0b, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x4a667360, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xe8744176, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0xc363bd94, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0xc70a15dc, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x3745fddb, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x1dffbd33, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x2f11e5a7, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0xcf54a596, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0xcee0b023, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0xb3158a2d, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0xc283a29c, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x3f54e531, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x200b689c, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0xedb5c4a4, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x88cc86e9, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x56a7bc2b, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0xf658c4b8, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x613b019d, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x3d7230dc, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x35279b5b, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x24e6184c, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x756b7074, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x7b10e06a, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x620f2ce0, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x66858980, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0xb5025c73, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x91273b9f, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x5201aa52, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x24337a9d, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0xc8fb844c, "");
SYMBOL_CRC(drm_bridge_connector_init, 0x14c90f46, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x24fbb362, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x7606999f, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0xbb670190, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0xbb5e950e, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x4114d7a6, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x2cfb32c7, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x2d59cb27, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x9ebc99ac, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0xb9edb8f8, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x2f0875a1, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0xcec87aa1, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x34c359d8, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0xd60f781c, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x3d421a28, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x24ade4d4, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0xabd6a6cd, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xa85af1bb, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x6b83e1b7, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x790ff774, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0xe4949ec6, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0xca44ba1b, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0xd35a1269, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x90dfc629, "");
SYMBOL_CRC(drm_flip_work_queue, 0x127a8c6b, "");
SYMBOL_CRC(drm_flip_work_commit, 0x842dd90c, "");
SYMBOL_CRC(drm_flip_work_init, 0x5542443b, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0xc6323239, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x1e417370, "");
SYMBOL_CRC(drm_fb_swab, 0x76c5c1be, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0xe41d950b, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x6a1efc86, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0xbdf41ea4, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x751f6107, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0xb6d78a1e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x7d24bb48, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xd1816828, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xac534fe9, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0xe812f2d1, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x46bb3836, "");
SYMBOL_CRC(drm_fb_blit, 0x17c84a0d, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0xf3dca7be, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x2ed464c9, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x4ffc92bd, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0xbb19082e, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x9488970a, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x547bcb2f, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0xb98c2e61, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x5203387c, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0xad5c86e7, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0xc8dd270c, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x2ab65cd1, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0xeb6d8cfa, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0xf3a322f5, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0xedf93dd0, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x7df590df, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x0b681f4c, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x221fb637, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x5d8358a0, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x951b844f, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x0d453721, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x27924511, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x8875fbb6, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x47637ce2, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0xa5579833, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0xb9f386d7, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0xe72307c7, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x2478e3a6, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0xdb1b7696, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x478376de, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0xab9b2a0f, "");
SYMBOL_CRC(drm_crtc_init, 0x39192651, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0xb4ae58a7, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0xe76ec158, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0xa5bda3f5, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0xf95211d5, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x55b7acc6, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0xab3c0500, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x0ad4441c, "");
SYMBOL_CRC(drm_helper_probe_detect, 0xdaa4a747, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x8314f87b, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0xb969f1db, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0xc1722403, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x604dc781, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x638621c5, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0xe01b4586, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x5e8729f9, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x5ee2aaac, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x3d2ae335, "");
SYMBOL_CRC(drm_connector_helper_get_modes_from_ddc, 0xf31e759e, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0xc9b884a6, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x1acdc738, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0xc02657ef, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x12d6e409, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0xeedfdb4b, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x9109ea9b, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x27ca956c, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x82082f48, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x0e96ad3f, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xb45e7af1, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0xd61cf82e, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x6cba230b, "");
SYMBOL_CRC(drm_panel_bridge_add, 0xb0c9955f, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x4bf7a056, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x215ee239, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xb6c5ce47, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x1b37612d, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0x859d2e79, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x14c35a96, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0xadd7b9f0, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0x9bb2793d, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0xee00c9f4, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0xb8533d8e, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x8f1fd807, "");
SYMBOL_CRC(drm_fb_helper_blank, 0xc4fad684, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x0a01e8aa, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x5f87d4ee, "");
SYMBOL_CRC(drm_fb_helper_init, 0xd34245ef, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x036dab41, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xf9d161d8, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x0a941452, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x41f07fa7, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x63abea07, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x90da6aec, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0xf956a4ac, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x15704de2, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0xb98280d6, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0x715fd609, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x0c2b6ba5, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x22be4999, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x59c390d9, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x005b16cf, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0x35122f38, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x1e9e36fc, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0xc90817bb, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x7e0176c2, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0x43532575, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf250030e, "drm_encoder_cleanup" },
	{ 0x56da70fc, "drm_connector_unregister" },
	{ 0xb310bfdf, "drm_modeset_acquire_init" },
	{ 0xccaf994e, "dma_fence_set_deadline" },
	{ 0x2840a48c, "drm_client_modeset_probe" },
	{ 0x471f213, "drm_warn_on_modeset_not_all_locked" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x64812678, "drm_plane_get_damage_clips" },
	{ 0xde5c0ea0, "devres_add" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ad08526, "drm_add_modes_noedid" },
	{ 0x923175b9, "drm_bridge_remove" },
	{ 0xe4e90435, "drm_mode_object_put" },
	{ 0x908529d9, "dev_driver_string" },
	{ 0x970028d8, "drm_crtc_vblank_get" },
	{ 0x5b1ddefe, "drm_gem_object_lookup" },
	{ 0xb0441515, "drm_crtc_send_vblank_event" },
	{ 0x72cbe400, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0xe4c5d4, "fb_sys_write" },
	{ 0xa851e6e2, "drm_atomic_normalize_zpos" },
	{ 0x31679e75, "drm_edid_connector_update" },
	{ 0x760c2abe, "drm_sysfs_hotplug_event" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x91c74a77, "drm_bridge_hpd_disable" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x230b2160, "vga_switcheroo_client_fb_set" },
	{ 0xa9d6a0ae, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd76b8de1, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa4983ba1, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0x48984ab1, "sys_fillrect" },
	{ 0xfa0833eb, "drm_connector_list_iter_end" },
	{ 0x1873d3, "drm_atomic_set_crtc_for_plane" },
	{ 0x492d251e, "drm_client_modeset_dpms" },
	{ 0x1d285036, "drm_mode_prune_invalid" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc59a7bd2, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x18b84e07, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xe5b320b7, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x90974934, "module_put" },
	{ 0x174e3921, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0xdb55fadf, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xa82cb80e, "drm_client_init" },
	{ 0x295a64b6, "drm_crtc_wait_one_vblank" },
	{ 0xbbf6cd13, "drm_crtc_next_vblank_start" },
	{ 0x74000737, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0xd515ffc1, "drm_modeset_lock" },
	{ 0x97472bc0, "drm_client_modeset_commit_locked" },
	{ 0xf48ccaf2, "drm_modeset_unlock" },
	{ 0x8b6a816f, "drm_panel_disable" },
	{ 0xea4b854b, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2ea969d0, "drm_connector_init" },
	{ 0x457ef90d, "devm_kfree" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x7a0fa8f0, "drm_writeback_cleanup_job" },
	{ 0x2ab2d5af, "drm_modeset_lock_all_ctx" },
	{ 0xca45453f, "i2c_unregister_device" },
	{ 0x92263d8, "drm_atomic_set_fb_for_plane" },
	{ 0xf5833d8d, "__drm_universal_plane_alloc" },
	{ 0x228840fd, "drm_connector_init_with_ddc" },
	{ 0x3263c9e, "drm_add_edid_modes" },
	{ 0xd32c6766, "drm_edid_connector_add_modes" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xcfb9f211, "__devres_alloc_node" },
	{ 0x5c0b1088, "drm_edid_read" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x489ffb57, "drm_crtc_commit_wait" },
	{ 0x863c5a56, "drm_dev_has_vblank" },
	{ 0x8f1f58, "register_framebuffer" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x4c39e2bd, "__drm_atomic_helper_disable_plane" },
	{ 0x9f6981a, "drm_connector_set_orientation_from_panel" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xcb235b54, "drm_gem_handle_create" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x618496a7, "drm_atomic_set_crtc_for_connector" },
	{ 0xb9a01613, "drm_analog_tv_mode" },
	{ 0x21b48ab5, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xd633a7ac, "drm_mode_duplicate" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x205543b5, "drm_crtc_vblank_put" },
	{ 0xa578dc90, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xb6ccf293, "__drm_dev_dbg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe14378e5, "drm_plane_get_damage_clips_count" },
	{ 0x5327c5cb, "drm_bridge_get_edid" },
	{ 0x21c16a75, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xb12ba246, "fb_deferred_io_mmap" },
	{ 0xdee0c7f, "drm_atomic_state_alloc" },
	{ 0xf09867bd, "drm_client_modeset_commit" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0xa2338b65, "drm_atomic_bridge_chain_post_disable" },
	{ 0x9b3b9f6f, "drm_connector_update_edid_property" },
	{ 0x88ab6fe3, "kgdb_active" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0xa1231ce1, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x19372b34, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xa9752058, "drm_client_release" },
	{ 0x8d72789e, "drm_edid_is_valid" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0xe2b7ad00, "__drm_atomic_helper_set_config" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc0911eb, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x11314f51, "drm_get_format_info" },
	{ 0x9d72e779, "drm_connector_cleanup" },
	{ 0xb325f0cb, "drm_universal_plane_init" },
	{ 0xf7e162d5, "pv_ops" },
	{ 0xe32d7c, "drm_any_plane_has_format" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xcec01dc7, "sys_copyarea" },
	{ 0x4a63ca8a, "drm_connector_list_iter_next" },
	{ 0x3109002a, "drm_modeset_acquire_fini" },
	{ 0x265f1b02, "drm_encoder_init" },
	{ 0x999e8297, "vfree" },
	{ 0xa13f0d38, "drm_object_property_get_default_value" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0xaddef605, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xec20c504, "drm_modeset_backoff" },
	{ 0x5a9196f9, "drm_panel_prepare" },
	{ 0x686f740e, "drm_bridge_chain_mode_set" },
	{ 0x6a274d57, "drm_client_buffer_vunmap" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x7ef26874, "fb_sys_read" },
	{ 0x2fcd12e3, "drm_atomic_get_plane_state" },
	{ 0xe13bfd22, "drm_atomic_bridge_chain_check" },
	{ 0xe0b3feb5, "dma_fence_chain_init" },
	{ 0xe7b9867a, "register_sysrq_key" },
	{ 0x437d2bae, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xed93dcc, "drm_property_blob_put" },
	{ 0x5f7c1c6a, "drm_mode_destroy" },
	{ 0xffb7105b, "drm_bridge_attach" },
	{ 0x7f441f5f, "drm_set_preferred_mode" },
	{ 0x5733219f, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x36615f60, "drm_atomic_state_clear" },
	{ 0x47dc88b7, "drm_mode_config_reset" },
	{ 0x37e2ee48, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x55675423, "drm_modeset_drop_locks" },
	{ 0xa52f77be, "fwnode_handle_put" },
	{ 0x2cb467d8, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x7ec1ddd0, "drm_atomic_bridge_chain_disable" },
	{ 0x42ac274, "drm_mode_create_from_cmdline_mode" },
	{ 0x8084f329, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0xc7f4858, "drm_atomic_nonblocking_commit" },
	{ 0x83f63baa, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xf804292f, "drm_master_internal_release" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5637fced, "drm_get_edid" },
	{ 0xac2dfb1b, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x17e3ff54, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd71b3318, "pci_bus_type" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xe121e7c0, "drm_atomic_add_encoder_bridges" },
	{ 0x3e2fc2e9, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc445b330, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x1663996b, "unregister_framebuffer" },
	{ 0x13658326, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x5a60685d, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x5793d55a, "drm_client_register" },
	{ 0xf54373fe, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa36ed742, "drm_panel_get_modes" },
	{ 0xa2226195, "drm_gem_vmap_unlocked" },
	{ 0x47d27382, "try_module_get" },
	{ 0xbb1482c5, "drm_connector_list_update" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb2a6e1dd, "drm_bridge_add" },
	{ 0x2283db76, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x75c174a8, "unregister_sysrq_key" },
	{ 0x9e2ac053, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x5f88dd6, "drm_client_rotation" },
	{ 0xa8b0154b, "drm_client_buffer_vmap" },
	{ 0xe2b09c72, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa50eb91e, "drm_framebuffer_init" },
	{ 0xd8ac8ef, "drm_mode_validate_driver" },
	{ 0x906b1217, "vmalloc_to_page" },
	{ 0x4a468ba, "drm_atomic_add_affected_planes" },
	{ 0x6acd1c81, "dma_buf_end_cpu_access" },
	{ 0x30d5a66d, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3858ea7f, "drm_mode_probed_add" },
	{ 0xd67d0501, "drm_atomic_add_affected_connectors" },
	{ 0xc1da87cb, "drm_gem_vunmap_unlocked" },
	{ 0xebacb9d7, "drm_bridge_hpd_enable" },
	{ 0xa36075d2, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x145e714b, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xabd029c6, "drm_client_framebuffer_delete" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x8b29d97f, "drm_client_framebuffer_create" },
	{ 0xf3cb438b, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xdf4e564e, "drm_mode_object_get" },
	{ 0x65a8d835, "drm_edid_override_connector_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x733bd3c7, "drm_driver_legacy_fb_format" },
	{ 0x73641259, "pcpu_hot" },
	{ 0xea89780, "drm_crtc_cleanup" },
	{ 0x79878c7d, "drm_connector_list_iter_begin" },
	{ 0xc8201b07, "fb_deferred_io_init" },
	{ 0x4b61ebcf, "drm_mode_set_config_internal" },
	{ 0x76e95015, "fb_deferred_io_cleanup" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xc69ca2ab, "framebuffer_alloc" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "82E2EBF0A461A08537BA3A2");
