#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x20eb4fbf, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x4ea83a61, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x21f0174a, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x625cd537, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x9fc01398, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x86255d07, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x4aeac2ec, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x57d103de, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x46e111be, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x2707cad5, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0xdabcb9de, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x8e96636c, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0xca3c2986, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0xa69e801d, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0xacffa406, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x06719d27, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37e79c18, "ww_mutex_unlock" },
	{ 0xd38d70c, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x46ee8f06, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x69524203, "drm_gem_create_mmap_offset" },
	{ 0xe89d4119, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x908529d9, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9f109fd6, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x73d82724, "set_pages_array_wb" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x144cc2b8, "drm_gem_vm_close" },
	{ 0xa12be645, "drm_gem_vm_open" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf7af1003, "drm_gem_object_release" },
	{ 0xe04419e6, "ww_mutex_lock" },
	{ 0x795aa7f3, "vmap" },
	{ 0xcb235b54, "drm_gem_handle_create" },
	{ 0xb6ccf293, "__drm_dev_dbg" },
	{ 0x1b6fa6bf, "drm_prime_pages_to_sg" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd66c0d83, "dma_buf_vunmap" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2e05168, "shmem_truncate_range" },
	{ 0x32d66bba, "set_pages_array_wc" },
	{ 0x28779e52, "drm_printf" },
	{ 0x67a8114f, "dma_map_sgtable" },
	{ 0xd1212b72, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0x53c54541, "dma_unmap_sg_attrs" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xe59bdc36, "drm_gem_put_pages" },
	{ 0xb8252e2b, "drm_gem_private_object_fini" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xd2d51a6, "drm_prime_gem_destroy" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xc158a3, "vmf_insert_pfn" },
	{ 0xdef795dd, "ww_mutex_lock_interruptible" },
	{ 0x45811a37, "drm_gem_get_pages" },
	{ 0xaad817c3, "dma_buf_vmap" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xfeb98ef7, "invalidate_mapping_pages" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "7B036E953BCF9591D0D5063");
