#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x73641259, "pcpu_hot" },
	{ 0xc33aa0d6, "drm_aperture_remove_conflicting_framebuffers" },
	{ 0x9d1885ca, "drmm_mode_config_init" },
	{ 0x34625345, "vmbus_close" },
	{ 0xd3e981e, "pci_unregister_driver" },
	{ 0x5e5094f8, "vmbus_recvpacket" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ad08526, "drm_add_modes_noedid" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x60b7f39c, "drm_atomic_helper_commit" },
	{ 0x90497213, "drm_atomic_helper_check" },
	{ 0x620f2ce0, "drm_atomic_helper_connector_destroy_state" },
	{ 0x631e4e7, "drm_gem_mmap" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x7d10fc89, "drm_ioctl" },
	{ 0xb681f4c, "drm_gem_simple_kms_destroy_shadow_plane_state" },
	{ 0x4c766128, "drm_dev_unplug" },
	{ 0x2ea969d0, "drm_connector_init" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xb4ae58a7, "drm_mode_config_helper_suspend" },
	{ 0x61f092b9, "vmbus_open" },
	{ 0xd60f781c, "drm_atomic_helper_damage_merged" },
	{ 0xdb1fecdb, "noop_llseek" },
	{ 0x6424c7c3, "drm_read" },
	{ 0x47637ce2, "drm_gem_fb_create_with_dirty" },
	{ 0x46a417ca, "vmbus_proto_version" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0xfa3c75b7, "__devm_drm_dev_alloc" },
	{ 0x6719d27, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9bb2793d, "drm_fbdev_generic_setup" },
	{ 0x756b7074, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xd61cf82e, "drm_simple_display_pipe_init" },
	{ 0x9d72e779, "drm_connector_cleanup" },
	{ 0x1e417370, "drm_fb_memcpy" },
	{ 0x31e2e77f, "vmbus_free_mmio" },
	{ 0x7df590df, "drm_gem_simple_kms_duplicate_shadow_plane_state" },
	{ 0x7d2fa49f, "__vmbus_driver_register" },
	{ 0x8314f87b, "drm_helper_probe_single_connector_modes" },
	{ 0xedf93dd0, "drm_gem_simple_kms_reset_shadow_plane" },
	{ 0x7f441f5f, "drm_set_preferred_mode" },
	{ 0xf658c4b8, "drm_atomic_helper_connector_reset" },
	{ 0xcdac53ef, "vmbus_allocate_mmio" },
	{ 0x47dc88b7, "drm_mode_config_reset" },
	{ 0xe76ec158, "drm_mode_config_helper_resume" },
	{ 0xf3a322f5, "drm_gem_simple_kms_end_shadow_fb_access" },
	{ 0xd5f9341d, "drm_compat_ioctl" },
	{ 0x8cc2baf7, "drm_dev_register" },
	{ 0x8f400a, "drm_release" },
	{ 0x74e28d6, "vmbus_driver_unregister" },
	{ 0x9d1f6b03, "drm_open" },
	{ 0x78714ac1, "drm_poll" },
	{ 0x9122e77, "drm_dev_enter" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x941b264, "drm_plane_enable_fb_damage_clips" },
	{ 0xa6257a2f, "complete" },
	{ 0x2707cad5, "drm_gem_shmem_dumb_create" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9e7784d3, "drm_atomic_helper_shutdown" },
	{ 0x5b4f4cd8, "__pci_register_driver" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0xb8faee48, "vmbus_sendpacket" },
	{ 0xeb6d8cfa, "drm_gem_simple_kms_begin_shadow_fb_access" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "drm,hv_vmbus,drm_kms_helper,drm_shmem_helper");

MODULE_ALIAS("vmbus:02780ada77e3ac4a8e770558eb1073f8");
MODULE_ALIAS("pci:v00001414d00005353sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "9F23E7A2F72A1ED8D31F8B2");
