#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf250030e, "drm_encoder_cleanup" },
	{ 0x56da70fc, "drm_connector_unregister" },
	{ 0x25599fa, "drm_gem_vram_offset" },
	{ 0x9d1885ca, "drmm_mode_config_init" },
	{ 0x64812678, "drm_plane_get_damage_clips" },
	{ 0xd3e981e, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ad08526, "drm_add_modes_noedid" },
	{ 0x72cbe400, "drm_connector_attach_encoder" },
	{ 0x486075c8, "gen_pool_dma_alloc" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x60b7f39c, "drm_atomic_helper_commit" },
	{ 0x90497213, "drm_atomic_helper_check" },
	{ 0x620f2ce0, "drm_atomic_helper_connector_destroy_state" },
	{ 0xfa0833eb, "drm_connector_list_iter_end" },
	{ 0x3f54e531, "drm_atomic_helper_plane_duplicate_state" },
	{ 0x631e4e7, "drm_gem_mmap" },
	{ 0x9488970a, "drm_gem_duplicate_shadow_plane_state" },
	{ 0x7d10fc89, "drm_ioctl" },
	{ 0xe5b320b7, "drm_plane_cleanup" },
	{ 0x2b5ddd8e, "drm_gem_vram_plane_helper_prepare_fb" },
	{ 0xd515ffc1, "drm_modeset_lock" },
	{ 0xf48ccaf2, "drm_modeset_unlock" },
	{ 0x2ea969d0, "drm_connector_init" },
	{ 0x4f21db89, "pci_iomap_range" },
	{ 0xb4ae58a7, "drm_mode_config_helper_suspend" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdb1fecdb, "noop_llseek" },
	{ 0x6424c7c3, "drm_read" },
	{ 0x47637ce2, "drm_gem_fb_create_with_dirty" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x65af4421, "drm_vram_helper_mode_valid" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc8dd270c, "drm_gem_begin_shadow_fb_access" },
	{ 0xb148ef5c, "drm_vram_mm_debugfs_init" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3fb448a, "drm_atomic_helper_check_plane_state" },
	{ 0xb3158a2d, "drm_atomic_helper_plane_reset" },
	{ 0x21b48ab5, "drm_crtc_init_with_planes" },
	{ 0x92842df7, "drm_object_attach_property" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe14378e5, "drm_plane_get_damage_clips_count" },
	{ 0x85ccb49c, "drm_dev_unregister" },
	{ 0xfa3c75b7, "__devm_drm_dev_alloc" },
	{ 0x9b3b9f6f, "drm_connector_update_edid_property" },
	{ 0xbefa51a3, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc6e255f, "drm_atomic_helper_set_config" },
	{ 0x9bb2793d, "drm_fbdev_generic_setup" },
	{ 0x50dda6d4, "devm_arch_phys_wc_add" },
	{ 0x41833c41, "drmm_vram_helper_init" },
	{ 0x756b7074, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x7c967670, "devm_gen_pool_create" },
	{ 0x9d72e779, "drm_connector_cleanup" },
	{ 0xb325f0cb, "drm_universal_plane_init" },
	{ 0xb98c2e61, "drm_gem_destroy_shadow_plane_state" },
	{ 0xc363bd94, "drm_atomic_helper_crtc_reset" },
	{ 0x4a63ca8a, "drm_connector_list_iter_next" },
	{ 0x47217452, "drm_object_property_set_value" },
	{ 0x265f1b02, "drm_encoder_init" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb969f1db, "drm_kms_helper_hotplug_event" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8314f87b, "drm_helper_probe_single_connector_modes" },
	{ 0x2f51c0a7, "drm_cvt_mode" },
	{ 0xad5c86e7, "drm_gem_reset_shadow_plane" },
	{ 0x55b7acc6, "drm_plane_helper_destroy" },
	{ 0x12541d7e, "pci_disable_device" },
	{ 0x2ab65cd1, "drm_gem_end_shadow_fb_access" },
	{ 0x5f7c1c6a, "drm_mode_destroy" },
	{ 0xc4d63a61, "drm_atomic_helper_page_flip" },
	{ 0x53e18972, "drm_gem_ttm_dumb_map_offset" },
	{ 0xf658c4b8, "drm_atomic_helper_connector_reset" },
	{ 0x47dc88b7, "drm_mode_config_reset" },
	{ 0x7d0ba682, "gen_pool_virt_to_phys" },
	{ 0x60051b1e, "drm_gem_vram_plane_helper_cleanup_fb" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x3585c3f2, "drm_mode_config_cleanup" },
	{ 0xe76ec158, "drm_mode_config_helper_resume" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0x7802eb6b, "pcim_enable_device" },
	{ 0x3745fddb, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0xb574374c, "drm_atomic_helper_update_plane" },
	{ 0xd5f9341d, "drm_compat_ioctl" },
	{ 0x8cc2baf7, "drm_dev_register" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x8f400a, "drm_release" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xedb5c4a4, "drm_atomic_helper_plane_destroy_state" },
	{ 0xb7a24f31, "pci_save_state" },
	{ 0x1027e2a, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x9d1f6b03, "drm_open" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x78714ac1, "drm_poll" },
	{ 0xf0f4b0d4, "drm_mode_crtc_set_gamma_size" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xd8143227, "drm_gem_vram_driver_dumb_create" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0xf5583990, "pci_enable_device" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3858ea7f, "drm_mode_probed_add" },
	{ 0xc7db9203, "drm_atomic_helper_disable_plane" },
	{ 0x9e7784d3, "drm_atomic_helper_shutdown" },
	{ 0x5b4f4cd8, "__pci_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0xf0170885, "drm_mode_create_suggested_offset_properties" },
	{ 0x37a0cba, "kfree" },
	{ 0x2f11e5a7, "drm_atomic_helper_crtc_destroy_state" },
	{ 0xea89780, "drm_crtc_cleanup" },
	{ 0x79878c7d, "drm_connector_list_iter_begin" },
	{ 0xd303ffe1, "pci_set_power_state" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_vram_helper,drm_kms_helper,drm_ttm_helper");

MODULE_ALIAS("pci:v000080EEd0000BEEFsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C9BD660721570B6CF08D8C5");
