#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0xb8b6651a, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0x6ef21f85, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0xc54fe892, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0xe1730de0, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0xe8b60f19, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0x44fce7db, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0xd4eeb176, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0xf9e3ee08, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0x574dc519, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0x7a01a3ac, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0x4f9b9333, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0x99310b46, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0x9d291531, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0xce84232f, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x1adc1faf, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0x5fbead34, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0x11d1f6e1, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0xe0762434, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0xac9fb778, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0x607a45a2, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0x32954238, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9be0abd1, "_dev_err" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x949a698c, "sysfs_notify" },
	{ 0x6ea39bb6, "kobject_uevent" },
	{ 0x8d25aa60, "regulator_notifier_call_chain" },
	{ 0xd1a7dfed, "i2c_smbus_xfer" },
	{ 0x9ec59b8b, "device_create_file" },
	{ 0x97cb628c, "__devm_add_action" },
	{ 0x96848186, "scnprintf" },
	{ 0xb1ed295e, "debugfs_create_file" },
	{ 0x9166fada, "strncpy" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7f678254, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc1e7728f, "devm_hwmon_device_register_with_groups" },
	{ 0x983053cd, "devm_regulator_register" },
	{ 0x5b8f221b, "dev_err_probe" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0xdb1fecdb, "noop_llseek" },
	{ 0xc8448811, "simple_open" },
	{ 0x657c67bf, "debugfs_attr_read" },
	{ 0xcbb89af8, "debugfs_attr_write" },
	{ 0x378487c, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5edb34c7, "i2c_smbus_write_byte_data" },
	{ 0x8cdda4e8, "i2c_smbus_read_byte_data" },
	{ 0x6169591f, "i2c_smbus_write_byte" },
	{ 0xb14f8868, "i2c_smbus_write_word_data" },
	{ 0x70ab0c4d, "i2c_smbus_read_word_data" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x479e88a, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xad30de77, "devm_krealloc" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x83f63baa, "debugfs_create_dir" },
	{ 0x9e637e13, "debugfs_remove" },
	{ 0x8214e6d7, "simple_attr_open" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2b4e5234, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2150e490, "rdev_get_dev" },
	{ 0x8d96562e, "rdev_get_id" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x47a47635, "devm_request_threaded_irq" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1AA052152D20F7204A1766B");
