#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(intel_th_driver_register, "_gpl", "");
KSYMTAB_FUNC(intel_th_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(intel_th_output_enable, "_gpl", "");
KSYMTAB_FUNC(intel_th_alloc, "_gpl", "");
KSYMTAB_FUNC(intel_th_free, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_enable, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_switch, "_gpl", "");
KSYMTAB_FUNC(intel_th_trace_disable, "_gpl", "");
KSYMTAB_FUNC(intel_th_set_output, "_gpl", "");

SYMBOL_CRC(intel_th_driver_register, 0x025f144e, "_gpl");
SYMBOL_CRC(intel_th_driver_unregister, 0x00f6e8fa, "_gpl");
SYMBOL_CRC(intel_th_output_enable, 0x1c2bdf5f, "_gpl");
SYMBOL_CRC(intel_th_alloc, 0x7899fae1, "_gpl");
SYMBOL_CRC(intel_th_free, 0x3f6bc862, "_gpl");
SYMBOL_CRC(intel_th_trace_enable, 0x38e55fcc, "_gpl");
SYMBOL_CRC(intel_th_trace_switch, 0xa24177fe, "_gpl");
SYMBOL_CRC(intel_th_trace_disable, 0x580ce938, "_gpl");
SYMBOL_CRC(intel_th_set_output, 0x7f602a1a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcbdbeb02, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a9dbedd, "put_device" },
	{ 0xfc18b431, "devm_free_irq" },
	{ 0xf0799e, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x90974934, "module_put" },
	{ 0xb87c4fd0, "bus_unregister" },
	{ 0x696a50f0, "bus_find_device" },
	{ 0x21b8348a, "device_add" },
	{ 0xdb1fecdb, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xffb7c514, "ida_free" },
	{ 0xc2015173, "driver_unregister" },
	{ 0xc725611a, "sysfs_create_group" },
	{ 0x20289e68, "device_del" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x1d71b48f, "device_match_devt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa4ea9731, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa32e3f01, "dma_set_coherent_mask" },
	{ 0xbc4c3bed, "sysfs_remove_group" },
	{ 0xd71c5fd1, "pm_runtime_forbid" },
	{ 0x1487e867, "pm_runtime_allow" },
	{ 0x2699bfc, "__pm_runtime_resume" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0xd5de7767, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xbdf92cb2, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0xfe474462, "__pm_runtime_disable" },
	{ 0x8fbbb79e, "driver_register" },
	{ 0xeb819371, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x817f5acb, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x47d27382, "try_module_get" },
	{ 0x47a47635, "devm_request_threaded_irq" },
	{ 0xc37abed6, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96848186, "scnprintf" },
	{ 0x353bfcad, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf590648c, "device_for_each_child" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "05E9DF6B439E34AC93E7153");
