#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0xc016019d, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x25cc9fac, "");
SYMBOL_CRC(ib_cm_listen, 0xb3ccfc8d, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x300bfdf9, "");
SYMBOL_CRC(ib_send_cm_req, 0xebdceb3f, "");
SYMBOL_CRC(ib_send_cm_rep, 0x89c6cc5e, "");
SYMBOL_CRC(ib_send_cm_rtu, 0xf9854e71, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x52fbe1ea, "");
SYMBOL_CRC(ib_send_cm_drep, 0xe78a981c, "");
SYMBOL_CRC(ib_send_cm_rej, 0xc8cf0345, "");
SYMBOL_CRC(ib_send_cm_mra, 0xf6e3c496, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0x9ec8f959, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0xa717a1f8, "");
SYMBOL_CRC(ib_cm_notify, 0x3a283e01, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0x1fdee3bc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xdf0e3c28, "ib_register_client" },
	{ 0x98ecb2f7, "ib_unregister_mad_agent" },
	{ 0x47048fed, "ib_post_send_mad" },
	{ 0xbcc4a59b, "ib_create_send_mad" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0x78cc936f, "rdma_destroy_ah_attr" },
	{ 0x36a1e510, "ib_set_client_data" },
	{ 0x15d91a51, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x15a5a835, "rdma_put_gid_attr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x28373d9b, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe749a893, "rdma_destroy_ah_user" },
	{ 0xe6ddbc19, "ib_free_send_mad" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x1c1aa3f8, "ib_port_unregister_client_groups" },
	{ 0x745a981, "xa_erase" },
	{ 0x822cf32a, "bpf_trace_run3" },
	{ 0x2626fa83, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0x987e9669, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x385c39a7, "ib_free_recv_mad" },
	{ 0xc912f8e, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xc505d082, "ib_modify_mad" },
	{ 0xe48ac14c, "ib_create_ah_from_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xf663ad45, "ib_unregister_client" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8a197486, "ib_init_ah_attr_from_path" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0x34747759, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x1855d814, "rdma_query_gid" },
	{ 0x12ad7650, "ib_port_register_client_groups" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x88a037c4, "ib_modify_port" },
	{ 0x1b4f270e, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0xaf614c05, "rdma_create_ah" },
	{ 0xbc1193cc, "ib_init_ah_attr_from_wc" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xd4f1b781, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "BE6601DE8FD236E7BA87752");
