#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rvt_alloc_device, "", "");
KSYMTAB_FUNC(rvt_dealloc_device, "", "");
KSYMTAB_FUNC(rvt_register_device, "", "");
KSYMTAB_FUNC(rvt_unregister_device, "", "");
KSYMTAB_FUNC(rvt_init_port, "", "");
KSYMTAB_FUNC(rvt_check_ah, "", "");
KSYMTAB_FUNC(rvt_cq_enter, "", "");
KSYMTAB_FUNC(rvt_mcast_find, "", "");
KSYMTAB_FUNC(rvt_fast_reg_mr, "", "");
KSYMTAB_FUNC(rvt_invalidate_rkey, "", "");
KSYMTAB_FUNC(rvt_lkey_ok, "", "");
KSYMTAB_FUNC(rvt_rkey_ok, "", "");
KSYMTAB_DATA(ib_rvt_state_ops, "", "");
KSYMTAB_FUNC(rvt_error_qp, "", "");
KSYMTAB_FUNC(rvt_get_rwqe, "", "");
KSYMTAB_FUNC(rvt_comm_est, "", "");
KSYMTAB_FUNC(rvt_rc_error, "", "");
KSYMTAB_FUNC(rvt_rnr_tbl_to_usec, "", "");
KSYMTAB_FUNC(rvt_add_retry_timer_ext, "", "");
KSYMTAB_FUNC(rvt_add_rnr_timer, "", "");
KSYMTAB_FUNC(rvt_stop_rc_timers, "", "");
KSYMTAB_FUNC(rvt_del_timers_sync, "", "");
KSYMTAB_FUNC(rvt_rc_rnr_retry, "", "");
KSYMTAB_FUNC(rvt_qp_iter_init, "", "");
KSYMTAB_FUNC(rvt_qp_iter_next, "", "");
KSYMTAB_FUNC(rvt_qp_iter, "", "");
KSYMTAB_FUNC(rvt_send_complete, "", "");
KSYMTAB_FUNC(rvt_copy_sge, "", "");
KSYMTAB_FUNC(rvt_ruc_loopback, "", "");
KSYMTAB_FUNC(rvt_compute_aeth, "", "");
KSYMTAB_FUNC(rvt_get_credit, "", "");
KSYMTAB_FUNC(rvt_restart_sge, "", "");

SYMBOL_CRC(rvt_alloc_device, 0x432f2ecc, "");
SYMBOL_CRC(rvt_dealloc_device, 0x80005d2d, "");
SYMBOL_CRC(rvt_register_device, 0xfcef714e, "");
SYMBOL_CRC(rvt_unregister_device, 0x4d7d4880, "");
SYMBOL_CRC(rvt_init_port, 0x274b19e5, "");
SYMBOL_CRC(rvt_check_ah, 0x7db4673d, "");
SYMBOL_CRC(rvt_cq_enter, 0x4c43c6b7, "");
SYMBOL_CRC(rvt_mcast_find, 0xaa34e150, "");
SYMBOL_CRC(rvt_fast_reg_mr, 0xc1fd943d, "");
SYMBOL_CRC(rvt_invalidate_rkey, 0x0793c2d8, "");
SYMBOL_CRC(rvt_lkey_ok, 0xd86fe4a2, "");
SYMBOL_CRC(rvt_rkey_ok, 0x011710c3, "");
SYMBOL_CRC(ib_rvt_state_ops, 0x0e385842, "");
SYMBOL_CRC(rvt_error_qp, 0x4f18de7a, "");
SYMBOL_CRC(rvt_get_rwqe, 0x3f1081dc, "");
SYMBOL_CRC(rvt_comm_est, 0xba47191f, "");
SYMBOL_CRC(rvt_rc_error, 0x35bcd1b9, "");
SYMBOL_CRC(rvt_rnr_tbl_to_usec, 0xe9cf3e43, "");
SYMBOL_CRC(rvt_add_retry_timer_ext, 0xe101f6f6, "");
SYMBOL_CRC(rvt_add_rnr_timer, 0xad44d269, "");
SYMBOL_CRC(rvt_stop_rc_timers, 0x3f2113f1, "");
SYMBOL_CRC(rvt_del_timers_sync, 0x707ed511, "");
SYMBOL_CRC(rvt_rc_rnr_retry, 0x2ddc2237, "");
SYMBOL_CRC(rvt_qp_iter_init, 0xca924080, "");
SYMBOL_CRC(rvt_qp_iter_next, 0xe18f1d5e, "");
SYMBOL_CRC(rvt_qp_iter, 0x348ba354, "");
SYMBOL_CRC(rvt_send_complete, 0xff5f384b, "");
SYMBOL_CRC(rvt_copy_sge, 0x9ce181b9, "");
SYMBOL_CRC(rvt_ruc_loopback, 0x9cf264a1, "");
SYMBOL_CRC(rvt_compute_aeth, 0x98c09697, "");
SYMBOL_CRC(rvt_get_credit, 0x1b2017d6, "");
SYMBOL_CRC(rvt_restart_sge, 0x8a20b027, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa5526619, "rb_insert_color" },
	{ 0x6aa23e52, "_ib_alloc_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0x267f92ab, "ib_unregister_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xb38be32f, "ib_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5635a60a, "vmalloc_user" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8b46a3e5, "kmalloc_node_trace" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x98ecb2f7, "ib_unregister_mad_agent" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0x78cc936f, "rdma_destroy_ah_attr" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4832181f, "bpf_trace_run5" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9d1d8f1b, "ib_umem_get" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf2dfde4b, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe749a893, "rdma_destroy_ah_user" },
	{ 0xbe83e5e4, "ib_dealloc_device" },
	{ 0xe6ddbc19, "ib_free_send_mad" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x822cf32a, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x999e8297, "vfree" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xbe63e7e9, "boot_cpu_data" },
	{ 0xc912f8e, "ib_register_mad_agent" },
	{ 0x3b423410, "__copy_user_nocache" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xfcbf3b07, "remap_vmalloc_range" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe3c5dcf3, "rdma_replace_ah_attr" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x38bfd1db, "ib_set_device_ops" },
	{ 0x6c183078, "ib_rate_to_mbps" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9d9e3ce7, "rdma_copy_ah_attr" },
	{ 0xe914e41e, "strcpy" },
	{ 0x80c7b894, "ib_umem_release" },
	{ 0x23fd3028, "vmalloc_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9e0c711d, "vzalloc_node" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0x338e80e9, "hrtimer_try_to_cancel" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x34747759, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x73baf9a2, "ib_modify_qp_is_ok" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1b4d91ce, "ib_sg_to_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x73641259, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x1b4f270e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "ib_core,ib_uverbs");


MODULE_INFO(srcversion, "0DA84F64EB6B7D229D305A9");
