#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0xee36629c, "");
SYMBOL_CRC(r5c_journal_mode_set, 0x879c450d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85f0bbda, "md_account_bio" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc5a79eb, "md_write_inc" },
	{ 0xf7e162d5, "pv_ops" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf3d71e87, "unregister_md_personality" },
	{ 0xf9243b21, "blk_queue_max_write_zeroes_sectors" },
	{ 0x1a85b114, "md_bitmap_unplug" },
	{ 0x3dd1e540, "bio_uninit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0x9e51bcda, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0xc5466f7a, "async_syndrome_val" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0xe5c09172, "alloc_pages" },
	{ 0x8aa4c1e1, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xacf7679, "dma_issue_pending_all" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0x8a2232ec, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x46bc851f, "blk_queue_io_min" },
	{ 0x98e51f23, "md_check_recovery" },
	{ 0x8fbaf8b4, "md_bitmap_endwrite" },
	{ 0xb07d04a1, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x2036f7ed, "blkdev_issue_flush" },
	{ 0xc20a9012, "mddev_suspend" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x77001649, "badblocks_check" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xd2ff985e, "blk_queue_max_hw_sectors" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x51e30048, "rdev_set_badblocks" },
	{ 0x9dde915d, "bio_alloc_bioset" },
	{ 0x6a6f6bf8, "blk_queue_io_opt" },
	{ 0x8ab7edef, "async_raid6_datap_recov" },
	{ 0x4adb1d81, "submit_bio_wait" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xbebdc272, "__cpuhp_remove_state" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0xeeea0800, "kmem_cache_destroy" },
	{ 0x1c27a15f, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd8e515af, "blkdev_issue_discard" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x585670f2, "set_disk_ro" },
	{ 0xef7f8de1, "register_md_personality" },
	{ 0xebe04d64, "shrinker_alloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x3102fdbd, "__bio_add_page" },
	{ 0xa7846d64, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa322825a, "md_bitmap_resize" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xef93287f, "md_find_rdev_rcu" },
	{ 0xef7e4a34, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12189359, "__SCT__tp_func_block_unplug" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x8c91062a, "md_bitmap_start_sync" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8945042e, "md_bitmap_cond_end_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xce5118ee, "md_error" },
	{ 0x8de47da0, "async_xor_val_offs" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x15c85de3, "mempool_init" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x24163048, "md_bitmap_startwrite" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc9a21f3a, "md_finish_reshape" },
	{ 0x73641259, "pcpu_hot" },
	{ 0xd927ee70, "async_gen_syndrome" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xffe8270a, "md_unregister_thread" },
	{ 0x50f6bb06, "__put_devmap_managed_page_refs" },
	{ 0x764c87d9, "sync_page_io" },
	{ 0x6e3b49cc, "md_bitmap_close_sync" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x9eabf9c4, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf6f8993f, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xcce65251, "kernfs_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe7ede10c, "shrinker_free" },
	{ 0xec9de549, "md_wakeup_thread" },
	{ 0x6f0525cf, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x601daf1, "md_set_array_sectors" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x93b2ea63, "md_allow_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdf212bd, "rdev_clear_badblocks" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0xdbbd81e5, "async_tx_quiesce" },
	{ 0xfe4394f3, "md_write_start" },
	{ 0xb55ad161, "blk_queue_flag_set" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xadd2b8e8, "shrinker_register" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x69049cd2, "radix_tree_replace_slot" },
	{ 0x618911fc, "numa_node" },
	{ 0x70bb02b2, "async_xor" },
	{ 0x4a449c6d, "__free_pages" },
	{ 0x4830bf71, "kmem_cache_alloc" },
	{ 0x8122de70, "async_xor_offs" },
	{ 0x44a19513, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x9fe9d123, "submit_bio" },
	{ 0x1d124cbd, "blk_queue_flag_clear" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe2484055, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x268019db, "kthread_unpark" },
	{ 0x65b9789d, "bioset_exit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x8f6487b6, "md_done_sync" },
	{ 0x411edb5f, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x3c916e11, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xd5b42842, "md_wait_for_blocked_rdev" },
	{ 0xe1a43ad8, "__SCK__tp_func_block_bio_remap" },
	{ 0xd2cd008, "__cpuhp_setup_state" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4e6d0577, "async_memcpy" },
	{ 0x3abc1e9d, "submit_bio_noacct" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7fdcc276, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x7a39e9fd, "mddev_unlock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x3c72a8e, "__tracepoint_block_unplug" },
	{ 0x55b2716f, "bio_chain" },
	{ 0x4cac1fa3, "__blk_trace_note_message" },
	{ 0xbfef3cd9, "blkdev_issue_zeroout" },
	{ 0xfc0a3931, "disk_stack_limits" },
	{ 0x4c46c08d, "__cpuhp_state_add_instance" },
	{ 0x7c3e42c2, "async_trigger_callback" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x79508bf1, "async_raid6_2data_recov" },
	{ 0xe2cd9fa9, "bio_add_page" },
	{ 0x377c1e7c, "__SCK__tp_func_block_unplug" },
	{ 0x40b331, "md_bitmap_end_sync" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb9b9527, "md_update_sb" },
	{ 0x6d71df35, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xc725611a, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x48c093fb, "_atomic_dec_and_lock_irqsave" },
	{ 0xc35c32e6, "md_flush_request" },
	{ 0x4289f05d, "bio_init" },
	{ 0x7f32ae93, "md_register_thread" },
	{ 0xfb578fc5, "memset" },
	{ 0xf8d17a4e, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x3e745049, "blk_queue_max_segments" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "async_pq,async_raid6_recov,async_xor,async_tx,async_memcpy,raid6_pq");


MODULE_INFO(srcversion, "AD8CB3E69DB24FDE7DCB5E8");
