#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_cypress_load_firmware, "", "");
KSYMTAB_FUNC(dvb_usb_get_hexline, "", "");
KSYMTAB_FUNC(dvb_usb_device_init, "", "");
KSYMTAB_FUNC(dvb_usb_device_exit, "", "");
KSYMTAB_FUNC(dvb_usb_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usb_generic_write, "", "");
KSYMTAB_FUNC(dvb_usb_nec_rc_key_to_event, "", "");

SYMBOL_CRC(usb_cypress_load_firmware, 0xd532638c, "");
SYMBOL_CRC(dvb_usb_get_hexline, 0x8b6f5395, "");
SYMBOL_CRC(dvb_usb_device_init, 0xf1dc0287, "");
SYMBOL_CRC(dvb_usb_device_exit, 0xf42616dc, "");
SYMBOL_CRC(dvb_usb_generic_rw, 0x02ce382a, "");
SYMBOL_CRC(dvb_usb_generic_write, 0x7d97248d, "");
SYMBOL_CRC(dvb_usb_nec_rc_key_to_event, 0xfc7b7a76, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x8c1f02c0, "__media_device_register" },
	{ 0x2c256e1f, "input_scancode_to_scalar" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4c8e6002, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x31e3dde, "input_free_device" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2836c0a7, "usb_clear_halt" },
	{ 0x77b3bfaf, "usb_bulk_msg" },
	{ 0xfbd2d75e, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x77c96678, "usb_submit_urb" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x824b421c, "i2c_del_adapter" },
	{ 0x64d850cd, "media_device_cleanup" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x1d4cc80e, "usb_free_coherent" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf9172979, "rc_register_device" },
	{ 0x55f7b798, "usb_control_msg" },
	{ 0x12034a3, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x232a7afa, "dvb_dmxdev_release" },
	{ 0x8d975ed2, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xa4235824, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x88c639f6, "input_event" },
	{ 0x15893e25, "dvb_frontend_detach" },
	{ 0xfd4d9073, "i2c_add_adapter" },
	{ 0xb69919af, "dvb_net_release" },
	{ 0x143c9a6a, "rc_allocate_device" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8bc79c1e, "dvb_unregister_frontend" },
	{ 0x25bdf9aa, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xebb8826d, "__media_device_usb_init" },
	{ 0x82aac8b4, "dvb_register_frontend" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xfa8c405b, "dvb_create_media_graph" },
	{ 0xf830b9a1, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x17993437, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8c60bfa6, "input_allocate_device" },
	{ 0x471bc136, "dvb_dmxdev_init" },
	{ 0x87eb1074, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfaf5f803, "media_device_unregister" },
	{ 0xcf27add6, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbf84c523, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x78e70a9c, "request_firmware" },
	{ 0x1e26116b, "input_unregister_device" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "mc,dvb-core,rc-core");


MODULE_INFO(srcversion, "083703896CC43B04798B56C");
