#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0x79b4177c, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0x15a6fa2d, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0x5155b6d9, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0xd6991cb3, "");
SYMBOL_CRC(mpt_halt_firmware, 0xb5c06564, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0x37a12267, "");
SYMBOL_CRC(mpt_attach, 0x21b3db27, "");
SYMBOL_CRC(mpt_detach, 0xb4051da2, "");
SYMBOL_CRC(mpt_resume, 0x9d21a182, "");
SYMBOL_CRC(mpt_suspend, 0xc793ea02, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0x7760ede5, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0x31b07b44, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0xb1dc8062, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0xc563616d, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0xd1b0719a, "");
SYMBOL_CRC(mpt_put_msg_frame, 0x4fdb233c, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0xf1b32501, "");
SYMBOL_CRC(mpt_free_msg_frame, 0xa8bf5078, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x2ae86fb0, "");
SYMBOL_CRC(mpt_verify_adapter, 0x08c00d2a, "");
SYMBOL_CRC(mpt_GetIocState, 0xed82ec35, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0xc0501744, "");
SYMBOL_CRC(mpt_HardResetHandler, 0x360f23c4, "");
SYMBOL_CRC(mpt_config, 0x1a3e7d83, "");
SYMBOL_CRC(mpt_findImVolumes, 0x7b3a7b77, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0xf4ad69e0, "");
SYMBOL_CRC(mpt_free_fw_memory, 0x7ea34e16, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0xbc6a95de, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0x789f945d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbd13acdd, "dma_get_required_mask" },
	{ 0x215c3120, "dma_set_mask" },
	{ 0xa32c4cee, "pci_release_selected_regions" },
	{ 0x12541d7e, "pci_disable_device" },
	{ 0xa32e3f01, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0xfb578fc5, "memset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1470ab5e, "pci_get_slot" },
	{ 0xe4183924, "pci_dev_put" },
	{ 0xee0bc34a, "remove_proc_entry" },
	{ 0xf1e046cc, "panic" },
	{ 0xa6257a2f, "complete" },
	{ 0x3b4d1c22, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1feb7d51, "seq_putc" },
	{ 0x2b8c7ff8, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb7a24f31, "pci_save_state" },
	{ 0xd303ffe1, "pci_set_power_state" },
	{ 0x5066e5a7, "pci_disable_msi" },
	{ 0xa568ee07, "proc_mkdir" },
	{ 0xc70ac536, "proc_create_single_data" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x37a0cba, "kfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xabba3379, "pci_read_config_word" },
	{ 0x965eef51, "pci_write_config_word" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xedc03953, "iounmap" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc747289f, "pci_set_master" },
	{ 0xf5583990, "pci_enable_device" },
	{ 0xf6568107, "pci_enable_msi" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xcf8ee6a2, "kthread_create_on_node" },
	{ 0x1d890853, "wake_up_process" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xef788211, "pci_read_config_byte" },
	{ 0xe7aa8c1f, "pci_write_config_byte" },
	{ 0x85103bdd, "pci_enable_wake" },
	{ 0xd086861c, "pci_restore_state" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0xe7804bf0, "param_get_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x122c3a7e, "_printk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0xf66189e4, "pci_stop_and_remove_bus_device_locked" },
	{ 0x7157bbeb, "dma_alloc_attrs" },
	{ 0x5de01362, "dma_free_attrs" },
	{ 0xe800ec91, "pci_select_bars" },
	{ 0xd0f79a5e, "pci_enable_device_mem" },
	{ 0xbe306f96, "pci_request_selected_regions" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "62D9AFFB0F808AD664CEA05");
