#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtsx_usb_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_rsp, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_card_status, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_card_exclusive_check, "_gpl", "");

SYMBOL_CRC(rtsx_usb_transfer_data, 0x9e0df115, "_gpl");
SYMBOL_CRC(rtsx_usb_read_ppbuf, 0x5589b6cf, "_gpl");
SYMBOL_CRC(rtsx_usb_write_ppbuf, 0x97978833, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_write_register, 0xf3cab63f, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_read_register, 0x5c51305a, "_gpl");
SYMBOL_CRC(rtsx_usb_add_cmd, 0x06c41bd0, "_gpl");
SYMBOL_CRC(rtsx_usb_send_cmd, 0xfc8b236a, "_gpl");
SYMBOL_CRC(rtsx_usb_get_rsp, 0xbf11cdcb, "_gpl");
SYMBOL_CRC(rtsx_usb_get_card_status, 0x52837b63, "_gpl");
SYMBOL_CRC(rtsx_usb_write_register, 0x1afcf8fb, "_gpl");
SYMBOL_CRC(rtsx_usb_read_register, 0xc290eeb3, "_gpl");
SYMBOL_CRC(rtsx_usb_switch_clock, 0x50545c18, "_gpl");
SYMBOL_CRC(rtsx_usb_card_exclusive_check, 0xf492c619, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x77b3bfaf, "usb_bulk_msg" },
	{ 0x79447305, "usb_sg_init" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0xf67b2a6c, "usb_sg_wait" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0x55f7b798, "usb_control_msg" },
	{ 0x403c6fd6, "usb_register_driver" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf590648c, "device_for_each_child" },
	{ 0x2699bfc, "__pm_runtime_resume" },
	{ 0xaaf192a5, "mfd_remove_devices" },
	{ 0x37a0cba, "kfree" },
	{ 0x2f03bdf, "usb_sg_cancel" },
	{ 0x163d1c5f, "usb_deregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd00f8bb2, "mfd_add_devices" },
	{ 0x43fff3aa, "usb_enable_autosuspend" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("usb:v0BDAp0129d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0140d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F8F3F966F72D56F16FF3485");
