#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nand_extract_bits, "_gpl", "");
KSYMTAB_FUNC(nand_select_target, "_gpl", "");
KSYMTAB_FUNC(nand_deselect_target, "_gpl", "");
KSYMTAB_FUNC(nand_soft_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_gpio_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_read_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_read_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_begin_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_end_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_write_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_readid_op, "_gpl", "");
KSYMTAB_FUNC(nand_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_exit_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_erase_op, "_gpl", "");
KSYMTAB_FUNC(nand_reset_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_write_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_op_parser_exec_op, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_addr_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_num_addr_cyc, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_len, "_gpl", "");
KSYMTAB_FUNC(nand_reset, "_gpl", "");
KSYMTAB_FUNC(nand_check_erased_ecc_chunk, "", "");
KSYMTAB_FUNC(nand_read_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_read_page_raw, "", "");
KSYMTAB_FUNC(nand_read_page_hwecc_oob_first, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_std, "", "");
KSYMTAB_FUNC(nand_write_oob_std, "", "");
KSYMTAB_FUNC(nand_write_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_write_page_raw, "", "");
KSYMTAB_FUNC(nand_decode_ext_id, "_gpl", "");
KSYMTAB_FUNC(rawnand_dt_parse_gpio_cs, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_init, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_cleanup, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_init, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_cleanup, "", "");
KSYMTAB_FUNC(nand_ecc_choose_conf, "_gpl", "");
KSYMTAB_FUNC(nand_scan_with_ids, "", "");
KSYMTAB_FUNC(nand_cleanup, "_gpl", "");
KSYMTAB_FUNC(nand_wait_ready, "_gpl", "");
KSYMTAB_FUNC(nand_get_set_features_notsupp, "", "");
KSYMTAB_FUNC(nand_create_bbt, "", "");

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0x7ec507b0, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0x5a8249a2, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0x8faf8589, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0x729c21d5, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0x1aa8182c, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0x58ffdb53, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0x4f6bd6a1, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0x5fd83692, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0x32299e8b, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0x32f9028f, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0xb4a4f1e5, "_gpl");
SYMBOL_CRC(nand_readid_op, 0x71589bda, "_gpl");
SYMBOL_CRC(nand_status_op, 0xa66bc99c, "_gpl");
SYMBOL_CRC(nand_exit_status_op, 0x32cf0f15, "_gpl");
SYMBOL_CRC(nand_erase_op, 0x41bf9b8e, "_gpl");
SYMBOL_CRC(nand_reset_op, 0x8faced80, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0xbe8866ab, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0x1eb2685a, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0xbcdb73f2, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0xf0701a7a, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0xeb9f7f60, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0x3809b6bd, "");
SYMBOL_CRC(nand_read_page_hwecc_oob_first, 0x578e588b, "_gpl");
SYMBOL_CRC(nand_read_oob_std, 0x3b30f3ea, "");
SYMBOL_CRC(nand_write_oob_std, 0x3d0ffb86, "");
SYMBOL_CRC(nand_write_page_raw, 0x4110a3eb, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0xd7444ad5, "");
SYMBOL_CRC(nand_decode_ext_id, 0x4ec8a250, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0x8cda4d12, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0xf94b4bfa, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0x215011f2, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0xd53c1bf6, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0x3419bc99, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0xacd0c941, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0x96b937f3, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0x8f69a2e0, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0xcf36d268, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0x2c0f36ee, "");
SYMBOL_CRC(nand_cleanup, 0x135f4e12, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0x402ea75f, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0x9c7e8764, "");
SYMBOL_CRC(nand_create_bbt, 0x0a145a85, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5213c780, "mtd_ooblayout_get_databytes" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0xc3604d77, "mtd_ooblayout_get_eccbytes" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x27ce8ec2, "nanddev_mtd_max_bad_blocks" },
	{ 0x1a89890f, "nand_ecc_sw_bch_calculate" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0xbddeb14f, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xeaf21222, "mtd_read_oob" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x70c6e0c0, "gpiod_count" },
	{ 0x5351c942, "nanddev_cleanup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8de3c6e2, "nand_get_large_page_hamming_ooblayout" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6e6ba81f, "nand_get_large_page_ooblayout" },
	{ 0x37a0cba, "kfree" },
	{ 0xb20261aa, "gpiod_get_index_optional" },
	{ 0x6113a322, "nand_ecc_sw_hamming_init_ctx" },
	{ 0x7551eab6, "nanddev_init" },
	{ 0x3b9aa96b, "nand_ecc_sw_bch_correct" },
	{ 0x107f0e03, "nand_ecc_sw_bch_cleanup_ctx" },
	{ 0x33419934, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x4695a287, "nand_ecc_sw_hamming_calculate" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe142ca5f, "nand_ecc_sw_hamming_cleanup_ctx" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xf442690f, "nand_ecc_sw_bch_init_ctx" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x14242e3a, "nand_ecc_is_strong_enough" },
	{ 0xa72efa25, "mtd_write_oob" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb0c222c2, "nand_get_small_page_ooblayout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x18d5b47, "nand_ecc_sw_hamming_correct" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x32f37fb5, "mtd_read" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x36eba9a8, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9baf99f8, "mtd_ooblayout_set_databytes" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x999e8297, "vfree" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5c50a334, "mtd_ooblayout_find_eccregion" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "mtd,nandcore");


MODULE_INFO(srcversion, "3A6231463993A54FB3A00C5");
