#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_state_get_by_berr_counter, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x21dc5d56, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x4b265d7c, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0xb5622163, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0xa78a9571, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x3cde6b95, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x166b3716, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x2b09a2f0, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x80f2742b, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_state_get_by_berr_counter, 0x08018fd2, "_gpl");
SYMBOL_CRC(can_change_state, 0x7d8506fc, "_gpl");
SYMBOL_CRC(can_bus_off, 0x69b55ffe, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x8715eda5, "_gpl");
SYMBOL_CRC(free_candev, 0xb70355bf, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x9103b605, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x204a0f83, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x91d4f28f, "");
SYMBOL_CRC(open_candev, 0x54eea9ce, "_gpl");
SYMBOL_CRC(close_candev, 0x3e47b778, "_gpl");
SYMBOL_CRC(register_candev, 0xa53794b0, "_gpl");
SYMBOL_CRC(unregister_candev, 0x1e2b4d15, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x85999448, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x96953b72, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0x1f4ddf8d, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0x2ba03bc7, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0xb105100f, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_timestamp, 0x976bed67, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0xcf433526, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_tail, 0xf876b850, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0xd693516e, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0xbb545620, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0xa71c92d9, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0x1ee0d1c8, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0x1c0a1fc0, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0xa5b4b2d4, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0x317eaeb3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3fe48c3a, "rtnl_link_register" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x2ab8879f, "netdev_warn" },
	{ 0xd723ca95, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8d1a83fe, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0x23659da5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa2f74584, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xedb6af44, "napi_complete_done" },
	{ 0x9721fba6, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x68de546, "__napi_schedule" },
	{ 0x65488c16, "device_property_read_u32_array" },
	{ 0x92beaee1, "rtnl_link_unregister" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0xcf2b7eb7, "napi_enable" },
	{ 0x44425efd, "netif_receive_skb" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xbcca2e66, "register_netdev" },
	{ 0xcc103646, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x125e818d, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4d1e8619, "netif_rx" },
	{ 0x4f2ad77a, "__netdev_alloc_skb" },
	{ 0xc7ed8c8e, "skb_trim" },
	{ 0xf7549f75, "__dynamic_netdev_dbg" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xde478dc4, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd912ffa1, "skb_clone" },
	{ 0xe042f87b, "netif_carrier_on" },
	{ 0x5b8f221b, "dev_err_probe" },
	{ 0xdde02604, "napi_schedule_prep" },
	{ 0x977e7413, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7b919e09, "skb_clone_tx_timestamp" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x17ca30b3, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1f629a95, "skb_put" },
	{ 0xefccdab0, "gpiod_set_value" },
	{ 0x1071af95, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0xf75cdd75, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x110d5c86, "unregister_netdev" },
	{ 0x7beef246, "skb_dequeue" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "65BDC91C4E337EC694F2359");
