#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(t3_l2t_send_slow, "", "");
KSYMTAB_FUNC(t3_l2t_send_event, "", "");
KSYMTAB_FUNC(t3_l2e_free, "", "");
KSYMTAB_FUNC(t3_l2t_get, "", "");
KSYMTAB_FUNC(cxgb3_register_client, "", "");
KSYMTAB_FUNC(cxgb3_unregister_client, "", "");
KSYMTAB_FUNC(cxgb3_free_atid, "", "");
KSYMTAB_FUNC(cxgb3_free_stid, "", "");
KSYMTAB_FUNC(cxgb3_insert_tid, "", "");
KSYMTAB_FUNC(cxgb3_queue_tid_release, "", "");
KSYMTAB_FUNC(cxgb3_remove_tid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_atid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_stid, "", "");
KSYMTAB_FUNC(dev2t3cdev, "", "");
KSYMTAB_FUNC(t3_register_cpl_handler, "", "");
KSYMTAB_FUNC(cxgb3_ofld_send, "", "");

SYMBOL_CRC(t3_l2t_send_slow, 0xd1bac06e, "");
SYMBOL_CRC(t3_l2t_send_event, 0xce6172dd, "");
SYMBOL_CRC(t3_l2e_free, 0x992bff87, "");
SYMBOL_CRC(t3_l2t_get, 0x835fc189, "");
SYMBOL_CRC(cxgb3_register_client, 0xea72833b, "");
SYMBOL_CRC(cxgb3_unregister_client, 0x4a4dade8, "");
SYMBOL_CRC(cxgb3_free_atid, 0x5a271a20, "");
SYMBOL_CRC(cxgb3_free_stid, 0x1d7f27e3, "");
SYMBOL_CRC(cxgb3_insert_tid, 0x7fcc56d6, "");
SYMBOL_CRC(cxgb3_queue_tid_release, 0x23cde26b, "");
SYMBOL_CRC(cxgb3_remove_tid, 0x483230a3, "");
SYMBOL_CRC(cxgb3_alloc_atid, 0x14d3bcb7, "");
SYMBOL_CRC(cxgb3_alloc_stid, 0xd446016f, "");
SYMBOL_CRC(dev2t3cdev, 0x50a0c8e0, "");
SYMBOL_CRC(t3_register_cpl_handler, 0xac71473f, "");
SYMBOL_CRC(cxgb3_ofld_send, 0xba3fd74a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0xa32e3f01, "dma_set_coherent_mask" },
	{ 0xf7e162d5, "pv_ops" },
	{ 0xbc4c3bed, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xca91e7bd, "neigh_destroy" },
	{ 0x5de01362, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1f4063ab, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe5c09172, "alloc_pages" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x362b66f0, "netdev_master_upper_dev_get_rcu" },
	{ 0x8aa4c1e1, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xde478dc4, "netif_carrier_off" },
	{ 0x9d0ea141, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe042f87b, "netif_carrier_on" },
	{ 0xe0674dad, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x12541d7e, "pci_disable_device" },
	{ 0x215c3120, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2d58ffb9, "vlan_dev_vlan_id" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xdde02604, "napi_schedule_prep" },
	{ 0x11e1e18, "napi_disable" },
	{ 0x977e7413, "dev_kfree_skb_any_reason" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd00e1ffb, "__kfree_skb" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x17ca30b3, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x5482639f, "alloc_etherdev_mqs" },
	{ 0xb7a24f31, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x69b0375d, "pcie_capability_read_word" },
	{ 0x24439a21, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6f0ab839, "pcie_capability_write_word" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbe81d8df, "skb_copy_bits" },
	{ 0xa6dc50d4, "pci_read_vpd" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf5583990, "pci_enable_device" },
	{ 0x1f629a95, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x77bc13a0, "strim" },
	{ 0xfa220970, "netdev_update_features" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0xf75cdd75, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x110d5c86, "unregister_netdev" },
	{ 0x43ba31fd, "napi_get_frags" },
	{ 0x230e0c0, "dma_unmap_page_attrs" },
	{ 0x78e70a9c, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x5b4f4cd8, "__pci_register_driver" },
	{ 0x9609f503, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x5066e5a7, "pci_disable_msi" },
	{ 0x95363ee4, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x50f6bb06, "__put_devmap_managed_page_refs" },
	{ 0xdcda42ec, "eth_validate_addr" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd3e981e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x908529d9, "dev_driver_string" },
	{ 0x415aaf81, "dev_addr_mod" },
	{ 0xf40b5f74, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x176cfc0f, "dma_map_page_attrs" },
	{ 0xedb6af44, "napi_complete_done" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0x68de546, "__napi_schedule" },
	{ 0x8a262019, "pci_enable_msix_range" },
	{ 0x28192cdb, "pci_write_vpd_any" },
	{ 0xa916b694, "strnlen" },
	{ 0x17b48051, "__alloc_skb" },
	{ 0x4a449c6d, "__free_pages" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x6007c8b0, "napi_gro_receive" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xd8b353f3, "pci_find_capability" },
	{ 0xfccf7b36, "_dev_alert" },
	{ 0xf6568107, "pci_enable_msi" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdb4cf901, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x8b872df0, "netif_set_real_num_rx_queues" },
	{ 0x11edf08e, "arp_send" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0x37c9eac0, "pci_write_vpd" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7157bbeb, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xabba3379, "pci_read_config_word" },
	{ 0xcf2b7eb7, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x44425efd, "netif_receive_skb" },
	{ 0xbcca2e66, "register_netdev" },
	{ 0xcc103646, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xc725611a, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x94b7c3fa, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf1ea4501, "netif_tx_stop_all_queues" },
	{ 0xd086861c, "pci_restore_state" },
	{ 0xb7260ad7, "netif_tx_wake_queue" },
	{ 0xe86e39d8, "dma_sync_single_for_cpu" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0xc747289f, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4d1e8619, "netif_rx" },
	{ 0x9b864854, "__neigh_event_send" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001425d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000037sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2A6B4F8676CF8389E294A8B");
