#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x63ff8b8d, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xb5030533, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0xcb0d129b, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x1c2d7767, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0x9c1ea915, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf52c6cf6, "flow_rule_match_ipv6_addrs" },
	{ 0xabecf224, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2982e6c9, "ptp_clock_unregister" },
	{ 0x824238be, "__pskb_pull_tail" },
	{ 0x32b7ebbe, "xp_dma_unmap" },
	{ 0xb8604baa, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xb9390411, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x10121276, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf7549f75, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa32e3f01, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x12a5aab2, "devm_kasprintf" },
	{ 0x745a981, "xa_erase" },
	{ 0x78b8631e, "flow_rule_match_pppoe" },
	{ 0xf7e162d5, "pv_ops" },
	{ 0x3145026f, "flow_rule_match_enc_control" },
	{ 0x822cf32a, "bpf_trace_run3" },
	{ 0xf77ab6d, "seq_read" },
	{ 0x9cdffd39, "__page_frag_cache_drain" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd8981bb9, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb1ed295e, "debugfs_create_file" },
	{ 0xe8878363, "rps_may_expire_flow" },
	{ 0xa2094ed5, "metadata_dst_free" },
	{ 0xb3d5c4bf, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc10eeb28, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xd2cdcb2c, "devlink_params_register" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0xa57c644a, "kthread_destroy_worker" },
	{ 0x72aa42e5, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x50ed478, "flow_rule_match_enc_ports" },
	{ 0xe8c2d93f, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x57965250, "dpll_netdev_pin_clear" },
	{ 0x2a944c26, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x5ccd89d0, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x80584309, "pcie_print_link_status" },
	{ 0xb6d2fa70, "xp_set_rxq_info" },
	{ 0xd9351850, "flow_rule_match_vlan" },
	{ 0x6a5a8bf0, "xdp_rxq_info_unreg" },
	{ 0x6e3a40a4, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xaf390dff, "napi_build_skb" },
	{ 0x362b66f0, "netdev_master_upper_dev_get_rcu" },
	{ 0x77a226bb, "__xdp_rxq_info_reg" },
	{ 0xd68e7f29, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xde478dc4, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x1c2e3d7f, "dpll_pin_register" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7955863a, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0x670f8ef2, "__hw_addr_sync_dev" },
	{ 0x854a65ac, "devlink_port_register_with_ops" },
	{ 0xb84db59a, "pci_disable_sriov" },
	{ 0xd1a983a6, "pldmfw_flash_image" },
	{ 0x254c6e86, "kthread_queue_delayed_work" },
	{ 0x4e3c30cb, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xda86e943, "dst_release" },
	{ 0xe042f87b, "netif_carrier_on" },
	{ 0x629a44b7, "netdev_set_num_tc" },
	{ 0xcd1d891e, "dpll_device_register" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xe5b671b1, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe9505966, "dev_uc_add_excl" },
	{ 0x12541d7e, "pci_disable_device" },
	{ 0xbe63e7e9, "boot_cpu_data" },
	{ 0xa40254a0, "xp_free" },
	{ 0x5364e636, "dev_mc_add_excl" },
	{ 0x341ee2bd, "single_release" },
	{ 0x215c3120, "dma_set_mask" },
	{ 0x1feb4c92, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x12ea625c, "netif_set_tso_max_size" },
	{ 0x8ef46581, "__skb_flow_dissect" },
	{ 0x2d58ffb9, "vlan_dev_vlan_id" },
	{ 0xc9e276a6, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x62fad45a, "pcim_iomap_table" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xf12c8f5b, "xdp_master_redirect" },
	{ 0x97cb628c, "__devm_add_action" },
	{ 0xc53e018f, "dpll_pin_on_pin_register" },
	{ 0xdde02604, "napi_schedule_prep" },
	{ 0xc13b03a3, "napi_consume_skb" },
	{ 0xef788211, "pci_read_config_byte" },
	{ 0x37a681e6, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0x11e1e18, "napi_disable" },
	{ 0x977e7413, "dev_kfree_skb_any_reason" },
	{ 0xdedf6dfd, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x2c9f77fa, "single_open" },
	{ 0x7802eb6b, "pcim_enable_device" },
	{ 0x349cba85, "strchr" },
	{ 0x83f63baa, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x920cd9ad, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x2151367a, "flow_rule_match_control" },
	{ 0x2ba36371, "flow_rule_match_ip" },
	{ 0xe83a9527, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x7585121d, "dpll_device_get" },
	{ 0x7b919e09, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xee33382c, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xbcb4244d, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x17ca30b3, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x9e897402, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1976fee7, "__tracepoint_xdp_exception" },
	{ 0x21770c6, "xsk_tx_completed" },
	{ 0x5482639f, "alloc_etherdev_mqs" },
	{ 0xa4aaecbc, "netdev_lower_get_next" },
	{ 0x82916c3b, "flow_block_cb_lookup" },
	{ 0xb7a24f31, "pci_save_state" },
	{ 0xebf54289, "xp_dma_sync_for_device_slow" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc011f482, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6a9e1a9a, "device_set_wakeup_enable" },
	{ 0x6a7b1ab3, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7fba5d81, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x11db6f4b, "pci_find_ext_capability" },
	{ 0xe774c37, "kthread_create_worker" },
	{ 0x9599dca2, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x641ff586, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x45bbaeb1, "devlink_unregister" },
	{ 0xbe81d8df, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x47a47635, "devm_request_threaded_irq" },
	{ 0xd87de527, "kthread_cancel_delayed_work_sync" },
	{ 0x5ac17a99, "dpll_device_change_ntf" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0x91cdfee5, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x1071af95, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x61b085c4, "call_switchdev_notifiers" },
	{ 0x767df306, "__napi_alloc_skb" },
	{ 0x3619514b, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7116a2b5, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xcf309ef, "ethtool_forced_speed_maps_init" },
	{ 0xd8729ad5, "auxiliary_device_init" },
	{ 0xd0f79a5e, "pci_enable_device_mem" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0x1ee5852c, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd18ae90b, "pci_alloc_irq_vectors" },
	{ 0x7851ec6c, "flow_rule_match_l2tpv3" },
	{ 0xf75cdd75, "netif_napi_add_weight" },
	{ 0x185c2805, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xba0b9c33, "xsk_tx_peek_release_desc_batch" },
	{ 0xde22fbf5, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x297884c2, "dmam_alloc_attrs" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0x85eb9067, "devl_lock" },
	{ 0xe4183924, "pci_dev_put" },
	{ 0x9857ab6b, "xp_fill_cb" },
	{ 0xed20aa8b, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x8a59486f, "ndo_dflt_bridge_getlink" },
	{ 0x110d5c86, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x16a2a8df, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x19a5865d, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x6692afec, "xdp_features_set_redirect_target" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x60bf7d8a, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x230e0c0, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x78e70a9c, "request_firmware" },
	{ 0x34747759, "trace_event_printf" },
	{ 0x3c9495c, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x9da471fd, "flow_rule_match_cvlan" },
	{ 0x5b4f4cd8, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x70cdff13, "devlink_params_unregister" },
	{ 0x9609f503, "dma_sync_single_for_device" },
	{ 0x21887863, "pci_num_vf" },
	{ 0xaecb6fdd, "flow_rule_match_eth_addrs" },
	{ 0x15fd3af0, "skb_add_rx_frag" },
	{ 0xaa753b75, "get_device_system_crosststamp" },
	{ 0xe7ee01c, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x5f6d5ba2, "ptp_clock_index" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa74fa60b, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x31217597, "devlink_alloc_ns" },
	{ 0xb2f6a445, "devl_rate_leaf_destroy" },
	{ 0x8052ee06, "devlink_register" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x8b0bb76f, "xdp_do_redirect" },
	{ 0xb6065a4, "devlink_free" },
	{ 0xdcda42ec, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1b4f270e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x506cf347, "devl_rate_node_create" },
	{ 0x2ab8879f, "netdev_warn" },
	{ 0xc4e8dd9c, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd303ffe1, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2a4962c3, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6a25b888, "pci_irq_vector" },
	{ 0x65dd1297, "flow_rule_match_ipv4_addrs" },
	{ 0x8d1a83fe, "__netif_napi_del" },
	{ 0x4be653d8, "dpll_pin_on_pin_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4490ae01, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xd3e981e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x23659da5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb68e8454, "pskb_expand_head" },
	{ 0xf3a83d2e, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x8ff6d532, "devlink_flash_update_status_notify" },
	{ 0x908529d9, "dev_driver_string" },
	{ 0x3760764a, "pci_restore_msi_state" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0xd2a995fc, "xdp_return_buff" },
	{ 0x415aaf81, "dev_addr_mod" },
	{ 0xfd4dd03d, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x3861a9b, "convert_art_ns_to_tsc" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xf40b5f74, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9f353385, "auxiliary_driver_unregister" },
	{ 0x176cfc0f, "dma_map_page_attrs" },
	{ 0xedb6af44, "napi_complete_done" },
	{ 0xa460ef7a, "switchdev_handle_port_obj_del" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x62a2657d, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7f007846, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x791541df, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a9dbedd, "put_device" },
	{ 0xfc18b431, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0x68de546, "__napi_schedule" },
	{ 0x3992014b, "ipv6_skip_exthdr" },
	{ 0x16b22609, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x681e9c40, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4a449c6d, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x680b6559, "__hw_addr_unsync_dev" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x6007c8b0, "napi_gro_receive" },
	{ 0x8a8ef0d2, "xdp_features_clear_redirect_target" },
	{ 0x61eb447, "netdev_pick_tx" },
	{ 0xc4410213, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x703861c6, "xp_raw_get_dma" },
	{ 0x4cd88844, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x43de7208, "pci_iov_virtfn_devfn" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x2b44250c, "xdp_rxq_info_is_reg" },
	{ 0x48f0cc61, "flow_rule_match_enc_opts" },
	{ 0x6af340a7, "flow_block_cb_setup_simple" },
	{ 0x86586a0e, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xdc6aa8c, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x94a51e72, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xf949e186, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xe4fcda26, "devlink_region_create" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfc58422e, "vlan_dev_real_dev" },
	{ 0xfd3f4022, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xaa7048ce, "devm_kmemdup" },
	{ 0x5468eaf2, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xbfe0f8fa, "devlink_port_unregister" },
	{ 0x56c1e185, "devlink_flash_update_timeout_notify" },
	{ 0x457ef90d, "devm_kfree" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xdadd8594, "init_net" },
	{ 0x9a336f6d, "softnet_data" },
	{ 0xc8448811, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2cb01d08, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x96a5916b, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x661e143c, "xp_dma_sync_for_cpu_slow" },
	{ 0x320274f9, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xdb4cf901, "netif_set_real_num_tx_queues" },
	{ 0x87c2ea60, "__auxiliary_device_add" },
	{ 0x2126c6d9, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x8b872df0, "netif_set_real_num_rx_queues" },
	{ 0x651425ef, "flow_indr_block_cb_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5f95e04b, "pci_wait_for_pending_transaction" },
	{ 0x449aad1a, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4845a78e, "pci_device_is_present" },
	{ 0x9e637e13, "debugfs_remove" },
	{ 0xabba3379, "pci_read_config_word" },
	{ 0xc70930fc, "pcie_flr" },
	{ 0xcf2b7eb7, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x1777e4cc, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xda301532, "dcbnl_ieee_notify" },
	{ 0x91a02bdf, "xsk_uses_need_wakeup" },
	{ 0xbcca2e66, "register_netdev" },
	{ 0x6d2c7cc1, "dev_mc_del" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xcc103646, "free_netdev" },
	{ 0x5b5f067a, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x94b7c3fa, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x908f497e, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfdee2bc8, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xf1ea4501, "netif_tx_stop_all_queues" },
	{ 0xd086861c, "pci_restore_state" },
	{ 0x28373d9b, "bpf_trace_run1" },
	{ 0xb7260ad7, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x20289e68, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xe86e39d8, "dma_sync_single_for_cpu" },
	{ 0x9111de9e, "dcb_getapp" },
	{ 0xe3b0950f, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x20b6fddd, "flow_rule_match_ports" },
	{ 0x231c4417, "dpll_netdev_pin_set" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd450c30f, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xf2f5941a, "netif_schedule_queue" },
	{ 0x11e9ba16, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xc747289f, "pci_set_master" },
	{ 0xa10ef379, "dpll_device_unregister" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "90E497D0D2D97812E514C1D");
