#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_choose_vector, "", "");
KSYMTAB_FUNC(mlx4_release_vector, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x0f45c699, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x9529c2ae, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0xfe1d6e5d, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0xc6eb0255, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0xd6ad84d3, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0x7546cedb, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x7bc87f0c, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x1157d11d, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0x9df64183, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x4b1fec19, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x69b0074d, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0x75131622, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0xa1fcdf73, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0xa833fcc2, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0x70d5e19e, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x32dd9dcb, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x3ded74b3, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0xb0a8c580, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x91c5fb90, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0xa216756a, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x7e7d904e, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x4d67ea8c, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0x49f07c0d, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x8227f8bc, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0xa1383c04, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x36bbf600, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x51800a83, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x11d7211c, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0xbc5fb70c, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0xa1309340, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0xd81deabb, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0x9665c4e1, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0xd52abfb7, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0x4842261b, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0xd004519e, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x60a4b2ae, "");
SYMBOL_CRC(mlx4_test_async, 0x0f2ec08a, "");
SYMBOL_CRC(mlx4_test_interrupt, 0xd818074a, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x142470fc, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0xd24b579b, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0x159fd4ae, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x3ee9d116, "");
SYMBOL_CRC(mlx4_assign_eq, 0xc420f52e, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0xfc6968e2, "");
SYMBOL_CRC(mlx4_release_eq, 0x54023597, "");
SYMBOL_CRC(mlx4_choose_vector, 0x9c594215, "");
SYMBOL_CRC(mlx4_release_vector, 0x7827ed57, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x5712ba8c, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0xacd128aa, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0xeb6010bf, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0xbfd6594d, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0xf75e0791, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x249bdcdf, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0xcd895822, "");
SYMBOL_CRC(mlx4_wol_read, 0x64411261, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0xd56057c7, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x32788e08, "_gpl");
SYMBOL_CRC(get_phv_bit, 0x95e129ac, "");
SYMBOL_CRC(set_phv_bit, 0x83f826db, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0xb08ee8c9, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x53ff3d4b, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x9919917f, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0x4a732978, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x840ffdba, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x2b283410, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0xe13bc801, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0xcfa8bd5c, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x23da1363, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0x1955a7be, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0xaa0ee26c, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0x4a0165bf, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0x59f64422, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0xfa2ede21, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0xf5dea014, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0xfb1fb697, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x43ed047b, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x88b56863, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0x547020ba, "");
SYMBOL_CRC(mlx4_read_clock, 0x62867059, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0xd90e690d, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0xd83b0e02, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x0d0c898f, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0xde9f1365, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x4f154034, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0xbd3fe7ee, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0x586a328b, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x685aa06e, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x870e49ac, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x90785bf4, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x99771c11, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0x27fd487e, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0x752302e7, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0xa961a943, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x39f0c677, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0xd3c11a5c, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0xa0aae65f, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0x008f93b3, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0xc04c06f9, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x1bf594be, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0xc29184b9, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x7683f297, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x7fcce193, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0x302dc6c3, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0xd811146d, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0xcd4a4683, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0xcad238df, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x3af6f9dd, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0x7d2aa6ae, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x47aedf0d, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0xc6cb2866, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0x38091cc2, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0xc87e0add, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0xee63b777, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x82531b36, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0x97bf8a42, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0x7b5afca9, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0x8c57a680, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0x37805612, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0xff3d19db, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0x26fdaf04, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x1cde31a3, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0xa37a7db9, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0xe48fc29a, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x0b525ed9, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0xc683b076, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0x5b170e6c, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0xd5715796, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x7f9aef14, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0xe8d5e739, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0xbacacd5e, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x01373e92, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0xf018754c, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0x7942c596, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x491be27d, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0xc8c38c42, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0xbbb88eb5, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0xd67a1aa5, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x218bea83, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0xd5c5ab36, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x39829476, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0x85dfdd8a, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0xeaa14e0d, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x30faaf6e, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x368e5269, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0xa848aeac, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x957054cd, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0xf56fda86, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0x427ee31f, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0x8425b310, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0xe9bec5ab, "");
SYMBOL_CRC(mlx4_get_module_info, 0x431641d5, "");
SYMBOL_CRC(mlx4_max_tc, 0xca7cffab, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x7e776b68, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x515b36ea, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0xc6b9e1ef, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0x8fa7fb26, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x39523397, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0x795e13c9, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0xe994563a, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0xa216d36b, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0xe7684b05, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0xb4f68755, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0xbf67b52a, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x06ac81c0, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0xa64bff74, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x29e5e7c5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x5f41e5c1, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9f353385, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdd7d8b23, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x62a2657d, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a9dbedd, "put_device" },
	{ 0x8a262019, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x8b46a3e5, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x4a449c6d, "__free_pages" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9ec59b8b, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x57bc19d2, "down_write" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xdadd8594, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x87c2ea60, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x528312df, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7157bbeb, "dma_alloc_attrs" },
	{ 0xabba3379, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0xf1e046cc, "panic" },
	{ 0xdd05666e, "devl_params_register" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd086861c, "pci_restore_state" },
	{ 0x20289e68, "device_del" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xe86e39d8, "dma_sync_single_for_cpu" },
	{ 0xb6a44e62, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x11e9ba16, "__alloc_pages" },
	{ 0xc747289f, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x270e8b15, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x10121276, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa32e3f01, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x5de01362, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0x1f4063ab, "pci_release_regions" },
	{ 0x9910ecc1, "devl_assert_locked" },
	{ 0x80584309, "pcie_print_link_status" },
	{ 0xe5c09172, "alloc_pages" },
	{ 0xa56b447d, "devl_port_unregister" },
	{ 0x870f3ab2, "devl_param_driverinit_value_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7955863a, "devlink_priv" },
	{ 0xb84db59a, "pci_disable_sriov" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xe0674dad, "pci_disable_msix" },
	{ 0x12541d7e, "pci_disable_device" },
	{ 0xbe63e7e9, "boot_cpu_data" },
	{ 0x215c3120, "dma_set_mask" },
	{ 0x1feb4c92, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x53c54541, "dma_unmap_sg_attrs" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0x4aac5cd7, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe83a9527, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcd42fdf5, "pci_write_config_dword" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x479e88a, "device_remove_file" },
	{ 0xe2dd851a, "dma_map_sg_attrs" },
	{ 0xd850ffee, "devl_param_value_changed" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb7a24f31, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6f0ab839, "pcie_capability_write_word" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x35fe71a, "devl_region_create" },
	{ 0x45bbaeb1, "devlink_unregister" },
	{ 0xdf961d2f, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf5583990, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd8729ad5, "auxiliary_device_init" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xde448c65, "devlink_region_snapshot_id_get" },
	{ 0x85eb9067, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x96848186, "scnprintf" },
	{ 0x5b4f4cd8, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x9609f503, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x21887863, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf6b26f07, "param_array_ops" },
	{ 0x95363ee4, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31217597, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x75b42e11, "pci_sriov_get_totalvfs" },
	{ 0x8052ee06, "devlink_register" },
	{ 0xabb65927, "devlink_port_type_clear" },
	{ 0x73641259, "pcpu_hot" },
	{ 0xb6065a4, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x510e61ef, "param_ops_byte" },
	{ 0x5208d4f4, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xd3e981e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "35787BC7FF668B4C7108D93");
