#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get_low, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_put_low, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_query_cong_counter, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(__SCT__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x1160fd1b, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0xd7e03a23, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x2c181cab, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xb373b45b, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x9a058bca, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x9c24e6b0, "");
SYMBOL_CRC(mlx5_cmd_check, 0x5e7f6fa5, "");
SYMBOL_CRC(mlx5_cmd_do, 0x0953b2be, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x7437ddb6, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x43ad7abb, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x15ff9325, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0xbfd6b5a5, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0xea7f945b, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x5ead3bdb, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0xdf6422f6, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0xa77826d6, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0xecd3ba0f, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0xf9448d80, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x1bc5cb27, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x56f9a230, "");
SYMBOL_CRC(mlx5_eq_enable, 0x267f2804, "");
SYMBOL_CRC(mlx5_eq_disable, 0x402df3dc, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xeae953e0, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0xb75fe2e5, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x2ee46095, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x96ba916d, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x8d2ff11c, "");
SYMBOL_CRC(mlx5_comp_eqn_get_low, 0x2a90f0ba, "");
SYMBOL_CRC(mlx5_comp_eqn_put_low, 0x4dcf8c91, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x570cea23, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x9522a1d3, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xcaf72baa, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x75238507, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x55aefda7, "");
SYMBOL_CRC(mlx5_put_uars_page, 0xf8f97261, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0x7506ead6, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x604a2455, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0xc8709500, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x080401f7, "");
SYMBOL_CRC(mlx5_create_cq, 0x481e4199, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x7b4fdd08, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x6d6c59c6, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x7d14f848, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x6849b1f8, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x9f476624, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0xfad3f151, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x7abc578b, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xc3ae6f54, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x1592b310, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x047bb333, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xd36fdc50, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x0e7326f6, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0xc1e70d4d, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x10d769e8, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x07e8a84f, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x75ec54ad, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xb1f5acd9, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x7009d7f5, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x06a4963b, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xe1f95551, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x3279b1b6, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x61626df3, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x43fe1c8e, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x0ccd596c, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0xb32f7c2d, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0xb0b5b5f5, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x8599a554, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x4c8c30d5, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x95fe2f32, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x4b53f504, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x8da27bf6, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x22ef0ea3, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x4f42f4a9, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x22c0ff4c, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0xae6d4ac4, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0xd0fd377c, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x9ef8c5f2, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x0d619adb, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x0316aba8, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x21e267f8, "");
SYMBOL_CRC(mlx5_core_create_psv, 0xb3488a65, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x07ada28e, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0xe3d85e6e, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x924243d8, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x1a0107e9, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x00fd54df, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x911f9e5f, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x3d973d59, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x2bf0addf, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xe83a0eb2, "");
SYMBOL_CRC(mlx5_core_query_rq, 0xbd64bb82, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x48870dc9, "");
SYMBOL_CRC(mlx5_core_query_sq, 0xde131b94, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xf7a89810, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x484d9caa, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xd387ef49, "");
SYMBOL_CRC(mlx5_core_create_tis, 0xbcfa5e5b, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x57c5b9ad, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x7c746c81, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x48f0c56f, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0xfbb54b4a, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x6b860218, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x770db961, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0xecf5abaf, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xafe29f77, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0xadd6319b, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x1e5d5049, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xeffe119d, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0xb5bac748, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x6d5db52f, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x520602e1, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0xe6572499, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x6ea89709, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x7a8a452b, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x7d99c6a2, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x3ab241b4, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x6c2506bf, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x291ef9c8, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x92a1aeba, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x737bfea9, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x0f56ff84, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xd67b3851, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xdf387a0d, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x0af253e5, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x8ab9512a, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x28df258d, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x5630ec4e, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x5b1fb8af, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x6e1876cd, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x0dd0c170, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x4154a73b, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x9f2c5044, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x77694c78, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x23bb3f50, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xa85e04b7, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xe5ad0cad, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x888a2246, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x5c6e2b0d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x2652777a, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xafc29d8e, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xcc002b85, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x21ab41ff, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x4b828d9f, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x4626a96e, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x4ef15fb9, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x5eb6cc38, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x02eab93f, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0xa0709ce7, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x6bbfec8a, "");
SYMBOL_CRC(mlx5_msix_alloc, 0xe46ddf20, "");
SYMBOL_CRC(mlx5_msix_free, 0xf054df35, "");
SYMBOL_CRC(mlx5_fc_create, 0x9badb48f, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0xbc0270d2, "");
SYMBOL_CRC(mlx5_fc_query, 0x92bba7e1, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x68b93019, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xab33657d, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x3263739c, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x2331302d, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0xc0c1eed5, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0xc1107e89, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x49c70633, "");
SYMBOL_CRC(mlx5_cmd_query_cong_counter, 0x4c8f11cd, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x74036ac6, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x5cb99f64, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xeec736cf, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x5ab2ce98, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x02f12267, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x1ec8def7, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0x7b8592af, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x42d5ab2a, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xc0498053, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0xf6ef638b, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x1adcdffb, "");
SYMBOL_CRC(mlx5_notifier_register, 0x70edf49a, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x4ac72a3e, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x68fa087a, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0xa0b27ff2, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0xc6be3243, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0xe4c53ad4, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0xd6776588, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x195b7133, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x50908415, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xab521f6e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x0ec0bdef, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_ft, 0xb4e976bb, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xf98433d6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xd020dd1f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0xa7d40a2c, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_ft, 0xe30fb2a8, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x317fc587, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x6f2ffc7d, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_fg, 0x9d36ddd0, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0x986b7244, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xc63b4bbe, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fg, 0xcad019c3, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0x92d03f13, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x61645506, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0xcfe67428, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_set_fte, 0xb06c0bfd, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x0b2b87d7, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x30eaf0d1, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0x561dccec, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_fte, 0xacfe8a18, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xeb017eeb, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x9e31c9ec, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0x5a57a184, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_add_rule, 0xdb622108, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x5ed3755d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x5ed395f6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0xef85aa32, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fs_del_rule, 0x62dc190a, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x8f710341, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x9b95adfc, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0xc802989d, "");
SYMBOL_CRC(__SCT__tp_func_mlx5_fw, 0xdfbc08aa, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0xd41bca84, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0xa00f0a2e, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x9bdab215, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x3a9c3d9c, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0xb06ea992, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0xa9c031e9, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x9befe912, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x336289a9, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x49929aec, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x8e817e59, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0xa1cbdedd, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0xfc94c59a, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x23dec59a, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x7d6bab40, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x050c106e, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0xf62ff00a, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x630fca70, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x07b8023d, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xdd529c60, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x1b82b4e9, "");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0xba5ede69, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x824238be, "__pskb_pull_tail" },
	{ 0x32b7ebbe, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x4f2ad77a, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x8089e44c, "devlink_trap_report" },
	{ 0x9b864854, "__neigh_event_send" },
	{ 0x1790b0cd, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xb45495a8, "dev_printk_emit" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x33901317, "devl_traps_register" },
	{ 0x10121276, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xf7549f75, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa32e3f01, "dma_set_coherent_mask" },
	{ 0x20a9e9ef, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xf7e162d5, "pv_ops" },
	{ 0x3145026f, "flow_rule_match_enc_control" },
	{ 0x822cf32a, "bpf_trace_run3" },
	{ 0xf77ab6d, "seq_read" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x7239b7e, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xb1ed295e, "debugfs_create_file" },
	{ 0xe8878363, "rps_may_expire_flow" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xb3d5c4bf, "xsk_set_tx_need_wakeup" },
	{ 0xb75298da, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc10eeb28, "netdev_reset_tc" },
	{ 0xca91e7bd, "neigh_destroy" },
	{ 0x5de01362, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xb34f7ecd, "debugfs_create_x32" },
	{ 0x72aa42e5, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x50ed478, "flow_rule_match_enc_ports" },
	{ 0xe8c2d93f, "xdp_return_frame_bulk" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0x1f4063ab, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xeaaee418, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x9910ecc1, "devl_assert_locked" },
	{ 0x80584309, "pcie_print_link_status" },
	{ 0xb6d2fa70, "xp_set_rxq_info" },
	{ 0xd9351850, "flow_rule_match_vlan" },
	{ 0xe5c09172, "alloc_pages" },
	{ 0xa56b447d, "devl_port_unregister" },
	{ 0x6a5a8bf0, "xdp_rxq_info_unreg" },
	{ 0x3fde4a4d, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x870f3ab2, "devl_param_driverinit_value_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xaf390dff, "napi_build_skb" },
	{ 0x362b66f0, "netdev_master_upper_dev_get_rcu" },
	{ 0x8aa4c1e1, "__folio_put" },
	{ 0x77a226bb, "__xdp_rxq_info_reg" },
	{ 0xb821145e, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd68e7f29, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x41fccf70, "bpf_prog_inc" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3ade16b7, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0xde478dc4, "netif_carrier_off" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0x66615488, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7955863a, "devlink_priv" },
	{ 0x854a65ac, "devlink_port_register_with_ops" },
	{ 0xb84db59a, "pci_disable_sriov" },
	{ 0x4e3c30cb, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xda86e943, "dst_release" },
	{ 0xe042f87b, "netif_carrier_on" },
	{ 0x629a44b7, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xe5b671b1, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc814406b, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x12541d7e, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0xbe63e7e9, "boot_cpu_data" },
	{ 0x6d073985, "seq_puts" },
	{ 0xa40254a0, "xp_free" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x11108e9e, "page_pool_update_nid" },
	{ 0x341ee2bd, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x215c3120, "dma_set_mask" },
	{ 0x1feb4c92, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x12ea625c, "netif_set_tso_max_size" },
	{ 0x2d58ffb9, "vlan_dev_vlan_id" },
	{ 0x8ef46581, "__skb_flow_dissect" },
	{ 0xc9e276a6, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x363e898f, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xf12c8f5b, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x8ed70041, "xp_raw_get_data" },
	{ 0x368e46a3, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0xdde02604, "napi_schedule_prep" },
	{ 0x76b59aa7, "qdisc_reset" },
	{ 0xc13b03a3, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x37a681e6, "xp_alloc_batch" },
	{ 0xec095e18, "flow_rule_match_mpls" },
	{ 0x754d539c, "strlen" },
	{ 0x11e1e18, "napi_disable" },
	{ 0x977e7413, "dev_kfree_skb_any_reason" },
	{ 0xdedf6dfd, "dcb_ieee_delapp" },
	{ 0x81b3b6a1, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xedc1452a, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x71acc0c7, "debugfs_create_u8" },
	{ 0x2c9f77fa, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x349cba85, "strchr" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x83f63baa, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd0f9032a, "skb_ext_add" },
	{ 0xf248a250, "pcie_bandwidth_available" },
	{ 0x920cd9ad, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x2151367a, "flow_rule_match_control" },
	{ 0x2ba36371, "flow_rule_match_ip" },
	{ 0xe83a9527, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xee33382c, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x75691553, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xda661f89, "xsk_tx_release" },
	{ 0xfadd47e1, "devl_traps_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6032eb6d, "pci_iov_get_pf_drvdata" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcd42fdf5, "pci_write_config_dword" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x17ca30b3, "netdev_info" },
	{ 0xf6112000, "neigh_lookup" },
	{ 0xeeea0800, "kmem_cache_destroy" },
	{ 0xf1b9297d, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1976fee7, "__tracepoint_xdp_exception" },
	{ 0xb154e377, "__inet_lookup_established" },
	{ 0x21770c6, "xsk_tx_completed" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x5482639f, "alloc_etherdev_mqs" },
	{ 0xa4aaecbc, "netdev_lower_get_next" },
	{ 0x12e6b203, "secpath_set" },
	{ 0x82916c3b, "flow_block_cb_lookup" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb7a24f31, "pci_save_state" },
	{ 0xebf54289, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc011f482, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb8e7e1aa, "xp_alloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x69b0375d, "pcie_capability_read_word" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7fba5d81, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9599dca2, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8214e6d7, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd24ceb64, "pci_cfg_access_unlock" },
	{ 0x641ff586, "xp_dma_map" },
	{ 0x5755a06e, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x45bbaeb1, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xbe81d8df, "skb_copy_bits" },
	{ 0xcbb89af8, "debugfs_attr_write" },
	{ 0xdf961d2f, "dma_pool_create" },
	{ 0x91bf7854, "param_ops_uint" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc6c663, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf5583990, "pci_enable_device" },
	{ 0x1f629a95, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x1071af95, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x61b085c4, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x767df306, "__napi_alloc_skb" },
	{ 0x3619514b, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x87d52dd9, "register_fib_notifier" },
	{ 0xd8729ad5, "auxiliary_device_init" },
	{ 0xe99b05c9, "ip6_dst_hoplimit" },
	{ 0xfa220970, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1ee5852c, "flow_rule_match_enc_ip" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xd18ae90b, "pci_alloc_irq_vectors" },
	{ 0xf75cdd75, "netif_napi_add_weight" },
	{ 0xd703eb5d, "pci_enable_atomic_ops_to_root" },
	{ 0x8617d8d5, "seq_release" },
	{ 0xc2b2bc98, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xb210067a, "xsk_clear_tx_need_wakeup" },
	{ 0xf078f0c5, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x85eb9067, "devl_lock" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xed20aa8b, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x8a59486f, "ndo_dflt_bridge_getlink" },
	{ 0x110d5c86, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xf6ac632b, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x665c5188, "flow_rule_match_tcp" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xddbe3524, "register_netdevice_notifier_dev_net" },
	{ 0x230e0c0, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x34747759, "trace_event_printf" },
	{ 0xb9dbc5c3, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9da471fd, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x5b4f4cd8, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x9609f503, "dma_sync_single_for_device" },
	{ 0x7348a74b, "xdp_rxq_info_unused" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x21887863, "pci_num_vf" },
	{ 0x36370f04, "debugfs_create_atomic_t" },
	{ 0xaecb6fdd, "flow_rule_match_eth_addrs" },
	{ 0x15fd3af0, "skb_add_rx_frag" },
	{ 0x971ffc3a, "xfrm_state_check_expire" },
	{ 0xe7ee01c, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x5f6d5ba2, "ptp_clock_index" },
	{ 0x95363ee4, "pci_request_regions" },
	{ 0x2b81a9e2, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0x5ddcfc40, "flow_block_cb_free" },
	{ 0x9cdb8409, "devl_port_fn_devlink_set" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa74fa60b, "xp_can_alloc" },
	{ 0x1847f606, "psample_sample_packet" },
	{ 0xc387f284, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x31217597, "devlink_alloc_ns" },
	{ 0xb2f6a445, "devl_rate_leaf_destroy" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x75b42e11, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x8052ee06, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xf4fe1d3f, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x598d312b, "seq_lseek" },
	{ 0xa9619034, "page_pool_destroy" },
	{ 0x8b0bb76f, "xdp_do_redirect" },
	{ 0x50f6bb06, "__put_devmap_managed_page_refs" },
	{ 0xb6065a4, "devlink_free" },
	{ 0x82405a5e, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1b4f270e, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x2ab8879f, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xc4e8dd9c, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2a4962c3, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x6a25b888, "pci_irq_vector" },
	{ 0x65dd1297, "flow_rule_match_ipv4_addrs" },
	{ 0xcb9786f9, "ip_route_output_flow" },
	{ 0x8d1a83fe, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0x9eabf9c4, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x642fa16e, "sock_gen_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xd3e981e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x23659da5, "netdev_err" },
	{ 0x905b376b, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x775b336f, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x908529d9, "dev_driver_string" },
	{ 0x59d8d855, "netdev_port_same_parent_id" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0x415aaf81, "dev_addr_mod" },
	{ 0xfd4dd03d, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x13bc7a0b, "ptp_find_pin" },
	{ 0xf40b5f74, "eth_type_trans" },
	{ 0x5f41e5c1, "pci_read_config_dword" },
	{ 0x51a5e982, "request_firmware_direct" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x10612b7, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9f353385, "auxiliary_driver_unregister" },
	{ 0x176cfc0f, "dma_map_page_attrs" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0xedb6af44, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x394fd3dc, "devlink_port_attrs_pci_vf_set" },
	{ 0x62a2657d, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf3e1076e, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x6a9dbedd, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0x68de546, "__napi_schedule" },
	{ 0xeaca1be9, "devlink_port_health_reporter_create" },
	{ 0xe5addf42, "pcie_relaxed_ordering_enabled" },
	{ 0x16b22609, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x8b46a3e5, "kmalloc_node_trace" },
	{ 0xd039f698, "devlink_port_attrs_pci_pf_set" },
	{ 0x681e9c40, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x6527dc4c, "netif_device_detach" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4a449c6d, "__free_pages" },
	{ 0x4830bf71, "kmem_cache_alloc" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x5091f41f, "skb_vlan_pop" },
	{ 0x6007c8b0, "napi_gro_receive" },
	{ 0x7d444937, "netif_device_attach" },
	{ 0x528479e9, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x61eb447, "netdev_pick_tx" },
	{ 0xc4410213, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x703861c6, "xp_raw_get_dma" },
	{ 0x4cd88844, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x2b44250c, "xdp_rxq_info_is_reg" },
	{ 0x48f0cc61, "flow_rule_match_enc_opts" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc2c5802, "work_busy" },
	{ 0x8e34ae5c, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x14d4c638, "free_fib_info" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0x8c297ef4, "devl_health_reporter_create" },
	{ 0x6af340a7, "flow_block_cb_setup_simple" },
	{ 0x86586a0e, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xdc6aa8c, "flow_rule_match_basic" },
	{ 0x7d51727, "unregister_netdevice_notifier_dev_net" },
	{ 0xd8b353f3, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x6ae6e7b1, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x657c67bf, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x406ebaf8, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfc58422e, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x5468eaf2, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xda3cd6cf, "__dev_get_by_index" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xbfe0f8fa, "devlink_port_unregister" },
	{ 0xb123138d, "dev_get_port_parent_id" },
	{ 0x57bc19d2, "down_write" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xdadd8594, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x9a336f6d, "softnet_data" },
	{ 0xf164a6aa, "ipv6_stub" },
	{ 0xc8448811, "simple_open" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2cb01d08, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x378487c, "simple_attr_release" },
	{ 0x96a5916b, "ptp_clock_register" },
	{ 0x5e0de367, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x661e143c, "xp_dma_sync_for_cpu_slow" },
	{ 0x51b36982, "xsk_tx_peek_desc" },
	{ 0x320274f9, "hwmon_device_register_with_info" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0xdb4cf901, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x87c2ea60, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x69d7c274, "irq_get_irq_data" },
	{ 0x42904fee, "dev_remove_pack" },
	{ 0x8b872df0, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x91ba374f, "dev_get_by_index" },
	{ 0x4832181f, "bpf_trace_run5" },
	{ 0x651425ef, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xa7f0870d, "skb_store_bits" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x528312df, "devl_port_register_with_ops" },
	{ 0x2526a0f6, "dev_get_by_index_rcu" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0x96dda744, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe836fbe8, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf5f300, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x7fdcc276, "kmem_cache_free" },
	{ 0x7157bbeb, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x9e637e13, "debugfs_remove" },
	{ 0xabba3379, "pci_read_config_word" },
	{ 0xcf2b7eb7, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1777e4cc, "xsk_clear_rx_need_wakeup" },
	{ 0xed43842c, "unregister_netdevice_notifier_net" },
	{ 0x91a02bdf, "xsk_uses_need_wakeup" },
	{ 0xbcca2e66, "register_netdev" },
	{ 0x8e24264b, "unregister_fib_notifier" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xd3f1743b, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x9d8240a0, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcc103646, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0x942e1c2d, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdd05666e, "devl_params_register" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x94b7c3fa, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x908f497e, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb6e2ca56, "__ethtool_get_link_ksettings" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfdee2bc8, "__SCK__tp_func_xdp_exception" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xd086861c, "pci_restore_state" },
	{ 0x28373d9b, "bpf_trace_run1" },
	{ 0x6edefbd9, "__inet6_lookup_established" },
	{ 0xb7260ad7, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x20289e68, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xb19b445, "ioread8" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xe86e39d8, "dma_sync_single_for_cpu" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x90b5ccf4, "page_pool_create" },
	{ 0x9ebd3f8d, "skb_checksum" },
	{ 0xb6a44e62, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x20b6fddd, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x67b51f36, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf1052c1f, "devl_resources_unregister" },
	{ 0xd450c30f, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xf2f5941a, "netif_schedule_queue" },
	{ 0x11e9ba16, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0xc747289f, "pci_set_master" },
	{ 0xda46ca01, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x62b8f890, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf52c6cf6, "flow_rule_match_ipv6_addrs" },
	{ 0xabecf224, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x270e8b15, "devl_params_unregister" },
	{ 0x2982e6c9, "ptp_clock_unregister" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "pci-hyperv-intf,tls,psample,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.eth");
MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "CBCD70544B0A1045AD9C9ED");
