#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x415aaf81, "dev_addr_mod" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd3e981e, "pci_unregister_driver" },
	{ 0x37a0cba, "kfree" },
	{ 0x24495aa7, "device_wakeup_disable" },
	{ 0x73641259, "pcpu_hot" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x11e1e18, "napi_disable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6527dc4c, "netif_device_detach" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x176cfc0f, "dma_map_page_attrs" },
	{ 0x7b919e09, "skb_clone_tx_timestamp" },
	{ 0x1071af95, "skb_tstamp_tx" },
	{ 0x908529d9, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf5583990, "pci_enable_device" },
	{ 0xc747289f, "pci_set_master" },
	{ 0x5482639f, "alloc_etherdev_mqs" },
	{ 0x95363ee4, "pci_request_regions" },
	{ 0x215c3120, "dma_set_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0x7157bbeb, "dma_alloc_attrs" },
	{ 0xf75cdd75, "netif_napi_add_weight" },
	{ 0xbcca2e66, "register_netdev" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xb7260ad7, "netif_tx_wake_queue" },
	{ 0xdde02604, "napi_schedule_prep" },
	{ 0x68de546, "__napi_schedule" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc91ed8d9, "phy_stop" },
	{ 0xc9df9665, "phy_disconnect" },
	{ 0x4f2ad77a, "__netdev_alloc_skb" },
	{ 0x1f629a95, "skb_put" },
	{ 0xf40b5f74, "eth_type_trans" },
	{ 0x44425efd, "netif_receive_skb" },
	{ 0xedb6af44, "napi_complete_done" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xde478dc4, "netif_carrier_off" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x44ef42e0, "phy_start" },
	{ 0xcf2b7eb7, "napi_enable" },
	{ 0x7d444937, "netif_device_attach" },
	{ 0x1496bdd7, "eth_mac_addr" },
	{ 0xdcda42ec, "eth_validate_addr" },
	{ 0x35d16e6d, "phy_do_ioctl_running" },
	{ 0xbe57e8a1, "phy_ethtool_nway_reset" },
	{ 0x94b7c3fa, "ethtool_op_get_link" },
	{ 0xbcb4244d, "ethtool_op_get_ts_info" },
	{ 0x517e41dc, "phy_ethtool_get_link_ksettings" },
	{ 0x54f1d2fa, "phy_ethtool_set_link_ksettings" },
	{ 0x91bf7854, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5b4f4cd8, "__pci_register_driver" },
	{ 0x714c1b89, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x15423fb4, "__mdiobus_register" },
	{ 0xca61a006, "mdiobus_get_phy" },
	{ 0x979fc823, "phy_connect" },
	{ 0x83e7df93, "phy_set_max_speed" },
	{ 0xf6653e88, "phy_support_asym_pause" },
	{ 0x1864552f, "phy_attached_info" },
	{ 0x23659da5, "netdev_err" },
	{ 0x81f0cfdc, "mdiobus_unregister" },
	{ 0x4cd89ce1, "mdiobus_free" },
	{ 0x2ab8879f, "netdev_warn" },
	{ 0x230e0c0, "dma_unmap_page_attrs" },
	{ 0x977e7413, "dev_kfree_skb_any_reason" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf7549f75, "__dynamic_netdev_dbg" },
	{ 0x17ca30b3, "netdev_info" },
	{ 0xc6a4ff9b, "mdiobus_read" },
	{ 0xf9a482f9, "msleep" },
	{ 0x110d5c86, "unregister_netdev" },
	{ 0x5de01362, "dma_free_attrs" },
	{ 0xedc03953, "iounmap" },
	{ 0x1f4063ab, "pci_release_regions" },
	{ 0xcc103646, "free_netdev" },
	{ 0x12541d7e, "pci_disable_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001055d0000E420sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "04220180EFF04CA6DF7ADFB");
