#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x0d2ed9f0, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0xf24499a7, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x7a89f77e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1cdc765a, "netif_stacked_transfer_operstate" },
	{ 0xb7c72941, "linkwatch_fire_event" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x6c46e1c5, "netdev_rx_handler_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd338aaec, "skb_ensure_writable_head_tail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbac9768f, "gro_cells_init" },
	{ 0x415aaf81, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf5f300, "skb_push" },
	{ 0x1f629a95, "skb_put" },
	{ 0x35da7326, "crypto_aead_encrypt" },
	{ 0x3f23eedf, "skb_copy_expand" },
	{ 0xda86e943, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x824238be, "__pskb_pull_tail" },
	{ 0xc7ed8c8e, "skb_trim" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7297fcae, "netdev_rx_handler_unregister" },
	{ 0xe035c4e3, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xde478dc4, "netif_carrier_off" },
	{ 0x5d3f8d9, "dev_mc_unsync" },
	{ 0x8b03f215, "dev_uc_unsync" },
	{ 0x3c9495c, "dev_uc_del" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf6e770ee, "dev_uc_add" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xe042f87b, "netif_carrier_on" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5156fd10, "genlmsg_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3fe48c3a, "rtnl_link_register" },
	{ 0x5a71b544, "genl_register_family" },
	{ 0x92beaee1, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x87fe483, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x33f38432, "crypto_alloc_aead" },
	{ 0xf960a4a4, "crypto_aead_setkey" },
	{ 0x26439613, "crypto_aead_setauthsize" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0x2b81a9e2, "___pskb_trim" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd912ffa1, "skb_clone" },
	{ 0x53566a05, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x500333e6, "ether_setup" },
	{ 0xa2094ed5, "metadata_dst_free" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0xcc6d90d2, "dev_mc_sync" },
	{ 0x425eea45, "dev_uc_sync" },
	{ 0xd883028c, "dev_set_allmulti" },
	{ 0x622061f0, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xda75f552, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbcbe73ad, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xaa683f3a, "skb_to_sgvec" },
	{ 0x7e8f03bb, "crypto_aead_decrypt" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0xb0747ae0, "skb_copy" },
	{ 0x73641259, "pcpu_hot" },
	{ 0xb75298da, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf40b5f74, "eth_type_trans" },
	{ 0x20503de9, "gro_cells_receive" },
	{ 0xda3cd6cf, "__dev_get_by_index" },
	{ 0xff759055, "register_netdevice" },
	{ 0x50968999, "netdev_upper_dev_link" },
	{ 0xf4352763, "netdev_upper_dev_unlink" },
	{ 0xfc9af44c, "unregister_netdevice_queue" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4e3c30cb, "metadata_dst_alloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5B4F6605ACAFA5C517A095A");
