#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xd4444d8f, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x87db5a21, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xc49fecad, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xee00d281, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xfc9af44c, "unregister_netdevice_queue" },
	{ 0xf4352763, "netdev_upper_dev_unlink" },
	{ 0x415aaf81, "dev_addr_mod" },
	{ 0xf6e770ee, "dev_uc_add" },
	{ 0xe035c4e3, "dev_set_mtu" },
	{ 0x21b83006, "netif_inherit_tso_max" },
	{ 0xfa220970, "netdev_update_features" },
	{ 0x1cdc765a, "netif_stacked_transfer_operstate" },
	{ 0x5ccd89d0, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xd912ffa1, "skb_clone" },
	{ 0x4d1e8619, "netif_rx" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe9ab57c9, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf7e162d5, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xb75298da, "__dev_queue_xmit" },
	{ 0xbc13dda9, "dev_forward_skb" },
	{ 0x3c08530b, "netpoll_send_skb" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x53566a05, "__netif_rx" },
	{ 0x26463164, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xead61eaa, "netdev_core_stats_inc" },
	{ 0xda3cd6cf, "__dev_get_by_index" },
	{ 0xff759055, "register_netdevice" },
	{ 0x50968999, "netdev_upper_dev_link" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb7c72941, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x425eea45, "dev_uc_sync" },
	{ 0xcc6d90d2, "dev_mc_sync" },
	{ 0x6a9845a1, "passthru_features_check" },
	{ 0xdcda42ec, "eth_validate_addr" },
	{ 0x198b651e, "ndo_dflt_fdb_dump" },
	{ 0x94b7c3fa, "ethtool_op_get_link" },
	{ 0xd1679f39, "eth_header_parse" },
	{ 0x5ad774a6, "eth_header_cache" },
	{ 0x30bc7743, "eth_header_cache_update" },
	{ 0x89b334fb, "eth_header_parse_protocol" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x500333e6, "ether_setup" },
	{ 0xb6e2ca56, "__ethtool_get_link_ksettings" },
	{ 0xbbaf7950, "ethtool_get_ts_info_by_layer" },
	{ 0xdadd8594, "init_net" },
	{ 0x5340dd2f, "generic_hwtstamp_set_lower" },
	{ 0xd6e6a223, "generic_hwtstamp_get_lower" },
	{ 0x6d2c7cc1, "dev_mc_del" },
	{ 0x3c9495c, "dev_uc_del" },
	{ 0x5364e636, "dev_mc_add_excl" },
	{ 0xe9505966, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x4fbf85d8, "__netpoll_free" },
	{ 0xde3378c8, "vlan_vid_del" },
	{ 0xe90f7468, "vlan_vid_add" },
	{ 0xd883028c, "dev_set_allmulti" },
	{ 0x622061f0, "dev_set_promiscuity" },
	{ 0x8b03f215, "dev_uc_unsync" },
	{ 0x5d3f8d9, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7297fcae, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0x93327508, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3fe48c3a, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x92beaee1, "rtnl_link_unregister" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x60676ee0, "netdev_is_rx_handler_busy" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x6c46e1c5, "netdev_rx_handler_register" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd1ca8031, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "561823CBC376ECFB7A915EA");
