#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb0d0e009, "__mdiobus_read" },
	{ 0xbd575063, "bcm_phy_read_exp" },
	{ 0x8921e463, "bcm_phy_write_exp" },
	{ 0x3906c14b, "bcm_phy_get_sset_count" },
	{ 0x4e71ef14, "bcm_ptp_probe" },
	{ 0xf691999f, "devm_gpiod_get" },
	{ 0x442313d9, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0x47a47635, "devm_request_threaded_irq" },
	{ 0xb568824b, "device_set_wakeup_capable" },
	{ 0xeaf71a59, "device_wakeup_enable" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xe54c4503, "bcm_ptp_stop" },
	{ 0xa78d06e0, "bcm_ptp_config_init" },
	{ 0x8a00449b, "pm_wakeup_dev_event" },
	{ 0x216df67e, "genphy_resume" },
	{ 0x3790204d, "genphy_soft_reset" },
	{ 0xeda48e0a, "bcm_phy_config_intr" },
	{ 0x2e3b6048, "bcm_phy_handle_interrupt" },
	{ 0xcf6ea47c, "bcm_phy_get_strings" },
	{ 0xf4c6d2c8, "bcm_phy_led_brightness_set" },
	{ 0xfd8acf09, "genphy_suspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9f81a77, "phy_drivers_register" },
	{ 0xc6a4ff9b, "mdiobus_read" },
	{ 0xf2cc7ab, "genphy_read_status" },
	{ 0xf8423a4e, "phy_trigger_machine" },
	{ 0xb14793f, "phy_error" },
	{ 0x54d9b7bf, "bcm54xx_auxctl_read" },
	{ 0xaf0ddcfe, "bcm54xx_auxctl_write" },
	{ 0x38b38043, "bcm_phy_read_shadow" },
	{ 0xc68868d0, "bcm_phy_write_shadow" },
	{ 0xf6b25c40, "__genphy_config_aneg" },
	{ 0xb78085c5, "phy_modify" },
	{ 0x85c882fd, "genphy_c37_read_status" },
	{ 0xd64c0f8c, "genphy_c37_config_aneg" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0x9900e1b9, "bcm_phy_get_wol" },
	{ 0x91add111, "bcm_phy_set_wol" },
	{ 0xcda6cd8, "bcm_phy_get_stats" },
	{ 0x707dc952, "phy_drivers_unregister" },
	{ 0xb957f449, "mdiobus_write" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x71869a5d, "__mdiobus_write" },
	{ 0x1b9e12b2, "__phy_modify" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "bcm-phy-lib,bcm-phy-ptp");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000001000000011000011110????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "33AC2F54D83C6B6BA365DC5");
