#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rndis_status, "_gpl", "");
KSYMTAB_FUNC(rndis_command, "_gpl", "");
KSYMTAB_FUNC(generic_rndis_bind, "_gpl", "");
KSYMTAB_FUNC(rndis_unbind, "_gpl", "");
KSYMTAB_FUNC(rndis_rx_fixup, "_gpl", "");
KSYMTAB_FUNC(rndis_tx_fixup, "_gpl", "");

SYMBOL_CRC(rndis_status, 0xba06a15e, "_gpl");
SYMBOL_CRC(rndis_command, 0xa5e87a17, "_gpl");
SYMBOL_CRC(generic_rndis_bind, 0xcf015368, "_gpl");
SYMBOL_CRC(rndis_unbind, 0x0dfd4171, "_gpl");
SYMBOL_CRC(rndis_rx_fixup, 0x5b37c579, "_gpl");
SYMBOL_CRC(rndis_tx_fixup, 0x962aad70, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x55f7b798, "usb_control_msg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6891b423, "usb_interrupt_msg" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x81ac48cb, "usbnet_generic_cdc_bind" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x16920a59, "usb_driver_release_interface" },
	{ 0x37a0cba, "kfree" },
	{ 0x415aaf81, "dev_addr_mod" },
	{ 0xf7549f75, "__dynamic_netdev_dbg" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0xc7ed8c8e, "skb_trim" },
	{ 0x1c4a0d9d, "usbnet_cdc_zte_rx_fixup" },
	{ 0xd912ffa1, "skb_clone" },
	{ 0x4c728121, "usbnet_skb_return" },
	{ 0x3f23eedf, "skb_copy_expand" },
	{ 0x977e7413, "dev_kfree_skb_any_reason" },
	{ 0xb0e602eb, "memmove" },
	{ 0x403c6fd6, "usb_register_driver" },
	{ 0x163d1c5f, "usb_deregister" },
	{ 0xa6a77bf1, "usbnet_cdc_unbind" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x78934fa, "usbnet_probe" },
	{ 0x2afebaff, "usbnet_disconnect" },
	{ 0x89b30e3e, "usbnet_suspend" },
	{ 0xc3382fd5, "usbnet_resume" },
	{ 0x6ed8ab90, "usbnet_open" },
	{ 0xa96415e6, "usbnet_stop" },
	{ 0xe2c62e42, "usbnet_start_xmit" },
	{ 0x1496bdd7, "eth_mac_addr" },
	{ 0xdcda42ec, "eth_validate_addr" },
	{ 0x74257af7, "usbnet_tx_timeout" },
	{ 0xb5b2a91b, "dev_get_tstats64" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "cdc_ether,usbnet");

MODULE_ALIAS("usb:v1630p0042d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v238Bp*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc04ip01in*");

MODULE_INFO(srcversion, "3B05777579B45683A4B889E");
