#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x2ebf0981, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x0f9e11b0, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x70f01a8d, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xd9deadde, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x4c728121, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xddb53154, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xa5ee61d5, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xc20b1ba3, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0xfbd20689, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xe6e6674e, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x8d32b3c2, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x394e2e24, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xa96415e6, "_gpl");
SYMBOL_CRC(usbnet_open, 0x6ed8ab90, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xa2eacffc, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x3f81385d, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xe4a14afd, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x14c79d10, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x71b4db07, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x9b2ce811, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xaa70b28c, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xcaa46c6c, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x6db02dda, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x74257af7, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xe2c62e42, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x2afebaff, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x078934fa, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x89b30e3e, "_gpl");
SYMBOL_CRC(usbnet_resume, 0xc3382fd5, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x4f103c10, "");
SYMBOL_CRC(usbnet_manage_power, 0x2865df6a, "");
SYMBOL_CRC(usbnet_link_change, 0x744412b3, "");
SYMBOL_CRC(usbnet_read_cmd, 0xe319d0d0, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x84995f0b, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x920dbc6f, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xc2d275d3, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x65978d76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x52c72eec, "usb_set_interface" },
	{ 0xf22d0cc7, "usb_string" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x415aaf81, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb33fb709, "skb_defer_rx_timestamp" },
	{ 0x4d1e8619, "netif_rx" },
	{ 0xf40b5f74, "eth_type_trans" },
	{ 0xe03ac162, "skb_queue_tail" },
	{ 0xf7549f75, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xa2f74584, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc771b64d, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x29cf84c1, "usb_unlink_urb" },
	{ 0xcf27add6, "usb_free_urb" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x77c96678, "usb_submit_urb" },
	{ 0x23659da5, "netdev_err" },
	{ 0x46061c2, "mii_ethtool_get_link_ksettings" },
	{ 0x63374054, "mii_ethtool_set_link_ksettings" },
	{ 0x95292568, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x110d5c86, "unregister_netdev" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0xd11952d4, "usb_get_from_anchor" },
	{ 0x25bdf9aa, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xcc103646, "free_netdev" },
	{ 0x17ca30b3, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x6527dc4c, "netif_device_detach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7d444937, "netif_device_attach" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x55f7b798, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd3aafb57, "usb_autopm_get_interface" },
	{ 0x8f96421f, "usb_autopm_put_interface" },
	{ 0x87eb1074, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xbb8c9b94, "mii_link_ok" },
	{ 0x94b7c3fa, "ethtool_op_get_link" },
	{ 0x8faf01c7, "usb_autopm_put_interface_async" },
	{ 0xe042f87b, "netif_carrier_on" },
	{ 0xde478dc4, "netif_carrier_off" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x7b919e09, "skb_clone_tx_timestamp" },
	{ 0xae28736e, "usb_autopm_get_interface_async" },
	{ 0x977e7413, "dev_kfree_skb_any_reason" },
	{ 0x1071af95, "skb_tstamp_tx" },
	{ 0x90adf3ea, "usb_anchor_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7beef246, "skb_dequeue" },
	{ 0x5482639f, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbcca2e66, "register_netdev" },
	{ 0xf0799e, "pm_runtime_enable" },
	{ 0x3a1eadd3, "usb_check_bulk_endpoints" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4f2ad77a, "__netdev_alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb7260ad7, "netif_tx_wake_queue" },
	{ 0xf80df337, "usb_autopm_get_interface_no_resume" },
	{ 0x1f629a95, "skb_put" },
	{ 0x2836c0a7, "usb_clear_halt" },
	{ 0x1496bdd7, "eth_mac_addr" },
	{ 0xdcda42ec, "eth_validate_addr" },
	{ 0xb5b2a91b, "dev_get_tstats64" },
	{ 0xbcb4244d, "ethtool_op_get_ts_info" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "014B19EBEDC46A67F9DFFDB");
