#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(brcmf_fwvid_register_vendor, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_unregister_vendor, "_gpl", "BRCMFMAC");

SYMBOL_CRC(brcmf_fwvid_register_vendor, 0x72cbd00f, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0x2a68f989, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0c09c29, "brcmu_pktq_pdeq_tail" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc6653a9f, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x25bdf9aa, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xde478dc4, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe042f87b, "netif_carrier_on" },
	{ 0x1dbb8736, "brcmu_pkt_buf_get_skb" },
	{ 0x799a5700, "mmc_hw_reset" },
	{ 0xb1138e44, "sdio_retune_release" },
	{ 0xd6be8a73, "sdio_claim_irq" },
	{ 0x5cc9c53, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x12541d7e, "pci_disable_device" },
	{ 0x5f06a247, "pci_match_id" },
	{ 0xded0e597, "sdio_enable_func" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x952fc078, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0x9f8eef76, "send_sig" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xdd3d7d68, "cfg80211_inform_bss_data" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xea124bd1, "gcd" },
	{ 0xbdf92cb2, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x977e7413, "dev_kfree_skb_any_reason" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x686a875d, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0xdf6432c0, "wiphy_free" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x91fa3ad4, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcd42fdf5, "pci_write_config_dword" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa4703ab2, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8edf72b5, "sdio_readb" },
	{ 0x83289a7, "sdio_writeb" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x4e36f62f, "brcmu_pktq_mlen" },
	{ 0x9dda4ff, "cfg80211_sched_scan_results" },
	{ 0x894e30fa, "sdio_retune_hold_now" },
	{ 0x7e093f47, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x87eb1074, "usb_alloc_urb" },
	{ 0xdda69caf, "sdio_disable_func" },
	{ 0xa307af3f, "cfg80211_mgmt_tx_status_ext" },
	{ 0x6a9e1a9a, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x8f96421f, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1779d4db, "sdio_set_block_size" },
	{ 0xff8dfec2, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcf27add6, "usb_free_urb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0xf5583990, "pci_enable_device" },
	{ 0x1f629a95, "skb_put" },
	{ 0xa3e95cee, "brcmu_pkt_buf_free_skb" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa0fa31ef, "sdio_retune_crc_disable" },
	{ 0x5fea8f2b, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7116a2b5, "firmware_request_nowarn" },
	{ 0x58931d81, "platform_driver_unregister" },
	{ 0xd282fc85, "sdio_claim_host" },
	{ 0xf76384a3, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf7f7e2ee, "sdio_memcpy_fromio" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0x8fa7888, "sdio_register_driver" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x110d5c86, "unregister_netdev" },
	{ 0x69b0ced, "cfg80211_remain_on_channel_expired" },
	{ 0x7beef246, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4117f2e2, "cfg80211_register_netdevice" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x230e0c0, "dma_unmap_page_attrs" },
	{ 0x78e70a9c, "request_firmware" },
	{ 0x403c6fd6, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x5b4f4cd8, "__pci_register_driver" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x5066e5a7, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x632edee, "cfg80211_port_authorized" },
	{ 0xb760fe26, "brcmu_pktq_init" },
	{ 0xfc23b1b3, "brcmu_pktq_penq_head" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x103ee3f6, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3f70f8e, "cfg80211_new_sta" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0xef0660d6, "cfg80211_disconnected" },
	{ 0x500333e6, "ether_setup" },
	{ 0xd3e981e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb68e8454, "pskb_expand_head" },
	{ 0x1d890853, "wake_up_process" },
	{ 0x908529d9, "dev_driver_string" },
	{ 0x415aaf81, "dev_addr_mod" },
	{ 0xe225928b, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0xf40b5f74, "eth_type_trans" },
	{ 0x5f41e5c1, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x176cfc0f, "dma_map_page_attrs" },
	{ 0x9721fba6, "alloc_netdev_mqs" },
	{ 0xc93c430a, "wiphy_new_nm" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf21d400b, "cfg80211_ready_on_channel" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x30dd7bcc, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf5378669, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5027bfca, "cfg80211_crit_proto_stopped" },
	{ 0x8ec0b6c2, "wiphy_register" },
	{ 0x42fa6a5c, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x7e1277f5, "cfg80211_put_bss" },
	{ 0x93abbf3b, "cfg80211_roamed" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x77c96678, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xe03ac162, "skb_queue_tail" },
	{ 0x2eb15cb6, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc1990cd2, "cfg80211_check_combinations" },
	{ 0xf473f9d2, "sdio_set_host_pm_flags" },
	{ 0xb2125cba, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x2f1bfeae, "sdio_unregister_driver" },
	{ 0x707612b4, "sdio_readsb" },
	{ 0x2c36f45d, "usb_match_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf6568107, "pci_enable_msi" },
	{ 0xfddeb056, "efi" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xeaf71a59, "device_wakeup_enable" },
	{ 0xec42383b, "cfg80211_ibss_joined" },
	{ 0xfd759551, "request_firmware_nowait" },
	{ 0xc8448811, "simple_open" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb40f373a, "wiphy_apply_custom_regulatory" },
	{ 0x8b557844, "cfg80211_michael_mic_failure" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf5f300, "skb_push" },
	{ 0x4aa4cc03, "sdio_retune_crc_enable" },
	{ 0x172bb535, "brcmu_pktq_flush" },
	{ 0x49c3ce5, "brcmu_pktq_peek_tail" },
	{ 0x7157bbeb, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x17ecfe4f, "cfg80211_del_sta_sinfo" },
	{ 0xccb6e4b1, "sdio_readl" },
	{ 0xa37e0bf4, "mmc_set_data_timeout" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xbcca2e66, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x3904abbf, "wiphy_unregister" },
	{ 0xcc103646, "free_netdev" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x6354b77c, "kthread_stop" },
	{ 0x61895aa1, "eth_platform_get_mac_address" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x163d1c5f, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb7260ad7, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x7670c2f5, "brcmu_pktq_pdeq_match" },
	{ 0x8336a55f, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5ba35e19, "sdio_writel" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xc747289f, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4bdbbe8a, "mmc_wait_for_req" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x824238be, "__pskb_pull_tail" },
	{ 0x4d1e8619, "netif_rx" },
	{ 0x4f2ad77a, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x71fd4ec2, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7ed8c8e, "skb_trim" },
	{ 0x23df8cb5, "skb_unlink" },
	{ 0x23c6f15b, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcf8ee6a2, "kthread_create_on_node" },
	{ 0x12a5aab2, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xd71c5fd1, "pm_runtime_forbid" },
	{ 0xb1ed295e, "debugfs_create_file" },
	{ 0x3044956, "brcmu_pktq_mdeq" },
	{ 0x47024a66, "cfg80211_unregister_wdev" },
	{ 0x46fd8177, "pci_pme_capable" },
	{ 0x89de5bfd, "brcmu_pktq_penq" },
	{ 0x5de01362, "dma_free_attrs" },
	{ 0x1487e867, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0x89584c2b, "__platform_driver_probe" },
	{ 0xd2fb3855, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd3aafb57, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "brcmutil,cfg80211,mmc_core");

MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");
MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");

MODULE_INFO(srcversion, "86D998E8D3AB6F264B81768");
