#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(libipw_networks_age, "", "");
KSYMTAB_FUNC(alloc_libipw, "", "");
KSYMTAB_FUNC(free_libipw, "", "");
KSYMTAB_FUNC(libipw_xmit, "", "");
KSYMTAB_FUNC(libipw_txb_free, "", "");
KSYMTAB_FUNC(libipw_rx_any, "_gpl", "");
KSYMTAB_FUNC(libipw_rx_mgt, "", "");
KSYMTAB_FUNC(libipw_rx, "", "");
KSYMTAB_FUNC(libipw_wx_set_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_scan, "", "");
KSYMTAB_FUNC(libipw_wx_set_encode, "", "");
KSYMTAB_FUNC(libipw_wx_get_encode, "", "");
KSYMTAB_FUNC(libipw_get_channel, "", "");
KSYMTAB_FUNC(libipw_get_channel_flags, "", "");
KSYMTAB_FUNC(libipw_is_valid_channel, "", "");
KSYMTAB_FUNC(libipw_freq_to_channel, "", "");
KSYMTAB_FUNC(libipw_channel_to_freq, "", "");
KSYMTAB_FUNC(libipw_channel_to_index, "", "");
KSYMTAB_FUNC(libipw_set_geo, "", "");
KSYMTAB_FUNC(libipw_get_geo, "", "");

SYMBOL_CRC(libipw_networks_age, 0xccdc7c02, "");
SYMBOL_CRC(alloc_libipw, 0xff72f218, "");
SYMBOL_CRC(free_libipw, 0xb2b02155, "");
SYMBOL_CRC(libipw_xmit, 0x45fc2690, "");
SYMBOL_CRC(libipw_txb_free, 0x88c2fdce, "");
SYMBOL_CRC(libipw_rx_any, 0x42611b94, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0x54a1becb, "");
SYMBOL_CRC(libipw_rx, 0xe28b331b, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0x41ec4739, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0x049630a5, "");
SYMBOL_CRC(libipw_wx_get_scan, 0xd2aabbad, "");
SYMBOL_CRC(libipw_wx_set_encode, 0x29c396c3, "");
SYMBOL_CRC(libipw_wx_get_encode, 0xc17104f7, "");
SYMBOL_CRC(libipw_get_channel, 0x794c818f, "");
SYMBOL_CRC(libipw_get_channel_flags, 0xf6af142c, "");
SYMBOL_CRC(libipw_is_valid_channel, 0x23c77acd, "");
SYMBOL_CRC(libipw_freq_to_channel, 0x5066cf0b, "");
SYMBOL_CRC(libipw_channel_to_freq, 0x3255e620, "");
SYMBOL_CRC(libipw_channel_to_index, 0x1df561c8, "");
SYMBOL_CRC(libipw_set_geo, 0x779ea507, "");
SYMBOL_CRC(libipw_get_geo, 0xc593cd93, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf40b5f74, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc93c430a, "wiphy_new_nm" },
	{ 0xe94c4480, "lib80211_crypt_info_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd9c801aa, "lib80211_get_crypto_ops" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf5f300, "skb_push" },
	{ 0xcc103646, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xb2398a89, "wireless_spy_update" },
	{ 0x4d1e8619, "netif_rx" },
	{ 0x4f2ad77a, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7e14eca, "lib80211_crypt_info_free" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb4cddce, "lib80211_crypt_delayed_deinit" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x977e7413, "dev_kfree_skb_any_reason" },
	{ 0xdf6432c0, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5482639f, "alloc_etherdev_mqs" },
	{ 0x47d27382, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x1f629a95, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x46f22022, "dev_kfree_skb_irq_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,lib80211");


MODULE_INFO(srcversion, "38C420D31BCD53ED9A9D1A5");
