#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(p54_parse_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_read_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_parse_firmware, "_gpl", "");
KSYMTAB_FUNC(p54_free_skb, "_gpl", "");
KSYMTAB_FUNC(p54_rx, "_gpl", "");
KSYMTAB_FUNC(p54_init_common, "_gpl", "");
KSYMTAB_FUNC(p54_register_common, "_gpl", "");
KSYMTAB_FUNC(p54_free_common, "_gpl", "");
KSYMTAB_FUNC(p54_unregister_common, "_gpl", "");

SYMBOL_CRC(p54_parse_eeprom, 0x171e3d86, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0x97897289, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0x0605ffc3, "_gpl");
SYMBOL_CRC(p54_free_skb, 0xe2008676, "_gpl");
SYMBOL_CRC(p54_rx, 0x75ccb962, "_gpl");
SYMBOL_CRC(p54_init_common, 0x5f87a081, "_gpl");
SYMBOL_CRC(p54_register_common, 0x6a29247c, "_gpl");
SYMBOL_CRC(p54_free_common, 0x869e9fa8, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0xfb540f2f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x28b01909, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x246c3802, "__ieee80211_get_rx_led_name" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xe03ac162, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x91da0ca5, "ieee80211_queue_delayed_work" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf5f300, "skb_push" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xa42e5d14, "ieee80211_free_txskb" },
	{ 0x86b2eae8, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xce3c4690, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe0c6d19, "ieee80211_stop_queue" },
	{ 0x4f2ad77a, "__netdev_alloc_skb" },
	{ 0xc7ed8c8e, "skb_trim" },
	{ 0x23df8cb5, "skb_unlink" },
	{ 0x26e0ac07, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xbba4e02d, "__ieee80211_get_assoc_led_name" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0x2d33dbb2, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39fdd260, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x977e7413, "dev_kfree_skb_any_reason" },
	{ 0x4aac5cd7, "_dev_printk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x878da8ea, "ieee80211_rx_irqsafe" },
	{ 0xa4703ab2, "skb_queue_head" },
	{ 0x1f629a95, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x7beef246, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8be5adc2, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0xebb8548b, "ieee80211_beacon_loss" },
	{ 0xf2efbf39, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x95078c48, "led_classdev_unregister" },
	{ 0x8987ffbf, "ieee80211_register_hw" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xed6731fe, "ieee80211_get_hdrlen_from_skb" },
	{ 0x1d9ca1a6, "__ieee80211_get_radio_led_name" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xb6b9b82f, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8364ab8a, "__ieee80211_get_tx_led_name" },
	{ 0xa2f74584, "skb_queue_purge_reason" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5c021b65, "ieee80211_handle_wake_tx_queue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "B71C045AC6641771922B8C7");
