#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(lbs_cmd_copyback, "_gpl", "");
KSYMTAB_FUNC(lbs_host_sleep_cfg, "_gpl", "");
KSYMTAB_FUNC(__lbs_cmd, "_gpl", "");
KSYMTAB_DATA(lbs_debug, "_gpl", "");
KSYMTAB_FUNC(lbs_host_to_card_done, "_gpl", "");
KSYMTAB_FUNC(lbs_suspend, "_gpl", "");
KSYMTAB_FUNC(lbs_resume, "_gpl", "");
KSYMTAB_FUNC(lbs_add_card, "_gpl", "");
KSYMTAB_FUNC(lbs_remove_card, "_gpl", "");
KSYMTAB_FUNC(lbs_start_card, "_gpl", "");
KSYMTAB_FUNC(lbs_stop_card, "_gpl", "");
KSYMTAB_FUNC(lbs_queue_event, "_gpl", "");
KSYMTAB_FUNC(lbs_notify_command_response, "_gpl", "");
KSYMTAB_FUNC(lbs_process_rxed_packet, "_gpl", "");
KSYMTAB_FUNC(lbs_send_tx_feedback, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware_async, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware, "_gpl", "");

SYMBOL_CRC(lbs_cmd_copyback, 0xe485d0c0, "_gpl");
SYMBOL_CRC(lbs_host_sleep_cfg, 0xf9e0175c, "_gpl");
SYMBOL_CRC(__lbs_cmd, 0xfeefa026, "_gpl");
SYMBOL_CRC(lbs_debug, 0xf64277de, "_gpl");
SYMBOL_CRC(lbs_host_to_card_done, 0xf261c2b9, "_gpl");
SYMBOL_CRC(lbs_suspend, 0x0507a609, "_gpl");
SYMBOL_CRC(lbs_resume, 0x344abf2e, "_gpl");
SYMBOL_CRC(lbs_add_card, 0x8800ca33, "_gpl");
SYMBOL_CRC(lbs_remove_card, 0x4a316456, "_gpl");
SYMBOL_CRC(lbs_start_card, 0xb0ac7eea, "_gpl");
SYMBOL_CRC(lbs_stop_card, 0x73b53373, "_gpl");
SYMBOL_CRC(lbs_queue_event, 0xf008c4b3, "_gpl");
SYMBOL_CRC(lbs_notify_command_response, 0xbe7fb9b5, "_gpl");
SYMBOL_CRC(lbs_process_rxed_packet, 0xc8218545, "_gpl");
SYMBOL_CRC(lbs_send_tx_feedback, 0x819dd57d, "_gpl");
SYMBOL_CRC(lbs_get_firmware_async, 0x7c61c8b8, "_gpl");
SYMBOL_CRC(lbs_get_firmware, 0xe3f5f5cb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6527dc4c, "netif_device_detach" },
	{ 0x7d444937, "netif_device_attach" },
	{ 0x2eb15cb6, "ieee80211_get_channel_khz" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xec42383b, "cfg80211_ibss_joined" },
	{ 0xfd759551, "request_firmware_nowait" },
	{ 0xc8448811, "simple_open" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8b557844, "cfg80211_michael_mic_failure" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf5f300, "skb_push" },
	{ 0x9e637e13, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xbcca2e66, "register_netdev" },
	{ 0x3904abbf, "wiphy_unregister" },
	{ 0xcc103646, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6354b77c, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb7260ad7, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4d1e8619, "netif_rx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf2a42176, "netdev_alert" },
	{ 0xcf8ee6a2, "kthread_create_on_node" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb1ed295e, "debugfs_create_file" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xde478dc4, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xe042f87b, "netif_carrier_on" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xdd3d7d68, "cfg80211_inform_bss_data" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x977e7413, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0x83f63baa, "debugfs_create_dir" },
	{ 0xf87e77b4, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x686a875d, "cfg80211_connect_done" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xf31777da, "__cfg80211_get_bss" },
	{ 0xdf6432c0, "wiphy_free" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xdb2cc7c4, "ieee80211_get_num_supported_channels" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x17ca30b3, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5fea8f2b, "cfg80211_scan_done" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x110d5c86, "unregister_netdev" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x78e70a9c, "request_firmware" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf2efbf39, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdcda42ec, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x46f22022, "dev_kfree_skb_irq_reason" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xef0660d6, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x500333e6, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x23659da5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb68e8454, "pskb_expand_head" },
	{ 0x1d890853, "wake_up_process" },
	{ 0x415aaf81, "dev_addr_mod" },
	{ 0xf40b5f74, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9721fba6, "alloc_netdev_mqs" },
	{ 0xc93c430a, "wiphy_new_nm" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x8ec0b6c2, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x7e1277f5, "cfg80211_put_bss" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "18D59820D3CBB44FF5E69DD");
