#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0xb9d36d41, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0xb3cc943e, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0xe2ebeab4, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x13d55925, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x487437a7, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0xb2f55a89, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x77dc4071, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x4c22020f, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x53e982da, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0xbb782bdc, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0xa38d6720, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x67171b41, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x87745aa7, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x6b1de066, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x46bec3e5, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x4de6cd34, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0xe84b4241, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0x15426af8, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0xc25668f0, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x796d0261, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0xd25326f0, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x4b600cf6, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0xd032d685, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x4ef0716f, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x786d0ed6, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x633c394a, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0xc1cf3f5f, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0x34256ab1, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0x06fab252, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x41b76aa8, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0xc7952060, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x76d6f2eb, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x32f32bd1, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x3444a3bc, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x598c62fc, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x33aad796, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x9edd0bb5, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xf799e02e, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0xa4251be9, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x2b2bcf21, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x9c57a5fb, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0x3f9cecfb, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x135cb7f4, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x0a25eeb8, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0x2b61e95a, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x627879b8, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x9d598b4c, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x5903e8d9, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x43d3a67a, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x55d4bd33, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0xc9adb122, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0x6a3ab788, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0x6a43045e, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0xfa061874, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x1beacfd9, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x9c5d1b08, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0x956fa662, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0xa0a3eb8f, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x916aa0bf, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x820f6f3b, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0x0cbf05e1, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0xd435e417, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0xa02e6829, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0xe6d2617d, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0xc199a204, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0xcfa19953, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9de8c3a3, "mt76_stop_tx_queues" },
	{ 0x2b81a9e2, "___pskb_trim" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x128bad3d, "__mt76_tx_complete_skb" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x598d312b, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd900b86e, "ieee80211_restart_hw" },
	{ 0x1b4f270e, "bpf_trace_run2" },
	{ 0xed6731fe, "ieee80211_get_hdrlen_from_skb" },
	{ 0xf6f8993f, "kthread_park" },
	{ 0xf062e83b, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa305d184, "mt76_wcid_init" },
	{ 0x55d162e7, "mt76_tx_status_check" },
	{ 0x1d890853, "wake_up_process" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0x88e69ae, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xedb6af44, "napi_complete_done" },
	{ 0xa9b14d52, "ieee80211_get_tx_rates" },
	{ 0x234a4af3, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x83aa2d97, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc8f2ea2c, "mt76_tx" },
	{ 0x68de546, "__napi_schedule" },
	{ 0xca31e9f2, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbd36b536, "mt76_wcid_key_setup" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x269ddb25, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x790ec322, "mt76_rx" },
	{ 0x268019db, "kthread_unpark" },
	{ 0xc3895789, "mt76_phy_dfs_state" },
	{ 0x6091ff69, "wiphy_to_ieee80211_hw" },
	{ 0x2c0def33, "mt76_init_queue" },
	{ 0x657c67bf, "debugfs_attr_read" },
	{ 0x90827517, "__mt76_sta_remove" },
	{ 0xeef91dca, "mt76_tx_status_skb_done" },
	{ 0x91da0ca5, "ieee80211_queue_delayed_work" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x40d2feb4, "debugfs_create_bool" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0x378487c, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x84778701, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf5f300, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xcf2b7eb7, "napi_enable" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0x2ea3cb17, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0xcedefe82, "ieee80211_wake_queues" },
	{ 0x60851482, "mt76_mcu_send_and_get_msg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x809e8121, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xad58616f, "__mt76_mcu_msg_alloc" },
	{ 0x145d6fe1, "mt76_set_irq_mask" },
	{ 0x28373d9b, "bpf_trace_run1" },
	{ 0x15b67da9, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x62b8f890, "debugfs_create_u32" },
	{ 0x7d991782, "__SCK__tp_func_mac_txdone" },
	{ 0xdd98fe87, "mt76_seq_puts_array" },
	{ 0x9b75ebd6, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbcc579a7, "__tracepoint_dev_irq" },
	{ 0xf77ab6d, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x70502ef9, "mt76_mcu_get_response" },
	{ 0xb1ed295e, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0xf2bc808e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd1ed228b, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa63b27b, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xde87237b, "____mt76_poll_msec" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x39fdd260, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x22fa3044, "mt76_wcid_cleanup" },
	{ 0x6d073985, "seq_puts" },
	{ 0xc3dc51dc, "ieee80211_radar_detected" },
	{ 0x341ee2bd, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x54c8d714, "mt76_queues_read" },
	{ 0xdf33f552, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdde02604, "napi_schedule_prep" },
	{ 0x11e1e18, "napi_disable" },
	{ 0x977e7413, "dev_kfree_skb_any_reason" },
	{ 0x2c25266b, "__mt76_poll" },
	{ 0x873e460f, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x71acc0c7, "debugfs_create_u8" },
	{ 0x2c9f77fa, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x655ec781, "mt76_dma_attach" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa5f5d14, "ieee80211_sta_register_airtime" },
	{ 0x6229f305, "mt76_dma_rx_poll" },
	{ 0x7190d829, "mt76_tx_status_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8214e6d7, "simple_attr_open" },
	{ 0xcbb89af8, "debugfs_attr_write" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf75cdd75, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7f65f8ee, "mt76_tx_status_skb_get" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0xd81ebacf, "mt76_tx_status_lock" },
	{ 0x7beef246, "skb_dequeue" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0x34747759, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc340f8c1, "mt76_csa_check" },
	{ 0xa151b433, "mt76_tx_status_skb_add" },
	{ 0xf3c28fb, "__tracepoint_mac_txdone" },
	{ 0xf6027ffd, "mt76_tx_check_agg_ssn" },
	{ 0xf4540057, "ieee80211_tx_status_ext" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "F286DACD5DF288548A91A5D");
