#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcb46023, "mt76_wake_tx_queue" },
	{ 0xe084f2c1, "mt76_get_antenna" },
	{ 0x6cc3cc59, "mt76x2_apply_gain_adj" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4de6cd34, "mt76x02_sta_ps" },
	{ 0xef6bcedb, "mt76x2_set_sar_specs" },
	{ 0xa974f2e4, "mt76u_resume_rx" },
	{ 0x87745aa7, "mt76x02_sta_rate_tbl_update" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb5fccdb0, "mt76_alloc_device" },
	{ 0x796d0261, "mt76x02_mac_shared_key_setup" },
	{ 0xf799e02e, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa6505550, "mt76x2_mac_stop" },
	{ 0xf1f676dc, "usb_put_dev" },
	{ 0x13f26ab8, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x786d0ed6, "mt76x02_update_channel" },
	{ 0xe2813d60, "mt76x2_configure_tx_delay" },
	{ 0xcaf900c6, "usb_get_dev" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xb3cc943e, "mt76x02_configure_filter" },
	{ 0xfdb9c968, "mt76_free_device" },
	{ 0x1beacfd9, "mt76x02_queue_rx_skb" },
	{ 0x905795af, "mt76u_queues_deinit" },
	{ 0x91da0ca5, "ieee80211_queue_delayed_work" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x2b6a2e50, "mt76x02u_mcu_fw_reset" },
	{ 0xd032d685, "mt76x02_mac_setaddr" },
	{ 0x10f538b9, "mt76_register_device" },
	{ 0x53e1a702, "mt76_set_tim" },
	{ 0x46bec3e5, "mt76x02_sw_scan_complete" },
	{ 0xa25eeb8, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2b61e95a, "mt76x02_phy_set_band" },
	{ 0x2569ecdb, "mt76_set_channel" },
	{ 0xb9d36d41, "mt76x02_init_device" },
	{ 0xfa061874, "mt76x02_tx" },
	{ 0xcedefe82, "ieee80211_wake_queues" },
	{ 0x9edd0bb5, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x13d55925, "mt76x02_sta_remove" },
	{ 0x9c57a5fb, "mt76x02_phy_set_rxpath" },
	{ 0x633c394a, "mt76x02_edcca_init" },
	{ 0x163d1c5f, "usb_deregister" },
	{ 0x956fa662, "mt76x02_tx_status_data" },
	{ 0xe2ebeab4, "mt76x02_sta_add" },
	{ 0xfe6faaed, "mt76x2_mcu_load_cr" },
	{ 0xed07dd91, "mt76x2_init_txpower" },
	{ 0x70d19652, "mt76x02u_mcu_fw_send_data" },
	{ 0x5294d49d, "mt76u_init" },
	{ 0x380dcfe0, "mt76_get_survey" },
	{ 0x916aa0bf, "mt76x02_init_debugfs" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x76140d5e, "mt76x02u_init_mcu" },
	{ 0x8462b4d7, "mt76x02u_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x675f6011, "mt76x2_mcu_init_gain" },
	{ 0x57e3b03f, "mt76_sta_state" },
	{ 0xbf740153, "mt76x2_phy_tssi_compensate" },
	{ 0x9b75ebd6, "ieee80211_stop_queues" },
	{ 0x986b7eba, "mt76x02u_mac_start" },
	{ 0xc1cf3f5f, "mt76x02_mac_cc_reset" },
	{ 0xe84b4241, "mt76x02_bss_info_changed" },
	{ 0x9d598b4c, "mt76x02_init_agc_gain" },
	{ 0x40a74420, "mt76x2_phy_update_channel_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd1ed228b, "mt76_txq_schedule_all" },
	{ 0x49289371, "mt76u_alloc_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbe5886a0, "mt76u_stop_tx" },
	{ 0x9b350acd, "mt76x02u_init_beacon_config" },
	{ 0x2d33dbb2, "ieee80211_unregister_hw" },
	{ 0x7016529d, "mt76u_vendor_request" },
	{ 0x487437a7, "mt76x02_add_interface" },
	{ 0xde87237b, "____mt76_poll_msec" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb0809343, "mt76_get_sar_power" },
	{ 0x5514f973, "mt76u_stop_rx" },
	{ 0x77dc4071, "mt76x02_ampdu_action" },
	{ 0x76d6f2eb, "mt76x02_mcu_calibrate" },
	{ 0x53e982da, "mt76x02_conf_tx" },
	{ 0x41b76aa8, "mt76x02_mcu_function_select" },
	{ 0xdeab873b, "mt76_sw_scan" },
	{ 0xf5496305, "mt76_sta_pre_rcu_remove" },
	{ 0xd25326f0, "mt76x02_mac_wcid_setup" },
	{ 0x2c25266b, "__mt76_poll" },
	{ 0x97a88840, "mt76x2_read_rx_gain" },
	{ 0xcba9c0db, "mt76x2_phy_set_txpower_regs" },
	{ 0x15ff4452, "mt76x2_phy_set_txpower" },
	{ 0x3f9cecfb, "mt76x02_phy_set_txdac" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb2f55a89, "mt76x02_remove_interface" },
	{ 0x4e16e277, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0x3444a3bc, "mt76x02_set_ethtool_fwver" },
	{ 0x4c22020f, "mt76x02_set_key" },
	{ 0x5ec138ec, "mt76_release_buffered_frames" },
	{ 0x78e70a9c, "request_firmware" },
	{ 0x403c6fd6, "usb_register_driver" },
	{ 0x5f9ec0db, "mt76_get_txpower" },
	{ 0x30d3300e, "mt76_write_mac_initvals" },
	{ 0x24a61a69, "mt76x2_reset_wlan" },
	{ 0x331d5403, "mt76x2_mcu_set_channel" },
	{ 0xc7952060, "mt76x02_mcu_set_radio_state" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x2-common,mt76x02-lib,mt76-usb,mac80211,mt76x02-usb");

MODULE_ALIAS("usb:v0B05p1833d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17EBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p180Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7612d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8503d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7632d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C4Ep0103d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9053d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02E6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02FEd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "CE759484F422D4AB09C7AFA");
