#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7921_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7921_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7921_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(__mt7921_start, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_assoc, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7921_ops, "_gpl", "");
KSYMTAB_FUNC(mt7921_regd_update, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7921_register_device, "_gpl", "");

SYMBOL_CRC(mt7921_rx_check, 0xca2f2a10, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0x2eadfc3e, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0x55cee785, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0xb500b427, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0x0e480f14, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0xecd48ca4, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0xe1d981f7, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0x3492a898, "_gpl");
SYMBOL_CRC(__mt7921_start, 0x4cc192d8, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0x627c206f, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_assoc, 0x903871d3, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0xc754b71e, "_gpl");
SYMBOL_CRC(mt7921_ops, 0x986bb4c0, "_gpl");
SYMBOL_CRC(mt7921_regd_update, 0xc68d6f4e, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0x4f70b681, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0x921c7949, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb68e8454, "pskb_expand_head" },
	{ 0xa305d184, "mt76_wcid_init" },
	{ 0x1d890853, "wake_up_process" },
	{ 0x71a70be4, "mt76_connac_free_pending_tx_skbs" },
	{ 0x7787ead3, "mt792x_sta_statistics" },
	{ 0xa2f74584, "skb_queue_purge_reason" },
	{ 0x628e3506, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa9cd788b, "mt792x_conf_tx" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x83aa2d97, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5c7a4c9d, "mt792x_get_et_sset_count" },
	{ 0x64aaf13d, "mt76_connac_mcu_set_mac_enable" },
	{ 0xd19a2839, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x4687a05, "mt792x_init_acpi_sar_power" },
	{ 0xffaa096f, "mt792x_set_wakeup" },
	{ 0xbd36b536, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xe03ac162, "skb_queue_tail" },
	{ 0x269ddb25, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x790ec322, "mt76_rx" },
	{ 0x14fd4bee, "mt792x_load_firmware" },
	{ 0xdafd7b1e, "mt76_connac_mcu_sched_scan_req" },
	{ 0x1e383910, "mt792x_get_et_stats" },
	{ 0x1205476e, "mt76_connac2_txwi_free" },
	{ 0x37f6eacc, "__tracepoint_lp_event" },
	{ 0x4f401e40, "mt76_connac_mcu_uni_add_bss" },
	{ 0xc19c547c, "mt76_connac2_mac_add_txs_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6091ff69, "wiphy_to_ieee80211_hw" },
	{ 0x657c67bf, "debugfs_attr_read" },
	{ 0xc2d4c6f6, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x91da0ca5, "ieee80211_queue_delayed_work" },
	{ 0xaa7048ce, "devm_kmemdup" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0x10f538b9, "mt76_register_device" },
	{ 0xaa9e1c1e, "mt792x_get_stats" },
	{ 0x1fd23f9f, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x378487c, "simple_attr_release" },
	{ 0x95d72d07, "mt792x_mac_set_timeing" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5951f463, "mt76_find_power_limits_node" },
	{ 0xf16a7313, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf5f300, "skb_push" },
	{ 0x2569ecdb, "mt76_set_channel" },
	{ 0xcedefe82, "ieee80211_wake_queues" },
	{ 0x60851482, "mt76_mcu_send_and_get_msg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x96e1948d, "ieee80211_beacon_get_template" },
	{ 0x5f56a214, "mt792x_pm_stats" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xdd12b53b, "mt76_eeprom_override" },
	{ 0x5e6f86d2, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xad58616f, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x380dcfe0, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xc1e7728f, "devm_hwmon_device_register_with_groups" },
	{ 0x3dcbbd39, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x674b5460, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x824238be, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0x40839280, "mt792x_tx" },
	{ 0xd1762b0f, "mt792x_get_et_strings" },
	{ 0x57e3b03f, "mt76_sta_state" },
	{ 0x690a2511, "ieee80211_ready_on_channel" },
	{ 0x9b75ebd6, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x12a5aab2, "devm_kasprintf" },
	{ 0xb45799f9, "cfg80211_reg_can_beacon" },
	{ 0xb6aa12c3, "mt792x_remove_interface" },
	{ 0xf77ab6d, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xfae2fe32, "mt792x_queues_read" },
	{ 0x47c6239e, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0xb1ed295e, "debugfs_create_file" },
	{ 0xc9f089a6, "mt792x_queues_acq" },
	{ 0x699dbd0f, "ieee80211_sched_scan_results" },
	{ 0x873e2363, "ieee80211_scan_completed" },
	{ 0xf2bc808e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8e0cf56a, "mt76_insert_ccmp_hdr" },
	{ 0xfdba7b54, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0x99d640d2, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0x5f336067, "mt792x_tx_stats_show" },
	{ 0x853c8ce5, "mt792x_acpi_get_mtcl_conf" },
	{ 0xa63b27b, "mt76_rx_aggr_start" },
	{ 0x87b5eef, "__SCK__tp_func_lp_event" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0xb6991c83, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb37bc3ab, "mt792x_mac_init_band" },
	{ 0xecd7fac1, "mt76_skb_adjust_pad" },
	{ 0x4c8ef231, "mt792x_init_wiphy" },
	{ 0x6d073985, "seq_puts" },
	{ 0x24e1c5f2, "mt76_connac_sta_state_dp" },
	{ 0xf5110033, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x341ee2bd, "single_release" },
	{ 0x54c8d714, "mt76_queues_read" },
	{ 0xf5496305, "mt76_sta_pre_rcu_remove" },
	{ 0xdf33f552, "mt76_register_debugfs_fops" },
	{ 0xeee844fc, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0xc4754f56, "mt76_connac2_mac_write_txwi" },
	{ 0xb61805c7, "__mt76_set_tx_blocked" },
	{ 0x2ddfa5be, "mt76_connac_mcu_sta_ba" },
	{ 0x408c26a4, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0x912ff358, "ieee80211_queue_work" },
	{ 0x3087dc15, "mt792x_mac_reset_counters" },
	{ 0xc13b03a3, "napi_consume_skb" },
	{ 0x2c25266b, "__mt76_poll" },
	{ 0x873e460f, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x2c9f77fa, "single_open" },
	{ 0x76c937c, "mt76_connac_mcu_add_key" },
	{ 0x36b3c1f9, "mt792x_unassign_vif_chanctx" },
	{ 0xfaba826f, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0xabff3e0f, "__SCT__tp_func_lp_event" },
	{ 0x7bab3f2, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xae6da650, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x11d3115a, "mt76_connac_mcu_set_rate_txpower" },
	{ 0xa5f5d14, "ieee80211_sta_register_airtime" },
	{ 0x80aab86c, "mt792x_init_wcid" },
	{ 0x6451d0ef, "mt792x_init_acpi_sar" },
	{ 0xcfc60d20, "mt76_init_sar_power" },
	{ 0x4e258f42, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8214e6d7, "simple_attr_open" },
	{ 0x5d4e8874, "ieee80211_iterate_interfaces" },
	{ 0x82b41b2f, "mt792x_stop" },
	{ 0xcbb89af8, "debugfs_attr_write" },
	{ 0x5ec80fdf, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x1d0fce43, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x1f629a95, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe8a2106a, "mt76_connac_mcu_uni_set_chctx" },
	{ 0xdefe020a, "mt792x_tx_worker" },
	{ 0x70485a8a, "mt792x_flush" },
	{ 0x10625cd8, "mt792x_rx_get_wcid" },
	{ 0x7beef246, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x8fd4e96a, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x67d1c2b7, "mt76_connac_mcu_set_channel_domain" },
	{ 0xa117ef43, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x5ec138ec, "mt76_release_buffered_frames" },
	{ 0x78e70a9c, "request_firmware" },
	{ 0x5f9ec0db, "mt76_get_txpower" },
	{ 0xa151b433, "mt76_tx_status_skb_add" },
	{ 0xa99abcd3, "mt76_connac_pm_wake" },
	{ 0x40ee8593, "mt76_connac2_mac_fill_rx_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0x95135a8f, "mt76_connac_mcu_set_deep_sleep" },
	{ 0xcb46023, "mt76_wake_tx_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1ab69d79, "mt76_connac_mcu_chip_config" },
	{ 0xe084f2c1, "mt76_get_antenna" },
	{ 0x6bf4e36c, "mt792x_set_coverage_class" },
	{ 0x630866a2, "mt792x_acpi_get_flags" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x128bad3d, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x598d312b, "seq_lseek" },
	{ 0x1d2d1399, "mt76_set_stream_caps" },
	{ 0x4e59be39, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xed6731fe, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0x8d05bcf4, "mt76_connac_mcu_update_arp_filter" },
	{ 0x8989128a, "mt76_connac2_tx_check_aggr" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xf062e83b, "mt76_mcu_rx_event" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mt792x-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "05E1B8E3D5D321F5964F292");
