#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt792x_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_stop, "_gpl", "");
KSYMTAB_FUNC(mt792x_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt792x_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_tsf, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_tsf, "_gpl", "");
KSYMTAB_FUNC(mt792x_tx_worker, "_gpl", "");
KSYMTAB_FUNC(mt792x_roc_timer, "_gpl", "");
KSYMTAB_FUNC(mt792x_flush, "_gpl", "");
KSYMTAB_FUNC(mt792x_assign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt792x_unassign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_wakeup, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_strings, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_sset_count, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_sta_statistics, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_wiphy, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_mac80211_ops, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_wcid, "_gpl", "");
KSYMTAB_FUNC(mt792x_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792x_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(__mt792xe_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792xe_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792xe_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792x_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_work, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_set_timeing, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_update_mib_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_rx_get_wcid, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_assoc_rssi, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt792x_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt792x_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_init_band, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_wake_work, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_power_save_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_lp_event, "_gpl", "");
KSYMTAB_FUNC(__traceiter_lp_event, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_lp_event, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_lp_event, "_gpl", "");
KSYMTAB_FUNC(mt792x_tx_stats_show, "_gpl", "");
KSYMTAB_FUNC(mt792x_queues_acq, "_gpl", "");
KSYMTAB_FUNC(mt792x_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_idle_timeout_set, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_idle_timeout_get, "_gpl", "");
KSYMTAB_FUNC(mt792x_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt792x_irq_tasklet, "_gpl", "");
KSYMTAB_FUNC(mt792x_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_enable, "_gpl", "");
KSYMTAB_FUNC(mt792x_wpdma_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_wpdma_reinit_cond, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt792x_poll_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_poll_rx, "_gpl", "");
KSYMTAB_FUNC(mt792x_wfsys_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_acpi_sar, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_acpi_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt792x_acpi_get_flags, "_gpl", "");
KSYMTAB_FUNC(mt792x_acpi_get_mtcl_conf, "_gpl", "");

SYMBOL_CRC(mt792x_tx, 0x40839280, "_gpl");
SYMBOL_CRC(mt792x_stop, 0x82b41b2f, "_gpl");
SYMBOL_CRC(mt792x_remove_interface, 0xb6aa12c3, "_gpl");
SYMBOL_CRC(mt792x_conf_tx, 0xa9cd788b, "_gpl");
SYMBOL_CRC(mt792x_get_stats, 0xaa9e1c1e, "_gpl");
SYMBOL_CRC(mt792x_get_tsf, 0x674b5460, "_gpl");
SYMBOL_CRC(mt792x_set_tsf, 0xd19a2839, "_gpl");
SYMBOL_CRC(mt792x_tx_worker, 0xdefe020a, "_gpl");
SYMBOL_CRC(mt792x_roc_timer, 0x9c06d4d5, "_gpl");
SYMBOL_CRC(mt792x_flush, 0x70485a8a, "_gpl");
SYMBOL_CRC(mt792x_assign_vif_chanctx, 0x07bab3f2, "_gpl");
SYMBOL_CRC(mt792x_unassign_vif_chanctx, 0x36b3c1f9, "_gpl");
SYMBOL_CRC(mt792x_set_wakeup, 0xffaa096f, "_gpl");
SYMBOL_CRC(mt792x_get_et_strings, 0xd1762b0f, "_gpl");
SYMBOL_CRC(mt792x_get_et_sset_count, 0x5c7a4c9d, "_gpl");
SYMBOL_CRC(mt792x_get_et_stats, 0x1e383910, "_gpl");
SYMBOL_CRC(mt792x_sta_statistics, 0x7787ead3, "_gpl");
SYMBOL_CRC(mt792x_set_coverage_class, 0x6bf4e36c, "_gpl");
SYMBOL_CRC(mt792x_init_wiphy, 0x4c8ef231, "_gpl");
SYMBOL_CRC(mt792x_get_mac80211_ops, 0x4728cafa, "_gpl");
SYMBOL_CRC(mt792x_init_wcid, 0x80aab86c, "_gpl");
SYMBOL_CRC(mt792x_mcu_drv_pmctrl, 0xcfe4ff15, "_gpl");
SYMBOL_CRC(mt792x_mcu_fw_pmctrl, 0xd29af143, "_gpl");
SYMBOL_CRC(__mt792xe_mcu_drv_pmctrl, 0x4063121a, "_gpl");
SYMBOL_CRC(mt792xe_mcu_drv_pmctrl, 0x9a035eab, "_gpl");
SYMBOL_CRC(mt792xe_mcu_fw_pmctrl, 0x301d60f4, "_gpl");
SYMBOL_CRC(mt792x_load_firmware, 0x14fd4bee, "_gpl");
SYMBOL_CRC(mt792x_mac_work, 0xe731fec5, "_gpl");
SYMBOL_CRC(mt792x_mac_set_timeing, 0x95d72d07, "_gpl");
SYMBOL_CRC(mt792x_mac_update_mib_stats, 0x513d90fb, "_gpl");
SYMBOL_CRC(mt792x_rx_get_wcid, 0x10625cd8, "_gpl");
SYMBOL_CRC(mt792x_mac_assoc_rssi, 0x4e59be39, "_gpl");
SYMBOL_CRC(mt792x_mac_reset_counters, 0x3087dc15, "_gpl");
SYMBOL_CRC(mt792x_update_channel, 0x59191326, "_gpl");
SYMBOL_CRC(mt792x_reset, 0xeee844fc, "_gpl");
SYMBOL_CRC(mt792x_mac_init_band, 0xb37bc3ab, "_gpl");
SYMBOL_CRC(mt792x_pm_wake_work, 0x0df73a34, "_gpl");
SYMBOL_CRC(mt792x_pm_power_save_work, 0xe4ccb149, "_gpl");
SYMBOL_CRC(__tracepoint_lp_event, 0x37f6eacc, "_gpl");
SYMBOL_CRC(__traceiter_lp_event, 0xdbaa38f1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_lp_event, 0x087b5eef, "_gpl");
SYMBOL_CRC(__SCT__tp_func_lp_event, 0xabff3e0f, "_gpl");
SYMBOL_CRC(mt792x_tx_stats_show, 0x5f336067, "_gpl");
SYMBOL_CRC(mt792x_queues_acq, 0xc9f089a6, "_gpl");
SYMBOL_CRC(mt792x_queues_read, 0xfae2fe32, "_gpl");
SYMBOL_CRC(mt792x_pm_stats, 0x5f56a214, "_gpl");
SYMBOL_CRC(mt792x_pm_idle_timeout_set, 0x5a7b5c38, "_gpl");
SYMBOL_CRC(mt792x_pm_idle_timeout_get, 0xc3a0fb62, "_gpl");
SYMBOL_CRC(mt792x_irq_handler, 0xbd22e98c, "_gpl");
SYMBOL_CRC(mt792x_irq_tasklet, 0x8e471e29, "_gpl");
SYMBOL_CRC(mt792x_rx_poll_complete, 0x643fa2ff, "_gpl");
SYMBOL_CRC(mt792x_dma_enable, 0x0778187f, "_gpl");
SYMBOL_CRC(mt792x_wpdma_reset, 0x659b44d0, "_gpl");
SYMBOL_CRC(mt792x_wpdma_reinit_cond, 0xfc8e180f, "_gpl");
SYMBOL_CRC(mt792x_dma_disable, 0x033c9c20, "_gpl");
SYMBOL_CRC(mt792x_dma_cleanup, 0x7b0d95c4, "_gpl");
SYMBOL_CRC(mt792x_poll_tx, 0xc3f6acbf, "_gpl");
SYMBOL_CRC(mt792x_poll_rx, 0xc846128a, "_gpl");
SYMBOL_CRC(mt792x_wfsys_reset, 0x99b8cbfc, "_gpl");
SYMBOL_CRC(mt792x_init_acpi_sar, 0x6451d0ef, "_gpl");
SYMBOL_CRC(mt792x_init_acpi_sar_power, 0x04687a05, "_gpl");
SYMBOL_CRC(mt792x_acpi_get_flags, 0x630866a2, "_gpl");
SYMBOL_CRC(mt792x_acpi_get_mtcl_conf, 0x853c8ce5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa117ef43, "mt76_connac_mcu_uni_add_dev" },
	{ 0x78e70a9c, "request_firmware" },
	{ 0x34747759, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb8266240, "ieee80211_iterate_stations_atomic" },
	{ 0xa99abcd3, "mt76_connac_pm_wake" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xaf30aab5, "mt76_has_tx_pending" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x1b4f270e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xecd05205, "mt76_dma_cleanup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x42caee3e, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x55d162e7, "mt76_tx_status_check" },
	{ 0x1d890853, "wake_up_process" },
	{ 0x71a70be4, "mt76_connac_free_pending_tx_skbs" },
	{ 0x628e3506, "mt76_connac_power_save_sched" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xedb6af44, "napi_complete_done" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc8f2ea2c, "mt76_tx" },
	{ 0x68de546, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x64aaf13d, "mt76_connac_mcu_set_mac_enable" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x91da0ca5, "ieee80211_queue_delayed_work" },
	{ 0xaa7048ce, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0x457ef90d, "devm_kfree" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x2abda4af, "mt76_connac2_load_ram" },
	{ 0x84778701, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x2ea3cb17, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xcedefe82, "ieee80211_wake_queues" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x145d6fe1, "mt76_set_irq_mask" },
	{ 0x63e1ae76, "mt76_connac_pm_dequeue_skbs" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcd8e8256, "mt76_ethtool_page_pool_stats" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbcc579a7, "__tracepoint_dev_irq" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0xf2bc808e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd1ed228b, "mt76_txq_schedule_all" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x917915ae, "mt76_connac2_load_patch" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xde87237b, "____mt76_poll_msec" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x22fa3044, "mt76_wcid_cleanup" },
	{ 0x6d073985, "seq_puts" },
	{ 0x912ff358, "ieee80211_queue_work" },
	{ 0xdde02604, "napi_schedule_prep" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xab9d88b8, "mt76_ethtool_worker" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6a9e1a9a, "device_set_wakeup_enable" },
	{ 0x6229f305, "mt76_dma_rx_poll" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xff8dfec2, "is_acpi_device_node" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mac80211,mt76");


MODULE_INFO(srcversion, "2EC692180A42ACD0EA69B9E");
