#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x111fd5b7, "rt2x00mac_tx" },
	{ 0x2f71b33a, "rt2x00mac_start" },
	{ 0x40e426a0, "rt2x00mac_stop" },
	{ 0xf6af1fb0, "rt2x00mac_add_interface" },
	{ 0x9ce12966, "rt2x00mac_remove_interface" },
	{ 0x47c760c, "rt2x00mac_config" },
	{ 0x3c654d6a, "rt2x00mac_bss_info_changed" },
	{ 0xd6c9cc25, "rt2x00mac_configure_filter" },
	{ 0xb86e913a, "rt2x00mac_set_tim" },
	{ 0x9b5a0f20, "rt2x00mac_set_key" },
	{ 0x94c4b0fe, "rt2x00mac_sw_scan_start" },
	{ 0xada41c6d, "rt2x00mac_sw_scan_complete" },
	{ 0x8f91a472, "rt2x00mac_get_stats" },
	{ 0xe7ed9041, "rt2x00mac_conf_tx" },
	{ 0x240fe98b, "rt2x00mac_rfkill_poll" },
	{ 0x8eb7847d, "rt2x00mac_flush" },
	{ 0x4be36713, "rt2x00mac_set_antenna" },
	{ 0x9d853428, "rt2x00mac_get_antenna" },
	{ 0x5747975f, "rt2x00mac_get_ringparam" },
	{ 0x1eed3ae1, "rt2x00mac_tx_frames_pending" },
	{ 0x5c021b65, "ieee80211_handle_wake_tx_queue" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x403c6fd6, "usb_register_driver" },
	{ 0x6600353e, "rt2x00usb_probe" },
	{ 0xc7ed8c8e, "skb_trim" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0x77c96678, "usb_submit_urb" },
	{ 0x163d1c5f, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xba001a70, "rt2x00usb_vendor_req_buff_lock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf4f4f77d, "rt2x00usb_vendor_request" },
	{ 0x18297352, "rt2x00lib_set_mac_address" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb44a16b0, "rt2x00usb_vendor_request_buff" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xf5f300, "skb_push" },
	{ 0x4be70ce8, "rt2x00debug_dump_frame" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc5b32d90, "rt2x00usb_disable_radio" },
	{ 0x83ec0a14, "rt2x00usb_disconnect" },
	{ 0x22698ee8, "rt2x00usb_suspend" },
	{ 0x87b64496, "rt2x00usb_resume" },
	{ 0xfc6e9928, "rt2x00usb_initialize" },
	{ 0x5c96ea80, "rt2x00usb_uninitialize" },
	{ 0x3e133291, "rt2x00usb_clear_entry" },
	{ 0xd158aaa4, "rt2x00usb_watchdog" },
	{ 0xfc001625, "rt2x00usb_kick_queue" },
	{ 0xc04e7837, "rt2x00usb_flush_queue" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211,rt2x00usb");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "9FD0E3DF645EB6A02D4E84A");
