#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_DATA(rt2800_rt2x00debug, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0x2f5be5e5, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0xce47fa31, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0xd3cf9461, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0xc07a0302, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0xc2888476, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0xcd96f027, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0xe052c3d3, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0x17554c52, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x703635b9, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0xf15104c9, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0xb7536d84, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x5995851f, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0xc6ab34aa, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0xeed13373, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0x136011b1, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0x0fb94b29, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0xf83fd06a, "_gpl");
SYMBOL_CRC(rt2800_rt2x00debug, 0x0c5890c4, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0xb667a46c, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x6127cf90, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0x34442403, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0x3ba366d0, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0xad06aa74, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0x0c6cf6ec, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0xeffd9751, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x0f5ad685, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x4e4edb81, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0xb853a2e3, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0x9828cd32, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0xa4fb0d86, "_gpl");
SYMBOL_CRC(rt2800_config, 0x0e6fde7b, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x5ef9bc92, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x444b089b, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0xa764eec7, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0x12665189, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x7474fd1d, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0xa80aecf7, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x6d07760b, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0x43897682, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x594aaf12, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0xd76a4045, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0xf972d658, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x975fe06c, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0x1760a890, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0xe38a2ae3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1106c9ab, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbe06a477, "rt2x00lib_txdone" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0x9cda9a69, "rt2x00queue_get_entry" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4d5baf8e, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xe7ed9041, "rt2x00mac_conf_tx" },
	{ 0x269ddb25, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf5f300, "skb_push" },
	{ 0x4be70ce8, "rt2x00debug_dump_frame" },
	{ 0x977e7413, "dev_kfree_skb_any_reason" },
	{ 0x6a7b1ab3, "__skb_pad" },
	{ 0x9c853f04, "rt2x00lib_txdone_noinfo" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd900b86e, "ieee80211_restart_hw" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0x18297352, "rt2x00lib_set_mac_address" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x91bf7854, "param_ops_uint" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "151943BAACCCC86195C4B0F");
