#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0xf4f4f77d, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0xba001a70, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0xb44a16b0, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0x59f27e04, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0x653316e8, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0xfc001625, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0xc04e7837, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0xd158aaa4, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0xc5b32d90, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0x3e133291, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0xfc6e9928, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0x5c96ea80, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0x6600353e, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0x83ec0a14, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0x22698ee8, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0x87b64496, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x55f7b798, "usb_control_msg" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x90adf3ea, "usb_anchor_urb" },
	{ 0x77c96678, "usb_submit_urb" },
	{ 0xdb173d56, "usb_unanchor_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x87eb1074, "usb_alloc_urb" },
	{ 0xcf27add6, "usb_free_urb" },
	{ 0xe6f1d025, "rt2x00lib_dmastart" },
	{ 0xbfffa360, "rt2x00lib_dmadone" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6a7b1ab3, "__skb_pad" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x51752801, "rt2x00queue_for_each_entry" },
	{ 0x25bdf9aa, "usb_kill_urb" },
	{ 0x9cda9a69, "rt2x00queue_get_entry" },
	{ 0x17997ce2, "rt2x00queue_stop_queue" },
	{ 0xf01c7780, "rt2x00queue_flush_queue" },
	{ 0x52e6b9d5, "rt2x00queue_start_queue" },
	{ 0x9c853f04, "rt2x00lib_txdone_noinfo" },
	{ 0x651b4be3, "rt2x00lib_rxdone" },
	{ 0x6668749d, "rt2x00lib_suspend" },
	{ 0x295491a0, "rt2x00lib_resume" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6ab8a68f, "rt2x00lib_remove_dev" },
	{ 0x8be5adc2, "ieee80211_free_hw" },
	{ 0xf1f676dc, "usb_put_dev" },
	{ 0xcaf900c6, "usb_get_dev" },
	{ 0x13f26ab8, "usb_reset_device" },
	{ 0xce3c4690, "ieee80211_alloc_hw_nm" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc7b19f3c, "rt2x00lib_probe_dev" },
	{ 0x122c3a7e, "_printk" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "A8C5A4284EB9CD3A91B16B3");
