#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0x5fbbfff8, "");
SYMBOL_CRC(rtw_pci_probe, 0x303018b2, "");
SYMBOL_CRC(rtw_pci_remove, 0xd9ba0026, "");
SYMBOL_CRC(rtw_pci_shutdown, 0x154b992c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xefd9c85f, "rtw_unregister_hw" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0x82440ad, "rtw_tx_fill_tx_desc" },
	{ 0xf5f300, "skb_push" },
	{ 0x7157bbeb, "dma_alloc_attrs" },
	{ 0xcf2b7eb7, "napi_enable" },
	{ 0x53ff9edb, "rtw_core_init" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xce3c4690, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xacf8166d, "pci_iounmap" },
	{ 0xe86e39d8, "dma_sync_single_for_cpu" },
	{ 0x3422c61b, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0xc747289f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe0c6d19, "ieee80211_stop_queue" },
	{ 0x4f2ad77a, "__netdev_alloc_skb" },
	{ 0x52632ac1, "rtw_rx_stats" },
	{ 0x98a1eb27, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x15caf1eb, "rtw_register_hw" },
	{ 0x5de01362, "dma_free_attrs" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0x1f4063ab, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2d33dbb2, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8bb0d87d, "rtw_core_deinit" },
	{ 0x3e1b1710, "rtw_ops" },
	{ 0x12541d7e, "pci_disable_device" },
	{ 0xdde02604, "napi_schedule_prep" },
	{ 0x11e1e18, "napi_disable" },
	{ 0x977e7413, "dev_kfree_skb_any_reason" },
	{ 0xdfbdb959, "rtw_power_mode_change" },
	{ 0x4099971a, "rtw_tx_write_data_h2c_get" },
	{ 0x920cd9ad, "pci_free_irq_vectors" },
	{ 0x914a7ef4, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x790d43f6, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xa6519ff9, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5806de01, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x24236b28, "rtw_tx_queue_mapping" },
	{ 0x69b0375d, "pcie_capability_read_word" },
	{ 0x47a47635, "devm_request_threaded_irq" },
	{ 0xf5583990, "pci_enable_device" },
	{ 0x1f629a95, "skb_put" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0x5203eddc, "pci_iomap" },
	{ 0xd18ae90b, "pci_alloc_irq_vectors" },
	{ 0xf75cdd75, "netif_napi_add_weight" },
	{ 0x7beef246, "skb_dequeue" },
	{ 0x8be5adc2, "ieee80211_free_hw" },
	{ 0x230e0c0, "dma_unmap_page_attrs" },
	{ 0x9609f503, "dma_sync_single_for_device" },
	{ 0x95363ee4, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x46f22022, "dev_kfree_skb_irq_reason" },
	{ 0xd303ffe1, "pci_set_power_state" },
	{ 0x8d1a83fe, "__netif_napi_del" },
	{ 0xb6b9b82f, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x908529d9, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x176cfc0f, "dma_map_page_attrs" },
	{ 0xedb6af44, "napi_complete_done" },
	{ 0x28b01909, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfc18b431, "devm_free_irq" },
	{ 0x68de546, "__napi_schedule" },
	{ 0xe03ac162, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x3d83bbec, "rtw_chip_info_setup" },
	{ 0x62ce39fe, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "4EF7971F478651556D3FFF6");
