#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x5c942386, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0x61113478, "_gpl");
SYMBOL_CRC(wwan_create_port, 0xa4ada43f, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0x67b45d0c, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0xc4877c23, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0xd4c86390, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa2f74584, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9721fba6, "alloc_netdev_mqs" },
	{ 0xc8d391dd, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a9dbedd, "put_device" },
	{ 0x17b48051, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xe03ac162, "skb_queue_tail" },
	{ 0x53f349cd, "rtnl_configure_link" },
	{ 0x9101e98b, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x92beaee1, "rtnl_link_unregister" },
	{ 0xdadd8594, "init_net" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0xdb1fecdb, "noop_llseek" },
	{ 0x2b42dae8, "class_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9e637e13, "debugfs_remove" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcc103646, "free_netdev" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfa992907, "class_dev_iter_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x601a6ed0, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd5de7767, "__register_chrdev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x25a47389, "stream_open" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x45bf7767, "device_find_child_by_name" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x83f63baa, "debugfs_create_dir" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xa4703ab2, "skb_queue_head" },
	{ 0x4c83a2d9, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xff759055, "register_netdevice" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x753b949a, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xaeef1660, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1f629a95, "skb_put" },
	{ 0xc37abed6, "dev_set_name" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x57d9ca80, "device_unregister" },
	{ 0x7beef246, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x69e12432, "class_destroy" },
	{ 0x3fe48c3a, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xf590648c, "device_for_each_child" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc5d00c25, "rtnl_create_link" },
	{ 0xfc9af44c, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "64447D7B6346D30AC086AFB");
