#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x2bbb37ea, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0xc7162462, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x8b8a3178, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x1e971641, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x090c0720, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xabc36dec, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x36832346, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x0fb2eb8d, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0xbd5f5138, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x48249ccf, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0xc81418de, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x7a5723ac, "_gpl");
SYMBOL_CRC(nvme_init_request, 0xe0dfc6c9, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x904a9bc0, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x12ae99af, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x10e35dc4, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xa1a688c6, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0xf0beeaaa, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0xc2e51827, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0xcd1ccbfe, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x6d4c3dd3, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0xa5c958f8, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xf984dfb9, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x9c5bda19, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x0376996a, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x3d363d2b, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x51d419f1, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0xc04f032c, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xeb4a3c46, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x90d8dc6d, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xb048b934, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x5edfe27a, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x60866f07, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x59fd6545, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x903ac609, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xa041bd21, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x0de5682d, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x278ca9a1, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x2094edff, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x3c457d90, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x03770ced, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x98ec202e, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x9e780743, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x973ac1e8, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xd9dd2a0b, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x61ed0c71, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0xf3123830, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0xdf26a8fe, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xaa932d78, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x0fe568c8, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x2445afcb, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x127dc8b5, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x7b7b0236, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x8aa4daea, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x96491a93, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x1ba81e07, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x22db1fa4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xa284edbb, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x6c77382a, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0xcaaebb12, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0xc9aabe48, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0xa2865d2c, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0xd621eadd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x46c47fb6, "__node_distance" },
	{ 0xef9d4227, "blk_mq_quiesce_tagset" },
	{ 0x746b3e8b, "key_put" },
	{ 0xecfc5ec4, "kobject_uevent_env" },
	{ 0x3c916e11, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0xe1a43ad8, "__SCK__tp_func_block_bio_remap" },
	{ 0x57bc19d2, "down_write" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x1e3b8ab7, "blk_revalidate_disk_zones" },
	{ 0xce807a25, "up_write" },
	{ 0xfc03e260, "crypto_shash_setkey" },
	{ 0x21b8348a, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xe08bcbf8, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xf943f3ee, "sysfs_remove_link" },
	{ 0x464c9ba7, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x320274f9, "hwmon_device_register_with_info" },
	{ 0x6e10bfe, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3abc1e9d, "submit_bio_noacct" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x2b42dae8, "class_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf81d3907, "blk_sync_queue" },
	{ 0x1d907740, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x13fe321d, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1e85e8a1, "blk_mq_alloc_request_hctx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xfea2a314, "__io_uring_cmd_do_in_task" },
	{ 0x1929f708, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0xc942344e, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf3a6fada, "crypto_shash_update" },
	{ 0x45729991, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2f290239, "del_gendisk" },
	{ 0x6d71df35, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x139acd18, "blk_queue_max_discard_segments" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd2f7888c, "blk_set_stacking_limits" },
	{ 0xae11db94, "blk_mq_freeze_queue_wait_timeout" },
	{ 0xcd8ba526, "blk_put_queue" },
	{ 0x28373d9b, "bpf_trace_run1" },
	{ 0x20289e68, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x375a8b0e, "blk_mq_wait_quiesce_done" },
	{ 0x3e745049, "blk_queue_max_segments" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe6a8af99, "blk_mq_init_queue" },
	{ 0x800fbcea, "io_uring_cmd_done" },
	{ 0x8688e7e6, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x745a981, "xa_erase" },
	{ 0x822cf32a, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf9130c26, "blk_queue_virt_boundary" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3367c905, "blk_mq_complete_request" },
	{ 0x83c20f23, "blk_queue_chunk_sectors" },
	{ 0xf9243b21, "blk_queue_max_write_zeroes_sectors" },
	{ 0x50e1ecca, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0x98635afd, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0x48a940e, "blk_mq_destroy_queue" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x5d6ba110, "blk_freeze_queue_start" },
	{ 0x4d07bd2e, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xe5c09172, "alloc_pages" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf614109e, "__tracepoint_block_bio_complete" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x46bc851f, "blk_queue_io_min" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0xe5b671b1, "hwmon_device_unregister" },
	{ 0xb07d04a1, "__tracepoint_block_bio_remap" },
	{ 0x1b7736c1, "blk_mq_unfreeze_queue" },
	{ 0x6a75cd1d, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x60e00cd7, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2dbcf72c, "blk_rq_map_user_iov" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xd2ff985e, "blk_queue_max_hw_sectors" },
	{ 0x6036a5d1, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0x663ba95, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5852a792, "crypto_alloc_shash" },
	{ 0xb6c30f0e, "blk_mq_freeze_queue_wait" },
	{ 0x4dcd78dc, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x6a6f6bf8, "blk_queue_io_opt" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x360fdf2e, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2b249907, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe6198709, "bdev_end_io_acct" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0x5daac3a5, "blk_steal_bios" },
	{ 0xeeea0800, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9579b94, "set_capacity_and_notify" },
	{ 0x12b05c2d, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x585670f2, "set_disk_ro" },
	{ 0x615f46c, "__blk_alloc_disk" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x66b1eb0b, "blk_integrity_register" },
	{ 0x47d27382, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4b86dc9e, "bio_integrity_map_user" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xc2e5a9fb, "device_remove_file_self" },
	{ 0x91bf7854, "param_ops_uint" },
	{ 0x5b2ef2a1, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x230269fb, "blk_queue_logical_block_size" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc37abed6, "dev_set_name" },
	{ 0x74df25a6, "ext_pi_type3_crc64" },
	{ 0x1fb76d84, "bio_split_to_limits" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xde5f2aa, "disk_update_readahead" },
	{ 0x8df3f05c, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x686289b7, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc8e84436, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe56a305b, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x69e12432, "class_destroy" },
	{ 0x34747759, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x353bfcad, "device_initialize" },
	{ 0x260d57f9, "blk_mq_unquiesce_queue" },
	{ 0x63b08692, "t10_pi_type1_crc" },
	{ 0x765ab64f, "blk_queue_dma_alignment" },
	{ 0xb19418ab, "blk_mq_quiesce_queue" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0x36fa22db, "ext_pi_type1_crc64" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6bc4c78d, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x73641259, "pcpu_hot" },
	{ 0xfb26583, "blk_queue_write_cache" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1b4f270e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x7e513c9b, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0x510e61ef, "param_ops_byte" },
	{ 0x9eabf9c4, "kmem_cache_create" },
	{ 0x5208d4f4, "get_device" },
	{ 0x2c4de49f, "blk_mq_end_request" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x3534bfb4, "__blk_mq_alloc_disk" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbaf52754, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf16f8904, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4a8aa13f, "blk_mq_alloc_tag_set" },
	{ 0x9874b4f8, "blk_rq_is_poll" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0x87fe483, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1953c958, "mempool_create" },
	{ 0x6eca1ff9, "put_disk" },
	{ 0x51fd5b77, "crypto_alloc_kpp" },
	{ 0xa1caf585, "cdev_device_add" },
	{ 0x9327690c, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe0b87ac7, "blk_queue_physical_block_size" },
	{ 0x51b983c8, "blk_execute_rq" },
	{ 0x6a9dbedd, "put_device" },
	{ 0x8173b669, "blk_mq_unquiesce_tagset" },
	{ 0x2a1b68bd, "blk_queue_max_zone_append_sectors" },
	{ 0xa916b694, "strnlen" },
	{ 0x8b46a3e5, "kmalloc_node_trace" },
	{ 0xb55ad161, "blk_queue_flag_set" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xefe40071, "blk_mq_free_request" },
	{ 0x8259583e, "disk_set_zoned" },
	{ 0x618911fc, "numa_node" },
	{ 0x4a449c6d, "__free_pages" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xb84f4d7a, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x90974934, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe2484055, "sysfs_create_link" },
	{ 0x5444dd64, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9101e98b, "compat_ptr_ioctl" },
	{ 0x2e782799, "t10_pi_type3_crc" },
	{ 0xcde77732, "blk_rq_poll" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth,t10-pi");


MODULE_INFO(srcversion, "8AFE8DDF1E3FDE00B91828C");
