#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0xc5e7e042, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa284edbb, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7c6fe3f1, "nvmf_unregister_transport" },
	{ 0x6b63bdd6, "blkcg_get_fc_appid" },
	{ 0x6a9dbedd, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x48249ccf, "nvme_change_ctrl_state" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x3770ced, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xa041bd21, "nvme_alloc_io_tag_set" },
	{ 0x904a9bc0, "nvme_fail_nonready_command" },
	{ 0xecfc5ec4, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0x50259f21, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf81d3907, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0xe9dfc0e0, "__blk_rq_map_sg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x180c902e, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf79fb603, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xb78f35a5, "nvmf_connect_admin_queue" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeb4a3c46, "nvme_enable_ctrl" },
	{ 0xfe568c8, "nvme_unquiesce_admin_queue" },
	{ 0xe86e39d8, "dma_sync_single_for_cpu" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdf26a8fe, "nvme_unquiesce_io_queues" },
	{ 0xfa44eb7f, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xfd5cdea1, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3cd670a7, "nvmf_should_reconnect" },
	{ 0x60866f07, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x904d6c2b, "device_destroy" },
	{ 0x51d419f1, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xa1638126, "nvmf_register_transport" },
	{ 0xd126b6e, "blk_mq_start_request" },
	{ 0xf3123830, "nvme_quiesce_io_queues" },
	{ 0x6a75cd1d, "blk_mq_tagset_busy_iter" },
	{ 0x278ca9a1, "nvme_stop_ctrl" },
	{ 0x53c54541, "dma_unmap_sg_attrs" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x90d8dc6d, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0xc7162462, "nvme_reset_ctrl" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xaa932d78, "nvme_quiesce_admin_queue" },
	{ 0x77d23480, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x12ae99af, "__nvme_check_ready" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xe2dd851a, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x903ac609, "nvme_remove_admin_tag_set" },
	{ 0x2445afcb, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x3c457d90, "nvme_uninit_ctrl" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x1e971641, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3e367bfa, "nvmf_free_options" },
	{ 0xc8e84436, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9c5bda19, "nvme_stop_keep_alive" },
	{ 0x5b0b4e33, "blk_mq_complete_request_remote" },
	{ 0x230e0c0, "dma_unmap_page_attrs" },
	{ 0xa1a688c6, "nvme_setup_cmd" },
	{ 0x2094edff, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0x9609f503, "dma_sync_single_for_device" },
	{ 0x59fd6545, "nvme_alloc_admin_tag_set" },
	{ 0x3910c55f, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x3672df1e, "nvmf_reg_read32" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8b8a3178, "nvme_delete_ctrl" },
	{ 0x5208d4f4, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x908529d9, "dev_driver_string" },
	{ 0xc437d4e4, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x176cfc0f, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xde5682d, "nvme_remove_io_tag_set" },
	{ 0x10e35dc4, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "DA54E3472E59A611AC671AE");
