#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(asus_wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_register_driver, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_unregister_driver, "_gpl", "");

SYMBOL_CRC(asus_wmi_evaluate_method, 0x57c46ceb, "_gpl");
SYMBOL_CRC(asus_wmi_register_driver, 0x6f5b1b3b, "_gpl");
SYMBOL_CRC(asus_wmi_unregister_driver, 0x1af5405e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x479e88a, "device_remove_file" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9ec59b8b, "device_create_file" },
	{ 0x2c9f77fa, "single_open" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0x95078c48, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdbc49d7f, "platform_device_unregister" },
	{ 0x58931d81, "platform_driver_unregister" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x65b4695, "wmi_get_acpi_device_uid" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x6dac6090, "input_set_capability" },
	{ 0x88c639f6, "input_event" },
	{ 0x6298f839, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x9cab34a6, "rfkill_set_led_trigger_name" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0x5ff1f85f, "sparse_keymap_report_event" },
	{ 0x1078c1d0, "backlight_force_update" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x4d23af9, "pci_find_bus" },
	{ 0xe98d68d0, "pci_bus_read_config_dword" },
	{ 0x1470ab5e, "pci_get_slot" },
	{ 0xe4183924, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0x33c99fe7, "pci_stop_and_remove_bus_device" },
	{ 0xb4b4adb0, "pci_scan_single_device" },
	{ 0x4dbb987, "pci_bus_assign_resources" },
	{ 0xe4c71e73, "pci_bus_add_device" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xf015337b, "pci_hp_deregister" },
	{ 0x1d2f2535, "i8042_remove_filter" },
	{ 0x76ae31fd, "wmi_remove_notify_handler" },
	{ 0x566ef3a7, "backlight_device_unregister" },
	{ 0x1e26116b, "input_unregister_device" },
	{ 0x9e637e13, "debugfs_remove" },
	{ 0xbc4c3bed, "sysfs_remove_group" },
	{ 0x6a069785, "battery_hook_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4c78998d, "__pci_hp_register" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x86b2eae8, "led_classdev_register_ext" },
	{ 0xce593c22, "ledtrig_audio_get" },
	{ 0x2e5e7832, "backlight_device_register" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0x78ddb76b, "dmi_match" },
	{ 0xc725611a, "sysfs_create_group" },
	{ 0x8c60bfa6, "input_allocate_device" },
	{ 0x7175abb, "sparse_keymap_setup" },
	{ 0xfbd2d75e, "input_register_device" },
	{ 0xc1e7728f, "devm_hwmon_device_register_with_groups" },
	{ 0xf18bdd75, "wmi_install_notify_handler" },
	{ 0xdd226af5, "i8042_install_filter" },
	{ 0x83f63baa, "debugfs_create_dir" },
	{ 0xb34f7ecd, "debugfs_create_x32" },
	{ 0xb1ed295e, "debugfs_create_file" },
	{ 0x31e3dde, "input_free_device" },
	{ 0x60bf7d8a, "pci_get_device" },
	{ 0x5f41e5c1, "pci_read_config_dword" },
	{ 0xcd42fdf5, "pci_write_config_dword" },
	{ 0xda6677ce, "battery_hook_register" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x598d312b, "seq_lseek" },
	{ 0xf77ab6d, "seq_read" },
	{ 0x341ee2bd, "single_release" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x122c3a7e, "_printk" },
	{ 0x17b0f8ca, "wmi_get_event_data" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0x949a698c, "sysfs_notify" },
	{ 0xf14d5b76, "__platform_create_bundle" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "platform_profile,wmi,rfkill,video,sparse-keymap,ledtrig-audio");


MODULE_INFO(srcversion, "3A588ECFDC148F0267248E4");
