#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_slave_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(smp_ata_check_ready_type, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(sas_ata_device_link_abort, "_gpl", "");
KSYMTAB_FUNC(sas_execute_ata_cmd, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0x0bb4e893, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0xde74d588, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0xc5de5447, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xa6686b95, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xa7447387, "");
SYMBOL_CRC(sas_resume_ha, 0xa8beb778, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0xe9f01b2c, "");
SYMBOL_CRC(sas_suspend_ha, 0x01c02c09, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x7b5bf05c, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x7c958775, "_gpl");
SYMBOL_CRC(sas_drain_work, 0xf6d12dd4, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0xd633c787, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xda4c797d, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0x923ff8ac, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x3c2bafe9, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x65509692, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x34bd4a81, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x87d3c1d3, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x09c07392, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xfe022f77, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x3c551908, "_gpl");
SYMBOL_CRC(sas_slave_configure, 0x60244e9c, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x1d5ef2c2, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x8dbbf796, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0xaedfe342, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0xfec1c847, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x46e68afc, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0x0da0a98d, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0x0812936d, "_gpl");
SYMBOL_CRC(sas_query_task, 0x5efb55d0, "_gpl");
SYMBOL_CRC(sas_abort_task, 0xea2d5024, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x722a4779, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x97ffb172, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x536bcdaa, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x3dd2cc36, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x2e4b76c1, "_gpl");
SYMBOL_CRC(smp_ata_check_ready_type, 0xe6df48f0, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x76feff29, "_gpl");
SYMBOL_CRC(sas_ata_device_link_abort, 0x0d6d1774, "_gpl");
SYMBOL_CRC(sas_execute_ata_cmd, 0xc916e264, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a9dbedd, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x24a6b2c6, "ata_sas_tport_delete" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x4830bf71, "kmem_cache_alloc" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xf4e607d8, "sas_phy_free" },
	{ 0x3d805ae0, "scsi_eh_finish_cmd" },
	{ 0xa167411b, "ata_noop_qc_prep" },
	{ 0xf320c370, "ata_sas_port_alloc" },
	{ 0x7f1289b2, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x15f026e1, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8c9b5a87, "sas_port_mark_backlink" },
	{ 0x7fdcc276, "kmem_cache_free" },
	{ 0xee7fb8de, "ata_link_abort" },
	{ 0x860bb8b4, "ata_std_qc_defer" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4556ffaa, "ata_scsi_port_error_handler" },
	{ 0x82b6fc95, "ata_change_queue_depth" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x65ecd91d, "ata_port_probe" },
	{ 0xbb648098, "ata_std_error_handler" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x439f0dbd, "sas_end_device_alloc" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xcc916855, "sas_read_port_mode_page" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x402ba08c, "sas_expander_alloc" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x82eef752, "sas_rphy_delete" },
	{ 0x81dd2847, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc0faea6c, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb4d71177, "scsi_host_busy" },
	{ 0x1efe39e4, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb695bca0, "ata_sas_port_suspend" },
	{ 0xa448736f, "sas_rphy_add" },
	{ 0x2699bfc, "__pm_runtime_resume" },
	{ 0xeeeda88e, "sas_port_delete_phy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1389eb9e, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x43b23789, "sas_port_add_phy" },
	{ 0x8b9c9073, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x3f7c6880, "ata_sas_slave_configure" },
	{ 0x6a75cd1d, "blk_mq_tagset_busy_iter" },
	{ 0x417ccf97, "scsi_done" },
	{ 0x85f167a1, "scsi_unblock_requests" },
	{ 0x2298983f, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x4e9b4bbc, "ata_host_put" },
	{ 0x68cab9d0, "sas_port_free" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x1aa4f7cc, "ata_std_sched_eh" },
	{ 0xa6bafe6, "scsi_block_requests" },
	{ 0xfcb6e9c7, "blk_abort_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xd688956b, "sas_remove_children" },
	{ 0xda44042d, "scsi_change_queue_depth" },
	{ 0xeb819371, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa293a423, "ata_port_wait_eh" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xeeea0800, "kmem_cache_destroy" },
	{ 0x4454e339, "ata_qc_complete" },
	{ 0xdf2775ee, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe62ffbd2, "sas_rphy_remove" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x519eaed9, "bsg_job_done" },
	{ 0x225317a6, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x28f4f6dc, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x53d7f46a, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcdefcc8d, "scsi_schedule_eh" },
	{ 0x78e70a9c, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x79423d2f, "ata_host_init" },
	{ 0xa5de7603, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x5d58b38c, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xa2196eb1, "sas_port_get_phy" },
	{ 0x73f3fdba, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x9eabf9c4, "kmem_cache_create" },
	{ 0x5208d4f4, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf0e49a23, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x3dc5ab5e, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas");


MODULE_INFO(srcversion, "AB41FC0D8ACC374B42EB889");
