#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0xcfb63f16, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0xf7d83f04, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x024ec693, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_conn, 0x15dc8bab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0xa3dfca28, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0x493edf5b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0x33b5b814, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_eh, 0xf7e749fb, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0x0742ebc2, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0x8285721a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x96a412be, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_session, 0x52575134, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0x82313a3a, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0x678ef255, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0xadce2ccf, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_tcp, 0xa8c4b5e1, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xa61415f1, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0x52dcb9db, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0x2481febf, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_sw_tcp, 0xdf515c49, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0x93ecb240, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0xdf7a6c8e, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0xf92b2929, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0x13f4430e, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0xb1d379eb, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0x0e3140ad, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0xa8247a14, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0xa52aaf32, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0xae12e7ef, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0xb2b8a2e5, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0xce001728, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0xda3148d4, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0x26437abd, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0xcb4589e5, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0x8d458fb3, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0xdd8c1bc9, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0x2c34aeba, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0xdaa57fe4, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0xb1be3f4c, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0x6915b241, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0x0a7527b9, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0x00e604fd, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0x9b826318, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0xf56ffe62, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0x6520d195, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0x0424f705, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0xbfb1869b, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0x7f1b3aeb, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0x51f40aa7, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0x15934bc2, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0x6d93bcbd, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0x8b6a4af1, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0x86fe457b, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0xc8c04b63, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0xeccd8d36, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0x7be8d418, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0x2d9628d7, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0x7dbd6b13, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0x402556f5, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0x5d2b8cab, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0xe5b8a10e, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0xbaf0d192, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0x42c501b5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x754d539c, "strlen" },
	{ 0x148653, "vsnprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0x34747759, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1b4f270e, "bpf_trace_run2" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6a9dbedd, "put_device" },
	{ 0x57d9ca80, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbc4c3bed, "sysfs_remove_group" },
	{ 0x20978fb9, "idr_find" },
	{ 0x5208d4f4, "get_device" },
	{ 0x11984272, "device_find_child" },
	{ 0xf590648c, "device_for_each_child" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf7370f56, "system_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x7c4b8710, "scsi_target_unblock" },
	{ 0x4aac5cd7, "_dev_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf3ba36b7, "netlink_kernel_release" },
	{ 0xb87c4fd0, "bus_unregister" },
	{ 0xa2c864fc, "transport_class_unregister" },
	{ 0xf79fb603, "class_unregister" },
	{ 0x77d23480, "class_register" },
	{ 0x6e7ef55f, "transport_class_register" },
	{ 0x817f5acb, "bus_register" },
	{ 0xdadd8594, "init_net" },
	{ 0xb5451f2f, "__netlink_kernel_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x81dd2847, "scsi_is_host_device" },
	{ 0xc37aad15, "scsi_scan_target" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4ac43d7a, "scsi_host_get" },
	{ 0x353bfcad, "device_initialize" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x21b8348a, "device_add" },
	{ 0x8387aee6, "transport_setup_device" },
	{ 0x3a8ce1f8, "transport_add_device" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc0c69ec9, "transport_destroy_device" },
	{ 0x20289e68, "device_del" },
	{ 0xaeef1660, "__nlmsg_put" },
	{ 0xc7ed8c8e, "skb_trim" },
	{ 0x788f9c5f, "netlink_broadcast_filtered" },
	{ 0x17b48051, "__alloc_skb" },
	{ 0x9e2d9a1d, "scsi_host_lookup" },
	{ 0xfb578fc5, "memset" },
	{ 0x6b24f245, "scsi_host_put" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0x69acdf38, "memcpy" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xefe2c8f6, "transport_remove_device" },
	{ 0x33a5015a, "attribute_container_unregister" },
	{ 0xbc2ef90c, "bsg_remove_queue" },
	{ 0x519eaed9, "bsg_job_done" },
	{ 0xc117b2a6, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x48af4078, "bsg_setup_queue" },
	{ 0x868a5910, "__scsi_init_queue" },
	{ 0x563198ea, "scsi_remove_target" },
	{ 0xffb7c514, "ida_free" },
	{ 0xc37abed6, "dev_set_name" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x601a6ed0, "device_register" },
	{ 0xc725611a, "sysfs_create_group" },
	{ 0x2f867b2b, "attribute_container_register" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xde842ee8, "netlink_capable" },
	{ 0x47d27382, "try_module_get" },
	{ 0x90974934, "module_put" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5a48841, "netlink_unicast" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F552715167DE91344293472");
