#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(proc_thermal_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_remove, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_suspend, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_resume, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_remove, "_gpl", "");

SYMBOL_CRC(proc_thermal_add, 0x34896a92, "_gpl");
SYMBOL_CRC(proc_thermal_remove, 0x6c83bce8, "_gpl");
SYMBOL_CRC(proc_thermal_suspend, 0x09a5b6bb, "_gpl");
SYMBOL_CRC(proc_thermal_resume, 0x355e1ab0, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_add, 0xecbfb026, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_remove, 0x4c74f155, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1936331f, "intel_tcc_set_offset" },
	{ 0xff8dfec2, "is_acpi_device_node" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x2984d405, "int340x_thermal_zone_add" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xb800fc1b, "sysfs_create_file_ns" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x7189a19f, "int340x_thermal_zone_remove" },
	{ 0xa1186518, "intel_tcc_get_tjmax" },
	{ 0xc725611a, "sysfs_create_group" },
	{ 0x2f9c7733, "sysfs_remove_file_ns" },
	{ 0xbc4c3bed, "sysfs_remove_group" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0xf949e186, "pcim_iomap_regions" },
	{ 0x62fad45a, "pcim_iomap_table" },
	{ 0x6cb45da, "proc_thermal_wt_hint_add" },
	{ 0xebdd5424, "proc_thermal_rfim_add" },
	{ 0x98e82d4, "proc_thermal_rapl_remove" },
	{ 0x436c915d, "proc_thermal_wt_req_add" },
	{ 0x45325aad, "proc_thermal_rfim_remove" },
	{ 0x230fe940, "proc_thermal_rapl_add" },
	{ 0x2a02fb06, "proc_thermal_wt_hint_remove" },
	{ 0xc06ae535, "proc_thermal_wt_req_remove" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0x4d6c2e79, "thermal_zone_device_update" },
	{ 0xf7e162d5, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xcb0091dd, "intel_tcc_get_temp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf759d7c4, "proc_thermal_power_floor_set_state" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x88f3682c, "proc_thermal_power_floor_get_state" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xec0bf2b3, "proc_thermal_read_power_floor_status" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8c32aa7b, "intel_tcc_get_offset" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "int340x_thermal_zone,processor_thermal_wt_hint,processor_thermal_rfim,processor_thermal_rapl,processor_thermal_wt_req,processor_thermal_power_floor");


MODULE_INFO(srcversion, "546A5CB02ECEF5F99510CEF");
