#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_enable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_disable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_local_unipro_ver, "", "");
KSYMTAB_FUNC(ufshcd_opp_config_clks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dealloc_host, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0x317e5da9, "_gpl");
SYMBOL_CRC(ufshcd_enable_irq, 0x6e069bd6, "_gpl");
SYMBOL_CRC(ufshcd_disable_irq, 0xefd413a6, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0xf973cc42, "_gpl");
SYMBOL_CRC(ufshcd_get_local_unipro_ver, 0x6ec67265, "");
SYMBOL_CRC(ufshcd_opp_config_clks, 0x106b0bfd, "_gpl");
SYMBOL_CRC(ufshcd_hold, 0xf06f74ba, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x13cfeae7, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0xe0c8b7a6, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0xd6a6c4fa, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0x9254b1ae, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0x407531c8, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x67b78292, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0x6af19e50, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0xaf1bb780, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0x7b5e79a1, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x47a85271, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0x57988f64, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0x5a91c164, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x337e0523, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x51fe4ae0, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0x40e453a7, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0xea78b8c3, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0x3ae3339f, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0x6bb67e04, "");
SYMBOL_CRC(ufshcd_system_resume, 0xbdfe9703, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0xa0c4d221, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0xaee13eb3, "");
SYMBOL_CRC(ufshcd_remove, 0x644df4c9, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x77d7eb8f, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x23db9914, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0xda245e70, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0x2b89a687, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0xcf14ba8f, "");
SYMBOL_CRC(ufshcd_init, 0xd95eeaa7, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0x5dd6c720, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x500f73db, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0xa134aa8d, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0xcc3080af, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0x0c678511, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x0d10d6c6, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0x299bcdcc, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0x4ffc01ab, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0xaa0cd920, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0x4216a52f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0ff3d28, "scsi_dma_map" },
	{ 0x3a208d63, "scsi_print_sense_hdr" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6a9ac227, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x8214e6d7, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5755a06e, "bpf_trace_run4" },
	{ 0x47a47635, "devm_request_threaded_irq" },
	{ 0xcbb89af8, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xc4586b9a, "scsi_autopm_put_device" },
	{ 0x76618fac, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x297884c2, "dmam_alloc_attrs" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0x1e5eefa, "scsi_remove_host" },
	{ 0x3bf7e701, "bpf_trace_run6" },
	{ 0x876dd181, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0x6f544321, "blk_pm_runtime_init" },
	{ 0x34747759, "trace_event_printf" },
	{ 0x203bdb29, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcc7e6e7d, "sysfs_remove_groups" },
	{ 0x5a2e309e, "dev_pm_opp_find_freq_floor_indexed" },
	{ 0xcf2a6966, "up" },
	{ 0x60893040, "devfreq_recommended_opp" },
	{ 0x8cf6771, "sysfs_create_groups" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5caee3f1, "scsi_dma_unmap" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x598d312b, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1b4f270e, "bpf_trace_run2" },
	{ 0x1a686958, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x5208d4f4, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1a70de3e, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4a8aa13f, "blk_mq_alloc_tag_set" },
	{ 0x2b72f5db, "devfreq_add_device" },
	{ 0x908529d9, "dev_driver_string" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcbdbeb02, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x9a32b001, "scsi_register_driver" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x67c775e2, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a9dbedd, "put_device" },
	{ 0x74ea0469, "dev_pm_opp_put" },
	{ 0xefe40071, "blk_mq_free_request" },
	{ 0x65488c16, "device_property_read_u32_array" },
	{ 0x6bf9fa1f, "devm_regulator_get" },
	{ 0x86635a08, "dev_pm_opp_get_freq_indexed" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x10e0ca1b, "scsi_device_put" },
	{ 0x9ec59b8b, "device_create_file" },
	{ 0x657c67bf, "debugfs_attr_read" },
	{ 0x8647db9f, "regulator_set_load" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x457ef90d, "devm_kfree" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x8d427bf5, "devfreq_remove_device" },
	{ 0x6b24f245, "scsi_host_put" },
	{ 0xce807a25, "up_write" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x378487c, "simple_attr_release" },
	{ 0x275e0f68, "dev_pm_opp_add_dynamic" },
	{ 0x6626afca, "down" },
	{ 0x4832181f, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x632ed675, "dev_pm_opp_remove" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x476cfcb0, "sdev_prefix_printk" },
	{ 0x81060c67, "scsi_scan_host" },
	{ 0x9e637e13, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0x8bb9b928, "device_link_remove" },
	{ 0x1929f708, "blk_mq_alloc_request" },
	{ 0xc2015173, "driver_unregister" },
	{ 0x4a377e69, "blk_queue_update_dma_pad" },
	{ 0x45729991, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xcd8ba526, "blk_put_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x74474c70, "dev_pm_opp_set_opp" },
	{ 0xe3b0950f, "dmam_free_coherent" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x47037719, "regulator_count_voltages" },
	{ 0x375a8b0e, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x62b8f890, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe6a8af99, "blk_mq_init_queue" },
	{ 0xa3689b77, "blk_mq_unique_tag" },
	{ 0xc78ba52b, "bpf_trace_run10" },
	{ 0x6fde7e0a, "scsi_device_quiesce" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3b90de48, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa32e3f01, "dma_set_coherent_mask" },
	{ 0x2bc30ff5, "scsi_print_command" },
	{ 0xf77ab6d, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xd71c5fd1, "pm_runtime_forbid" },
	{ 0xb1ed295e, "debugfs_create_file" },
	{ 0xc8ccc068, "param_set_uint_minmax" },
	{ 0x1487e867, "pm_runtime_allow" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0x2699bfc, "__pm_runtime_resume" },
	{ 0x544a2dd5, "devfreq_suspend_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0x48a940e, "blk_mq_destroy_queue" },
	{ 0x8ebabd69, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x6a75cd1d, "blk_mq_tagset_busy_iter" },
	{ 0x417ccf97, "scsi_done" },
	{ 0x341ee2bd, "single_release" },
	{ 0x85f167a1, "scsi_unblock_requests" },
	{ 0x215c3120, "dma_set_mask" },
	{ 0x65acf90c, "sbitmap_weight" },
	{ 0xafc48fdd, "regulator_disable" },
	{ 0x5b8f221b, "dev_err_probe" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x8c754982, "scsi_remove_device" },
	{ 0xa6bafe6, "scsi_block_requests" },
	{ 0x11e99527, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x2c9f77fa, "single_open" },
	{ 0xcb58ba41, "scsi_host_alloc" },
	{ 0xad6f044a, "__scsi_add_device" },
	{ 0xfbfa81cb, "devfreq_resume_device" },
	{ 0x83f63baa, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x96421da2, "device_link_add" },
	{ 0x815588a6, "clk_enable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xda44042d, "scsi_change_queue_depth" },
	{ 0xeb819371, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x479e88a, "device_remove_file" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B90C778255BA256AB0798D9");
