#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbatm_usb_probe, "_gpl", "");
KSYMTAB_FUNC(usbatm_usb_disconnect, "_gpl", "");

SYMBOL_CRC(usbatm_usb_probe, 0x6824ba1d, "_gpl");
SYMBOL_CRC(usbatm_usb_disconnect, 0xe12ada0c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x77c96678, "usb_submit_urb" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbde85d00, "atm_dev_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe6fa42d7, "atm_dev_deregister" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xa6257a2f, "complete" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6008689f, "kthread_complete_and_exit" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7beef246, "skb_dequeue" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xe03ac162, "skb_queue_tail" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xf22d0cc7, "usb_string" },
	{ 0x96848186, "scnprintf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x87eb1074, "usb_alloc_urb" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xcf8ee6a2, "kthread_create_on_node" },
	{ 0x1d890853, "wake_up_process" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xcaf900c6, "usb_get_dev" },
	{ 0x37a0cba, "kfree" },
	{ 0xcf27add6, "usb_free_urb" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xf1f676dc, "usb_put_dev" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x17b48051, "__alloc_skb" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x9f8eef76, "send_sig" },
	{ 0x42411d86, "vcc_release_async" },
	{ 0x25bdf9aa, "usb_kill_urb" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0x91bf7854, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x4df02057, "crc32_be" },
	{ 0xc7ed8c8e, "skb_trim" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4f2ad77a, "__netdev_alloc_skb" },
	{ 0x295de909, "atm_charge" },
	{ 0x977e7413, "dev_kfree_skb_any_reason" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "atm");


MODULE_INFO(srcversion, "7ED9A2974B192E08C649ACB");
