#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd2ff985e, "blk_queue_max_hw_sectors" },
	{ 0x87eb1074, "usb_alloc_urb" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c0f250c, "usb_alloc_streams" },
	{ 0x203bdb29, "scsi_report_bus_reset" },
	{ 0x5ba60861, "usb_stor_adjust_quirks" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x90adf3ea, "usb_anchor_urb" },
	{ 0x77c96678, "usb_submit_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xdb173d56, "usb_unanchor_urb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x417ccf97, "scsi_done" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x1e5eefa, "scsi_remove_host" },
	{ 0x6b24f245, "scsi_host_put" },
	{ 0x90dd7cf2, "usb_lock_device_for_reset" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcb58ba41, "scsi_host_alloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x11e99527, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x29cf84c1, "usb_unlink_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x403c6fd6, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd522b4a1, "usb_free_streams" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0x52c72eec, "usb_set_interface" },
	{ 0x13f26ab8, "usb_reset_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x407af304, "usb_wait_anchor_empty_timeout" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa6bafe6, "scsi_block_requests" },
	{ 0x4aac5cd7, "_dev_printk" },
	{ 0x85f167a1, "scsi_unblock_requests" },
	{ 0xbad96855, "scmd_printk" },
	{ 0x2bc30ff5, "scsi_print_command" },
	{ 0x81060c67, "scsi_scan_host" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xcf27add6, "usb_free_urb" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x69acdf38, "memcpy" },
	{ 0x476cfcb0, "sdev_prefix_printk" },
	{ 0x81dd2847, "scsi_is_host_device" },
	{ 0xda44042d, "scsi_change_queue_depth" },
	{ 0x163d1c5f, "usb_deregister" },
	{ 0xc771b64d, "usb_get_urb" },
	{ 0x25bdf9aa, "usb_kill_urb" },
	{ 0x71651951, "blk_queue_update_dma_alignment" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "D31F64312F4D52283E49208");
