#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tcpm_pd_transmit_complete, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_receive, "_gpl", "");
KSYMTAB_FUNC(tcpm_cc_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_vbus_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_hard_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_sink_frs, "_gpl", "");
KSYMTAB_FUNC(tcpm_sourcing_vbus, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_clean, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_is_toggling, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_error_recovery, "_gpl", "");
KSYMTAB_FUNC(tcpm_tcpc_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_register_port, "_gpl", "");
KSYMTAB_FUNC(tcpm_unregister_port, "_gpl", "");

SYMBOL_CRC(tcpm_pd_transmit_complete, 0x3b84657b, "_gpl");
SYMBOL_CRC(tcpm_pd_receive, 0xb655342c, "_gpl");
SYMBOL_CRC(tcpm_cc_change, 0xc37b9769, "_gpl");
SYMBOL_CRC(tcpm_vbus_change, 0xceb50012, "_gpl");
SYMBOL_CRC(tcpm_pd_hard_reset, 0x9e0bd753, "_gpl");
SYMBOL_CRC(tcpm_sink_frs, 0x10ec6d2d, "_gpl");
SYMBOL_CRC(tcpm_sourcing_vbus, 0xeb779665, "_gpl");
SYMBOL_CRC(tcpm_port_clean, 0xd680581d, "_gpl");
SYMBOL_CRC(tcpm_port_is_toggling, 0xda86a83d, "_gpl");
SYMBOL_CRC(tcpm_port_error_recovery, 0x8512bd2a, "_gpl");
SYMBOL_CRC(tcpm_tcpc_reset, 0xea220941, "_gpl");
SYMBOL_CRC(tcpm_register_port, 0x560ddc9f, "_gpl");
SYMBOL_CRC(tcpm_unregister_port, 0x76eeda4b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xade099a, "power_supply_changed" },
	{ 0xe01076fc, "typec_unregister_partner" },
	{ 0xa57c644a, "kthread_destroy_worker" },
	{ 0x4a86b532, "typec_unregister_port" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x9e637e13, "debugfs_remove" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x2a771c93, "typec_match_altmode" },
	{ 0x5ee76132, "typec_partner_set_identity" },
	{ 0x9bdc1c17, "typec_partner_register_altmode" },
	{ 0xf222114e, "typec_partner_set_svdm_version" },
	{ 0xab1ba19a, "typec_altmode_attention" },
	{ 0x41684174, "typec_altmode_notify" },
	{ 0x30e8d738, "typec_altmode_vdm" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe774c37, "kthread_create_worker" },
	{ 0x4a8e4afc, "sched_set_fifo" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xefec087f, "usb_role_switch_get" },
	{ 0xe578a9b1, "fwnode_usb_role_switch_get" },
	{ 0xd7ab3b48, "typec_register_port" },
	{ 0x5d6ea101, "typec_port_register_altmodes" },
	{ 0x800ec95e, "typec_set_pwr_opmode" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x598d312b, "seq_lseek" },
	{ 0xf77ab6d, "seq_read" },
	{ 0x341ee2bd, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2eeaf3b4, "kthread_queue_work" },
	{ 0xe6a2d1, "typec_unregister_altmode" },
	{ 0x639b0cb6, "typec_get_drvdata" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x14ca8d43, "typec_register_partner" },
	{ 0x6b1421ab, "typec_partner_set_usb_power_delivery" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4afad210, "usb_debug_root" },
	{ 0x83f63baa, "debugfs_create_dir" },
	{ 0xb1ed295e, "debugfs_create_file" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2c9f77fa, "single_open" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0x754d539c, "strlen" },
	{ 0x8bfcf81d, "__dev_fwnode" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0xd8ce7540, "devm_power_supply_register" },
	{ 0x26088ee, "usb_power_delivery_unregister_capabilities" },
	{ 0x37a0cba, "kfree" },
	{ 0x457ef90d, "devm_kfree" },
	{ 0x92e560e1, "usb_power_delivery_unregister" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x148653, "vsnprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8d0108f5, "usb_power_delivery_register_capabilities" },
	{ 0x2e884325, "usb_power_delivery_register" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5a24c2cf, "power_supply_get_drvdata" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x9952e858, "typec_get_negotiated_svdm_version" },
	{ 0x51297961, "fw_devlink_purge_absent_suppliers" },
	{ 0x7194ce3d, "typec_get_fw_cap" },
	{ 0xa0bb7c56, "fwnode_property_present" },
	{ 0xb6f7df03, "fwnode_get_named_child_node" },
	{ 0x5f6b1bf5, "fwnode_get_next_child_node" },
	{ 0xd580d82c, "fwnode_property_read_u32_array" },
	{ 0xa52f77be, "fwnode_handle_put" },
	{ 0xed100017, "fwnode_property_read_string" },
	{ 0xf1234a8b, "typec_find_pwr_opmode" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xa6257a2f, "complete" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbbeb521, "typec_set_orientation" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xc8a3e6c3, "typec_set_mode" },
	{ 0x339249fc, "typec_set_data_role" },
	{ 0x656b1207, "typec_set_pwr_role" },
	{ 0xa9f33434, "typec_set_vconn_role" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "typec");


MODULE_INFO(srcversion, "77A63F760BE7D41A3E67486");
