#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(typec_altmode_update_active, "_gpl", "");
KSYMTAB_FUNC(typec_altmode2port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_pd_revision, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_partner_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_partner_usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(typec_register_partner, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_partner, "_gpl", "");
KSYMTAB_FUNC(typec_plug_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_plug_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_register_plug, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_plug, "_gpl", "");
KSYMTAB_FUNC(typec_cable_get, "_gpl", "");
KSYMTAB_FUNC(typec_cable_put, "_gpl", "");
KSYMTAB_FUNC(typec_cable_is_active, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_register_cable, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_cable, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_set_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_vconn_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_get_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_set_mode, "_gpl", "");
KSYMTAB_FUNC(typec_get_negotiated_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_get_fw_cap, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_register_port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_port, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_switch_get, "_gpl", "");
KSYMTAB_FUNC(typec_switch_put, "_gpl", "");
KSYMTAB_FUNC(typec_switch_register, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set, "_gpl", "");
KSYMTAB_FUNC(typec_switch_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_switch_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_mux_get, "_gpl", "");
KSYMTAB_FUNC(typec_mux_put, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set, "_gpl", "");
KSYMTAB_FUNC(typec_mux_register, "_gpl", "");
KSYMTAB_FUNC(typec_mux_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_mux_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_notify, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_attention, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_partner, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_plug, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_put_plug, "_gpl", "");
KSYMTAB_FUNC(__typec_altmode_register_driver, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(typec_match_altmode, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_link_device, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unlink_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_retimer_get, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_put, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_set, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_register, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_get_drvdata, "_gpl", "");

SYMBOL_CRC(typec_altmode_update_active, 0x6c4ba05e, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0x5e2c8b2d, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0x00e6a2d1, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0x5ee76132, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0x0aba249d, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0x6b1421ab, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0xdd99bc33, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0x9bdc1c17, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0xf222114e, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0x05c32194, "_gpl");
SYMBOL_CRC(typec_register_partner, 0x14ca8d43, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0xe01076fc, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0xcb17f401, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0x2096798f, "_gpl");
SYMBOL_CRC(typec_register_plug, 0x59d39b4f, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0xb2a9833b, "_gpl");
SYMBOL_CRC(typec_cable_get, 0x4507922e, "_gpl");
SYMBOL_CRC(typec_cable_put, 0xc3960011, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0xacd45e1a, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0xd2df25d0, "_gpl");
SYMBOL_CRC(typec_register_cable, 0x9890ec30, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0xcef2f20d, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0x266d4e85, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0x339249fc, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0x656b1207, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0xa9f33434, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0x800ec95e, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0x0bbeb521, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0x1099f5b6, "_gpl");
SYMBOL_CRC(typec_set_mode, 0xc8a3e6c3, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0x9952e858, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0x639b0cb6, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0x7194ce3d, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0x4fdc2efe, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0x5d6ea101, "_gpl");
SYMBOL_CRC(typec_register_port, 0xd7ab3b48, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0x4a86b532, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0x8c063cb4, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0x1c39310f, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0x41208cd4, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0x5843ccb7, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0x826d6f6d, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0xf9672511, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x6b3d9465, "_gpl");
SYMBOL_CRC(typec_mux_register, 0xe95560aa, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0x79fc8d25, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0xec7da05a, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0xb60bceb6, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0x41684174, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0xfffecb53, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0xbac58359, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0xab1ba19a, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0x30e8d738, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0xee051b5a, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0xc91c9ce3, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0x0e1e39ff, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0x1d3b9b73, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0x86263248, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0x2a771c93, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0x8d0108f5, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0x026088ee, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0x2e884325, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0x92e560e1, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0x6ae761b7, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0xa7e408c0, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0x3aa0a7b7, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0x8c966b37, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0xa99e6465, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0x5459ea70, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0x95577b58, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0x165620ae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11984272, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x601a6ed0, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xed100017, "fwnode_property_read_string" },
	{ 0xa0bb7c56, "fwnode_property_present" },
	{ 0xcf98dd1e, "component_master_del" },
	{ 0x37d5b458, "component_match_add_release" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x46245683, "device_get_named_child_node" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc6ec2410, "component_bind_all" },
	{ 0x6045a225, "device_match_name" },
	{ 0x6ea39bb6, "kobject_uevent" },
	{ 0x46fa9560, "fwnode_connection_find_matches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0x4c4f07d1, "component_unbind_all" },
	{ 0x8fbbb79e, "driver_register" },
	{ 0x77d23480, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x8bfcf81d, "__dev_fwnode" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x817f5acb, "bus_register" },
	{ 0x4c83a2d9, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x47d27382, "try_module_get" },
	{ 0xff8dfec2, "is_acpi_device_node" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xc37abed6, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x29e1654e, "component_master_add_with_match" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x57d9ca80, "device_unregister" },
	{ 0x252662b2, "acpi_bus_for_each_dev" },
	{ 0x353bfcad, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xe146c96, "fwnode_connection_find_match" },
	{ 0x5f6b1bf5, "fwnode_get_next_child_node" },
	{ 0xf590648c, "device_for_each_child" },
	{ 0x5208d4f4, "get_device" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x949a698c, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x666cd608, "device_match_fwnode" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a9dbedd, "put_device" },
	{ 0xd580d82c, "fwnode_property_read_u32_array" },
	{ 0x90974934, "module_put" },
	{ 0xe2484055, "sysfs_create_link" },
	{ 0x749e1ed8, "fwnode_get_name" },
	{ 0xecfc5ec4, "kobject_uevent_env" },
	{ 0xb97cb4b0, "sysfs_update_group" },
	{ 0xb87c4fd0, "bus_unregister" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x21b8348a, "device_add" },
	{ 0xf943f3ee, "sysfs_remove_link" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x97d730e, "fwnode_property_read_u16_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0xc2015173, "driver_unregister" },
	{ 0xf79fb603, "class_unregister" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BF88D8A4003C50E7CCE1E92");
