#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x9f75a06c, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x5144cf95, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0xd431242d, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0xd452b7ca, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x84cc2834, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x24287668, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x7ee85e66, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0xac8cf3aa, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xb53e5727, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0xf030e7e1, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0xa72263de, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0x243fd7e6, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x26047e92, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x779e27d2, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x1069fe6c, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x307b9218, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0xeb235fa0, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x39f0e688, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0x1d43f98e, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0x20b55f53, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0xa460d4da, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0x79080019, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0xcded675e, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0x79beb166, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0x18d7fe4e, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0x34285650, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5f41e5c1, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x848d372e, "iowrite8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0x553f0c8d, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x168ffb7d, "pci_user_write_config_word" },
	{ 0xf84ecbba, "vfio_iommufd_device_ictx" },
	{ 0xdd4bdb41, "bus_register_notifier" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x77ec427e, "vfio_file_is_group" },
	{ 0x86586a0e, "pci_msix_can_alloc_dyn" },
	{ 0x68277026, "vfio_file_has_dev" },
	{ 0xfd3f4022, "pci_clear_master" },
	{ 0xcdbb98d0, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x6789fc89, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0x37c9eac0, "pci_write_vpd" },
	{ 0x40698e4a, "vfio_virqfd_enable" },
	{ 0x3b73572a, "vga_client_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xabba3379, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x69351014, "aperture_remove_conflicting_pci_devices" },
	{ 0xaed1e2a1, "vfio_unregister_group_dev" },
	{ 0xb2eec361, "pci_map_rom" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7cc262da, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xacf8166d, "pci_iounmap" },
	{ 0xd086861c, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0x225a2a79, "pcie_get_mps" },
	{ 0x6044fc29, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x332a0a3e, "vga_put" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0xe4ea9a85, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xc56f5611, "__mmap_lock_do_trace_start_locking" },
	{ 0x8c4d4f66, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0xd8981bb9, "_dev_notice" },
	{ 0xd71c5fd1, "pm_runtime_forbid" },
	{ 0x1487e867, "pm_runtime_allow" },
	{ 0x2ef4fc26, "pci_reset_bus" },
	{ 0x88592c7c, "mmput" },
	{ 0x2699bfc, "__pm_runtime_resume" },
	{ 0xe4cee7cc, "vfio_register_group_dev" },
	{ 0xd5e1f105, "vfio_assign_device_set" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb3be16b8, "pci_user_read_config_byte" },
	{ 0x24bfeebf, "pci_try_reset_function" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x91e806a6, "__tracepoint_mmap_lock_start_locking" },
	{ 0x2e276b36, "pci_get_class" },
	{ 0xff68001f, "pci_user_write_config_dword" },
	{ 0xea3026ea, "pcie_capability_read_dword" },
	{ 0x614249f7, "__mmap_lock_do_trace_released" },
	{ 0x3ab52d3f, "pci_load_and_free_saved_state" },
	{ 0xb84db59a, "pci_disable_sriov" },
	{ 0x48ee7465, "vfio_device_set_open_count" },
	{ 0x12541d7e, "pci_disable_device" },
	{ 0x5f06a247, "pci_match_id" },
	{ 0xbe63e7e9, "boot_cpu_data" },
	{ 0xadbe61b3, "pci_check_and_unmask_intx" },
	{ 0xbaeb6a60, "pcie_set_readrq" },
	{ 0xecfd775c, "pci_walk_bus" },
	{ 0xc9e276a6, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xfeb3fde0, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xe8ab4bd5, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xef788211, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0x91e3f67a, "vga_set_legacy_decoding" },
	{ 0x24c9539, "pci_dev_unlock" },
	{ 0x965eef51, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x920cd9ad, "pci_free_irq_vectors" },
	{ 0xe83a9527, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xeb819371, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd71b3318, "pci_bus_type" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xb7a24f31, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa6dc50d4, "pci_read_vpd" },
	{ 0x417ad5b7, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbe306f96, "pci_request_selected_regions" },
	{ 0xa32c4cee, "pci_release_selected_regions" },
	{ 0xb73caf84, "pci_user_write_config_byte" },
	{ 0xf5583990, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x69efa745, "pci_bus_max_busnr" },
	{ 0x28b09903, "pci_check_and_mask_intx" },
	{ 0x5203eddc, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xd18ae90b, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0xd703eb5d, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xe4183924, "pci_dev_put" },
	{ 0x8b48e217, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xd69aa216, "vfio_virqfd_disable" },
	{ 0xe3b5d275, "vfio_iommufd_get_dev_id" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x66eeee1a, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x6b82765d, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0x21887863, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0xac41ac63, "pci_user_read_config_dword" },
	{ 0xa1a41cb2, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x7184c7f2, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x142d9677, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x49ddfcd6, "pci_probe_reset_slot" },
	{ 0xad760264, "zap_vma_ptes" },
	{ 0xd303ffe1, "pci_set_power_state" },
	{ 0x23299446, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x6a25b888, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x9a8d234d, "__tracepoint_mmap_lock_released" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "irqbypass");


MODULE_INFO(srcversion, "568040A27A0CC1D9A47F9EB");
