#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb1fecdb, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb85fab, "vhost_get_vq_desc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x334da4e, "scsi_command_size_tbl" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x77816d77, "copy_page_to_iter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x75e511e3, "vhost_dev_ioctl" },
	{ 0x6894f98b, "vhost_signal" },
	{ 0x84d8f5c5, "misc_register" },
	{ 0xd97c8f76, "vhost_disable_notify" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x203905ef, "vhost_enable_notify" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x397aaefe, "copy_page_from_iter" },
	{ 0x9e2fa431, "vhost_log_access_ok" },
	{ 0x88c3e197, "target_init_cmd" },
	{ 0x35666275, "vhost_dev_cleanup" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa6169c6e, "vhost_worker_ioctl" },
	{ 0xe5c09172, "alloc_pages" },
	{ 0x48002b51, "dup_iter" },
	{ 0x8aa4c1e1, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbbb7b5e8, "core_tpg_deregister" },
	{ 0xe5d64330, "vhost_vq_is_setup" },
	{ 0xf19e3eaf, "_copy_from_iter" },
	{ 0x9d97c13b, "target_register_template" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xa53296f7, "transport_generic_free_cmd" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x71a422b0, "core_tpg_register" },
	{ 0x754d539c, "strlen" },
	{ 0x15bf7938, "target_put_sess_cmd" },
	{ 0xd2bf1b2b, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x403eac60, "sbitmap_get" },
	{ 0xa5624e85, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xf8041402, "vhost_add_used" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x391ac9fa, "_copy_to_iter" },
	{ 0x90d67b64, "misc_deregister" },
	{ 0xde000dcd, "target_depend_item" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x728c7f2d, "vhost_vring_ioctl" },
	{ 0x91bf7854, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3cef86d7, "vhost_dev_flush" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x5514b0e9, "target_execute_cmd" },
	{ 0x3cfdd9ab, "vhost_vq_access_ok" },
	{ 0x7ed1a88d, "vhost_dev_stop" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8122c10a, "target_submit_tmr" },
	{ 0x22703997, "iov_iter_advance" },
	{ 0x29c0bcbe, "vhost_dev_init" },
	{ 0xbc9f4e76, "vhost_vq_flush" },
	{ 0xf0d62f53, "iov_iter_get_pages2" },
	{ 0xf98f300c, "target_submit_prep" },
	{ 0x1cff8eab, "sbitmap_init_node" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x50f6bb06, "__put_devmap_managed_page_refs" },
	{ 0x68378a6a, "iov_iter_init" },
	{ 0xecbdb657, "target_submit" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6fd18d12, "vhost_vq_init_access" },
	{ 0xa909cfc5, "vhost_work_init" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x4ae226d7, "vhost_vq_work_queue" },
	{ 0xc9080186, "vhost_exceeds_weight" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a742079, "target_unregister_template" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x4a449c6d, "__free_pages" },
	{ 0x56d2b7a2, "target_setup_session" },
	{ 0xb3baa938, "vhost_add_used_and_signal" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9101e98b, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x1fa42a90, "target_undepend_item" },
	{ 0xa81c393a, "target_remove_session" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "vhost,target_core_mod");


MODULE_INFO(srcversion, "9CA56CFA4F87B185AE2E4F3");
