#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vp_modern_probe, "_gpl", "");
KSYMTAB_FUNC(vp_modern_remove, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_features, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_driver_features, "_gpl", "");
KSYMTAB_FUNC(vp_modern_set_features, "_gpl", "");
KSYMTAB_FUNC(vp_modern_generation, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_status, "_gpl", "");
KSYMTAB_FUNC(vp_modern_set_status, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_queue_reset, "_gpl", "");
KSYMTAB_FUNC(vp_modern_set_queue_reset, "_gpl", "");
KSYMTAB_FUNC(vp_modern_queue_vector, "_gpl", "");
KSYMTAB_FUNC(vp_modern_config_vector, "_gpl", "");
KSYMTAB_FUNC(vp_modern_queue_address, "_gpl", "");
KSYMTAB_FUNC(vp_modern_set_queue_enable, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_queue_enable, "_gpl", "");
KSYMTAB_FUNC(vp_modern_set_queue_size, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_queue_size, "_gpl", "");
KSYMTAB_FUNC(vp_modern_get_num_queues, "_gpl", "");
KSYMTAB_FUNC(vp_modern_map_vq_notify, "_gpl", "");
KSYMTAB_FUNC(vp_modern_avq_num, "_gpl", "");
KSYMTAB_FUNC(vp_modern_avq_index, "_gpl", "");

SYMBOL_CRC(vp_modern_probe, 0x591e0e8c, "_gpl");
SYMBOL_CRC(vp_modern_remove, 0x69a856ed, "_gpl");
SYMBOL_CRC(vp_modern_get_features, 0xaefe2bb5, "_gpl");
SYMBOL_CRC(vp_modern_get_driver_features, 0x02a44398, "_gpl");
SYMBOL_CRC(vp_modern_set_features, 0xd652b859, "_gpl");
SYMBOL_CRC(vp_modern_generation, 0xe0eccba3, "_gpl");
SYMBOL_CRC(vp_modern_get_status, 0x2a52b64d, "_gpl");
SYMBOL_CRC(vp_modern_set_status, 0x7c5a5647, "_gpl");
SYMBOL_CRC(vp_modern_get_queue_reset, 0x5956a5cb, "_gpl");
SYMBOL_CRC(vp_modern_set_queue_reset, 0x0ba685d0, "_gpl");
SYMBOL_CRC(vp_modern_queue_vector, 0xa3c6b7e3, "_gpl");
SYMBOL_CRC(vp_modern_config_vector, 0x21fe7a56, "_gpl");
SYMBOL_CRC(vp_modern_queue_address, 0xeed10cca, "_gpl");
SYMBOL_CRC(vp_modern_set_queue_enable, 0x57f5d5e9, "_gpl");
SYMBOL_CRC(vp_modern_get_queue_enable, 0x563c6d71, "_gpl");
SYMBOL_CRC(vp_modern_set_queue_size, 0x9d39d79d, "_gpl");
SYMBOL_CRC(vp_modern_get_queue_size, 0x22a69a0d, "_gpl");
SYMBOL_CRC(vp_modern_get_num_queues, 0x8bffe935, "_gpl");
SYMBOL_CRC(vp_modern_map_vq_notify, 0x5e33a8ab, "_gpl");
SYMBOL_CRC(vp_modern_avq_num, 0xf383ec14, "_gpl");
SYMBOL_CRC(vp_modern_avq_index, 0x102cb4ab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xacf8166d, "pci_iounmap" },
	{ 0xa32c4cee, "pci_release_selected_regions" },
	{ 0xef788211, "pci_read_config_byte" },
	{ 0x5f41e5c1, "pci_read_config_dword" },
	{ 0x4f21db89, "pci_iomap_range" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xb19b445, "ioread8" },
	{ 0x848d372e, "iowrite8" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd8b353f3, "pci_find_capability" },
	{ 0x65243e82, "pci_find_next_capability" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x215c3120, "dma_set_mask" },
	{ 0xa32e3f01, "dma_set_coherent_mask" },
	{ 0xbe306f96, "pci_request_selected_regions" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "82E423363CB8EDBD367A4CE");
