#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0xf032cdf4, "");
SYMBOL_CRC(w1_remove_master_device, 0x552909ca, "");
SYMBOL_CRC(w1_register_family, 0x7cdb5fe1, "");
SYMBOL_CRC(w1_unregister_family, 0x836b5237, "");
SYMBOL_CRC(w1_touch_bit, 0xe07bcb6a, "_gpl");
SYMBOL_CRC(w1_write_8, 0xf0c93490, "_gpl");
SYMBOL_CRC(w1_triplet, 0xc81b3c43, "_gpl");
SYMBOL_CRC(w1_read_8, 0x902f4264, "_gpl");
SYMBOL_CRC(w1_write_block, 0x9878ec4f, "_gpl");
SYMBOL_CRC(w1_touch_block, 0x93c7a448, "_gpl");
SYMBOL_CRC(w1_read_block, 0x2ba56f1e, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x3c7296fe, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0xa31b759c, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0xe0929569, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0xeeba9eab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcafe5530, "cn_netlink_send_mult" },
	{ 0x6a9dbedd, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x9dbb551f, "flush_signals" },
	{ 0xe8bc40c5, "cn_netlink_send" },
	{ 0xb87c4fd0, "bus_unregister" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x320274f9, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc2015173, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc725611a, "sysfs_create_group" },
	{ 0x6354b77c, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x601a6ed0, "device_register" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7483e13, "cn_del_callback" },
	{ 0xcf8ee6a2, "kthread_create_on_node" },
	{ 0xf7e162d5, "pv_ops" },
	{ 0xbc4c3bed, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6ea39bb6, "kobject_uevent" },
	{ 0xe5b671b1, "hwmon_device_unregister" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x8fbbb79e, "driver_register" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x61ea4568, "cn_add_callback" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x817f5acb, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc37abed6, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x57d9ca80, "device_unregister" },
	{ 0xcc7e6e7d, "sysfs_remove_groups" },
	{ 0x8cf6771, "sysfs_create_groups" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x73641259, "pcpu_hot" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d890853, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "209C80244BDFC77A7FAAFCD");
