#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x8068eb0b, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x7e4106e1, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x70694373, "_gpl");
SYMBOL_CRC(fat_scan, 0xc83647dc, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x7b2eab60, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x62f09204, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x678f50d8, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xce754c5e, "_gpl");
SYMBOL_CRC(fat_getattr, 0x3a9bc849, "_gpl");
SYMBOL_CRC(fat_setattr, 0x15786444, "_gpl");
SYMBOL_CRC(fat_attach, 0x175d9734, "_gpl");
SYMBOL_CRC(fat_detach, 0x5e5aee22, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x234a7b2e, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x15b3bea7, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xab57a219, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x8691fd82, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x8f3242e2, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x308c3c07, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xcaf3e194, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x61f0feaf, "_gpl");
SYMBOL_CRC(fat_update_time, 0x28582690, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe63e4718, "generic_file_mmap" },
	{ 0x577c2d5f, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd5494d94, "ilookup" },
	{ 0x4830bf71, "kmem_cache_alloc" },
	{ 0xd0b14cf6, "invalidate_inode_buffers" },
	{ 0x44a19513, "blk_finish_plug" },
	{ 0x67556fd4, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x414aeb77, "mnt_drop_write_file" },
	{ 0x185108a8, "inode_init_once" },
	{ 0x9101e98b, "compat_ptr_ioctl" },
	{ 0x61f3f157, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x3c1d5c44, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x2dcb55f5, "generic_file_read_iter" },
	{ 0xafbbc3c7, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x35a8a30b, "truncate_pagecache" },
	{ 0x21b5fa7a, "sync_dirty_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4d68b582, "setattr_copy" },
	{ 0xc7a0814e, "__wait_on_buffer" },
	{ 0xfa0bfad0, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x7fdcc276, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x53369f4d, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa6dbd703, "from_vfsgid" },
	{ 0xcd0eec12, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2debfcd4, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9eb6c634, "__bread_gfp" },
	{ 0xf80818ed, "block_dirty_folio" },
	{ 0x7d66205e, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xad4d04e, "__insert_inode_hash" },
	{ 0xf7742224, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4b7bb731, "make_kgid" },
	{ 0x8fa9687, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xa1c6b320, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa60bd962, "generic_encode_ino32_fh" },
	{ 0xac377650, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf08243b3, "igrab" },
	{ 0xb57ef79, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x573538bc, "mpage_readahead" },
	{ 0xf3ab5040, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x570f1ba9, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x377d341e, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x2036f7ed, "blkdev_issue_flush" },
	{ 0x6d073985, "seq_puts" },
	{ 0xb403926e, "generic_fh_to_parent" },
	{ 0x15efa18, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xe18fd051, "from_kuid_munged" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x17724bbc, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xac7fcbf5, "kmem_cache_alloc_lru" },
	{ 0xd240270f, "__mark_inode_dirty" },
	{ 0xf87e77b4, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x737e8f4c, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0xa5b03697, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xfcf12cee, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xeeea0800, "kmem_cache_destroy" },
	{ 0xd8e515af, "blkdev_issue_discard" },
	{ 0xfa5f7255, "filemap_fdatawrite" },
	{ 0x429a8da5, "generic_fillattr" },
	{ 0x6284f0cd, "setattr_prepare" },
	{ 0x510a4378, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x8241bb89, "sync_blockdev_nowait" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd78c0416, "make_vfsgid" },
	{ 0xa7846d64, "blk_start_plug" },
	{ 0xfac0e7b9, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1465ea57, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x7d01d043, "new_inode" },
	{ 0x46a3f405, "mark_buffer_dirty" },
	{ 0x98e32c80, "security_inode_setattr" },
	{ 0xa7b89cb1, "__find_get_block" },
	{ 0x5e358e10, "filemap_fdatawrite_range" },
	{ 0xc985cf9c, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x8b6bb07b, "__blockdev_direct_IO" },
	{ 0x1f7bab86, "d_make_root" },
	{ 0xc0dbd0d3, "__bforget" },
	{ 0xba8ba4af, "sb_set_blocksize" },
	{ 0xd4503959, "block_truncate_page" },
	{ 0x2d32e757, "write_dirty_buffer" },
	{ 0x397fbfa, "sync_filesystem" },
	{ 0xe1d29223, "fsnotify" },
	{ 0x26248f93, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b26351b, "from_vfsuid" },
	{ 0xab231294, "inode_dio_wait" },
	{ 0xac92670f, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xc94ce740, "cont_write_begin" },
	{ 0xa14cb1b6, "iput" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x86286654, "iter_file_splice_write" },
	{ 0x3739bb94, "generic_file_write_iter" },
	{ 0x9eabf9c4, "kmem_cache_create" },
	{ 0xb74877cb, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x67b1353, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x85a7e811, "mnt_want_write_file" },
	{ 0x122c3a7e, "_printk" },
	{ 0xba86327c, "block_invalidate_folio" },
	{ 0x2683f5f8, "__breadahead" },
	{ 0xa7716d00, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb8b303f9, "load_nls" },
	{ 0x5f7dead7, "generic_cont_expand_simple" },
	{ 0x99a29332, "make_kuid" },
	{ 0x8915deba, "truncate_inode_pages_final" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D9ADFF6368D3DA3248C109E");
