#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_splice_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs4_label_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_DATA(nfs_delay_retrans, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_on_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");
KSYMTAB_FUNC(nfs_fscache_open_file, "_gpl", "");

SYMBOL_CRC(register_nfs_version, 0x05097fca, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0xc7d527c4, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0x89e5cf9b, "_gpl");
SYMBOL_CRC(nfs_free_client, 0xcb9caa11, "_gpl");
SYMBOL_CRC(nfs_put_client, 0x6fd22fa5, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0x5073d183, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0xd14df637, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0x307f9386, "_gpl");
SYMBOL_CRC(nfs_get_client, 0x852330e0, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0x24aacc92, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0x31122fa0, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0x5d2b2898, "_gpl");
SYMBOL_CRC(nfs_init_client, 0x64a6d96b, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0xcaaafca9, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0x068da468, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0x82a78a77, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0x44a2503e, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0x4b5a1ced, "_gpl");
SYMBOL_CRC(nfs_free_server, 0x77bbca7e, "_gpl");
SYMBOL_CRC(nfs_create_server, 0xf37136fa, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0xdf9650a3, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0xc1a4dff7, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0xb5b38920, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0xc907ecd4, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0x053e548e, "_gpl");
SYMBOL_CRC(nfs_lookup, 0x7107b565, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0xdef0a276, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0xbd34e497, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0xd2b0d21e, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0xa3dd1ed6, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0x683081e8, "_gpl");
SYMBOL_CRC(nfs_create, 0x19dd99a9, "_gpl");
SYMBOL_CRC(nfs_mknod, 0xf5e02494, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0xfb9e4b41, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0x976077ec, "_gpl");
SYMBOL_CRC(nfs_unlink, 0x3b5590d4, "_gpl");
SYMBOL_CRC(nfs_symlink, 0x5cd98016, "_gpl");
SYMBOL_CRC(nfs_link, 0x31004a37, "_gpl");
SYMBOL_CRC(nfs_rename, 0x9a97bd59, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0xd9ae8740, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0xc65455f5, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0x67ef3c9b, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0x08e162a8, "_gpl");
SYMBOL_CRC(nfs_may_open, 0xfbc22d98, "_gpl");
SYMBOL_CRC(nfs_permission, 0x9e78a641, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0x09f52692, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0xf4fceffc, "_gpl");
SYMBOL_CRC(nfs_file_read, 0xba3bb7ed, "_gpl");
SYMBOL_CRC(nfs_file_splice_read, 0x5e7af14d, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0xa5c82f1c, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0xec467176, "_gpl");
SYMBOL_CRC(nfs_file_write, 0xbc7a5417, "_gpl");
SYMBOL_CRC(nfs_lock, 0xc8954eaa, "_gpl");
SYMBOL_CRC(nfs_flock, 0x3920f857, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0xfc98af6f, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x40739385, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0x68fc77a0, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0x50c544dd, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0xf07622fa, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0xed15c157, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0x7ecea686, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0xe34b0030, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0x34343858, "_gpl");
SYMBOL_CRC(nfs4_label_alloc, 0xcb40c626, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0x76fcdff7, "_gpl");
SYMBOL_CRC(nfs_fhget, 0x51e20986, "_gpl");
SYMBOL_CRC(nfs_setattr, 0x93f51572, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0x9573898a, "_gpl");
SYMBOL_CRC(nfs_getattr, 0x0ee19fca, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0x5f2edf56, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0x7f1f0ed8, "_gpl");
SYMBOL_CRC(nfs_close_context, 0xc270209b, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0x5e87635e, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0x961231ec, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0x1fe240e9, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0x50a058f6, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0x97d65181, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0x7ad56c4a, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0xa05ca625, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x832e8f0b, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0x6e9a66b0, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0xe1100e04, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0x8e38b18e, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0x4ed9edf2, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0x82808eab, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0x0c71e782, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0xb9531fc5, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0x4958e278, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0x9d95e02d, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0x02828b7b, "_gpl");
SYMBOL_CRC(nfs_statfs, 0xe145a9ed, "_gpl");
SYMBOL_CRC(nfs_show_options, 0x61cd77b2, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0xd64d3746, "_gpl");
SYMBOL_CRC(nfs_show_path, 0x8abce24b, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0x685d4c88, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0x8a0ea337, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0x6f1ca01a, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0x3378de80, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0x8c671463, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_delay_retrans, 0xefa414fb, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0x5218b383, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0x59e51e4f, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0x053cde16, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0xab668a1c, "_gpl");
SYMBOL_CRC(nfs_release_request, 0x75a1d696, "_gpl");
SYMBOL_CRC(nfs_wait_on_request, 0x30210c2e, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0x3a1833f0, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0xd7194ee6, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0x297d6b43, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0x91070029, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0xc949be2a, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0x0389ad66, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0x37b59b83, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0x9a6f5f6b, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0xfad0b913, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0x82107610, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0xb26961cf, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0x70db82ef, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0xfb7f399c, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0x74734e09, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0x415dd273, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0x240422a2, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0xb603c7ba, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0x929ffa10, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0x70a68179, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0x679cb053, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0xda3ce829, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0xdc205e4e, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0x9559b1d4, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0x092b52b7, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0x43fc2ac3, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0xb2a6f633, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0x8723b908, "_gpl");
SYMBOL_CRC(nfs_path, 0x9a685dce, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0xca6f0419, "_gpl");
SYMBOL_CRC(nfs_submount, 0x45407523, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0xf366c0d6, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0x148b5165, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0xf432ba2a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_enter, 0xfd3c0de6, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0x67ebc5bc, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0x90e76b3b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0x5e5520b8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_exit, 0x9d919c44, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0x7ab5c14e, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0xbb5b16b7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0x430b244a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_status, 0xfeb42418, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0x8d952c2e, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0x2f805577, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0xd4b60396, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_bad_filehandle, 0x37239e6d, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0xce4d1c9d, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0xcc1ddffb, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0xf65d7e65, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0x3c814650, "_gpl");
SYMBOL_CRC(nfs_fscache_open_file, 0x0238baaf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98e50346, "vfs_parse_fs_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc54e1706, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x99a29332, "make_kuid" },
	{ 0x8915deba, "truncate_inode_pages_final" },
	{ 0xb5dde93e, "d_alloc" },
	{ 0xe75c380f, "fs_kobj" },
	{ 0xc41f20f3, "net_ns_type_operations" },
	{ 0xb4279562, "__filemap_set_wb_err" },
	{ 0xe63e4718, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xf7f009fc, "generic_perform_write" },
	{ 0xadd2b8e8, "shrinker_register" },
	{ 0x163a5a59, "__filemap_get_folio" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x6715dec2, "simple_nosetlease" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4830bf71, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x90974934, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x2386cce0, "rpc_setbufsize" },
	{ 0xa1c09224, "fs_context_for_submount" },
	{ 0x185108a8, "inode_init_once" },
	{ 0xb6f90b4f, "folio_wait_private_2" },
	{ 0x3fead5e1, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xda47333a, "__fscache_relinquish_volume" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x3088fdd2, "seq_escape_mem" },
	{ 0x3cadcd78, "ilookup5" },
	{ 0x80b7366b, "generic_parse_monolithic" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5d133e98, "inode_nohighmem" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0x36f0076b, "security_d_instantiate" },
	{ 0x57bc19d2, "down_write" },
	{ 0xdadd8594, "init_net" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xce807a25, "up_write" },
	{ 0x2dcb55f5, "generic_file_read_iter" },
	{ 0x266c0ae1, "rpc_clone_client_set_auth" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa07a37f0, "memchr" },
	{ 0x35a8a30b, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ea01205, "put_fs_context" },
	{ 0xa27435c1, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x705caf28, "kobj_sysfs_ops" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x4832181f, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xb17713c, "write_cache_pages" },
	{ 0xfa0bfad0, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7fdcc276, "kmem_cache_free" },
	{ 0x8e95bcb7, "rpc_max_payload" },
	{ 0x46a96e7f, "folio_alloc" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x23eec36, "d_move" },
	{ 0x1feb7d51, "seq_putc" },
	{ 0x1b1bd6c, "rpc_proc_unregister" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x565e3d65, "vfs_create_mount" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x31877cec, "folio_wait_writeback" },
	{ 0xffb7c514, "ida_free" },
	{ 0x20d5ec22, "nlmclnt_rpc_clnt" },
	{ 0xe45700a5, "rpc_clnt_swap_activate" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x9c9df453, "kobject_init_and_add" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcd0eec12, "write_inode_now" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2debfcd4, "d_obtain_alias" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xce5a1bd4, "rpc_create" },
	{ 0x1a253c8f, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x89df4bd6, "__folio_start_writeback" },
	{ 0x39e67974, "d_obtain_root" },
	{ 0x28373d9b, "bpf_trace_run1" },
	{ 0xc24acfa, "param_ops_short" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x10e87bc0, "folio_end_writeback" },
	{ 0x4b689e77, "rpc_call_sync" },
	{ 0xa568ee07, "proc_mkdir" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x1fb308bd, "rpc_put_task_async" },
	{ 0xe9c14ab8, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xe9f2d25d, "xdr_init_decode_pages" },
	{ 0x21f93669, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd73d55f, "rpc_exit" },
	{ 0x4b7bb731, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x77607a66, "d_delete" },
	{ 0x71fd4ec2, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x447eda9e, "nfs_ssc_unregister" },
	{ 0xcfea7684, "rpc_killall_tasks" },
	{ 0xfbc0c0e, "xas_pause" },
	{ 0x668b19a1, "down_read" },
	{ 0xce624a40, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8936dc77, "iov_iter_get_pages_alloc2" },
	{ 0xc5f07122, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x822cf32a, "bpf_trace_run3" },
	{ 0x1a7216d9, "__put_net" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3547932f, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb57ef79, "generic_read_dir" },
	{ 0xe9ae1f65, "kobject_del" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0x1cf76046, "d_add" },
	{ 0xe6fa06a2, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf3ab5040, "filemap_fdatawait_range" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0x5f4a905c, "groups_free" },
	{ 0xe5136f56, "security_inode_notifysecctx" },
	{ 0xdf8855e0, "nfs_ssc_register" },
	{ 0x570f1ba9, "init_user_ns" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x7cd6299f, "invalidate_inode_pages2" },
	{ 0xe5c09172, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x8aa4c1e1, "__folio_put" },
	{ 0xa405e1c3, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0x6a5afe24, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xf0b7775d, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9dbb6702, "deactivate_locked_super" },
	{ 0x507ab955, "put_rpccred" },
	{ 0xf3033ff5, "__percpu_down_read" },
	{ 0x271833f, "__d_lookup_unhash_wake" },
	{ 0x55b658cf, "rpc_clnt_swap_deactivate" },
	{ 0x6ea39bb6, "kobject_uevent" },
	{ 0xc141d938, "__fscache_invalidate" },
	{ 0x9ee84aa8, "folio_mapping" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x87e17ed6, "cred_fscmp" },
	{ 0xfb6f584e, "__folio_lock" },
	{ 0x2157644e, "filemap_dirty_folio" },
	{ 0xe006b190, "pagecache_get_page" },
	{ 0x9706a57, "is_bad_inode" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x6d073985, "seq_puts" },
	{ 0x3b61219d, "__fscache_use_cookie" },
	{ 0xb84066fe, "rcuwait_wake_up" },
	{ 0x57931254, "_proc_mkdir" },
	{ 0xf500e4dd, "node_data" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x22c72c2a, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x64a9c5a0, "__fs_parse" },
	{ 0x38426a1c, "sysfs_create_link_nowarn" },
	{ 0x15efa18, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x765b21e3, "dget_parent" },
	{ 0x35879921, "nlmclnt_init" },
	{ 0xc405edcb, "kill_anon_super" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xd6aada0e, "iget5_locked" },
	{ 0x872989dc, "filemap_write_and_wait_range" },
	{ 0x1df505a7, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x214689e7, "nlmclnt_done" },
	{ 0x754d539c, "strlen" },
	{ 0x74cb0874, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0xb9b14ddd, "netfs_subreq_terminated" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0xd2bf1b2b, "iov_iter_revert" },
	{ 0xa99dbb1a, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5f9b7f6d, "mntget" },
	{ 0x9889805f, "setattr_should_drop_sgid" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xac7fcbf5, "kmem_cache_alloc_lru" },
	{ 0xab2986bc, "filemap_fault" },
	{ 0xff5bb117, "d_invalidate" },
	{ 0xd240270f, "__mark_inode_dirty" },
	{ 0xf87e77b4, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xaa299b86, "folio_wait_private_2_killable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x53b954a2, "up_read" },
	{ 0xa176896e, "rpc_wait_for_completion_task" },
	{ 0x413770bc, "set_anon_super" },
	{ 0xec3f732, "drop_nlink" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xeeea0800, "kmem_cache_destroy" },
	{ 0x776a8383, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf8cbfa38, "kobject_put" },
	{ 0xd20883a5, "vfs_get_tree" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xb310da20, "rpc_put_task" },
	{ 0xc5d79b13, "super_setup_bdi_name" },
	{ 0x72a47af4, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x3be6197f, "__page_file_index" },
	{ 0xe914e41e, "strcpy" },
	{ 0x429a8da5, "generic_fillattr" },
	{ 0x31c312e4, "vfs_fsync_range" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xebe04d64, "shrinker_alloc" },
	{ 0x7a875e13, "clear_nlink" },
	{ 0x95bfa1a6, "file_check_and_advance_wb_err" },
	{ 0x47d27382, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4aa8c53d, "d_alloc_parallel" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfac0e7b9, "clear_inode" },
	{ 0x14885cc, "inode_to_bdi" },
	{ 0x5755a06e, "bpf_trace_run4" },
	{ 0x69c8384d, "__fscache_acquire_volume" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x5b2ef2a1, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0x5377f989, "rpc_proc_register" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb800fc1b, "sysfs_create_file_ns" },
	{ 0x1e0ababd, "rpc_shutdown_client" },
	{ 0xe3f1e8ff, "fs_param_is_string" },
	{ 0x8ef958da, "folio_unlock" },
	{ 0x3ddfa6a1, "mnt_set_expiry" },
	{ 0x74c08039, "param_ops_ushort" },
	{ 0x8841042b, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xf39267d7, "rpc_clnt_show_stats" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x74b4890b, "filemap_map_pages" },
	{ 0x783a7128, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0x96559da4, "kobject_rename" },
	{ 0x7f61365a, "security_sb_set_mnt_opts" },
	{ 0x327e5b0, "init_special_inode" },
	{ 0xa541e2bd, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfa39743b, "generic_error_remove_folio" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0x5e358e10, "filemap_fdatawrite_range" },
	{ 0x6fe55902, "folio_wait_bit_killable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x71bc40e3, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x1f7bab86, "d_make_root" },
	{ 0x34747759, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x397fbfa, "sync_filesystem" },
	{ 0x8bf61fc6, "__fscache_unuse_cookie" },
	{ 0x905f49c6, "folio_redirty_for_writepage" },
	{ 0xb61a6378, "sget_fc" },
	{ 0x56509a5, "d_splice_alias" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xd38d70c, "unmap_mapping_range" },
	{ 0x57b82b51, "ihold" },
	{ 0xab231294, "inode_dio_wait" },
	{ 0xc77bdcf0, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x61a19abf, "invalidate_inode_pages2_range" },
	{ 0x2865d7ae, "read_cache_page" },
	{ 0x7320fd4, "finish_open" },
	{ 0xa14cb1b6, "iput" },
	{ 0x1873cf1a, "kset_unregister" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x1e7c3346, "security_sb_clone_mnt_opts" },
	{ 0x74c33b0b, "fs_param_is_enum" },
	{ 0x7065087d, "logfc" },
	{ 0x50f6bb06, "__put_devmap_managed_page_refs" },
	{ 0x86286654, "iter_file_splice_write" },
	{ 0x8b0ed9ad, "rpc_pton" },
	{ 0x7975c2a2, "mod_node_page_state" },
	{ 0x131676e, "rpc_wake_up_queued_task" },
	{ 0x1b4f270e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x850a846a, "remove_proc_subtree" },
	{ 0x25e4ce89, "rpc_restart_call_prepare" },
	{ 0x9a5478fe, "d_lookup" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x6f575ff8, "__module_get" },
	{ 0x7b8d4897, "__fscache_relinquish_cookie" },
	{ 0xbc34101f, "register_filesystem" },
	{ 0x9eabf9c4, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x2441bd54, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x8d2eaadb, "filemap_add_folio" },
	{ 0x1aa99f86, "rpc_sleep_on" },
	{ 0xdaa47d3d, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa03db0f9, "netfs_readahead" },
	{ 0x82ec1c57, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x132f7d77, "d_prune_aliases" },
	{ 0x8963dccc, "__put_cred" },
	{ 0x54c3a404, "register_pernet_subsys" },
	{ 0xcf242a74, "swapcache_mapping" },
	{ 0x19af703f, "rpc_cancel_tasks" },
	{ 0xe7ede10c, "shrinker_free" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2827bae5, "migrate_folio" },
	{ 0x3ee09307, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xc13855d7, "add_swap_extent" },
	{ 0xfeabef16, "fs_param_is_u32" },
	{ 0x39361352, "inode_newsize_ok" },
	{ 0xaf5480f6, "d_drop" },
	{ 0xff4decca, "deactivate_super" },
	{ 0xe1f81a4a, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1953c958, "mempool_create" },
	{ 0x1000e51, "schedule" },
	{ 0xe56066b9, "security_sb_mnt_opts_compat" },
	{ 0x67c775e2, "param_get_uint" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,netfs,lockd");


MODULE_INFO(srcversion, "6FA859C6140226788CE297E");
