#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_range, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_search_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x45425c9b, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x75b3999e, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0xe97ba96a, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x53b7d8e4, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x6ae04e63, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0xb1adeff5, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x13cd68a5, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0xcda88318, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x81d42de7, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x077921ad, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0xc15590c1, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x42544506, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x3957ded9, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x3f4aef94, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0xee080cf7, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xb7770179, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x78e2c195, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0x5c5514ab, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x16939b22, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xbd6c0db2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x7ea50acf, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x28da0fe6, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x99821147, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x3a6b3cdb, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x7ea64dbe, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0xd1fb6df7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0x7f1d9016, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x135a1d7d, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x41ef50e9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0xcb568d7a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0xe10f8c2e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x3f332501, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0xe44040b6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x7fcc51f2, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0xbc9f16b6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x3339aca3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0xe57f3a63, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0xc1adfeb1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0xf95faefc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x4b39b236, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x62fd276a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x93352231, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0xd5759717, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x9b1fc73b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0x4bc90e24, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0xe8918221, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x879b7b98, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0xb0eb7f03, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x3d59ed79, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x77c80c15, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0xe861d660, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x230b6352, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x288f91f6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x47b5f3a9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x5a0b5729, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x7911faca, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x80937255, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0xe9dcc4f8, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x86e1c4ee, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x63c4e639, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x6547bed0, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x520e4875, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_range, 0x7e53e83a, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0xa6908252, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x19c5def9, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0xc27440f5, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0xafd5c1ff, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0xfc430bfd, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x809271c2, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0xdce62b7b, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x60953601, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x531b253a, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0xe09a188e, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0xdbe1d8da, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0xc4edad70, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x60a4025c, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x5eb5b301, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x83611f46, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x29854a1c, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x04425890, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xb752ae41, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x63c0a9f3, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x98b19e7c, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x4df2b226, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x564949ee, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x06033be6, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0xf26d4551, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0xf03e231d, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0xe90aed93, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0xfca028bc, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xd4e79101, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0xf1e3da1c, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0xfea2c39e, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x06429c3f, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x785ec47c, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0xfb0f59e1, "_gpl");
SYMBOL_CRC(pnfs_generic_search_commit_reqs, 0xd71229dd, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0xca67475c, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xa446fe2e, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0xc4573ca6, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x2ae52255, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x1ed29867, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x71b854f4, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x365dda5d, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x88d4b2a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x71e35a38, "rpc_call_start" },
	{ 0x9f227ef7, "xprt_setup_backchannel" },
	{ 0x28373d9b, "bpf_trace_run1" },
	{ 0x6135eac6, "svc_create" },
	{ 0xf9a6ba86, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x97d65181, "nfs_file_set_open_context" },
	{ 0x99aee353, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x4b689e77, "rpc_call_sync" },
	{ 0x7096b84a, "from_kuid" },
	{ 0x1fb308bd, "rpc_put_task_async" },
	{ 0x19acd848, "rpc_prepare_reply_pages" },
	{ 0x5bde5714, "rpc_queue_upcall" },
	{ 0x77bbca7e, "nfs_free_server" },
	{ 0xc10ddff0, "fc_mount" },
	{ 0x21f93669, "register_sysctl_sz" },
	{ 0x93f51572, "nfs_setattr" },
	{ 0xfb578fc5, "memset" },
	{ 0x9e079846, "xdr_terminate_string" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x3c814650, "nfs4_fs_type" },
	{ 0x79a19683, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xdccb3040, "rpc_delay" },
	{ 0x3920f857, "nfs_flock" },
	{ 0xfad0b913, "nfs_read_alloc_scratch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfaad3c3, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x735e4fa2, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xafc29dfe, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xd73d55f, "rpc_exit" },
	{ 0x4b7bb731, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xae10ff5a, "rpc_remove_pipe_dir_object" },
	{ 0xfbc22d98, "nfs_may_open" },
	{ 0x8fa9687, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x68da468, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xce624a40, "xdr_reserve_space" },
	{ 0x6cae626c, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcf8ee6a2, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x976077ec, "nfs_rmdir" },
	{ 0x822cf32a, "bpf_trace_run3" },
	{ 0x372feb0f, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb2a6f633, "nfs_filemap_write_and_wait_range" },
	{ 0xb1a70be7, "rpc_mkpipe_dentry" },
	{ 0x82c45841, "alloc_file_pseudo" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb2713a14, "rpc_mkpipe_data" },
	{ 0x71cdb54a, "rpc_add_pipe_dir_object" },
	{ 0xf08243b3, "igrab" },
	{ 0xc7d527c4, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xab668a1c, "nfs_async_iocounter_wait" },
	{ 0xba3bb7ed, "nfs_file_read" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0x6e9a66b0, "nfs_alloc_fattr_with_label" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf3ab5040, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x82107610, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9573898a, "nfs_setattr_update_inode" },
	{ 0x683081e8, "nfs_instantiate" },
	{ 0x570f1ba9, "init_user_ns" },
	{ 0x483360b5, "rpc_uaddr2sockaddr" },
	{ 0x41656a75, "user_read" },
	{ 0xe05e8401, "rpc_restart_call" },
	{ 0xa1a35660, "request_key_tag" },
	{ 0x2c7acf43, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0xe5c09172, "alloc_pages" },
	{ 0xd13fd9, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0xec6d41d4, "svc_xprt_destroy_all" },
	{ 0x69f7f5ed, "generic_key_instantiate" },
	{ 0xc47db62a, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x31004a37, "nfs_link" },
	{ 0x8aa4c1e1, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x91a828e4, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x71e11d9d, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6a5afe24, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xf0b7775d, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab93a95, "xdr_stream_move_subsegment" },
	{ 0x507ab955, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x4ed9edf2, "nfs_post_op_update_inode_force_wcc" },
	{ 0x53cde16, "nfs_pgheader_init" },
	{ 0x1fe240e9, "put_nfs_open_context" },
	{ 0x8abce24b, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd64d3746, "nfs_show_devname" },
	{ 0x9e78a641, "nfs_permission" },
	{ 0xda3ce829, "nfs_initiate_commit" },
	{ 0x37b82956, "truncate_inode_pages_range" },
	{ 0x217963d7, "__put_user_ns" },
	{ 0x87e17ed6, "cred_fscmp" },
	{ 0x4dc00747, "rpc_unlink" },
	{ 0xf07622fa, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xbc7a5417, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0xf500e4dd, "node_data" },
	{ 0xcaaafca9, "nfs_probe_server" },
	{ 0x76fcdff7, "nfs_setsecurity" },
	{ 0x22c72c2a, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xb1dac259, "rpc_clnt_test_and_add_xprt" },
	{ 0x315c3e57, "file_ra_state_init" },
	{ 0xc1a4dff7, "nfs_force_lookup_revalidate" },
	{ 0xf4fceffc, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb02b26f7, "rpc_clnt_add_xprt" },
	{ 0x765b21e3, "dget_parent" },
	{ 0xe18fd051, "from_kuid_munged" },
	{ 0x998eb99a, "prepare_kernel_cred" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x4b5a1ced, "nfs_alloc_server" },
	{ 0x45ce003b, "rpc_call_async" },
	{ 0xe06453f7, "security_dentry_init_security" },
	{ 0x872989dc, "filemap_write_and_wait_range" },
	{ 0xfee4d172, "list_lru_del_obj" },
	{ 0x82a78a77, "nfs_server_insert_lists" },
	{ 0x5218b383, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0xcb9caa11, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x83a38f96, "rpc_init_pipe_dir_object" },
	{ 0x81b3b6a1, "bpf_trace_run7" },
	{ 0xe1100e04, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0x5d2b2898, "nfs_init_server_rpcclient" },
	{ 0xd240270f, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc50e15ff, "rpc_set_connect_timeout" },
	{ 0xbd834a64, "rpcauth_create" },
	{ 0x603c563d, "xdr_stream_pos" },
	{ 0xcad64594, "key_set_timeout" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x53b954a2, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x1b74962b, "svc_xprt_create" },
	{ 0x23d1c569, "nfs42_ssc_register" },
	{ 0xa176896e, "rpc_wait_for_completion_task" },
	{ 0xec3f732, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf2913d67, "rpc_num_bc_slots" },
	{ 0x82808eab, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x66ed2439, "rpc_destroy_wait_queue" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xdd23f64, "security_inode_listsecurity" },
	{ 0x51e20986, "nfs_fhget" },
	{ 0x5cd98016, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa872a617, "locks_copy_lock" },
	{ 0xeeea0800, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x3b5590d4, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb5b38920, "nfs_set_verifier" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xb310da20, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x141d7de8, "svc_generic_rpcbind_set" },
	{ 0xdf9650a3, "nfs_clone_server" },
	{ 0x67ef3c9b, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0xfa5f7255, "filemap_fdatawrite" },
	{ 0x685d4c88, "nfs_show_stats" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x44a2503e, "nfs_server_remove_lists" },
	{ 0xebe04d64, "shrinker_alloc" },
	{ 0x8df4e40a, "nfs42_ssc_unregister" },
	{ 0x4f42ca8e, "generic_listxattr" },
	{ 0x47d27382, "try_module_get" },
	{ 0xa041fb4f, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x70a68179, "nfs_writeback_update_inode" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfac0e7b9, "clear_inode" },
	{ 0x14885cc, "inode_to_bdi" },
	{ 0x5755a06e, "bpf_trace_run4" },
	{ 0x19d21bb3, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x91bf7854, "param_ops_uint" },
	{ 0x6cb5bfb4, "user_revoke" },
	{ 0x1a31391, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x89e5cf9b, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x24aacc92, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3356d26, "rpc_clnt_probe_trunked_xprts" },
	{ 0x9a6f5f6b, "nfs_pageio_reset_read_mds" },
	{ 0x57f36999, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x1e0ababd, "rpc_shutdown_client" },
	{ 0xf5595272, "svc_bind" },
	{ 0xdef0a276, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xc71e782, "nfs_free_inode" },
	{ 0xd9ae8740, "nfs_access_zap_cache" },
	{ 0x9d95e02d, "nfs_sb_deactive" },
	{ 0x8723b908, "nfs_wb_all" },
	{ 0xe1594ca7, "__break_lease" },
	{ 0xb603c7ba, "nfs_pageio_init_write" },
	{ 0x998ac676, "svc_recv" },
	{ 0x68fc77a0, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x783a7128, "xdr_inline_decode" },
	{ 0x37b59b83, "nfs_pageio_init_read" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0x307f9386, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xdc205e4e, "nfs_init_commit" },
	{ 0x679cb053, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x3bf7e701, "bpf_trace_run6" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xef37043c, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0xf5e02494, "nfs_mknod" },
	{ 0x50a058f6, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcb40c626, "nfs4_label_alloc" },
	{ 0xb325611, "rpc_localaddr" },
	{ 0x71bc40e3, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x34747759, "trace_event_printf" },
	{ 0xc65455f5, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xc8954eaa, "nfs_lock" },
	{ 0x9fbcbf9a, "unregister_key_type" },
	{ 0x5073d183, "nfs_client_init_is_complete" },
	{ 0x5e7af14d, "nfs_file_splice_read" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x56509a5, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x57b82b51, "ihold" },
	{ 0x3ab90fed, "truncate_pagecache_range" },
	{ 0x850d9f6f, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x61a19abf, "invalidate_inode_pages2_range" },
	{ 0x8e38b18e, "nfs_post_op_update_inode" },
	{ 0xdad777fb, "svc_exit_thread" },
	{ 0xa14cb1b6, "iput" },
	{ 0x4b90ec, "xdr_set_pagelen" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x297d6b43, "nfs_pgio_header_free" },
	{ 0x70db82ef, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x7065087d, "logfc" },
	{ 0xd7194ee6, "nfs_pgio_header_alloc" },
	{ 0x50f6bb06, "__put_devmap_managed_page_refs" },
	{ 0x86286654, "iter_file_splice_write" },
	{ 0x8b0ed9ad, "rpc_pton" },
	{ 0x4958e278, "nfs_sb_active" },
	{ 0x7975c2a2, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x131676e, "rpc_wake_up_queued_task" },
	{ 0x1b4f270e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x35e424ad, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0x25e4ce89, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfafd02b2, "_copy_from_pages" },
	{ 0x6f575ff8, "__module_get" },
	{ 0x9eabf9c4, "kmem_cache_create" },
	{ 0x53fb1bab, "rpc_task_release_transport" },
	{ 0xb59ee94f, "xdr_page_pos" },
	{ 0x9f52692, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x59e51e4f, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x46970dd4, "key_instantiate_and_link" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0xfaabfe74, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xec5e585, "register_key_type" },
	{ 0x1aa99f86, "rpc_sleep_on" },
	{ 0xdaa47d3d, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x389ad66, "nfs_pageio_resend" },
	{ 0x8bec6393, "keyring_alloc" },
	{ 0xa3cd3bef, "vfs_setpos" },
	{ 0x19dd99a9, "nfs_create" },
	{ 0x6b0bdc05, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8963dccc, "__put_cred" },
	{ 0xcf242a74, "swapcache_mapping" },
	{ 0xe145a9ed, "nfs_statfs" },
	{ 0x1d890853, "wake_up_process" },
	{ 0xe7ede10c, "shrinker_free" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xd51a2ce3, "splice_file_range" },
	{ 0xd2beee47, "rpc_max_bc_payload" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xe0211054, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3ee09307, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xfb9e4b41, "nfs_mkdir" },
	{ 0x7ad56c4a, "nfs_revalidate_inode" },
	{ 0x39361352, "inode_newsize_ok" },
	{ 0xa5c82f1c, "nfs_file_mmap" },
	{ 0x5f2edf56, "nfs_get_lock_context" },
	{ 0xaf5480f6, "d_drop" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7ecea686, "nfs_set_cache_invalid" },
	{ 0xd776a5f3, "rpc_release_client" },
	{ 0x1496d7da, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x786c2236, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x625964e8, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc54e1706, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc949be2a, "nfs_generic_pgio" },
	{ 0x99a29332, "make_kuid" },
	{ 0x8915deba, "truncate_inode_pages_final" },
	{ 0x9e85bc8a, "generic_setlease" },
	{ 0x87b0c696, "xprt_destroy_backchannel" },
	{ 0xb9b9fa1c, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0x240422a2, "nfs_scan_commit_list" },
	{ 0xfb68d2da, "xdr_stream_decode_string_dup" },
	{ 0x92b52b7, "nfs_commit_inode" },
	{ 0xadd2b8e8, "shrinker_register" },
	{ 0x62cd9326, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x7587f6e0, "rpc_destroy_pipe_data" },
	{ 0x852330e0, "nfs_get_client" },
	{ 0x4a449c6d, "__free_pages" },
	{ 0x4830bf71, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x75fa83df, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xd2b0d21e, "nfs_atomic_open" },
	{ 0xc4fe8f91, "rpc_pipe_generic_upcall" },
	{ 0xec467176, "nfs_file_fsync" },
	{ 0x90974934, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfcce903b, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7f1f0ed8, "nfs_put_lock_context" },
	{ 0x9a97bd59, "nfs_rename" },
	{ 0x7107b565, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xce4d1c9d, "nfs_sysfs_link_rpc_client" },
	{ 0x6fd22fa5, "nfs_put_client" },
	{ 0x61cd77b2, "nfs_show_options" },
	{ 0x998449fe, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x746b3e8b, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x70bcbd3c, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x961231ec, "get_nfs_open_context" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0xc907ecd4, "nfs_clear_verifier_delegated" },
	{ 0xcc1ddffb, "nfs_sysfs_add_server" },
	{ 0x6789fc89, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xd0a9d876, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0xca6f0419, "nfs_do_submount" },
	{ 0xf35b917a, "vfs_dup_fs_context" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xe88f2009, "request_key_with_auxdata" },
	{ 0x266c0ae1, "rpc_clone_client_set_auth" },
	{ 0xa7a3c353, "rpc_clone_client" },
	{ 0xe80bdabc, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xd14df637, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xb6c57ec1, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x893ab697, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ea01205, "put_fs_context" },
	{ 0x9559b1d4, "nfs_retry_commit" },
	{ 0xbd34e497, "nfs4_dentry_operations" },
	{ 0x832d36cf, "__module_put_and_kthread_exit" },
	{ 0xa27435c1, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x2828b7b, "nfs_client_for_each_server" },
	{ 0x50c544dd, "nfs_clear_inode" },
	{ 0xf0d15a45, "rpc_sleep_on_priority" },
	{ 0x34343858, "nfs_invalidate_atime" },
	{ 0x4832181f, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8a0ea337, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xee19fca, "nfs_getattr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x929ffa10, "nfs_pageio_reset_write_mds" },
	{ 0x7fdcc276, "kmem_cache_free" },
	{ 0x3a1833f0, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0x362a1b8e, "xdr_stream_subsegment" },
	{ 0xe34b0030, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x238baaf, "nfs_fscache_open_file" },
	{ 0x2a742678, "from_kgid" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x43fc2ac3, "nfs_write_inode" },
	{ 0x74734e09, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x3b1a41d, "rpc_wake_up_first" },
	{ 0x5e87635e, "alloc_nfs_open_context" },
	{ 0xbebd8e1a, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe74dc487, "vfs_parse_fs_param" },
	{ 0x9a685dce, "nfs_path" },
	{ 0x8621b7b9, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x31122fa0, "nfs_create_rpc_client" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5097fca, "register_nfs_version" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x962ffb21, "rpc_sleep_on_timeout" },
	{ 0x8d6747c0, "list_lru_count_one" },
	{ 0xab8171f5, "svc_destroy" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "ADA05B0791813A7698B2AE0");
