#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0xc47db492, "fscrypt_ioctl_get_nonce" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x2dcb55f5, "generic_file_read_iter" },
	{ 0x9366e6, "unlock_page" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x33d58df1, "ubi_leb_read" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0x11e13998, "__fscrypt_prepare_rename" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x2eb66518, "fscrypt_encrypt_block_inplace" },
	{ 0x66011ab6, "ubi_get_device_info" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x28f941a7, "fscrypt_ioctl_set_policy" },
	{ 0xfa0bfad0, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7fdcc276, "kmem_cache_free" },
	{ 0x9e637e13, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xc98ebc4f, "security_inode_init_security" },
	{ 0xbd6841d4, "crc16" },
	{ 0x2a742678, "from_kgid" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x91004181, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x97f757f9, "__fscrypt_encrypt_symlink" },
	{ 0xe826f39f, "__fscrypt_prepare_link" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x840de22c, "ubi_leb_write" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9c9df453, "kobject_init_and_add" },
	{ 0x9fc922f0, "sget" },
	{ 0xe5779471, "ubi_leb_change" },
	{ 0xcd0eec12, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x6354b77c, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xff78ce25, "fscrypt_put_encryption_info" },
	{ 0x4bd25847, "freezing_slow_path" },
	{ 0x11089ac7, "_ctype" },
	{ 0x3372bc3d, "ubi_open_volume_nm" },
	{ 0x7096b84a, "from_kuid" },
	{ 0x14ebbb28, "ubi_leb_map" },
	{ 0xfb578fc5, "memset" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xad4d04e, "__insert_inode_hash" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4b7bb731, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xf3b0d8a3, "fscrypt_drop_inode" },
	{ 0x4f1db2b6, "end_page_writeback" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xa1c6b320, "truncate_setsize" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7749cb89, "nonseekable_open" },
	{ 0xcf8ee6a2, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9980a9be, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9cf5b9d6, "__fscrypt_prepare_readdir" },
	{ 0xb1ed295e, "debugfs_create_file" },
	{ 0x3b4d1c22, "param_set_int" },
	{ 0x999e8297, "vfree" },
	{ 0xb57ef79, "generic_read_dir" },
	{ 0xe9ae1f65, "kobject_del" },
	{ 0xc2acba71, "set_page_writeback" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x570f1ba9, "init_user_ns" },
	{ 0xa6dcdd07, "simple_rename_timestamp" },
	{ 0xa2158569, "fscrypt_ioctl_add_key" },
	{ 0xe091c977, "list_sort" },
	{ 0x59196b7e, "fscrypt_fname_disk_to_usr" },
	{ 0xb8b97948, "inode_set_ctime_current" },
	{ 0xc47db62a, "inc_nlink" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x44e9a829, "match_token" },
	{ 0x8aa4c1e1, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0xa405e1c3, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x11a3feb3, "fscrypt_ioctl_get_policy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0x9e127302, "ubi_open_volume" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x9dbb6702, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xfb6f584e, "__folio_lock" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x2157644e, "filemap_dirty_folio" },
	{ 0xe006b190, "pagecache_get_page" },
	{ 0x9706a57, "is_bad_inode" },
	{ 0x6d073985, "seq_puts" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xe77c373e, "fscrypt_prepare_symlink" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x15efa18, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xc405edcb, "kill_anon_super" },
	{ 0x560a8b2c, "writeback_inodes_sb_nr" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0x1df505a7, "kset_register" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xf4522ae7, "generic_update_time" },
	{ 0x74fa7d3b, "fscrypt_prepare_new_inode" },
	{ 0xe7804bf0, "param_get_int" },
	{ 0xd2193c2d, "fscrypt_get_symlink" },
	{ 0xac7fcbf5, "kmem_cache_alloc_lru" },
	{ 0xab2986bc, "filemap_fault" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x4e24068f, "__set_page_dirty_nobuffers" },
	{ 0x83f63baa, "debugfs_create_dir" },
	{ 0xd240270f, "__mark_inode_dirty" },
	{ 0xf87e77b4, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfa5797b2, "make_bad_inode" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0x413770bc, "set_anon_super" },
	{ 0xec3f732, "drop_nlink" },
	{ 0x1060a3ca, "fscrypt_free_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6be8151, "fscrypt_has_permitted_context" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x70f01912, "iget_failed" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x520d7468, "fscrypt_symlink_getattr" },
	{ 0xeeea0800, "kmem_cache_destroy" },
	{ 0xf8cbfa38, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xc5d79b13, "super_setup_bdi_name" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x4f3cc96f, "crypto_comp_decompress" },
	{ 0xb84ea0e5, "inode_init_owner" },
	{ 0x429a8da5, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x6284f0cd, "setattr_prepare" },
	{ 0xf9f99f39, "filemap_migrate_folio" },
	{ 0x4e4cfe59, "iget_locked" },
	{ 0xebe04d64, "shrinker_alloc" },
	{ 0x7a875e13, "clear_nlink" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x135714a9, "d_instantiate" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfac0e7b9, "clear_inode" },
	{ 0xadc1104e, "generic_set_encrypted_ci_d_ops" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x89f1e17f, "grab_cache_page_write_begin" },
	{ 0x6bb40b02, "crypto_alloc_base" },
	{ 0x1b7131bd, "empty_aops" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8ef958da, "folio_unlock" },
	{ 0xa45d8deb, "fscrypt_ioctl_remove_key_all_users" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7d01d043, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x74b4890b, "filemap_map_pages" },
	{ 0x327e5b0, "init_special_inode" },
	{ 0xa541e2bd, "unregister_filesystem" },
	{ 0x9cfaba9, "__fscrypt_prepare_setattr" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb7773656, "__fscrypt_prepare_lookup" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x72e3166a, "fscrypt_ioctl_get_key_status" },
	{ 0x1f7bab86, "d_make_root" },
	{ 0xea00508c, "fscrypt_decrypt_block_inplace" },
	{ 0x397fbfa, "sync_filesystem" },
	{ 0xd968a170, "ubi_is_mapped" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x56509a5, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x26248f93, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x57b82b51, "ihold" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x7320fd4, "finish_open" },
	{ 0xa14cb1b6, "iput" },
	{ 0x1873cf1a, "kset_unregister" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x50f6bb06, "__put_devmap_managed_page_refs" },
	{ 0x86286654, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x42801d20, "ubi_sync" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3739bb94, "generic_file_write_iter" },
	{ 0x41763e89, "ubi_open_volume_path" },
	{ 0xbc34101f, "register_filesystem" },
	{ 0x4dddceac, "d_tmpfile" },
	{ 0x9eabf9c4, "kmem_cache_create" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x74bfdc02, "fscrypt_ioctl_get_policy_ex" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x71983b66, "crypto_comp_compress" },
	{ 0xa0bc79d7, "clear_page_dirty_for_io" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x26f53ead, "ubi_get_volume_info" },
	{ 0x1d890853, "wake_up_process" },
	{ 0xe7ede10c, "shrinker_free" },
	{ 0x1748170c, "fscrypt_setup_filename" },
	{ 0x87fe483, "crypto_destroy_tfm" },
	{ 0xce6dca0b, "simple_inode_init_ts" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xe1f81a4a, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6caf7388, "fscrypt_set_context" },
	{ 0x99a29332, "make_kuid" },
	{ 0x8915deba, "truncate_inode_pages_final" },
	{ 0xe75c380f, "fs_kobj" },
	{ 0x992066fa, "wait_for_stable_page" },
	{ 0xe63e4718, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xa50780d, "fscrypt_file_open" },
	{ 0xadd2b8e8, "shrinker_register" },
	{ 0xd5494d94, "ilookup" },
	{ 0x53c2f74e, "xattr_full_name" },
	{ 0xc6cbbc89, "capable" },
	{ 0x43457f68, "ubi_close_volume" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x185108a8, "inode_init_once" },
	{ 0x3fead5e1, "file_write_and_wait_range" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x324895d5, "ubi_leb_unmap" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "ubi");


MODULE_INFO(srcversion, "1724CF190103BE17C960076");
