#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v9fs_register_trans, "", "");
KSYMTAB_FUNC(v9fs_unregister_trans, "", "");
KSYMTAB_FUNC(v9fs_get_trans_by_name, "", "");
KSYMTAB_FUNC(v9fs_get_default_trans, "", "");
KSYMTAB_FUNC(p9_is_proto_dotl, "", "");
KSYMTAB_FUNC(p9_is_proto_dotu, "", "");
KSYMTAB_FUNC(p9_show_client_options, "", "");
KSYMTAB_FUNC(p9_fcall_fini, "", "");
KSYMTAB_FUNC(p9_tag_lookup, "", "");
KSYMTAB_FUNC(p9_req_put, "", "");
KSYMTAB_FUNC(p9_client_cb, "", "");
KSYMTAB_FUNC(p9_parse_header, "", "");
KSYMTAB_DATA(__tracepoint_9p_fid_ref, "", "");
KSYMTAB_FUNC(__traceiter_9p_fid_ref, "", "");
KSYMTAB_DATA(__SCK__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(__SCT__tp_func_9p_fid_ref, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_get, "", "");
KSYMTAB_FUNC(do_trace_9p_fid_put, "", "");
KSYMTAB_FUNC(p9_client_create, "", "");
KSYMTAB_FUNC(p9_client_destroy, "", "");
KSYMTAB_FUNC(p9_client_disconnect, "", "");
KSYMTAB_FUNC(p9_client_begin_disconnect, "", "");
KSYMTAB_FUNC(p9_client_attach, "", "");
KSYMTAB_FUNC(p9_client_walk, "", "");
KSYMTAB_FUNC(p9_client_open, "", "");
KSYMTAB_FUNC(p9_client_create_dotl, "", "");
KSYMTAB_FUNC(p9_client_fcreate, "", "");
KSYMTAB_FUNC(p9_client_symlink, "", "");
KSYMTAB_FUNC(p9_client_link, "", "");
KSYMTAB_FUNC(p9_client_fsync, "", "");
KSYMTAB_FUNC(p9_client_clunk, "", "");
KSYMTAB_FUNC(p9_client_remove, "", "");
KSYMTAB_FUNC(p9_client_unlinkat, "", "");
KSYMTAB_FUNC(p9_client_read, "", "");
KSYMTAB_FUNC(p9_client_read_once, "", "");
KSYMTAB_FUNC(p9_client_write, "", "");
KSYMTAB_FUNC(p9_client_stat, "", "");
KSYMTAB_FUNC(p9_client_getattr_dotl, "", "");
KSYMTAB_FUNC(p9_client_wstat, "", "");
KSYMTAB_FUNC(p9_client_setattr, "", "");
KSYMTAB_FUNC(p9_client_statfs, "", "");
KSYMTAB_FUNC(p9_client_rename, "", "");
KSYMTAB_FUNC(p9_client_renameat, "", "");
KSYMTAB_FUNC(p9_client_xattrwalk, "_gpl", "");
KSYMTAB_FUNC(p9_client_xattrcreate, "_gpl", "");
KSYMTAB_FUNC(p9_client_readdir, "", "");
KSYMTAB_FUNC(p9_client_mknod_dotl, "", "");
KSYMTAB_FUNC(p9_client_mkdir_dotl, "", "");
KSYMTAB_FUNC(p9_client_lock_dotl, "", "");
KSYMTAB_FUNC(p9_client_getlock_dotl, "", "");
KSYMTAB_FUNC(p9_client_readlink, "", "");
KSYMTAB_FUNC(p9_error_init, "", "");
KSYMTAB_FUNC(p9_errstr2errno, "", "");
KSYMTAB_FUNC(p9stat_free, "", "");
KSYMTAB_FUNC(p9stat_read, "", "");
KSYMTAB_FUNC(p9dirent_read, "", "");
KSYMTAB_FUNC(p9_release_pages, "", "");

SYMBOL_CRC(v9fs_register_trans, 0x2ba94909, "");
SYMBOL_CRC(v9fs_unregister_trans, 0x2c6e6c3d, "");
SYMBOL_CRC(v9fs_get_trans_by_name, 0x74048f7c, "");
SYMBOL_CRC(v9fs_get_default_trans, 0xe754cfa8, "");
SYMBOL_CRC(p9_is_proto_dotl, 0x9b55322b, "");
SYMBOL_CRC(p9_is_proto_dotu, 0x104ca627, "");
SYMBOL_CRC(p9_show_client_options, 0xafc233d4, "");
SYMBOL_CRC(p9_fcall_fini, 0x4ba99359, "");
SYMBOL_CRC(p9_tag_lookup, 0xd31bbcbe, "");
SYMBOL_CRC(p9_req_put, 0x7151d5e9, "");
SYMBOL_CRC(p9_client_cb, 0xb25dd964, "");
SYMBOL_CRC(p9_parse_header, 0x761cad64, "");
SYMBOL_CRC(__tracepoint_9p_fid_ref, 0x10f44689, "");
SYMBOL_CRC(__traceiter_9p_fid_ref, 0xde951573, "");
SYMBOL_CRC(__SCK__tp_func_9p_fid_ref, 0x8bd283eb, "");
SYMBOL_CRC(__SCT__tp_func_9p_fid_ref, 0xb798a888, "");
SYMBOL_CRC(do_trace_9p_fid_get, 0xc39b5205, "");
SYMBOL_CRC(do_trace_9p_fid_put, 0x8f7eed21, "");
SYMBOL_CRC(p9_client_create, 0xde57e650, "");
SYMBOL_CRC(p9_client_destroy, 0x20999879, "");
SYMBOL_CRC(p9_client_disconnect, 0x587aa3a6, "");
SYMBOL_CRC(p9_client_begin_disconnect, 0xabf2108c, "");
SYMBOL_CRC(p9_client_attach, 0xca233216, "");
SYMBOL_CRC(p9_client_walk, 0xfe8fd401, "");
SYMBOL_CRC(p9_client_open, 0xa7a4deda, "");
SYMBOL_CRC(p9_client_create_dotl, 0xd2527cdb, "");
SYMBOL_CRC(p9_client_fcreate, 0x83671a17, "");
SYMBOL_CRC(p9_client_symlink, 0x719c6c70, "");
SYMBOL_CRC(p9_client_link, 0xc92f86fc, "");
SYMBOL_CRC(p9_client_fsync, 0xd081d762, "");
SYMBOL_CRC(p9_client_clunk, 0x5a11a65a, "");
SYMBOL_CRC(p9_client_remove, 0x558efc2c, "");
SYMBOL_CRC(p9_client_unlinkat, 0x4bbdfb93, "");
SYMBOL_CRC(p9_client_read, 0x8652854b, "");
SYMBOL_CRC(p9_client_read_once, 0xfb597c2a, "");
SYMBOL_CRC(p9_client_write, 0x0c12080a, "");
SYMBOL_CRC(p9_client_stat, 0x9d4bc137, "");
SYMBOL_CRC(p9_client_getattr_dotl, 0x05d4f331, "");
SYMBOL_CRC(p9_client_wstat, 0x153ed334, "");
SYMBOL_CRC(p9_client_setattr, 0xfa413e9d, "");
SYMBOL_CRC(p9_client_statfs, 0xfbc595d6, "");
SYMBOL_CRC(p9_client_rename, 0xd4a2ed20, "");
SYMBOL_CRC(p9_client_renameat, 0x5239f47e, "");
SYMBOL_CRC(p9_client_xattrwalk, 0x74224fcc, "_gpl");
SYMBOL_CRC(p9_client_xattrcreate, 0x3ca7b5e3, "_gpl");
SYMBOL_CRC(p9_client_readdir, 0x9c2b3b18, "");
SYMBOL_CRC(p9_client_mknod_dotl, 0x6ac74599, "");
SYMBOL_CRC(p9_client_mkdir_dotl, 0x4df09bfc, "");
SYMBOL_CRC(p9_client_lock_dotl, 0x4beb41c6, "");
SYMBOL_CRC(p9_client_getlock_dotl, 0xb5390683, "");
SYMBOL_CRC(p9_client_readlink, 0x4680877e, "");
SYMBOL_CRC(p9_error_init, 0xe58a3360, "");
SYMBOL_CRC(p9_errstr2errno, 0x3d73a797, "");
SYMBOL_CRC(p9stat_free, 0xd384c683, "");
SYMBOL_CRC(p9stat_read, 0x41ce9823, "");
SYMBOL_CRC(p9dirent_read, 0x95bd8f96, "");
SYMBOL_CRC(p9_release_pages, 0x6e637b7a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x50f6bb06, "__put_devmap_managed_page_refs" },
	{ 0x1b4f270e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9eabf9c4, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x99a29332, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x4830bf71, "kmem_cache_alloc" },
	{ 0x90974934, "module_put" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xaeb652d, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7fdcc276, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2a742678, "from_kgid" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0x6b181009, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7096b84a, "from_kuid" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4b7bb731, "make_kgid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x822cf32a, "bpf_trace_run3" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x570f1ba9, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x8aa4c1e1, "__folio_put" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0xf19e3eaf, "_copy_from_iter" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x6d073985, "seq_puts" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xd2bf1b2b, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xeeea0800, "kmem_cache_destroy" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x47d27382, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x391ac9fa, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x5755a06e, "bpf_trace_run4" },
	{ 0x20978fb9, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x34747759, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3A4D3A478701084DE18B944");
