#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x5539f373, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0x8e7b9058, "");
SYMBOL_CRC(ip_tunnel_rcv, 0xff49fd19, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x37d37497, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x8ace1441, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x7b731544, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x39786031, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0xf84b9b68, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xf78901d6, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x422fe8f0, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xb2048cc9, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0xc307b7ae, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x5bebc9b5, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x24bc19f7, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x87623179, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x99ca5267, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0xb20a8991, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x516ed330, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x545cdd83, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x377d2306, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0xbf3867d3, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x99cd9657, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc8c44dbc, "iptun_encaps" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x754d539c, "strlen" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x9721fba6, "alloc_netdev_mqs" },
	{ 0xff759055, "register_netdevice" },
	{ 0xcc103646, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfc9af44c, "unregister_netdevice_queue" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xbac9768f, "gro_cells_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbe81d8df, "skb_copy_bits" },
	{ 0xda86e943, "dst_release" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xccd5a73b, "skb_scrub_packet" },
	{ 0x20503de9, "gro_cells_receive" },
	{ 0xf40b5f74, "eth_type_trans" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xcb9786f9, "ip_route_output_flow" },
	{ 0xda3cd6cf, "__dev_get_by_index" },
	{ 0xe1cdda18, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x415aaf81, "dev_addr_mod" },
	{ 0x4490ae01, "netdev_state_change" },
	{ 0xbb890fdd, "ns_capable" },
	{ 0xe035c4e3, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xdadd8594, "init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb0fa6ac1, "ip6_mtu" },
	{ 0x1240141a, "icmpv6_ndo_send" },
	{ 0x626dbd6e, "icmp_ndo_send" },
	{ 0x49e95968, "ipv4_mtu" },
	{ 0xeb747efa, "dst_cache_get_ip4" },
	{ 0xab7a7de1, "iptunnel_xmit" },
	{ 0xa84188f3, "__skb_get_hash" },
	{ 0x67b8ecfb, "dst_cache_set_ip4" },
	{ 0xb68e8454, "pskb_expand_head" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xca91e7bd, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1F63141A0B460AB1B31CA36");
