#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0xaf0847f0, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x9adb7399, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xdba7326b, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x579c434c, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xd85b428c, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x22cc020a, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x329fd4ac, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xb0c8efa1, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x2c3521b7, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x6074fd45, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x2d41c3f4, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x28788637, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x702581cd, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x590d14ce, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xbdce74cf, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x3df5b1f9, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x3ea8e6ef, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0xff705972, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x346ca924, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xeb0ab313, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xed5df5f2, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0xdb9157fa, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0xdbd3ad8f, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0xa102fa84, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x8d964fa9, "_gpl");
SYMBOL_CRC(print_tuple, 0xe8d524b7, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xd9485a4f, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x767b4792, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x02683b58, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0xeb801ac8, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0xaeacabce, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x8bb25010, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x4b7f0399, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x38acda79, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x9a83dc05, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x05885650, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x79b494af, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x8c6defd1, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x39886f61, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x9b62fd36, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x4089f17c, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x88e23368, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0xf577e358, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x1fa242f3, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0xad3c0250, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x98f86742, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x2d85a145, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x9a214260, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xedd7a8b7, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0xac67a73d, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x23092c11, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0xca93523f, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0xa2a2c0d8, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xce1979e1, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x3d82a11c, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x684fe8ba, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x7deb96e4, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x58a8cd5f, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x1655bb8e, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x46f4d8c3, "_gpl");
SYMBOL_CRC(nf_confirm, 0x07b69a20, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x9cf2c691, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x3a90336c, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xd45d81e9, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0xd3e1281f, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x1fac2d1c, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x1da8ceef, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x9e38cd77, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x95a20f80, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x92de8db2, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x11ed38f0, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x366255a7, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xe8622726, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x6d88460f, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x80fd5faf, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x398478b2, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x3fa3a1b9, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x07239a4e, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0xa3903dca, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x7e5b8e18, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x191af3ca, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x498f2b6e, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x5fc309a5, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x4cf02bce, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x37473fb1, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x4704b0ac, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x3c9bf2d4, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x9b566c23, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x4740631d, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x627f6647, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x99a29332, "make_kuid" },
	{ 0x7d8091bf, "nf_defrag_ipv6_disable" },
	{ 0x3992014b, "ipv6_skip_exthdr" },
	{ 0x38926558, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x4830bf71, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x90974934, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc378f39d, "nf_checksum" },
	{ 0xa4e6e0a, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0xdadd8594, "init_net" },
	{ 0xb6e26c70, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7fdcc276, "kmem_cache_free" },
	{ 0x1feb7d51, "seq_putc" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x683ce853, "nf_checksum_partial" },
	{ 0x6fb623bb, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x57140fcc, "nf_unregister_net_hooks" },
	{ 0xc9e89c57, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xe9c14ab8, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xf180ae38, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x22101429, "nf_log_packet" },
	{ 0x4b7bb731, "make_kgid" },
	{ 0x86336388, "nf_ip_checksum" },
	{ 0xdbdfa3bf, "register_btf_kfunc_id_set" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xa041a619, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x254ad00e, "nla_policy_len" },
	{ 0x1a7216d9, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcf2141f2, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd10abef5, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0xca9447e2, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xee0bc34a, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3c232c5, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x6d073985, "seq_puts" },
	{ 0x8072adde, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xabd9e8ce, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xe652006b, "pskb_trim_rcsum_slow" },
	{ 0x53b954a2, "up_read" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xeeea0800, "kmem_cache_destroy" },
	{ 0x7b5df07a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4fb5b9d9, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x47d27382, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6e7eb8e0, "nf_defrag_ipv4_disable" },
	{ 0xde7ae351, "nf_ip6_checksum" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1afaa2fd, "proc_dou8vec_minmax" },
	{ 0xbe81d8df, "skb_copy_bits" },
	{ 0x91bf7854, "param_ops_uint" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa4f8cad, "nf_register_sockopt" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x1904360b, "nfct_btf_struct_access" },
	{ 0x252bf298, "param_set_uint" },
	{ 0x23167e39, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa69047e9, "nf_ct_frag6_gather" },
	{ 0x63c9b2ae, "get_net_ns_by_id" },
	{ 0x73641259, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9eabf9c4, "kmem_cache_create" },
	{ 0xdf175990, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x82ec1c57, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x54c3a404, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x26bfbfa3, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x7e06ff03, "nf_unregister_sockopt" },
	{ 0x67c775e2, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv6,nf_defrag_ipv4");


MODULE_INFO(srcversion, "137B2B7BA1DE8E947BE578F");
