#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0xef77d672, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0x94a5e8a6, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0xb5ee572f, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0x17382fd5, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0xcbadf0ae, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0x23d8e49c, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0x8a18b8ea, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2683b58, "nf_ct_remove_expect" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xeb801ac8, "__nf_ct_expect_find" },
	{ 0x38acda79, "nf_ct_expect_alloc" },
	{ 0x9a83dc05, "nf_ct_expect_init" },
	{ 0x79b494af, "nf_ct_expect_related_report" },
	{ 0x5885650, "nf_ct_expect_put" },
	{ 0x9f60d0b9, "__nf_ip6_route" },
	{ 0xda86e943, "dst_release" },
	{ 0x31430733, "nf_ip_route" },
	{ 0x4b7f0399, "nf_ct_unexpect_related" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x3ea8e6ef, "__nf_ct_refresh_acct" },
	{ 0x824238be, "__pskb_pull_tail" },
	{ 0xbe81d8df, "skb_copy_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0x91bf7854, "param_ops_uint" },
	{ 0xf6b26f07, "param_array_ops" },
	{ 0x74c08039, "param_ops_ushort" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11089ac7, "_ctype" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa2a2c0d8, "nf_ct_helper_init" },
	{ 0xce1979e1, "nf_conntrack_helpers_register" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3d82a11c, "nf_conntrack_helpers_unregister" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xac67a73d, "nf_ct_helper_log" },
	{ 0x9adb7399, "nf_conntrack_expect_lock" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "9A2C91AA22115C3D118EE49");
