#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(kernel_rds_rt_debug_bitmap, "", "");
KSYMTAB_FUNC(rds_rt_debug_tp_enable, "_gpl", "");
KSYMTAB_FUNC(rds_str_array, "", "");
KSYMTAB_FUNC(rds_cong_map_updated, "_gpl", "");
KSYMTAB_FUNC(rds_conn_create, "_gpl", "");
KSYMTAB_FUNC(rds_conn_create_outgoing, "_gpl", "");
KSYMTAB_FUNC(rds_conn_find, "_gpl", "");
KSYMTAB_FUNC(rds_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(rds_for_each_conn_info, "_gpl", "");
KSYMTAB_FUNC(rds_conn_path_trace_state_change, "_gpl", "");
KSYMTAB_FUNC(rds_conn_path_drop, "_gpl", "");
KSYMTAB_FUNC(rds_conn_drop, "_gpl", "");
KSYMTAB_FUNC(rds_conn_faddr_ha_changed, "_gpl", "");
KSYMTAB_FUNC(rds_conn_path_connect_if_down, "_gpl", "");
KSYMTAB_FUNC(rds_conn_connect_if_down, "_gpl", "");
KSYMTAB_FUNC(rds_info_register_func, "_gpl", "");
KSYMTAB_FUNC(rds_info_deregister_func, "_gpl", "");
KSYMTAB_FUNC(rds_info_copy, "_gpl", "");
KSYMTAB_FUNC(rds_message_addref, "_gpl", "");
KSYMTAB_FUNC(rds_message_put, "_gpl", "");
KSYMTAB_FUNC(rds_message_populate_header, "_gpl", "");
KSYMTAB_FUNC(rds_message_add_extension, "_gpl", "");
KSYMTAB_FUNC(rds_message_add_rdma_dest_extension, "_gpl", "");
KSYMTAB_FUNC(rds_message_unmapped, "_gpl", "");
KSYMTAB_FUNC(rds_inc_init, "_gpl", "");
KSYMTAB_FUNC(rds_inc_path_init, "_gpl", "");
KSYMTAB_FUNC(rds_inc_addref, "_gpl", "");
KSYMTAB_FUNC(rds_inc_put, "_gpl", "");
KSYMTAB_FUNC(rds_recv_incoming, "_gpl", "");
KSYMTAB_FUNC(do_rds_receive_csum_err, "", "");
KSYMTAB_FUNC(rds_send_path_reset, "_gpl", "");
KSYMTAB_FUNC(rds_send_xmit, "_gpl", "");
KSYMTAB_FUNC(rds_asend_complete, "_gpl", "");
KSYMTAB_FUNC(rds_rdma_send_complete, "_gpl", "");
KSYMTAB_FUNC(rds_atomic_send_complete, "_gpl", "");
KSYMTAB_FUNC(rds_send_path_drop_acked, "_gpl", "");
KSYMTAB_FUNC(rds_send_drop_acked, "_gpl", "");
KSYMTAB_FUNC(rds_send_hs_ping, "_gpl", "");
KSYMTAB_DATA(rds_stats, "_gpl", "");
KSYMTAB_FUNC(rds_stats_info_copy, "_gpl", "");
KSYMTAB_FUNC(rds_stats_print, "_gpl", "");
KSYMTAB_DATA(rds_wq, "_gpl", "");
KSYMTAB_FUNC(rds_queue_work, "_gpl", "");
KSYMTAB_FUNC(rds_queue_delayed_work, "_gpl", "");
KSYMTAB_FUNC(rds_queue_delayed_work_on, "_gpl", "");
KSYMTAB_FUNC(rds_mod_delayed_work, "_gpl", "");
KSYMTAB_FUNC(rds_queue_cancel_work, "_gpl", "");
KSYMTAB_FUNC(rds_queue_flush_work, "_gpl", "");
KSYMTAB_FUNC(rds_connect_path_complete, "_gpl", "");
KSYMTAB_FUNC(rds_connect_complete, "_gpl", "");
KSYMTAB_FUNC(rds_addr_cmp, "_gpl", "");
KSYMTAB_FUNC(rds_trans_register, "_gpl", "");
KSYMTAB_FUNC(rds_trans_unregister, "_gpl", "");
KSYMTAB_FUNC(rds_page_remainder_alloc, "_gpl", "");
KSYMTAB_FUNC(rds_rdma_drop_keys, "_gpl", "");
KSYMTAB_FUNC(rds_rdma_process_send_cmsg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_state_change, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_state_change, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_state_change, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_state_change, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_state_change_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_state_change_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_state_change_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_state_change_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_receive, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_receive, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_receive, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_receive, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_receive_csum_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_receive_csum_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_receive_csum_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_receive_csum_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_drop_ingress, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_drop_ingress, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_drop_ingress, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_drop_ingress, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_drop_egress, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_drop_egress, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_drop_egress, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_drop_egress, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_heartbeat_send_ping, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_heartbeat_send_ping, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_heartbeat_send_ping, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_heartbeat_send_ping, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_heartbeat_send_pong, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_heartbeat_send_pong, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_heartbeat_send_pong, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_heartbeat_send_pong, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_heartbeat_receive_ping, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_heartbeat_receive_ping, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_heartbeat_receive_ping, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_heartbeat_receive_ping, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_heartbeat_receive_pong, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_heartbeat_receive_pong, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_heartbeat_receive_pong, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_heartbeat_receive_pong, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_heartbeat_disable, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_heartbeat_disable, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_heartbeat_disable, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_heartbeat_disable, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_add_device, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_add_device, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_add_device, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_add_device, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_add_device_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_add_device_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_add_device_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_add_device_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_remove_device, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_remove_device, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_remove_device, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_remove_device, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_remove_device_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_remove_device_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_remove_device_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_remove_device_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_shutdown_device, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_shutdown_device, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_shutdown_device, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_shutdown_device, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_cm_accept_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_cm_accept_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_cm_accept_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_cm_accept_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_cm_handle_connect, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_cm_handle_connect, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_cm_handle_connect, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_cm_handle_connect, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_cm_handle_connect_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_cm_handle_connect_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_cm_handle_connect_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_cm_handle_connect_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_cm_initiate_connect, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_cm_initiate_connect, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_cm_initiate_connect, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_cm_initiate_connect, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_cm_initiate_connect_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_cm_initiate_connect_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_cm_initiate_connect_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_cm_initiate_connect_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_path_connect, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_path_connect, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_path_connect, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_path_connect, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_path_connect_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_path_connect_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_path_connect_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_path_connect_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_path_shutdown_prepare, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_path_shutdown_prepare, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_path_shutdown_prepare, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_path_shutdown_prepare, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_path_shutdown_prepare_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_path_shutdown_prepare_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_path_shutdown_prepare_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_path_shutdown_prepare_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_yielding, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_yielding, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_yielding, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_yield_yielding, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_right_of_way, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_right_of_way, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_right_of_way, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_yield_right_of_way, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_stale, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_stale, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_stale, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_yield_stale, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_expired, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_expired, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_expired, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_yield_expired, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_accepting, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_accepting, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_accepting, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_yield_accepting, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_success, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_success, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_success, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_yield_success, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_conn_yield_accept_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_conn_yield_accept_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_conn_yield_accept_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_conn_yield_accept_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_setup_fastreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_setup_fastreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_setup_fastreg, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_setup_fastreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_setup_fastreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_setup_fastreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_setup_fastreg_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_setup_fastreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_setup_qp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_setup_qp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_setup_qp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_setup_qp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_setup_qp_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_setup_qp_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_setup_qp_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_setup_qp_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_send_cqe_handler, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_send_cqe_handler, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_send_cqe_handler, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_send_cqe_handler, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_send_cqe_handler_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_send_cqe_handler_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_send_cqe_handler_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_send_cqe_handler_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_rdma_cm_event_handler, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_rdma_cm_event_handler, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_rdma_cm_event_handler, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_rdma_cm_event_handler, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_rdma_cm_event_handler_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_rdma_cm_event_handler_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_rdma_cm_event_handler_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_rdma_cm_event_handler_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_flow_cntrl_add_credits, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_flow_cntrl_add_credits, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_flow_cntrl_add_credits, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_flow_cntrl_add_credits, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_flow_cntrl_advertise_credits, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_flow_cntrl_advertise_credits, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_flow_cntrl_advertise_credits, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_flow_cntrl_advertise_credits, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_flow_cntrl_grab_credits, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_flow_cntrl_grab_credits, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_flow_cntrl_grab_credits, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_flow_cntrl_grab_credits, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_queue_work, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_queue_work, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_queue_work, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_queue_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_queue_worker, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_queue_worker, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_queue_worker, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_queue_worker, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_queue_cancel_work, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_queue_cancel_work, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_queue_cancel_work, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_queue_cancel_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_queue_flush_work, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_queue_flush_work, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_queue_flush_work, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_queue_flush_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_queue_work, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_queue_work, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_queue_work, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_queue_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_queue_worker, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_queue_worker, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_queue_worker, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_queue_worker, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_queue_cancel_work, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_queue_cancel_work, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_queue_cancel_work, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_queue_cancel_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_mr_destroy, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_mr_destroy, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_mr_destroy, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_mr_destroy, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_mr_get, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_mr_get, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_mr_get, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_mr_get, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_mr_get_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_mr_get_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_mr_get_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_mr_get_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_state_change, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_state_change, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_state_change, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_state_change, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_connect, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_connect, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_connect, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_connect, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_connect_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_connect_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_connect_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_connect_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_accept, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_accept, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_accept, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_accept, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_accept_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_accept_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_accept_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_accept_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_listen, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_listen, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_listen, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_listen, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_listen_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_listen_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_listen_err, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_listen_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_tcp_shutdown, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_tcp_shutdown, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_tcp_shutdown, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_tcp_shutdown, "_gpl", "");
KSYMTAB_DATA(__tracepoint_rds_ib_free_cache_one, "_gpl", "");
KSYMTAB_FUNC(__traceiter_rds_ib_free_cache_one, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_rds_ib_free_cache_one, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_rds_ib_free_cache_one, "_gpl", "");

SYMBOL_CRC(kernel_rds_rt_debug_bitmap, 0x86d9b622, "");
SYMBOL_CRC(rds_rt_debug_tp_enable, 0x7f5dc4b0, "_gpl");
SYMBOL_CRC(rds_str_array, 0x7505d413, "");
SYMBOL_CRC(rds_cong_map_updated, 0xf45d8ecf, "_gpl");
SYMBOL_CRC(rds_conn_create, 0xbc70c9fb, "_gpl");
SYMBOL_CRC(rds_conn_create_outgoing, 0xc7365add, "_gpl");
SYMBOL_CRC(rds_conn_find, 0x16e6f8c6, "_gpl");
SYMBOL_CRC(rds_conn_destroy, 0x3cd8fec8, "_gpl");
SYMBOL_CRC(rds_for_each_conn_info, 0xbf775311, "_gpl");
SYMBOL_CRC(rds_conn_path_trace_state_change, 0x385a1712, "_gpl");
SYMBOL_CRC(rds_conn_path_drop, 0x8e8c8ce7, "_gpl");
SYMBOL_CRC(rds_conn_drop, 0x220a7d31, "_gpl");
SYMBOL_CRC(rds_conn_faddr_ha_changed, 0xb022c9a3, "_gpl");
SYMBOL_CRC(rds_conn_path_connect_if_down, 0x4854d3c5, "_gpl");
SYMBOL_CRC(rds_conn_connect_if_down, 0x816c61b5, "_gpl");
SYMBOL_CRC(rds_info_register_func, 0x7608e675, "_gpl");
SYMBOL_CRC(rds_info_deregister_func, 0xb677369f, "_gpl");
SYMBOL_CRC(rds_info_copy, 0xc2dab779, "_gpl");
SYMBOL_CRC(rds_message_addref, 0x37d2a8d3, "_gpl");
SYMBOL_CRC(rds_message_put, 0x955a6df0, "_gpl");
SYMBOL_CRC(rds_message_populate_header, 0x585f567b, "_gpl");
SYMBOL_CRC(rds_message_add_extension, 0xec2e7c77, "_gpl");
SYMBOL_CRC(rds_message_add_rdma_dest_extension, 0x582fe5cf, "_gpl");
SYMBOL_CRC(rds_message_unmapped, 0x58e0d989, "_gpl");
SYMBOL_CRC(rds_inc_init, 0xac03fbb9, "_gpl");
SYMBOL_CRC(rds_inc_path_init, 0x31384a52, "_gpl");
SYMBOL_CRC(rds_inc_addref, 0xcaa5b3dd, "_gpl");
SYMBOL_CRC(rds_inc_put, 0xdaf77ea4, "_gpl");
SYMBOL_CRC(rds_recv_incoming, 0xf86c9728, "_gpl");
SYMBOL_CRC(do_rds_receive_csum_err, 0x948f4a17, "");
SYMBOL_CRC(rds_send_path_reset, 0xc5787dbf, "_gpl");
SYMBOL_CRC(rds_send_xmit, 0xed5cf7d8, "_gpl");
SYMBOL_CRC(rds_asend_complete, 0xf7d81913, "_gpl");
SYMBOL_CRC(rds_rdma_send_complete, 0x484c3b01, "_gpl");
SYMBOL_CRC(rds_atomic_send_complete, 0x06826a75, "_gpl");
SYMBOL_CRC(rds_send_path_drop_acked, 0x8bd5b4de, "_gpl");
SYMBOL_CRC(rds_send_drop_acked, 0xdd732fb4, "_gpl");
SYMBOL_CRC(rds_send_hs_ping, 0xa6eafd2b, "_gpl");
SYMBOL_CRC(rds_stats, 0xb6391898, "_gpl");
SYMBOL_CRC(rds_stats_info_copy, 0xcc488200, "_gpl");
SYMBOL_CRC(rds_stats_print, 0x60be35ca, "_gpl");
SYMBOL_CRC(rds_wq, 0x00a467af, "_gpl");
SYMBOL_CRC(rds_queue_work, 0x43e5c874, "_gpl");
SYMBOL_CRC(rds_queue_delayed_work, 0xf4cf59e2, "_gpl");
SYMBOL_CRC(rds_queue_delayed_work_on, 0xafeba084, "_gpl");
SYMBOL_CRC(rds_mod_delayed_work, 0x8b91658b, "_gpl");
SYMBOL_CRC(rds_queue_cancel_work, 0x43a778b7, "_gpl");
SYMBOL_CRC(rds_queue_flush_work, 0x2c72a687, "_gpl");
SYMBOL_CRC(rds_connect_path_complete, 0xcc9c998b, "_gpl");
SYMBOL_CRC(rds_connect_complete, 0x1e2930fa, "_gpl");
SYMBOL_CRC(rds_addr_cmp, 0x45a4781e, "_gpl");
SYMBOL_CRC(rds_trans_register, 0x88553fce, "_gpl");
SYMBOL_CRC(rds_trans_unregister, 0xfdab53a2, "_gpl");
SYMBOL_CRC(rds_page_remainder_alloc, 0x75e194c9, "_gpl");
SYMBOL_CRC(rds_rdma_drop_keys, 0x840ed1f4, "_gpl");
SYMBOL_CRC(rds_rdma_process_send_cmsg, 0x83f92f46, "_gpl");
SYMBOL_CRC(__tracepoint_rds_state_change, 0x758b9f3d, "_gpl");
SYMBOL_CRC(__traceiter_rds_state_change, 0x6d56c112, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_state_change, 0xd2c22bbf, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_state_change, 0x1e7fab7a, "_gpl");
SYMBOL_CRC(__tracepoint_rds_state_change_err, 0x2b3a3333, "_gpl");
SYMBOL_CRC(__traceiter_rds_state_change_err, 0x62257a79, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_state_change_err, 0xc734d948, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_state_change_err, 0xce157370, "_gpl");
SYMBOL_CRC(__tracepoint_rds_receive, 0xc2abbb3e, "_gpl");
SYMBOL_CRC(__traceiter_rds_receive, 0xf41dac19, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_receive, 0x2066a521, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_receive, 0xf2db730b, "_gpl");
SYMBOL_CRC(__tracepoint_rds_receive_csum_err, 0x1f0a3392, "_gpl");
SYMBOL_CRC(__traceiter_rds_receive_csum_err, 0x801602f3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_receive_csum_err, 0xf304d9e9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_receive_csum_err, 0xca5fd9dd, "_gpl");
SYMBOL_CRC(__tracepoint_rds_drop_ingress, 0x979506a8, "_gpl");
SYMBOL_CRC(__traceiter_rds_drop_ingress, 0xaa743d0e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_drop_ingress, 0x30dcb22a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_drop_ingress, 0xdec52cb1, "_gpl");
SYMBOL_CRC(__tracepoint_rds_drop_egress, 0x271dc3e9, "_gpl");
SYMBOL_CRC(__traceiter_rds_drop_egress, 0x218e78df, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_drop_egress, 0x098f200d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_drop_egress, 0xa9c56129, "_gpl");
SYMBOL_CRC(__tracepoint_rds_heartbeat_send_ping, 0x95e521b1, "_gpl");
SYMBOL_CRC(__traceiter_rds_heartbeat_send_ping, 0x39d450e0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_heartbeat_send_ping, 0x8e68908d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_heartbeat_send_ping, 0x068b101b, "_gpl");
SYMBOL_CRC(__tracepoint_rds_heartbeat_send_pong, 0xb08e7e6d, "_gpl");
SYMBOL_CRC(__traceiter_rds_heartbeat_send_pong, 0x809f63cd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_heartbeat_send_pong, 0xab03cf51, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_heartbeat_send_pong, 0x5c76b2ed, "_gpl");
SYMBOL_CRC(__tracepoint_rds_heartbeat_receive_ping, 0x6a67d80c, "_gpl");
SYMBOL_CRC(__traceiter_rds_heartbeat_receive_ping, 0x70047c74, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_heartbeat_receive_ping, 0x29c1a487, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_heartbeat_receive_ping, 0xe7f0c741, "_gpl");
SYMBOL_CRC(__tracepoint_rds_heartbeat_receive_pong, 0x4f0c87d0, "_gpl");
SYMBOL_CRC(__traceiter_rds_heartbeat_receive_pong, 0xc94f4f59, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_heartbeat_receive_pong, 0x0caafb5b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_heartbeat_receive_pong, 0x4f3ff255, "_gpl");
SYMBOL_CRC(__tracepoint_rds_heartbeat_disable, 0xe7d50476, "_gpl");
SYMBOL_CRC(__traceiter_rds_heartbeat_disable, 0xf1f8adcf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_heartbeat_disable, 0x20eea228, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_heartbeat_disable, 0x63fcdfe5, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_add_device, 0xc7962d4b, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_add_device, 0x87efc05c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_add_device, 0xc48786f3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_add_device, 0xb9ec22a1, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_add_device_err, 0x79b758b1, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_add_device_err, 0x5440add5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_add_device_err, 0xbe8cfeef, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_add_device_err, 0xd7f28c88, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_remove_device, 0x128bfc16, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_remove_device, 0xc3acd3af, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_remove_device, 0xfe85166d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_remove_device, 0x524400dd, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_remove_device_err, 0xc54e9a8e, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_remove_device_err, 0x741690fa, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_remove_device_err, 0xea3a6bb8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_remove_device_err, 0xd98f6498, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_shutdown_device, 0x564118a7, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_shutdown_device, 0x512836ae, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_shutdown_device, 0xda555ff2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_shutdown_device, 0xece143fd, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_cm_accept_err, 0x7abadb90, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_cm_accept_err, 0x349d2ccf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_cm_accept_err, 0x96b431eb, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_cm_accept_err, 0x20c43551, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_cm_handle_connect, 0xf1d24743, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_cm_handle_connect, 0x05e7780c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_cm_handle_connect, 0xdea6b675, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_cm_handle_connect, 0xdb44b6db, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_cm_handle_connect_err, 0xa2ec2130, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_cm_handle_connect_err, 0x9f6f65db, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_cm_handle_connect_err, 0x23281e01, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_cm_handle_connect_err, 0x25cf4ea5, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_cm_initiate_connect, 0x5b1031f3, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_cm_initiate_connect, 0xd8fc0972, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_cm_initiate_connect, 0x18b64d78, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_cm_initiate_connect, 0xe3415bdc, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_cm_initiate_connect_err, 0x202d8472, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_cm_initiate_connect_err, 0x10e8d5e0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_cm_initiate_connect_err, 0x50162f39, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_cm_initiate_connect_err, 0xc8303e71, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_path_connect, 0x0fa0b574, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_path_connect, 0xec8f7481, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_path_connect, 0x20d44442, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_path_connect, 0xb0475606, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_path_connect_err, 0x3e5c82f9, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_path_connect_err, 0xfdb4492a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_path_connect_err, 0xbf98bdc8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_path_connect_err, 0x82b62f26, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_path_shutdown_prepare, 0x4ab77736, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_path_shutdown_prepare, 0xbbc764b1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_path_shutdown_prepare, 0xca809961, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_path_shutdown_prepare, 0xad28a08c, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_path_shutdown_prepare_err, 0x9e5f61e8, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_path_shutdown_prepare_err, 0xdc1613a1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_path_shutdown_prepare_err, 0x1646884d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_path_shutdown_prepare_err, 0xe4925020, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_yielding, 0x6c2b1cd9, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_yielding, 0xbf1dd5b9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_yielding, 0x2f8d6052, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_yield_yielding, 0x0b340d7e, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_right_of_way, 0x68bb69d8, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_right_of_way, 0xef573862, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_right_of_way, 0x1880c293, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_yield_right_of_way, 0xd10716ff, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_stale, 0x9902843d, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_stale, 0xe457b8f2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_stale, 0x828f3501, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_yield_stale, 0x3d58d409, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_expired, 0x3d9a268a, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_expired, 0x1640a232, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_expired, 0xf20fc7e2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_yield_expired, 0xb268807d, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_accepting, 0xc9a640b5, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_accepting, 0xb7d6cc38, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_accepting, 0xb38fbc61, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_yield_accepting, 0xdac1c6dd, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_success, 0xf98d2300, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_success, 0x27af5cdd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_success, 0x3618c268, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_yield_success, 0x65830d15, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_conn_yield_accept_err, 0x39aeba6c, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_conn_yield_accept_err, 0x48359cce, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_conn_yield_accept_err, 0xb86a855d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_conn_yield_accept_err, 0xdc748619, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_setup_fastreg, 0x323b77f0, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_setup_fastreg, 0x457397db, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_setup_fastreg, 0xde359d8b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_setup_fastreg, 0x6ee67c15, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_setup_fastreg_err, 0x0491fe7b, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_setup_fastreg_err, 0xe5a37de8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_setup_fastreg_err, 0x2be50f4d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_setup_fastreg_err, 0xbe7bad4d, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_setup_qp, 0x107f0f66, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_setup_qp, 0x4b44471f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_setup_qp, 0x3eedec82, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_setup_qp, 0x360f26de, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_setup_qp_err, 0x872db20e, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_setup_qp_err, 0xe6babcba, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_setup_qp_err, 0xea35efcf, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_setup_qp_err, 0x28921228, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_send_cqe_handler, 0xc5128bb0, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_send_cqe_handler, 0x7b2dd6c9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_send_cqe_handler, 0xde9f3a8c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_send_cqe_handler, 0x5942bd55, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_send_cqe_handler_err, 0x44c4d4a6, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_send_cqe_handler_err, 0x8bb2687a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_send_cqe_handler_err, 0x3eed2872, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_send_cqe_handler_err, 0xe4d385b1, "_gpl");
SYMBOL_CRC(__tracepoint_rds_rdma_cm_event_handler, 0x4a1b82bc, "_gpl");
SYMBOL_CRC(__traceiter_rds_rdma_cm_event_handler, 0x8bcea4d3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_rdma_cm_event_handler, 0x858e63d4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_rdma_cm_event_handler, 0xf416b410, "_gpl");
SYMBOL_CRC(__tracepoint_rds_rdma_cm_event_handler_err, 0xad067569, "_gpl");
SYMBOL_CRC(__traceiter_rds_rdma_cm_event_handler_err, 0x2b8d318c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_rdma_cm_event_handler_err, 0xfc59b16c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_rdma_cm_event_handler_err, 0x607f6769, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_flow_cntrl_add_credits, 0x2d8b549f, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_flow_cntrl_add_credits, 0x64c79d97, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_flow_cntrl_add_credits, 0x7cd4909a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_flow_cntrl_add_credits, 0x78ac01cc, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_flow_cntrl_advertise_credits, 0x4554d95a, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_flow_cntrl_advertise_credits, 0xae4467b6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_flow_cntrl_advertise_credits, 0xf71c5d81, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_flow_cntrl_advertise_credits, 0x00ec8051, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_flow_cntrl_grab_credits, 0xf960d8b8, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_flow_cntrl_grab_credits, 0x3684bf3d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_flow_cntrl_grab_credits, 0x895b73f3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_flow_cntrl_grab_credits, 0x80254d7c, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_queue_work, 0x463bd451, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_queue_work, 0x84405a7d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_queue_work, 0x452a7fe9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_queue_work, 0xa6576d27, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_queue_worker, 0x33f15a8b, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_queue_worker, 0x43aae049, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_queue_worker, 0x5ee9074a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_queue_worker, 0x197883d8, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_queue_cancel_work, 0x30db76e3, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_queue_cancel_work, 0xc8bfb16e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_queue_cancel_work, 0x1faf87d5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_queue_cancel_work, 0xb1361ce6, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_queue_flush_work, 0x5eb1bec9, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_queue_flush_work, 0xe3514faf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_queue_flush_work, 0x453c0ff5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_queue_flush_work, 0xf17c4446, "_gpl");
SYMBOL_CRC(__tracepoint_rds_queue_work, 0xf22a2f88, "_gpl");
SYMBOL_CRC(__traceiter_rds_queue_work, 0x3a42c808, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_queue_work, 0xd4c44af5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_queue_work, 0xebd4efc4, "_gpl");
SYMBOL_CRC(__tracepoint_rds_queue_worker, 0x4964bb58, "_gpl");
SYMBOL_CRC(__traceiter_rds_queue_worker, 0xb922617c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_queue_worker, 0xee2d0fda, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_queue_worker, 0xa14dce90, "_gpl");
SYMBOL_CRC(__tracepoint_rds_queue_cancel_work, 0xbe45be50, "_gpl");
SYMBOL_CRC(__traceiter_rds_queue_cancel_work, 0x4626262a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_queue_cancel_work, 0x797e180e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_queue_cancel_work, 0x0c6bafd0, "_gpl");
SYMBOL_CRC(__tracepoint_rds_mr_destroy, 0x46a3692b, "_gpl");
SYMBOL_CRC(__traceiter_rds_mr_destroy, 0x51f3f9c2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_mr_destroy, 0x604d0c56, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_mr_destroy, 0xb0c2decc, "_gpl");
SYMBOL_CRC(__tracepoint_rds_mr_get, 0x0f29844b, "_gpl");
SYMBOL_CRC(__traceiter_rds_mr_get, 0x8721c791, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_mr_get, 0x7a4d8f82, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_mr_get, 0xce7265de, "_gpl");
SYMBOL_CRC(__tracepoint_rds_mr_get_err, 0x59fcc6ab, "_gpl");
SYMBOL_CRC(__traceiter_rds_mr_get_err, 0x5161a660, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_mr_get_err, 0x7f12a3d6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_mr_get_err, 0x3c698b36, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_state_change, 0xfd28019e, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_state_change, 0xdcbdd9ef, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_state_change, 0x1126ebe5, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_state_change, 0x7d7ad297, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_connect, 0x68faa589, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_connect, 0xa3eb2355, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_connect, 0x4668466d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_connect, 0xf215fb0f, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_connect_err, 0xc5f4aed6, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_connect_err, 0xf013807c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_connect_err, 0xa8ecf317, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_connect_err, 0xeac4e099, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_accept, 0x94d8e3d6, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_accept, 0xc1501abd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_accept, 0xb23686ab, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_accept, 0xe34e13fe, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_accept_err, 0x3134b847, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_accept_err, 0x6cef40b3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_accept_err, 0xf48d9252, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_accept_err, 0x051d1d41, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_listen, 0x76119d48, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_listen, 0x503d736e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_listen, 0x50fff835, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_listen, 0x4da3c0df, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_listen_err, 0x66f884d9, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_listen_err, 0x48531053, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_listen_err, 0xa341aecc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_listen_err, 0x7a45a512, "_gpl");
SYMBOL_CRC(__tracepoint_rds_tcp_shutdown, 0x07fbe61f, "_gpl");
SYMBOL_CRC(__traceiter_rds_tcp_shutdown, 0x6b1cd61c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_tcp_shutdown, 0xa0b2529d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_tcp_shutdown, 0xfd39220b, "_gpl");
SYMBOL_CRC(__tracepoint_rds_ib_free_cache_one, 0x7d7fc2e2, "_gpl");
SYMBOL_CRC(__traceiter_rds_ib_free_cache_one, 0x67afd2e1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_rds_ib_free_cache_one, 0xba4464bc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_rds_ib_free_cache_one, 0x82c80d89, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9eabf9c4, "kmem_cache_create" },
	{ 0x75e4700, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcff03d67, "put_cmsg" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0x26bfbfa3, "register_net_sysctl_sz" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xb1b3f8cf, "pin_user_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x766e55d4, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x722abe01, "sock_register" },
	{ 0x67c775e2, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x618911fc, "numa_node" },
	{ 0x4a449c6d, "__free_pages" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x4830bf71, "kmem_cache_alloc" },
	{ 0x62959dd6, "proto_register" },
	{ 0x90974934, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9ecdd859, "sock_no_shutdown" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xdadd8594, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5968dc6d, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4832181f, "bpf_trace_run5" },
	{ 0x8cf8d1c4, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x631be75f, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x7fdcc276, "kmem_cache_free" },
	{ 0x785398ae, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xfb74e910, "proc_douintvec_minmax" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbb890fdd, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc9e89c57, "lock_sock_nested" },
	{ 0x77816d77, "copy_page_to_iter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x34152f9a, "sk_alloc" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x8a9df7ea, "sock_no_socketpair" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x11e9ba16, "__alloc_pages" },
	{ 0x7cb1da27, "unpin_user_page" },
	{ 0x28500e13, "proc_douintvec" },
	{ 0x8b411c56, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x448bb406, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd30c6d32, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x668b19a1, "down_read" },
	{ 0x34e08d77, "__mmdrop" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc5f07122, "set_page_dirty" },
	{ 0x397aaefe, "copy_page_from_iter" },
	{ 0xf7e162d5, "pv_ops" },
	{ 0x822cf32a, "bpf_trace_run3" },
	{ 0x1a7216d9, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe6044d49, "sock_i_ino" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x364164cf, "csum_and_copy_from_iter_full" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd217e9e6, "trace_set_clr_event" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x754d539c, "strlen" },
	{ 0x81b3b6a1, "bpf_trace_run7" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x1ddb726f, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x7ac1254b, "local_clock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xeeea0800, "kmem_cache_destroy" },
	{ 0x7b5df07a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x4cf7c540, "pin_user_pages_fast" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x4fb5b9d9, "__do_once_done" },
	{ 0x9c65b78a, "csum_partial_copy_nocheck" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x47d27382, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5755a06e, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x3bf7e701, "bpf_trace_run6" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x34747759, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x53587013, "unpin_user_pages" },
	{ 0x252bf298, "param_set_uint" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E1E35D4D3BFC8897E13216F");
