#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(oxygen_read8, "", "");
KSYMTAB_FUNC(oxygen_read16, "", "");
KSYMTAB_FUNC(oxygen_read32, "", "");
KSYMTAB_FUNC(oxygen_write8, "", "");
KSYMTAB_FUNC(oxygen_write16, "", "");
KSYMTAB_FUNC(oxygen_write32, "", "");
KSYMTAB_FUNC(oxygen_write8_masked, "", "");
KSYMTAB_FUNC(oxygen_write16_masked, "", "");
KSYMTAB_FUNC(oxygen_write32_masked, "", "");
KSYMTAB_FUNC(oxygen_write_ac97, "", "");
KSYMTAB_FUNC(oxygen_read_ac97, "", "");
KSYMTAB_FUNC(oxygen_write_ac97_masked, "", "");
KSYMTAB_FUNC(oxygen_write_spi, "", "");
KSYMTAB_FUNC(oxygen_write_i2c, "", "");
KSYMTAB_FUNC(oxygen_reset_uart, "", "");
KSYMTAB_FUNC(oxygen_write_uart, "", "");
KSYMTAB_FUNC(oxygen_pci_probe, "", "");
KSYMTAB_DATA(oxygen_pci_pm, "", "");
KSYMTAB_FUNC(oxygen_pci_shutdown, "", "");
KSYMTAB_FUNC(oxygen_update_dac_routing, "", "");

SYMBOL_CRC(oxygen_read8, 0x6b63948a, "");
SYMBOL_CRC(oxygen_read16, 0x7e2bf318, "");
SYMBOL_CRC(oxygen_read32, 0x389751d9, "");
SYMBOL_CRC(oxygen_write8, 0xc5525cad, "");
SYMBOL_CRC(oxygen_write16, 0x518c79c0, "");
SYMBOL_CRC(oxygen_write32, 0xcbabc4e2, "");
SYMBOL_CRC(oxygen_write8_masked, 0x228219fd, "");
SYMBOL_CRC(oxygen_write16_masked, 0x99b1b74f, "");
SYMBOL_CRC(oxygen_write32_masked, 0x0b05024f, "");
SYMBOL_CRC(oxygen_write_ac97, 0x85910009, "");
SYMBOL_CRC(oxygen_read_ac97, 0xe999c93c, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0xab24ccf6, "");
SYMBOL_CRC(oxygen_write_spi, 0x5558796a, "");
SYMBOL_CRC(oxygen_write_i2c, 0x82369704, "");
SYMBOL_CRC(oxygen_reset_uart, 0xe796f7f0, "");
SYMBOL_CRC(oxygen_write_uart, 0xf55e316d, "");
SYMBOL_CRC(oxygen_pci_probe, 0xb4e5f50e, "");
SYMBOL_CRC(oxygen_pci_pm, 0x2b20272c, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0x7c6e454b, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0x8332fee9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe89b3a3e, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0x13d52d80, "snd_mpu401_uart_new" },
	{ 0x5f06a247, "pci_match_id" },
	{ 0xf1baa6b7, "snd_pcm_hw_constraint_msbits" },
	{ 0x3d573d16, "snd_pcm_period_elapsed" },
	{ 0x81188c30, "match_string" },
	{ 0x44940943, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x7802eb6b, "pcim_enable_device" },
	{ 0x965eef51, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcd42fdf5, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x47a47635, "devm_request_threaded_irq" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0x24be565f, "snd_ctl_add" },
	{ 0x2977c58a, "snd_pcm_new" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x918e9307, "snd_card_register" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x95363ee4, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x490749a4, "snd_card_free_on_error" },
	{ 0x84049fa7, "snd_card_rw_proc_new" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb0e32009, "snd_pcm_set_sync" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5f41e5c1, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa9940d82, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc8a65029, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xab54cc1c, "snd_ctl_boolean_mono_info" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e79c1e8, "snd_ctl_notify" },
	{ 0xae4ef456, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc8c20d51, "snd_pcm_set_managed_buffer" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x823e3a5, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0xc747289f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-mpu401-uart,snd-pcm");


MODULE_INFO(srcversion, "7F1C9A83DA5732EA6CB6EEA");
