#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_trident_start_voice, "", "");
KSYMTAB_FUNC(snd_trident_stop_voice, "", "");
KSYMTAB_FUNC(snd_trident_write_voice_regs, "", "");
KSYMTAB_FUNC(snd_trident_alloc_voice, "", "");
KSYMTAB_FUNC(snd_trident_free_voice, "", "");

SYMBOL_CRC(snd_trident_start_voice, 0x25356876, "");
SYMBOL_CRC(snd_trident_stop_voice, 0xbe29874f, "");
SYMBOL_CRC(snd_trident_write_voice_regs, 0xfd3e70ff, "");
SYMBOL_CRC(snd_trident_alloc_voice, 0x7910b897, "");
SYMBOL_CRC(snd_trident_free_voice, 0xd025a627, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3d573d16, "snd_pcm_period_elapsed" },
	{ 0x9adc8c44, "__snd_util_memblk_new" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0x7802eb6b, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xcd42fdf5, "pci_write_config_dword" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xc59655e4, "snd_util_mem_avail" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x47a47635, "devm_request_threaded_irq" },
	{ 0x24be565f, "snd_ctl_add" },
	{ 0xce641a25, "snd_ac97_resume" },
	{ 0x2977c58a, "snd_pcm_new" },
	{ 0x918e9307, "snd_card_register" },
	{ 0x83387e35, "snd_devm_alloc_dir_pages" },
	{ 0x5b4f4cd8, "__pci_register_driver" },
	{ 0x44afb357, "snd_pcm_hw_constraint_minmax" },
	{ 0xf6b26f07, "param_array_ops" },
	{ 0x95363ee4, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x84049fa7, "snd_card_rw_proc_new" },
	{ 0x4e5e7a7d, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0xda5e32fb, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xdf1d076, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb0e32009, "snd_pcm_set_sync" },
	{ 0xd3e981e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa9940d82, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x2280ec00, "snd_ac97_suspend" },
	{ 0x614c7976, "__snd_printk" },
	{ 0xab54cc1c, "snd_ctl_boolean_mono_info" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xeda33fa, "snd_util_memhdr_new" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8e79c1e8, "snd_ctl_notify" },
	{ 0xae4ef456, "snd_pcm_set_ops" },
	{ 0xc8c20d51, "snd_pcm_set_managed_buffer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x823e3a5, "snd_pcm_set_managed_buffer_all" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0xc747289f, "pci_set_master" },
	{ 0x8b411c56, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d027e4b, "snd_pcm_format_signed" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa32e3f01, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6517719f, "__snd_util_mem_free" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0xe89b3a3e, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe7aa8c1f, "pci_write_config_byte" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0x914f3491, "snd_util_memhdr_free" },
	{ 0x13d52d80, "snd_mpu401_uart_new" },
	{ 0x215c3120, "dma_set_mask" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-util-mem,snd,snd-ac97-codec,snd-mpu401-uart");

MODULE_ALIAS("pci:v00001023d00002000sv*sd*bc04sc01i*");
MODULE_ALIAS("pci:v00001023d00002001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001039d00007018sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "41970AD61B7EA9C53D2F718");
