#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xcd54b519, "max_98357a_dai_link" },
	{ 0x1444e4c1, "max_98360a_dai_link" },
	{ 0x21c9be22, "snd_soc_dai_set_sysclk" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0x1a70de3e, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa00acb77, "snd_soc_dapm_sync" },
	{ 0xc1c7664d, "sof_rt1015_codec_conf" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xe01910f3, "snd_soc_component_set_jack" },
	{ 0x7f678254, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xdb24364f, "rt5645_sel_asrc_clk_src" },
	{ 0x93463671, "snd_soc_dapm_get_pin_switch" },
	{ 0x7f51ae54, "max_98373_components" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xaec13143, "max_98373_spk_codec_init" },
	{ 0x575a02c2, "max_98390_dai_link" },
	{ 0xef79381a, "sof_ssp_detect_amp_type" },
	{ 0xdd48eaaa, "max_98373_set_codec_conf" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xe071c213, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcb6821a3, "snd_jack_set_key" },
	{ 0x5ee3d1dd, "__platform_driver_register" },
	{ 0xb4123026, "snd_soc_card_jack_new_pins" },
	{ 0x341d8d15, "sof_rt1015p_codec_conf" },
	{ 0x5154f5fe, "snd_soc_dai_set_pll" },
	{ 0x7c79c4e, "rt5682_sel_asrc_clk_src" },
	{ 0xc9b631a, "snd_soc_dapm_put_pin_switch" },
	{ 0x6760f413, "sof_dai_get_mclk" },
	{ 0x57f99a47, "sof_rt1011_codec_conf" },
	{ 0x1cf3cdd1, "snd_soc_dapm_info_pin_switch" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xab0c4cb7, "sof_intel_board_set_dai_link" },
	{ 0xe1fddba8, "snd_soc_pm_ops" },
	{ 0xbf69e5f, "sof_ssp_detect_codec_type" },
	{ 0xe1dcfacf, "max_98390_set_codec_conf" },
	{ 0x5a5507a, "sof_rt1015p_dai_link" },
	{ 0x98a40a94, "sof_rt1019p_dai_link" },
	{ 0xefb898f, "sof_rt1011_dai_link" },
	{ 0x815588a6, "clk_enable" },
	{ 0x132e3c7, "devm_snd_soc_register_card" },
	{ 0x2ab83300, "max_98373_ops" },
	{ 0xfcfb4657, "sof_intel_board_card_late_probe" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xcea381dd, "x86_match_cpu" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0x58931d81, "platform_driver_unregister" },
	{ 0x345cfdc2, "snd_soc_dai_set_tdm_slot" },
	{ 0x401f490c, "sof_rt1015_dai_link" },
	{ 0xc30c3cb7, "rt5682s_sel_asrc_clk_src" },
	{ 0x21b34dbd, "snd_soc_dapm_disable_pin" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-intel-sof-maxim-common,snd-soc-core,snd-soc-intel-sof-realtek-common,snd-soc-rt5645,snd-soc-intel-sof-ssp-common,snd,snd-soc-rt5682,snd-sof,snd-soc-intel-sof-board-helpers,snd-pcm,snd-soc-rt5682s");

MODULE_ALIAS("platform:sof_rt5682");
MODULE_ALIAS("platform:cml_rt1015_rt5682");
MODULE_ALIAS("platform:jsl_rt5682_rt1015");
MODULE_ALIAS("platform:jsl_rt5682_mx98360");
MODULE_ALIAS("platform:jsl_rt5682_rt1015p");
MODULE_ALIAS("platform:jsl_rt5682");
MODULE_ALIAS("platform:jsl_rt5650");
MODULE_ALIAS("platform:tgl_mx98357_rt5682");
MODULE_ALIAS("platform:tgl_rt1011_rt5682");
MODULE_ALIAS("platform:tgl_mx98373_rt5682");
MODULE_ALIAS("platform:adl_mx98373_rt5682");
MODULE_ALIAS("platform:adl_mx98357_rt5682");
MODULE_ALIAS("platform:adl_max98390_rt5682");
MODULE_ALIAS("platform:adl_mx98360_rt5682");
MODULE_ALIAS("platform:adl_rt5682");
MODULE_ALIAS("platform:adl_rt1019_rt5682");
MODULE_ALIAS("platform:adl_rt5682_c1_h02");
MODULE_ALIAS("platform:adl_rt5650");
MODULE_ALIAS("platform:rpl_mx98357_rt5682");
MODULE_ALIAS("platform:rpl_mx98360_rt5682");
MODULE_ALIAS("platform:rpl_rt1019_rt5682");
MODULE_ALIAS("platform:rpl_rt5682_c1_h02");
MODULE_ALIAS("platform:mtl_mx98357_rt5682");
MODULE_ALIAS("platform:mtl_mx98360_rt5682");
MODULE_ALIAS("platform:mtl_rt1019_rt5682");
MODULE_ALIAS("platform:mtl_rt5650");

MODULE_INFO(srcversion, "12851DCFF89E186EC61BCE0");
