#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_skl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_skl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_apl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_apl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(apl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_cnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_cnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(cnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(jsl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_tgl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_tgl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tgl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tglh_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(ehl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(adls_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_icl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_icl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(icl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_mtl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_mtl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(mtl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(arl_s_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_lnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_lnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(lnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_pci_intel_probe, 0x8a72ca09, "");
SYMBOL_CRC(hda_ops_free, 0x055a834e, "");
SYMBOL_CRC(sof_skl_ops, 0x64352f88, "");
SYMBOL_CRC(sof_skl_ops_init, 0x29785da3, "");
SYMBOL_CRC(skl_chip_info, 0x5a478a56, "");
SYMBOL_CRC(sof_apl_ops, 0x3aa39f54, "");
SYMBOL_CRC(sof_apl_ops_init, 0x54ac3c6a, "");
SYMBOL_CRC(apl_chip_info, 0x8f3baf64, "");
SYMBOL_CRC(sof_cnl_ops, 0x5b0eb263, "");
SYMBOL_CRC(sof_cnl_ops_init, 0xd34b3443, "");
SYMBOL_CRC(cnl_chip_info, 0xd0a5cc96, "");
SYMBOL_CRC(jsl_chip_info, 0x8dd8f572, "");
SYMBOL_CRC(sof_tgl_ops, 0xac81025b, "");
SYMBOL_CRC(sof_tgl_ops_init, 0x8d122754, "");
SYMBOL_CRC(tgl_chip_info, 0xa45e5de7, "");
SYMBOL_CRC(tglh_chip_info, 0xfd7a1458, "");
SYMBOL_CRC(ehl_chip_info, 0x789355c8, "");
SYMBOL_CRC(adls_chip_info, 0x8b7459b5, "");
SYMBOL_CRC(sof_icl_ops, 0xbf7002b2, "");
SYMBOL_CRC(sof_icl_ops_init, 0x3b0dc946, "");
SYMBOL_CRC(icl_chip_info, 0xb5af7b46, "");
SYMBOL_CRC(sof_mtl_ops, 0xcb701f2f, "");
SYMBOL_CRC(sof_mtl_ops_init, 0xd108db9b, "");
SYMBOL_CRC(mtl_chip_info, 0xd7642a36, "");
SYMBOL_CRC(arl_s_chip_info, 0x72e75848, "");
SYMBOL_CRC(sof_lnl_ops, 0xc474dc31, "");
SYMBOL_CRC(sof_lnl_ops_init, 0x9ab4726a, "");
SYMBOL_CRC(lnl_chip_info, 0xc4330bbc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2964344, "__wake_up" },
	{ 0x491fc96, "snd_intel_dsp_driver_probe" },
	{ 0x6a25b888, "pci_irq_vector" },
	{ 0xda5e32fb, "snd_sgbuf_get_addr" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0x3ec15470, "snd_sgbuf_get_chunk_size" },
	{ 0xc10ef6a5, "pci_ioremap_bar" },
	{ 0xcb161734, "sof_pci_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0x1d767818, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8950837e, "sof_ipc4_find_debug_slot_offset_by_type" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6902f755, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x398074ae, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x4dd8ff27, "sdw_intel_startup" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x56e4bbdc, "snd_sof_dsp_dbg_dump" },
	{ 0xf8dce204, "sdw_intel_process_wakeen_event" },
	{ 0x9d7e8e24, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf251de60, "sof_mailbox_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0x457ef90d, "devm_kfree" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x1c31458e, "snd_sof_dsp_update_bits_forced" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdbc49d7f, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5c09b8c3, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xca4dac8e, "snd_sof_dsp_update_bits_unlocked" },
	{ 0x54c938b5, "sof_print_oops_and_stack" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0x46932aa, "snd_sof_ipc_get_reply" },
	{ 0x8689e66d, "snd_sof_dsp_update_bits" },
	{ 0xd086861c, "pci_restore_state" },
	{ 0x518eb91e, "snd_sof_pci_update_bits" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0xc747289f, "pci_set_master" },
	{ 0x8b411c56, "param_ops_charp" },
	{ 0x1a4745f8, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa32e3f01, "dma_set_coherent_mask" },
	{ 0x12a5aab2, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc0818b95, "snd_pcm_hw_constraint_integer" },
	{ 0x822cf32a, "bpf_trace_run3" },
	{ 0x3ef0a5b4, "snd_sof_ipc_reply" },
	{ 0x9bc8a450, "platform_device_register_full" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x511209cf, "sof_machine_unregister" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x512f9d8e, "sof_ipc_tx_message" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9d59dd41, "sdw_intel_probe" },
	{ 0xf1e2f442, "snd_sof_load_firmware_raw" },
	{ 0x11e2e60c, "snd_sof_dsp_panic" },
	{ 0xe174bd1a, "snd_sof_suspend" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0x215c3120, "dma_set_mask" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x44940943, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0xd0e279, "intel_nhlt_init" },
	{ 0x4aac5cd7, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x85703139, "sof_client_dev_unregister" },
	{ 0x9078820, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0x920cd9ad, "pci_free_irq_vectors" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xcb9f037f, "sof_io_write" },
	{ 0x9c4a6667, "sof_machine_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbc45fc81, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x5f26154c, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb7a24f31, "pci_save_state" },
	{ 0x75abdfb2, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xef8d140c, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xff8dfec2, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x5755a06e, "bpf_trace_run4" },
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0xcae59853, "snd_dma_alloc_dir_pages" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0xd18ae90b, "pci_alloc_irq_vectors" },
	{ 0x3423c46c, "intel_nhlt_get_dmic_geo" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x34747759, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xedc03953, "iounmap" },
	{ 0xa2bdd9ed, "sdw_intel_exit" },
	{ 0x6c142a63, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1b4f270e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "snd-intel-dspcfg,snd-pcm,snd-sof-pci,snd-sof,soundwire-intel,snd-soc-acpi,snd-intel-sdw-acpi,snd-sof-xtensa-dsp");


MODULE_INFO(srcversion, "B68CCBE264F4D486A5D72A0");
