#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c2514a1, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1c96c890, "snd_card_set_id" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x52c72eec, "usb_set_interface" },
	{ 0xae4ef456, "snd_pcm_set_ops" },
	{ 0x163d1c5f, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf22d0cc7, "usb_string" },
	{ 0x823e3a5, "snd_pcm_set_managed_buffer_all" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x8b411c56, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x88c639f6, "input_event" },
	{ 0x1eaab5c7, "input_set_abs_params" },
	{ 0xeb604b89, "snd_rawmidi_new" },
	{ 0x46bb267a, "snd_card_disconnect" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe588ed37, "snd_rawmidi_set_ops" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0x25bdf9aa, "usb_kill_urb" },
	{ 0x3cb78cde, "usb_init_urb" },
	{ 0x3d573d16, "snd_pcm_period_elapsed" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x8c60bfa6, "input_allocate_device" },
	{ 0x87eb1074, "usb_alloc_urb" },
	{ 0xa22e35fb, "snd_rawmidi_receive" },
	{ 0xcf27add6, "usb_free_urb" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0xed66ac38, "snd_rawmidi_transmit" },
	{ 0x24be565f, "snd_ctl_add" },
	{ 0x2977c58a, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x918e9307, "snd_card_register" },
	{ 0x84019c27, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x403c6fd6, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xf6b26f07, "param_array_ops" },
	{ 0x1e26116b, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x31e3dde, "input_free_device" },
	{ 0xa9940d82, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x77b3bfaf, "usb_bulk_msg" },
	{ 0xfbd2d75e, "input_register_device" },
	{ 0x13f26ab8, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x77c96678, "usb_submit_urb" },
	{ 0xe35bad95, "snd_card_new" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,snd-rawmidi");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D5AA2B49B509894EBFF12B1");
