#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x505b1005, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x23ad47f0, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x362f09f6, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x5fb6addd, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xd654281b, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x8cc31b38, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x66bf2093, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0xef9be9e2, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0xe2b36daf, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xb4f92830, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0xcbcfdf27, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x9eb9bdd2, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xfd349e99, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x2c2f8f90, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x1513e049, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x1d9d0f7a, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0xca68a0b3, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x91f65abf, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x1b6e7dd1, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x07c8fdbc, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x15028c1f, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xb41815e8, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x7096d728, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0xb312fb7a, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0xdecc0849, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x6cc77527, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x29a99843, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0xd12a5b9f, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x9f9b93a1, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xc6674703, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x95ec0b7f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2eeaf3b4, "kthread_queue_work" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xe774c37, "kthread_create_worker" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x4a8e4afc, "sched_set_fifo" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xa5ad8151, "crypto_register_aead" },
	{ 0xf1200d6, "crypto_unregister_aead" },
	{ 0x3278d9dc, "crypto_register_ahash" },
	{ 0xd6ca725a, "crypto_unregister_ahash" },
	{ 0xdf042dda, "crypto_register_akcipher" },
	{ 0xfd0cc1db, "crypto_unregister_akcipher" },
	{ 0xef81a573, "crypto_register_kpp" },
	{ 0x4b62d158, "crypto_unregister_kpp" },
	{ 0xa506001c, "crypto_register_skcipher" },
	{ 0xf54a1d4c, "crypto_unregister_skcipher" },
	{ 0xbca0ec3c, "crypto_enqueue_request" },
	{ 0x4439cf3d, "crypto_dequeue_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1e5d3d79, "crypto_enqueue_request_head" },
	{ 0xa57c644a, "kthread_destroy_worker" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "600844A3D966FF7EAF0AF18");
