#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_create, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_aead_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_aead_create, "_gpl", "");
KSYMTAB_FUNC(simd_aead_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0x88638552, "_gpl");
SYMBOL_CRC(simd_skcipher_create, 0x66983e96, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0x85e3e597, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0xa54e6bb9, "_gpl");
SYMBOL_CRC(simd_aead_create_compat, 0x504cb053, "_gpl");
SYMBOL_CRC(simd_aead_create, 0x851c747c, "_gpl");
SYMBOL_CRC(simd_aead_free, 0xbfd26f15, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0x5a780b07, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0x3f5b15d3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x26439613, "crypto_aead_setauthsize" },
	{ 0x7e8f03bb, "crypto_aead_decrypt" },
	{ 0xf3ee89ac, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4fc49296, "crypto_unregister_aeads" },
	{ 0x87fe483, "crypto_destroy_tfm" },
	{ 0x1925f888, "cryptd_skcipher_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb102029f, "crypto_skcipher_decrypt" },
	{ 0x417dbc64, "cryptd_alloc_skcipher" },
	{ 0xf960a4a4, "crypto_aead_setkey" },
	{ 0xa506001c, "crypto_register_skcipher" },
	{ 0x35da7326, "crypto_aead_encrypt" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc03ba459, "cryptd_aead_queued" },
	{ 0xf54a1d4c, "crypto_unregister_skcipher" },
	{ 0x1b1becea, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92919c75, "cryptd_skcipher_queued" },
	{ 0x319d8833, "cryptd_free_aead" },
	{ 0xd188aef2, "crypto_unregister_skciphers" },
	{ 0x84e860d1, "cryptd_free_skcipher" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xf397b905, "crypto_alloc_skcipher" },
	{ 0x1feb5cfd, "crypto_skcipher_encrypt" },
	{ 0x20315edf, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x367f2066, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0xa5ad8151, "crypto_register_aead" },
	{ 0xf1200d6, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x67d8e733, "crypto_register_aeads" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x33f38432, "crypto_alloc_aead" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "304B95D7FEFBC6F5334B559");
