#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0x40bd6471, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0x9631f242, "_gpl");
SYMBOL_CRC(ahci_ops, 0x672c6813, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0xc68ea21a, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x04454554, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x0e6a32d0, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x5ddaba00, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0xfda49c96, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0xe9c46395, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0xd233fefe, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x3d233766, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x4298a580, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0xc2c0c013, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x61abc0eb, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x978ca6fe, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x361fc693, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x89624db4, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x9c27cc49, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0xc8e1fd83, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x0aef86a2, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0xb111a95e, "_gpl");
SYMBOL_CRC(ahci_print_info, 0xbaae8144, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x26d4ff6c, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0x7e3e0183, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x860bb8b4, "ata_std_qc_defer" },
	{ 0xb1eea19c, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0x54046161, "ata_port_classify" },
	{ 0xd0dacc8d, "ata_qc_complete_multiple" },
	{ 0x126a14cb, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdc2277f3, "sata_pmp_error_handler" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0xe5b933a3, "ata_host_start" },
	{ 0x47a47635, "devm_request_threaded_irq" },
	{ 0x1c35d573, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb62d07a3, "ata_host_register" },
	{ 0x929756a4, "ata_host_activate" },
	{ 0x40f35aba, "ata_dummy_port_ops" },
	{ 0xc589201e, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0x297884c2, "dmam_alloc_attrs" },
	{ 0x908529d9, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x457ef90d, "devm_kfree" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xb9e061ae, "sata_link_hardreset" },
	{ 0xf0e49a23, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf8917e00, "ata_ehi_clear_desc" },
	{ 0xf48a391c, "ata_ehi_push_desc" },
	{ 0xee7fb8de, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6eca88fa, "ata_port_abort" },
	{ 0x33350e11, "sata_lpm_ignore_phy_events" },
	{ 0x3972553e, "sata_async_notification" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0xee0610bf, "sata_pmp_port_ops" },
	{ 0x8a88dc4e, "dev_attr_sw_activity" },
	{ 0x9cc6f32e, "dev_attr_unload_heads" },
	{ 0xfbb26474, "dev_attr_ncq_prio_supported" },
	{ 0x632533ce, "dev_attr_ncq_prio_enable" },
	{ 0xcb84f201, "dev_attr_link_power_management_policy" },
	{ 0xbb06f41d, "dev_attr_em_message_type" },
	{ 0x11a4da36, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2699bfc, "__pm_runtime_resume" },
	{ 0xeb819371, "__pm_runtime_idle" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa74665a2, "ata_link_next" },
	{ 0x2fa2a8c4, "ata_wait_register" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x6edd00d0, "ata_dev_set_feature" },
	{ 0x6ea75bec, "ata_msleep" },
	{ 0x4eeae861, "sata_link_scr_lpm" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x5ad284c8, "ata_std_postreset" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "841C8AE8A84C38E08A18B4B");
