#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0x91255cfb, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0x69edf75c, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0x6e882bf0, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0xc127bfdb, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0x21951e7d, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0x26f0c2d1, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0x21d61d98, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0xabad4e58, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0x5a14a3f7, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0x7178f18e, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0x763d1c25, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0xae35f79f, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0x8f8cddc3, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0x55ea58cf, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0x9d876fc2, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0x66f6873f, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0x436494cc, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0xc6dfa75a, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0xb63c153c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x808f4213, "phy_set_mode_ext" },
	{ 0x26c74fe2, "phy_power_on" },
	{ 0x99db6e3a, "phy_init" },
	{ 0xa49dfdd1, "phy_power_off" },
	{ 0xa34303d0, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xafc48fdd, "regulator_disable" },
	{ 0xbf783c4d, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb819371, "__pm_runtime_idle" },
	{ 0xfe474462, "__pm_runtime_disable" },
	{ 0xa7700319, "ata_host_resume" },
	{ 0xe9c46395, "ahci_reset_controller" },
	{ 0x3d233766, "ahci_init_controller" },
	{ 0x6a9ac227, "regulator_enable" },
	{ 0x255086c8, "platform_get_irq" },
	{ 0x4454554, "ahci_save_initial_config" },
	{ 0x26d4ff6c, "ahci_set_em_messages" },
	{ 0xe9db8dc6, "ata_host_alloc_pinfo" },
	{ 0x4fb3866b, "platform_get_resource" },
	{ 0x1c35d573, "ata_port_desc" },
	{ 0x40f35aba, "ata_dummy_port_ops" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xd233fefe, "ahci_reset_em" },
	{ 0xbaae8144, "ahci_print_info" },
	{ 0x7e3e0183, "ahci_host_activate" },
	{ 0x215c3120, "dma_set_mask" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xa32e3f01, "dma_set_coherent_mask" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf781794, "devres_open_group" },
	{ 0xcfb9f211, "__devres_alloc_node" },
	{ 0xde5c0ea0, "devres_add" },
	{ 0xac0d2dcf, "platform_get_resource_byname" },
	{ 0xd2344f54, "devm_platform_ioremap_resource_byname" },
	{ 0x4815c63c, "devm_clk_bulk_get_all" },
	{ 0x6bf9fa1f, "devm_regulator_get" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7408e959, "devm_of_phy_get" },
	{ 0xf100fc25, "regulator_get" },
	{ 0xf0799e, "pm_runtime_enable" },
	{ 0x2699bfc, "__pm_runtime_resume" },
	{ 0x9ecb5bb2, "devres_remove_group" },
	{ 0x72c2662e, "devm_platform_ioremap_resource" },
	{ 0x111f7146, "devres_release_group" },
	{ 0xc7ec5fdc, "devm_reset_control_array_get" },
	{ 0xde5e53bf, "devm_clk_get_optional" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0xaa76953c, "ata_host_suspend" },
	{ 0xcbdbeb02, "__pm_runtime_set_status" },
	{ 0x672c6813, "ahci_ops" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "ED738B00998294F6C68F3EE");
