#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0x2d11709c, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x1e80b329, "");
SYMBOL_CRC(__bcma_driver_register, 0x43703fd5, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x74d51734, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x7f8a11ee, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0xb181f36e, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0xdd1e7079, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x63694ae4, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x98d7faec, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0xc7720981, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0x86478263, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x0f8b0c06, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x1a3b1fcf, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0xe75f8092, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0xf842ff5d, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0x1540137d, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0xd1266435, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x26b4a088, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x03497f0b, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0x633c364b, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x56b00e11, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x3c73171c, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x306cca1b, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x46a190b4, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x4967be1f, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x973800e5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x41157b09, "gpiochip_get_data" },
	{ 0xb87c4fd0, "bus_unregister" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x21b8348a, "device_add" },
	{ 0xdbc49d7f, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc2015173, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xacf8166d, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0xc747289f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xeddcf944, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe8b6cbb6, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x9bc8a450, "platform_device_register_full" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1f4063ab, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x12541d7e, "pci_disable_device" },
	{ 0xbaeb6a60, "pcie_set_readrq" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x8fbbb79e, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8bfcf81d, "__dev_fwnode" },
	{ 0xcd42fdf5, "pci_write_config_dword" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x817f5acb, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf5583990, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xc37abed6, "dev_set_name" },
	{ 0x5203eddc, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x57d9ca80, "device_unregister" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x5b4f4cd8, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x353bfcad, "device_initialize" },
	{ 0x95363ee4, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5208d4f4, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xd3e981e, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5f41e5c1, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a9dbedd, "put_device" },
	{ 0x126ccb89, "platform_device_register" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "3EDBBF44CF1D935D1032EE7");
