#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hci_uart_tx_wakeup, "_gpl", "");
KSYMTAB_FUNC(hci_uart_register_device, "_gpl", "");
KSYMTAB_FUNC(hci_uart_unregister_device, "_gpl", "");
KSYMTAB_FUNC(h4_recv_buf, "_gpl", "");

SYMBOL_CRC(hci_uart_tx_wakeup, 0x1b242840, "_gpl");
SYMBOL_CRC(hci_uart_register_device, 0x323d6dc2, "_gpl");
SYMBOL_CRC(hci_uart_unregister_device, 0x781dddc1, "_gpl");
SYMBOL_CRC(h4_recv_buf, 0x677d2e3f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f9804fe, "serdev_device_write_buf" },
	{ 0xc7ed8c8e, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbc434844, "tty_unregister_ldisc" },
	{ 0xb29de6f5, "hci_unregister_dev" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x2699bfc, "__pm_runtime_resume" },
	{ 0xc825443f, "hci_recv_frame" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0xef0dfe6f, "serdev_device_close" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0xf3033ff5, "__percpu_down_read" },
	{ 0xf765db56, "tty_unthrottle" },
	{ 0xf2dddd4d, "hci_reset_dev" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb84066fe, "rcuwait_wake_up" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x9e8cc687, "__pm_runtime_suspend" },
	{ 0x41a75897, "hci_register_dev" },
	{ 0x214e4265, "bt_warn" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xbfb14cb5, "__hci_cmd_sync" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xa4703ab2, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x976141da, "percpu_free_rwsem" },
	{ 0xcb153edb, "tty_set_termios" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xff8dfec2, "is_acpi_device_node" },
	{ 0x50e51180, "percpu_down_write" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0x1f629a95, "skb_put" },
	{ 0x90f00454, "tty_register_ldisc" },
	{ 0xf11446b8, "serdev_device_set_baudrate" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc76967e2, "hci_free_dev" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x7beef246, "skb_dequeue" },
	{ 0xc1bb164f, "nvmem_cell_get" },
	{ 0xff013bae, "gpiod_set_value_cansleep" },
	{ 0x78e70a9c, "request_firmware" },
	{ 0xd4adc596, "serdev_device_set_flow_control" },
	{ 0x69acdf38, "memcpy" },
	{ 0x188de351, "hci_alloc_dev_priv" },
	{ 0x37a0cba, "kfree" },
	{ 0xef723c7a, "serdev_device_open" },
	{ 0x73641259, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x46f22022, "dev_kfree_skb_irq_reason" },
	{ 0xd723ca95, "devm_gpiod_get_optional" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x1a70de3e, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa2f74584, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xce65c7bb, "tty_driver_flush_buffer" },
	{ 0x17b48051, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe03ac162, "skb_queue_tail" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0xc87b8d9b, "percpu_up_write" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x4b441128, "devm_acpi_dev_add_driver_gpios" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0x6f125110, "serdev_device_write_flush" },
	{ 0x3b9ec9c5, "serdev_device_get_tiocm" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0xf5f300, "skb_push" },
	{ 0x3fb28480, "n_tty_ioctl_helper" },
	{ 0xc2015173, "driver_unregister" },
	{ 0x7b5ce5c3, "baswap" },
	{ 0x3ddb8940, "tty_ldisc_flush" },
	{ 0xd6ea32a2, "__percpu_init_rwsem" },
	{ 0x9e1c1759, "__serdev_device_driver_register" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8c5fd3c0, "acpi_match_device" },
	{ 0x9554dabe, "serdev_device_set_tiocm" },
	{ 0x718b8b7, "bt_info" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "bluetooth");

MODULE_ALIAS("of:N*T*Cti,cc2560");
MODULE_ALIAS("of:N*T*Cti,cc2560C*");
MODULE_ALIAS("of:N*T*Cti,wl1271-st");
MODULE_ALIAS("of:N*T*Cti,wl1271-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1273-st");
MODULE_ALIAS("of:N*T*Cti,wl1273-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1281-st");
MODULE_ALIAS("of:N*T*Cti,wl1281-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1283-st");
MODULE_ALIAS("of:N*T*Cti,wl1283-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1285-st");
MODULE_ALIAS("of:N*T*Cti,wl1285-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1801-st");
MODULE_ALIAS("of:N*T*Cti,wl1801-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1805-st");
MODULE_ALIAS("of:N*T*Cti,wl1805-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1807-st");
MODULE_ALIAS("of:N*T*Cti,wl1807-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1831-st");
MODULE_ALIAS("of:N*T*Cti,wl1831-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1835-st");
MODULE_ALIAS("of:N*T*Cti,wl1835-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1837-st");
MODULE_ALIAS("of:N*T*Cti,wl1837-stC*");

MODULE_INFO(srcversion, "9D95E09CDA55BB11E8628FA");
