#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_fixup, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_are_equal, "", "");
KSYMTAB_FUNC(drm_edid_block_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_do_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_replace_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_debug, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(___drm_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");
KSYMTAB_FUNC(drm_privacy_screen_lookup_add, "", "");
KSYMTAB_FUNC(drm_privacy_screen_lookup_remove, "", "");
KSYMTAB_FUNC(drm_privacy_screen_get, "", "");
KSYMTAB_FUNC(drm_privacy_screen_put, "", "");
KSYMTAB_FUNC(drm_privacy_screen_set_sw_state, "", "");
KSYMTAB_FUNC(drm_privacy_screen_get_state, "", "");
KSYMTAB_FUNC(drm_privacy_screen_register_notifier, "", "");
KSYMTAB_FUNC(drm_privacy_screen_unregister_notifier, "", "");
KSYMTAB_FUNC(drm_privacy_screen_register, "", "");
KSYMTAB_FUNC(drm_privacy_screen_unregister, "", "");
KSYMTAB_FUNC(drm_privacy_screen_call_notifier_chain, "", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0x1fadf203, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0xc33aa0d6, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0x01027e2a, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0x489ffb57, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0xdd842575, "");
SYMBOL_CRC(drm_atomic_state_init, 0xe52c25e3, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0x0dee0c7f, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0xb7e879cb, "");
SYMBOL_CRC(drm_atomic_state_clear, 0x36615f60, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0xdb55fadf, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0x2fcd12e3, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x68afbd77, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x96caaead, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0x5278cfc4, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0xe5e8342f, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0x64997638, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x4792ce08, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0xc6e38c1f, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0x13658326, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0x19372b34, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0x3e2fc2e9, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0xc9d22372, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0xc911702b, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0x3aa253cb, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0xe121e7c0, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0xd67d0501, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0x04a468ba, "");
SYMBOL_CRC(drm_atomic_check_only, 0x399ec4e8, "");
SYMBOL_CRC(drm_atomic_commit, 0x21c16a75, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0x0c7f4858, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0x4c39e2bd, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0xe2b7ad00, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0xfd78e1d5, "");
SYMBOL_CRC(drm_state_dump, 0xc5ef349b, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0x1e0085dd, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0x0c0911eb, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0x001873d3, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0x092263d8, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0x618496a7, "");
SYMBOL_CRC(drm_is_current_master, 0x88615cd1, "");
SYMBOL_CRC(drm_master_get, 0x6e74c0e8, "");
SYMBOL_CRC(drm_file_get_master, 0x698d973e, "");
SYMBOL_CRC(drm_master_put, 0x4569a23c, "");
SYMBOL_CRC(drm_master_internal_acquire, 0xaddef605, "");
SYMBOL_CRC(drm_master_internal_release, 0xf804292f, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0x7c399d3c, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0xc034d87e, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0x72e9b0f8, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0x6310c225, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0xa851e6e2, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x82cc098c, "");
SYMBOL_CRC(drm_bridge_add, 0xb2a6e1dd, "");
SYMBOL_CRC(devm_drm_bridge_add, 0xbaab661a, "");
SYMBOL_CRC(drm_bridge_remove, 0x923175b9, "");
SYMBOL_CRC(drm_bridge_attach, 0xffb7105b, "");
SYMBOL_CRC(drm_bridge_chain_mode_fixup, 0x9b6bf413, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0x2283db76, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0x686f740e, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0x7ec1ddd0, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0xa2338b65, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0x5733219f, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0xf3cb438b, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0xe13bfd22, "");
SYMBOL_CRC(drm_bridge_detect, 0x95c95ef6, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0xf8684bb5, "_gpl");
SYMBOL_CRC(drm_bridge_get_edid, 0x5327c5cb, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0xebacb9d7, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0x91c74a77, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0x9379d77e, "_gpl");
SYMBOL_CRC(drm_clflush_pages, 0x9063a775, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0xa82cb80e, "");
SYMBOL_CRC(drm_client_register, 0x5793d55a, "");
SYMBOL_CRC(drm_client_release, 0xa9752058, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0xc59a7bd2, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0xa8b0154b, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0x6a274d57, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0x8b29d97f, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0xabd029c6, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0xcd92553c, "");
SYMBOL_CRC(drm_client_modeset_probe, 0x2840a48c, "");
SYMBOL_CRC(drm_client_rotation, 0x05f88dd6, "");
SYMBOL_CRC(drm_client_modeset_check, 0x369cfbab, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0x97472bc0, "");
SYMBOL_CRC(drm_client_modeset_commit, 0xf09867bd, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0x492d251e, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0x8f1313cd, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0xf0f4b0d4, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0x78040550, "");
SYMBOL_CRC(drm_color_lut_check, 0x6d52dc41, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0x2ea969d0, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0x228840fd, "");
SYMBOL_CRC(drmm_connector_init, 0xbc0021c4, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0x5ff3c03b, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0x72cbe400, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0xdb6311e2, "");
SYMBOL_CRC(drm_connector_cleanup, 0x9d72e779, "");
SYMBOL_CRC(drm_connector_register, 0x9e2ac053, "");
SYMBOL_CRC(drm_connector_unregister, 0x56da70fc, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x79878c7d, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0x4a63ca8a, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0xfa0833eb, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0xa2894fe0, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0xa9a5cc96, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0xa3ef934b, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0x4d2b5848, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0xda6e113e, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0xa8d75ca1, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0x941d6299, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x9830f4b0, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0xcdddbc8c, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0x8fe1da0c, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0xdb26a22d, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0xa99c8b26, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x610d2ea6, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0xbe7619ea, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0xf0170885, "");
SYMBOL_CRC(drm_connector_set_path_property, 0xeb552765, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x3138cb41, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0xa1eb2bce, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0x67dfc9d1, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x5467872c, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0xe02fc924, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0x34dfc9e2, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0xb9adde10, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0x03a0416c, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0x3752f217, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0x09f6981a, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0xbd90ace1, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0x7f3a30c4, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0x131ce448, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x0c7407d2, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0x58ab89fc, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0xd160a030, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0x0c85941d, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0xf5df6511, "");
SYMBOL_CRC(drm_crtc_from_index, 0xfd996ee2, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0x21b48ab5, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0x6287d394, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0xdaa0e47c, "");
SYMBOL_CRC(drm_crtc_cleanup, 0x0ea89780, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0x4b61ebcf, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0xcf3a2b09, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0xf21b6e38, "");
SYMBOL_CRC(drm_put_dev, 0x6389ca05, "");
SYMBOL_CRC(drm_dev_enter, 0x09122e77, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0x4c766128, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0xfa3c75b7, "");
SYMBOL_CRC(drm_dev_alloc, 0x34f66155, "");
SYMBOL_CRC(drm_dev_get, 0xdcd80665, "");
SYMBOL_CRC(drm_dev_put, 0x13cabd85, "");
SYMBOL_CRC(drm_dev_register, 0x8cc2baf7, "");
SYMBOL_CRC(drm_dev_unregister, 0x85ccb49c, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_are_equal, 0x24993e50, "");
SYMBOL_CRC(drm_edid_block_valid, 0xd13f9985, "");
SYMBOL_CRC(drm_edid_is_valid, 0x8d72789e, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0x65a8d835, "");
SYMBOL_CRC(drm_do_get_edid, 0xa5f01cc5, "_gpl");
SYMBOL_CRC(drm_edid_raw, 0x4489a5e9, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0x7fc40216, "");
SYMBOL_CRC(drm_get_edid, 0x5637fced, "");
SYMBOL_CRC(drm_edid_read_custom, 0xd6aff1c3, "");
SYMBOL_CRC(drm_edid_read_ddc, 0xa422b88d, "");
SYMBOL_CRC(drm_edid_read, 0x5c0b1088, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0x3125ea64, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0xd035f4bd, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0xe3b71753, "");
SYMBOL_CRC(drm_edid_duplicate, 0x7edf470b, "");
SYMBOL_CRC(drm_mode_find_dmt, 0x46992edb, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0x69326629, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x7c545285, "");
SYMBOL_CRC(drm_edid_to_sad, 0x6ac01ea8, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x3cdc37e9, "");
SYMBOL_CRC(drm_av_sync_delay, 0xf8021e92, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0x38690d99, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xa248afde, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0x31679e75, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0xd32c6766, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0x9b3b9f6f, "");
SYMBOL_CRC(drm_add_edid_modes, 0x03263c9e, "");
SYMBOL_CRC(drm_add_modes_noedid, 0x3ad08526, "");
SYMBOL_CRC(drm_set_preferred_mode, 0x7f441f5f, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0xbb454b90, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0x02f9c5ff, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0x351d9c38, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0x265f1b02, "");
SYMBOL_CRC(drm_encoder_cleanup, 0xf250030e, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0x74000737, "");
SYMBOL_CRC(drmm_encoder_init, 0x25b775bb, "");
SYMBOL_CRC(drm_open, 0x9d1f6b03, "");
SYMBOL_CRC(drm_release, 0x008f400a, "");
SYMBOL_CRC(drm_release_noglobal, 0xacfa74eb, "");
SYMBOL_CRC(drm_read, 0x6424c7c3, "");
SYMBOL_CRC(drm_poll, 0x78714ac1, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x70174037, "");
SYMBOL_CRC(drm_event_reserve_init, 0xadd38d01, "");
SYMBOL_CRC(drm_event_cancel_free, 0x080d2b99, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0x1c9f2f00, "");
SYMBOL_CRC(drm_send_event_locked, 0x22cf2fc9, "");
SYMBOL_CRC(drm_send_event, 0x7b9e1d97, "");
SYMBOL_CRC(drm_print_memory_stats, 0x16b809c8, "");
SYMBOL_CRC(drm_show_memory_stats, 0x6be68057, "");
SYMBOL_CRC(drm_show_fdinfo, 0xcb7359fb, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0x733bd3c7, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x11314f51, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_framebuffer_init, 0xa50eb91e, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0x93951397, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0x59df3b94, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0x5a60685d, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x6e8a383e, "");
SYMBOL_CRC(drm_gem_object_init, 0xe89d4119, "");
SYMBOL_CRC(drm_gem_private_object_init, 0x9f109fd6, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0xb8252e2b, "");
SYMBOL_CRC(drm_gem_handle_delete, 0xceadf018, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0xc9b727e0, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0xcb235b54, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0xd1212b72, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x073137c9, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0x69524203, "");
SYMBOL_CRC(drm_gem_get_pages, 0x45811a37, "");
SYMBOL_CRC(drm_gem_put_pages, 0xe59bdc36, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0x12e46246, "");
SYMBOL_CRC(drm_gem_object_lookup, 0x5b1ddefe, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0x991c62d0, "");
SYMBOL_CRC(drm_gem_object_release, 0xf7af1003, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0xa12be645, "");
SYMBOL_CRC(drm_gem_vm_close, 0x144cc2b8, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0xfc7b2322, "");
SYMBOL_CRC(drm_gem_mmap, 0x0631e4e7, "");
SYMBOL_CRC(drm_gem_vmap, 0x2fecc51b, "");
SYMBOL_CRC(drm_gem_vunmap, 0x065a46a1, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0xa2226195, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0xc1da87cb, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0x51205d8b, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0xe6849d5f, "");
SYMBOL_CRC(drm_gem_lru_init, 0xa956955b, "");
SYMBOL_CRC(drm_gem_lru_remove, 0xd65e3e7e, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0xd8d97f07, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0x12909720, "");
SYMBOL_CRC(drm_gem_lru_scan, 0xccd0b549, "");
SYMBOL_CRC(drm_gem_evict, 0x83e9c1d0, "");
SYMBOL_CRC(drm_noop, 0x0505104a, "");
SYMBOL_CRC(drm_invalid_op, 0x1702e27a, "");
SYMBOL_CRC(drm_ioctl_kernel, 0xab7a5dc5, "");
SYMBOL_CRC(drm_ioctl, 0x7d10fc89, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0xfc8716a3, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0xd76b8de1, "");
SYMBOL_CRC(drmm_kmalloc, 0x6940dcfb, "");
SYMBOL_CRC(drmm_kstrdup, 0xe1ba0a6a, "_gpl");
SYMBOL_CRC(drmm_kfree, 0x79378f79, "");
SYMBOL_CRC(__drmm_mutex_release, 0xceec7b9a, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_replace_node, 0x59056243, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x0f7acb66, "");
SYMBOL_CRC(drm_mode_config_reset, 0x47dc88b7, "");
SYMBOL_CRC(drmm_mode_config_init, 0x9d1885ca, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0x3585c3f2, "");
SYMBOL_CRC(drm_mode_object_find, 0x47a074bc, "");
SYMBOL_CRC(drm_mode_object_put, 0xe4e90435, "");
SYMBOL_CRC(drm_mode_object_get, 0xdf4e564e, "");
SYMBOL_CRC(drm_object_attach_property, 0x92842df7, "");
SYMBOL_CRC(drm_object_property_set_value, 0x47217452, "");
SYMBOL_CRC(drm_object_property_get_value, 0xa955f6d9, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0xa13f0d38, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0xf87fc134, "");
SYMBOL_CRC(drm_mode_destroy, 0x5f7c1c6a, "");
SYMBOL_CRC(drm_mode_probed_add, 0x3858ea7f, "");
SYMBOL_CRC(drm_analog_tv_mode, 0xb9a01613, "");
SYMBOL_CRC(drm_cvt_mode, 0x2f51c0a7, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0x7377cd9d, "");
SYMBOL_CRC(drm_gtf_mode, 0x16f68783, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0xd633a7ac, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0x0d8ac8ef, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0x8084f329, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0x1d285036, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0xbb1482c5, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x8f94233d, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0x042ac274, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_modeset_lock_all, 0x145e714b, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x30d5a66d, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0x0471f213, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0xb310bfdf, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0x3109002a, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0x55675423, "");
SYMBOL_CRC(drm_modeset_backoff, 0xec20c504, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x867fabe1, "");
SYMBOL_CRC(drm_modeset_lock, 0xd515ffc1, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0xf6e8c066, "");
SYMBOL_CRC(drm_modeset_unlock, 0xf48ccaf2, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x2ab2d5af, "");
SYMBOL_CRC(drm_universal_plane_init, 0xb325f0cb, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0x682f26cd, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0xf5833d8d, "");
SYMBOL_CRC(drm_plane_cleanup, 0xe5b320b7, "");
SYMBOL_CRC(drm_plane_from_index, 0xfe380e09, "");
SYMBOL_CRC(drm_plane_force_disable, 0xbfc6bfe7, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0xd6fe6c63, "");
SYMBOL_CRC(drm_any_plane_has_format, 0x00e32d7c, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0x0941b264, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0xe14378e5, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x64812678, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0x484b0e3d, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0xe734b1a4, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0xd0912b4c, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0x5d5643d0, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0x4c683dfb, "");
SYMBOL_CRC(drm_gem_map_attach, 0x143fd348, "");
SYMBOL_CRC(drm_gem_map_detach, 0x4e94d52f, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0xf948a2c5, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0x27e8c484, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x6d8039a7, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x2b60b0e1, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0x0da62769, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0x6bcddb7e, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x1b6fa6bf, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0x31647d8d, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0x342e3c77, "");
SYMBOL_CRC(drm_gem_prime_import, 0x25686bb7, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0xec96ce68, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0x0d2d51a6, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0x3b0e5e9c, "");
SYMBOL_CRC(__drm_printfn_coredump, 0xea00fe81, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x513072fe, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0xfeb953b1, "");
SYMBOL_CRC(__drm_printfn_info, 0xe317082a, "");
SYMBOL_CRC(__drm_printfn_debug, 0xf824c7db, "");
SYMBOL_CRC(__drm_printfn_err, 0x3f405489, "");
SYMBOL_CRC(drm_puts, 0x521ad6d0, "");
SYMBOL_CRC(drm_printf, 0x28779e52, "");
SYMBOL_CRC(drm_print_bits, 0x32a0cc37, "");
SYMBOL_CRC(drm_dev_printk, 0x639909ec, "");
SYMBOL_CRC(__drm_dev_dbg, 0xb6ccf293, "");
SYMBOL_CRC(___drm_dbg, 0x7e3277f8, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0xb747a0d0, "");
SYMBOL_CRC(drm_property_create, 0x5d9c5912, "");
SYMBOL_CRC(drm_property_create_enum, 0xf238c336, "");
SYMBOL_CRC(drm_property_create_bitmask, 0x3d99b9b0, "");
SYMBOL_CRC(drm_property_create_range, 0xcab46ec7, "");
SYMBOL_CRC(drm_property_create_signed_range, 0xa8c6abc4, "");
SYMBOL_CRC(drm_property_create_object, 0x5f445083, "");
SYMBOL_CRC(drm_property_create_bool, 0x3724e204, "");
SYMBOL_CRC(drm_property_add_enum, 0xcc5681c0, "");
SYMBOL_CRC(drm_property_destroy, 0xd098ed5e, "");
SYMBOL_CRC(drm_property_create_blob, 0x37e2ee48, "");
SYMBOL_CRC(drm_property_blob_put, 0x0ed93dcc, "");
SYMBOL_CRC(drm_property_blob_get, 0x437d2bae, "");
SYMBOL_CRC(drm_property_lookup_blob, 0x40aa1858, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0x7935beda, "");
SYMBOL_CRC(drm_property_replace_blob, 0xea4b854b, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0x02258039, "");
SYMBOL_CRC(drm_syncobj_find, 0xf410df23, "");
SYMBOL_CRC(drm_syncobj_add_point, 0xe9fcc61c, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0x347a0263, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0xc47ba5ae, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0x12538a25, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0x98f628c1, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0x8edd7fe7, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x760c2abe, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0xc445b330, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0x9f00b395, "");
SYMBOL_CRC(drm_class_device_register, 0xa7e2eeba, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0xfd3b3e98, "_gpl");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0x00efba01, "");
SYMBOL_CRC(drm_vblank_init, 0x5e7d57a0, "");
SYMBOL_CRC(drm_dev_has_vblank, 0x863c5a56, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0x7c2cf185, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0xac2dfb1b, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x4e8c3025, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0x1fe15537, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0xa36075d2, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0x7095827b, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0xbbf6cd13, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x49329bec, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0xb0441515, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0x970028d8, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0x205543b5, "");
SYMBOL_CRC(drm_wait_one_vblank, 0x9c38f7ee, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0x295a64b6, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0x59334ac0, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0xa4983ba1, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0x92f8d56e, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0xe8dea6d3, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0x73117f9a, "");
SYMBOL_CRC(drm_handle_vblank, 0xd2998d57, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0x09b08b28, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0xd978b8ce, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0xcdf433b4, "");
SYMBOL_CRC(drm_vblank_work_flush, 0x95de0296, "");
SYMBOL_CRC(drm_vblank_work_init, 0xaf0c7a27, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0x3c22a4d8, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x07fb449a, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0xc7910e38, "");
SYMBOL_CRC(drm_vma_offset_add, 0xe8a0e334, "");
SYMBOL_CRC(drm_vma_offset_remove, 0x4831da6e, "");
SYMBOL_CRC(drm_vma_node_allow, 0xc7d04fc5, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x820ac5c0, "");
SYMBOL_CRC(drm_vma_node_revoke, 0x7b2e2166, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x24cf437a, "");
SYMBOL_CRC(drm_writeback_connector_init, 0x9507100a, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0x82c48980, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0xf54373fe, "");
SYMBOL_CRC(drm_writeback_queue_job, 0x6063c187, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0x7a0fa8f0, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0xb4d68fe6, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0x6be60363, "");
SYMBOL_CRC(drm_compat_ioctl, 0xd5f9341d, "");
SYMBOL_CRC(drm_panel_init, 0xfdb44732, "");
SYMBOL_CRC(drm_panel_add, 0x1628048d, "");
SYMBOL_CRC(drm_panel_remove, 0x7bb8fe35, "");
SYMBOL_CRC(drm_panel_prepare, 0x5a9196f9, "");
SYMBOL_CRC(drm_panel_unprepare, 0x17e3ff54, "");
SYMBOL_CRC(drm_panel_enable, 0xe2b09c72, "");
SYMBOL_CRC(drm_panel_disable, 0x8b6a816f, "");
SYMBOL_CRC(drm_panel_get_modes, 0xa36ed742, "");
SYMBOL_CRC(drm_is_panel_follower, 0x9742cac9, "");
SYMBOL_CRC(drm_panel_add_follower, 0x1b28c566, "");
SYMBOL_CRC(drm_panel_remove_follower, 0xd85558f0, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0x3eae3f07, "");
SYMBOL_CRC(drm_panel_of_backlight, 0x80fbd7d3, "");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0x4fa607a8, "");
SYMBOL_CRC(drm_debugfs_create_files, 0xc2944326, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0x3943321c, "");
SYMBOL_CRC(drm_debugfs_add_file, 0xdfe131cb, "");
SYMBOL_CRC(drm_debugfs_add_files, 0x0cc34b60, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0xd5d86468, "_gpl");
SYMBOL_CRC(drm_privacy_screen_lookup_add, 0x2f476172, "");
SYMBOL_CRC(drm_privacy_screen_lookup_remove, 0x0eb7f5eb, "");
SYMBOL_CRC(drm_privacy_screen_get, 0xb62bff25, "");
SYMBOL_CRC(drm_privacy_screen_put, 0xdcbe70d2, "");
SYMBOL_CRC(drm_privacy_screen_set_sw_state, 0xc3862be6, "");
SYMBOL_CRC(drm_privacy_screen_get_state, 0xd745029a, "");
SYMBOL_CRC(drm_privacy_screen_register_notifier, 0xc7941373, "");
SYMBOL_CRC(drm_privacy_screen_unregister_notifier, 0xb5ac72fe, "");
SYMBOL_CRC(drm_privacy_screen_register, 0xc7ac35a9, "");
SYMBOL_CRC(drm_privacy_screen_unregister, 0xd7a2d3bc, "");
SYMBOL_CRC(drm_privacy_screen_call_notifier_chain, 0xe6d138d3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x465cd7e1, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x1d890853, "wake_up_process" },
	{ 0x908529d9, "dev_driver_string" },
	{ 0xd5a398e2, "dma_buf_map_attachment_unlocked" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0x836549fe, "vga_switcheroo_unlock_ddc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x2d9e1b21, "ww_mutex_trylock" },
	{ 0x6dc2bac6, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xbf27ea1d, "devm_of_find_backlight" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5e7066db, "dma_max_mapping_size" },
	{ 0x6a9dbedd, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x269a2565, "dma_buf_export" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x2eeaf3b4, "kthread_queue_work" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x70daa11e, "dma_fence_remove_callback" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x6a727699, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x90974934, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe2484055, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x98555a05, "dma_fence_chain_walk" },
	{ 0x96096f97, "debugfs_lookup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xcfb2b5b1, "__task_pid_nr_ns" },
	{ 0xecfc5ec4, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x7cf2808a, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x3da092b8, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0x6789fc89, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x21b8348a, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xf943f3ee, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xebbf50bc, "pid_task" },
	{ 0xe95da420, "vga_switcheroo_lock_ddc" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdb1fecdb, "noop_llseek" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x4d150572, "folio_mark_accessed" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0xa65f9b74, "dma_resv_fini" },
	{ 0x2b42dae8, "class_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xa9bdcc96, "dma_buf_get" },
	{ 0x9e637e13, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x69351014, "aperture_remove_conflicting_pci_devices" },
	{ 0xe04419e6, "ww_mutex_lock" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e2f3a8f, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x27102483, "dma_buf_fd" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x601a6ed0, "device_register" },
	{ 0x20289e68, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xcd6237b0, "sg_alloc_table_from_pages_segment" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xfb578fc5, "memset" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x67c07108, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x71fd4ec2, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x35b8a27, "devm_aperture_acquire_for_platform_device" },
	{ 0x61bc0263, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xfbc45e36, "check_move_unevictable_folios" },
	{ 0x822cf32a, "bpf_trace_run3" },
	{ 0xf77ab6d, "seq_read" },
	{ 0xeb7f6046, "acpi_get_devices" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb1ed295e, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0x67a8114f, "dma_map_sgtable" },
	{ 0xa57c644a, "kthread_destroy_worker" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe436e90c, "__dma_fence_unwrap_merge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x15d0afca, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd5de7767, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0xdbe27e6b, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xafd8c624, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x8a6d8160, "i2c_transfer" },
	{ 0xba00daa2, "dma_fence_allocate_private_stub" },
	{ 0x65f16a78, "dma_buf_detach" },
	{ 0x3daae96c, "dma_fence_signal_timestamp" },
	{ 0xe0b3feb5, "dma_fence_chain_init" },
	{ 0xbe63e7e9, "boot_cpu_data" },
	{ 0x6d073985, "seq_puts" },
	{ 0x341ee2bd, "single_release" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x520df5b, "pid_vnr" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x4a8e4afc, "sched_set_fifo" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x14c44474, "simple_release_fs" },
	{ 0x53c54541, "dma_unmap_sg_attrs" },
	{ 0xc405edcb, "kill_anon_super" },
	{ 0xe18fd051, "from_kuid_munged" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x97cb628c, "__devm_add_action" },
	{ 0x81188c30, "match_string" },
	{ 0x1288a4f7, "component_add" },
	{ 0xb625f531, "dma_resv_test_signaled" },
	{ 0xa52f77be, "fwnode_handle_put" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0xbb5dd4a, "dma_fence_chain_find_seqno" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0x4aac5cd7, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x2c9f77fa, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x83f63baa, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xabdc439, "cc_platform_has" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x7155bcf8, "sync_file_get_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x40656087, "put_pid" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8bfcf81d, "__dev_fwnode" },
	{ 0xd71b3318, "pci_bus_type" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xee94684a, "class_remove_file_ns" },
	{ 0x32cce8c6, "simple_pin_fs" },
	{ 0xed6957a1, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x47d27382, "try_module_get" },
	{ 0x16a107f1, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdef795dd, "ww_mutex_lock_interruptible" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x54bc54aa, "alloc_anon_inode" },
	{ 0x166e4a8d, "show_class_attr_string" },
	{ 0x65c33e32, "kthread_cancel_work_sync" },
	{ 0xff8dfec2, "is_acpi_device_node" },
	{ 0xe774c37, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa2ee5084, "kthread_flush_work" },
	{ 0x5755a06e, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x5b2ef2a1, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5d0dcfcb, "shmem_read_folio_gfp" },
	{ 0x841e9b51, "__folio_batch_release" },
	{ 0xc37abed6, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0xb32e7285, "dma_resv_init" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x6bd6603f, "dma_resv_wait_timeout" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x57d9ca80, "device_unregister" },
	{ 0x32262a7, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8b618d08, "overflowuid" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0xd317f6b6, "kthread_flush_worker" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x78e70a9c, "request_firmware" },
	{ 0x69e12432, "class_destroy" },
	{ 0x34747759, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x37e79c18, "ww_mutex_unlock" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x353bfcad, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0x2b7bf368, "fd_install" },
	{ 0x689067dd, "dma_fence_chain_ops" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3683af6a, "component_del" },
	{ 0xd38d70c, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xa14cb1b6, "iput" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x598d312b, "seq_lseek" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xea654f5e, "dma_buf_unmap_attachment_unlocked" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0xccaf994e, "dma_fence_set_deadline" },
	{ 0x5208d4f4, "get_device" },
	{ 0x901ac188, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E0DEDE324607EF2845F37B1");
