#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gpuvm_range_valid, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_object_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_vm, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_objects, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_array, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_validate, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_add_fence, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain_prealloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_extobj_add, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_evict, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");

SYMBOL_CRC(drm_gpuvm_range_valid, 0xbed7885c, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_object_alloc, 0x9c8d4929, "_gpl");
SYMBOL_CRC(drm_gpuvm_init, 0xa4b7e135, "_gpl");
SYMBOL_CRC(drm_gpuvm_put, 0xa493e037, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_vm, 0x7bc6d972, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_objects, 0xae36b6ac, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_range, 0x2d479342, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock, 0x7c5e80a3, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_array, 0x8703b1c5, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_range, 0x5064010c, "_gpl");
SYMBOL_CRC(drm_gpuvm_validate, 0xc5c146f3, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_add_fence, 0x210172a2, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_create, 0x84d5b674, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_put, 0xd774124e, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_find, 0xa77a5724, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain, 0xed7fc6ab, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain_prealloc, 0x0b1c6300, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_extobj_add, 0xb6921f9c, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_evict, 0x46a7adb2, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x3ae54d4d, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0x4a0165c9, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0xaef91800, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0xa18dd4b5, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0xba10c2a6, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0xdf73cdb6, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0xa9d49521, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0x92c88033, "_gpl");
SYMBOL_CRC(drm_gpuvm_interval_empty, 0xb31b823d, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0x1109e58d, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0x1fe836e0, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0x98035957, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map, 0x29e7d037, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap, 0x3cfac79c, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map_ops_create, 0x410ef769, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap_ops_create, 0xf856dc20, "_gpl");
SYMBOL_CRC(drm_gpuvm_prefetch_ops_create, 0x203b3b8d, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_unmap_ops_create, 0x1b542d22, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0xd8d5cbc6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf7af1003, "drm_gem_object_release" },
	{ 0x37a0cba, "kfree" },
	{ 0x59cf2d8f, "drm_exec_prepare_array" },
	{ 0x6dd3750f, "dma_resv_add_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x9f109fd6, "drm_gem_private_object_init" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0x9085b443, "drm_exec_prepare_obj" },
	{ 0x8fbb964e, "drm_exec_lock_obj" },
	{ 0x96c93ffd, "drm_exec_init" },
	{ 0xf4be3f28, "drm_exec_cleanup" },
	{ 0x5b47319d, "drm_exec_fini" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x908529d9, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_exec");


MODULE_INFO(srcversion, "AE6034294DD56076A1A429C");
