#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0xbae47e51, "");
SYMBOL_CRC(drm_gem_vram_put, 0x9adaf10f, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x025599fa, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x7fff1b7f, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x5ba7b66e, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xb5c86c7a, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x753d9ef0, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x4aba4677, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0xd8143227, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x2b5ddd8e, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x60051b1e, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x9f5e37dd, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0xc7499be2, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0xb148ef5c, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x41833c41, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x65af4421, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd76b8de1, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf902bde1, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf7af1003, "drm_gem_object_release" },
	{ 0x17c4eedd, "ttm_tt_init" },
	{ 0xcb235b54, "drm_gem_handle_create" },
	{ 0x221fb637, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcf362a0d, "ttm_bo_unpin" },
	{ 0x513072fe, "__drm_puts_seq_file" },
	{ 0xcc34b60, "drm_debugfs_add_files" },
	{ 0xd053ed21, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd924c8f6, "ttm_device_init" },
	{ 0x919a9b17, "ttm_bo_validate" },
	{ 0xfc297697, "ttm_bo_move_to_lru_tail" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x1ee42f6a, "ttm_bo_vmap" },
	{ 0x7f46cfea, "ttm_bo_put" },
	{ 0xc84a9cc7, "ttm_resource_free" },
	{ 0xde1344aa, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x41ead1e5, "ttm_tt_fini" },
	{ 0x5fdbbb9d, "ttm_device_fini" },
	{ 0x4ffc92bd, "drm_gem_plane_helper_prepare_fb" },
	{ 0x52dd2df9, "ttm_bo_eviction_valuable" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xd2225dc1, "drm_gem_ttm_print_info" },
	{ 0x7fe911a9, "ttm_range_man_init_nocheck" },
	{ 0xdef795dd, "ww_mutex_lock_interruptible" },
	{ 0x71dc6ee8, "ttm_resource_manager_debug" },
	{ 0x37e79c18, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x58bf45e2, "ttm_range_man_fini_nocheck" },
	{ 0xe89d4119, "drm_gem_object_init" },
	{ 0xfeb953b1, "__drm_printfn_seq_file" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9ebff82, "ttm_bo_pin" },
	{ 0x908529d9, "dev_driver_string" },
	{ 0x40b1344, "drm_gem_ttm_mmap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "drm,ttm,drm_kms_helper,drm_ttm_helper");


MODULE_INFO(srcversion, "7AE0AE9C03F5998B04013AB");
