#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0xd2ff3d32, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0xb9368c0b, "_gpl");
SYMBOL_CRC(stm_data_write, 0xedccf0d2, "_gpl");
SYMBOL_CRC(stm_register_device, 0xddb508c8, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0xaff7e1db, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0xffd9b0fa, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0xa7aeb7b0, "_gpl");
SYMBOL_CRC(stm_source_write, 0x265d5110, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0x6f557d73, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x968c5441, "configfs_register_subsystem" },
	{ 0x21b8348a, "device_add" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0xe962393, "config_group_init_type_name" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf79fb603, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x448bb406, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa4ea9731, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7749cb89, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xd71c5fd1, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x2699bfc, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fb230f1, "config_item_put" },
	{ 0xd5de7767, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa405e1c3, "kobject_set_name" },
	{ 0x6045a225, "device_match_name" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0xbe63e7e9, "boot_cpu_data" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x9e8cc687, "__pm_runtime_suspend" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x17883ce2, "__pm_runtime_use_autosuspend" },
	{ 0xfe474462, "__pm_runtime_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x77d23480, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4c83a2d9, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x47d27382, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc30815ef, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x57d9ca80, "device_unregister" },
	{ 0x876dd181, "pm_runtime_set_autosuspend_delay" },
	{ 0x8cf24914, "vm_iomap_memory" },
	{ 0xe13ee9ff, "config_item_get" },
	{ 0x353bfcad, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x73641259, "pcpu_hot" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe147abf6, "configfs_unregister_subsystem" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcbdbeb02, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a9dbedd, "put_device" },
	{ 0xf0799e, "pm_runtime_enable" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x90974934, "module_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x9101e98b, "compat_ptr_ioctl" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "073FE6ACC6A3D5A014F553A");
