#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1e26116b, "input_unregister_device" },
	{ 0xe336903e, "regulator_bulk_disable" },
	{ 0x80c1b370, "input_mt_report_pointer_emulation" },
	{ 0xa6257a2f, "complete" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x5a921311, "strncmp" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x78e70a9c, "request_firmware" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xfd759551, "request_firmware_nowait" },
	{ 0xff8dfec2, "is_acpi_device_node" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x6589263d, "devm_regulator_bulk_get" },
	{ 0xd723ca95, "devm_gpiod_get_optional" },
	{ 0x47a47635, "devm_request_threaded_irq" },
	{ 0x55868d2a, "regulator_bulk_enable" },
	{ 0xc725611a, "sysfs_create_group" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x59f18048, "i2c_register_driver" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x8a6d8160, "i2c_transfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x88c639f6, "input_event" },
	{ 0x2b479e1b, "input_mt_report_slot_state" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x336fd715, "device_property_present" },
	{ 0x65488c16, "device_property_read_u32_array" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0xfaadbe5f, "i2c_del_driver" },
	{ 0xefccdab0, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0x69d7c274, "irq_get_irq_data" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xaa07019b, "i2c_transfer_buffer_flags" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x75c31abb, "input_device_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x8c60bfa6, "input_allocate_device" },
	{ 0x6dac6090, "input_set_capability" },
	{ 0x1eaab5c7, "input_set_abs_params" },
	{ 0xfe796d93, "input_mt_init_slots" },
	{ 0xfbd2d75e, "input_register_device" },
	{ 0xd8248949, "input_alloc_absinfo" },
	{ 0x31e3dde, "input_free_device" },
	{ 0xbc4c3bed, "sysfs_remove_group" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:qt602240_ts");
MODULE_ALIAS("i2c:atmel_mxt_ts");
MODULE_ALIAS("i2c:atmel_mxt_tp");
MODULE_ALIAS("i2c:maxtouch");
MODULE_ALIAS("i2c:mXT224");
MODULE_ALIAS("acpi*:ATML0000:*");
MODULE_ALIAS("acpi*:ATML0001:*");
MODULE_ALIAS("of:N*T*Catmel,maxtouch");
MODULE_ALIAS("of:N*T*Catmel,maxtouchC*");
MODULE_ALIAS("of:N*T*Catmel,qt602240_ts");
MODULE_ALIAS("of:N*T*Catmel,qt602240_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_ts");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tp");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tpC*");
MODULE_ALIAS("of:N*T*Catmel,mXT224");
MODULE_ALIAS("of:N*T*Catmel,mXT224C*");

MODULE_INFO(srcversion, "B779EFF909AFD78DEBE8CF1");
