#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53b954a2, "up_read" },
	{ 0x746b3e8b, "key_put" },
	{ 0x3cc4b494, "key_type_trusted" },
	{ 0x176dbcb5, "key_type_logon" },
	{ 0xeeae3e8, "key_type_encrypted" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xd4dbd9de, "crypto_alloc_ahash" },
	{ 0x9f984513, "strrchr" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x34ec2f0a, "dm_table_device_name" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x15c85de3, "mempool_init" },
	{ 0x9e51bcda, "bioset_init" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8c723c05, "dm_table_get_mode" },
	{ 0x914e0641, "dm_get_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcf8ee6a2, "kthread_create_on_node" },
	{ 0x1d890853, "wake_up_process" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x8aa4c1e1, "__folio_put" },
	{ 0x9dde915d, "bio_alloc_bioset" },
	{ 0x3102fdbd, "__bio_add_page" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x411edb5f, "bio_put" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8d17a4e, "bio_alloc_clone" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4d583e72, "bio_copy_data" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa6257a2f, "complete" },
	{ 0xc08bcce8, "dm_audit_log_bio" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xb102029f, "crypto_skcipher_decrypt" },
	{ 0x7e8f03bb, "crypto_aead_decrypt" },
	{ 0x35da7326, "crypto_aead_encrypt" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xf7e162d5, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x12b05c2d, "bio_associate_blkg" },
	{ 0xf1e625ca, "dm_accept_partial_bio" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x26c7967, "dm_register_target" },
	{ 0x1d93ea72, "dm_report_zones" },
	{ 0x122c3a7e, "_printk" },
	{ 0x754d539c, "strlen" },
	{ 0x349cba85, "strchr" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfb578fc5, "memset" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf3ee89ac, "crypto_skcipher_setkey" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x96848186, "scnprintf" },
	{ 0xe5c09172, "alloc_pages" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x1dd11a5, "bio_integrity_alloc" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3352d984, "bio_integrity_add_page" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x87fe483, "crypto_destroy_tfm" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x1000e51, "schedule" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa7846d64, "blk_start_plug" },
	{ 0xece784c2, "rb_first" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xede3a00a, "dm_submit_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x44a19513, "blk_finish_plug" },
	{ 0x4a449c6d, "__free_pages" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf3a6fada, "crypto_shash_update" },
	{ 0x7d3843aa, "crypto_shash_export" },
	{ 0x491965f, "dm_table_get_md" },
	{ 0x26439613, "crypto_aead_setauthsize" },
	{ 0xb505cb8e, "dm_device_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe400b66d, "dm_unregister_target" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf397b905, "crypto_alloc_skcipher" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x33f38432, "crypto_alloc_aead" },
	{ 0x85df9b6c, "strsep" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0x356f4c94, "dm_per_bio_data" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x3c916e11, "bio_endio" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x19271a8f, "crypto_shash_digest" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x1feb5cfd, "crypto_skcipher_encrypt" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5852a792, "crypto_alloc_shash" },
	{ 0x6354b77c, "kthread_stop" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x65b9789d, "bioset_exit" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x79b28d6f, "dm_put_device" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd444a159, "dm_audit_log_ti" },
	{ 0xf960a4a4, "crypto_aead_setkey" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5a921311, "strncmp" },
	{ 0xcfdb4fa9, "key_type_user" },
	{ 0xa1a35660, "request_key_tag" },
	{ 0x668b19a1, "down_read" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "dm-mod");


MODULE_INFO(srcversion, "CDE5779EC2B451A6997E532");
