#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0x1bc68d34, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0xc610b9e4, "");
SYMBOL_CRC(ivtv_api, 0xc3e9e359, "");
SYMBOL_CRC(ivtv_vapi, 0x4f8e33bb, "");
SYMBOL_CRC(ivtv_vapi_result, 0xc9fbe6fb, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0xd376b0f8, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0xc5533a4e, "");
SYMBOL_CRC(ivtv_udma_setup, 0x31bc33da, "");
SYMBOL_CRC(ivtv_udma_unmap, 0xbdf4375a, "");
SYMBOL_CRC(ivtv_udma_alloc, 0xc9e30455, "");
SYMBOL_CRC(ivtv_udma_prepare, 0x991613be, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0x920b6ca2, "");
SYMBOL_CRC(ivtv_firmware_check, 0x4139552c, "");
SYMBOL_CRC(ivtv_claim_stream, 0x1dcd1691, "");
SYMBOL_CRC(ivtv_release_stream, 0xf51ab2d3, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0x68ed4012, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x9cf0400d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xde80cd09, "ioremap" },
	{ 0x97dd985, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x6354b77c, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2664d900, "v4l2_event_subscribe" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe86e39d8, "dma_sync_single_for_cpu" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xc747289f, "pci_set_master" },
	{ 0xfd9cb637, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe25ede96, "v4l2_device_register" },
	{ 0x71fd4ec2, "param_ops_string" },
	{ 0xfd4d9073, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcf8ee6a2, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdfc0a5b, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe7aa8c1f, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x15e519aa, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfda38973, "v4l2_ctrl_new_std" },
	{ 0xd873b868, "v4l2_ctrl_g_ctrl" },
	{ 0x2a94a895, "cx2341x_handler_init" },
	{ 0xe6c3aa1f, "cx2341x_handler_set_50hz" },
	{ 0xdbd986f9, "v4l2_ctrl_handler_free" },
	{ 0x338524f8, "v4l2_device_unregister" },
	{ 0x12541d7e, "pci_disable_device" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x215c3120, "dma_set_mask" },
	{ 0x4a8e4afc, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1008d43f, "v4l2_subdev_call_wrappers" },
	{ 0x53c54541, "dma_unmap_sg_attrs" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x362dcac2, "v4l2_event_queue" },
	{ 0x3a218eb7, "v4l2_i2c_new_subdev" },
	{ 0xef788211, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4a1e81a8, "video_device_release_empty" },
	{ 0xdf4a8857, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcd42fdf5, "pci_write_config_dword" },
	{ 0x9de67fae, "v4l2_event_unsubscribe" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe2dd851a, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x73cc8aab, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x5b9d4da0, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x924cd833, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf5583990, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5570266b, "i2c_bit_add_bus" },
	{ 0xfac2862c, "v4l2_fh_del" },
	{ 0xc48c54f3, "v4l2_i2c_new_subdev_board" },
	{ 0xd317f6b6, "kthread_flush_worker" },
	{ 0x9716648a, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x230e0c0, "dma_unmap_page_attrs" },
	{ 0x78e70a9c, "request_firmware" },
	{ 0x5b4f4cd8, "__pci_register_driver" },
	{ 0x7811407f, "v4l2_ctrl_handler_init_class" },
	{ 0x9609f503, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x53587013, "unpin_user_pages" },
	{ 0xf6b26f07, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xaa07019b, "i2c_transfer_buffer_flags" },
	{ 0x844b2e09, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd3e981e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d890853, "wake_up_process" },
	{ 0x908529d9, "dev_driver_string" },
	{ 0x341d3787, "v4l2_device_register_subdev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x176cfc0f, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x43e50b46, "v4l2_ctrl_handler_log_status" },
	{ 0x3e647a9, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf8cb9ae1, "video_devdata" },
	{ 0x18f871df, "i2c_new_scanned_device" },
	{ 0x76df5822, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x2eeaf3b4, "kthread_queue_work" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4a449c6d, "__free_pages" },
	{ 0x824b421c, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x42914ac8, "__v4l2_ctrl_s_ctrl" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xee61fd0b, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0xd876515c, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xec91407c, "v4l2_fh_is_singular" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xabba3379, "pci_read_config_word" },
	{ 0x6fb5ee35, "v4l2_ctrl_subscribe_event" },
	{ 0x2e8e4092, "v4l2_fh_init" },
	{ 0x63eb729a, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3a2fc23d, "__kthread_init_worker" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,tveeprom,i2c-algo-bit");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "6D9C8CBEECBE2A1B0B96327");
