#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0x9c98a035, "");
SYMBOL_CRC(gspca_dev_probe2, 0x6289e983, "");
SYMBOL_CRC(gspca_dev_probe, 0x91b9aed7, "");
SYMBOL_CRC(gspca_disconnect, 0x0dfcaeaf, "");
SYMBOL_CRC(gspca_suspend, 0x38200160, "");
SYMBOL_CRC(gspca_resume, 0xe370d96d, "");
SYMBOL_CRC(gspca_expo_autogain, 0x8c8c104f, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0x2956a7d0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x77c96678, "usb_submit_urb" },
	{ 0x42914ac8, "__v4l2_ctrl_s_ctrl" },
	{ 0xb137c437, "vb2_ioctl_dqbuf" },
	{ 0x1d4cc80e, "usb_free_coherent" },
	{ 0xfba322c1, "vb2_ioctl_create_bufs" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x610678d8, "vb2_buffer_done" },
	{ 0xf7aa56b5, "vb2_plane_vaddr" },
	{ 0x6fb5ee35, "v4l2_ctrl_subscribe_event" },
	{ 0x52c72eec, "usb_set_interface" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x97dd985, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7dbfd9c0, "vb2_ioctl_qbuf" },
	{ 0x6d624918, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x42ce10eb, "vb2_vmalloc_memops" },
	{ 0x2a2a51fd, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x965da4a7, "vb2_fop_read" },
	{ 0xe25ede96, "v4l2_device_register" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfc0a5b, "__video_register_device" },
	{ 0x2dbbf49a, "vb2_ops_wait_prepare" },
	{ 0x25bdf9aa, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xaa61822e, "vb2_ioctl_streamon" },
	{ 0xbd75c164, "vb2_fop_poll" },
	{ 0xd873b868, "v4l2_ctrl_g_ctrl" },
	{ 0xdbd986f9, "v4l2_ctrl_handler_free" },
	{ 0x338524f8, "v4l2_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0x4a1e81a8, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9de67fae, "v4l2_event_unsubscribe" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xf0155c6c, "vb2_ioctl_reqbufs" },
	{ 0x2a261e8d, "vb2_queue_init" },
	{ 0x8c60bfa6, "input_allocate_device" },
	{ 0x87eb1074, "usb_alloc_urb" },
	{ 0x924cd833, "video_ioctl2" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xcf27add6, "usb_free_urb" },
	{ 0xb86b5a86, "v4l2_device_put" },
	{ 0xdccf2cb0, "vb2_ioctl_streamoff" },
	{ 0xbf84c523, "usb_alloc_coherent" },
	{ 0x7e278c3e, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2f551e60, "usb_ifnum_to_if" },
	{ 0xbe50410b, "vb2_ops_wait_finish" },
	{ 0x1e26116b, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7e27070, "vb2_ioctl_querybuf" },
	{ 0x9b6ceee8, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x31e3dde, "input_free_device" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2836c0a7, "usb_clear_halt" },
	{ 0x3e647a9, "v4l2_ctrl_handler_setup" },
	{ 0xfbd2d75e, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf8cb9ae1, "video_devdata" },
	{ 0xac240135, "vb2_queue_error" },
	{ 0xeca6ad39, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "C0F5C38121EAAFD38E0612A");
