#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mptscsih_flush_running_cmds, "", "");
KSYMTAB_FUNC(mptscsih_IssueTaskMgmt, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_response_code, "", "");
KSYMTAB_FUNC(mptscsih_is_phys_disk, "", "");
KSYMTAB_FUNC(mptscsih_raid_id_to_num, "", "");
KSYMTAB_FUNC(mptscsih_get_scsi_lookup, "", "");
KSYMTAB_DATA(mptscsih_host_attr_groups, "", "");
KSYMTAB_FUNC(mptscsih_remove, "", "");
KSYMTAB_FUNC(mptscsih_shutdown, "", "");
KSYMTAB_FUNC(mptscsih_suspend, "", "");
KSYMTAB_FUNC(mptscsih_resume, "", "");
KSYMTAB_FUNC(mptscsih_show_info, "", "");
KSYMTAB_FUNC(mptscsih_info, "", "");
KSYMTAB_FUNC(mptscsih_qcmd, "", "");
KSYMTAB_FUNC(mptscsih_slave_destroy, "", "");
KSYMTAB_FUNC(mptscsih_slave_configure, "", "");
KSYMTAB_FUNC(mptscsih_abort, "", "");
KSYMTAB_FUNC(mptscsih_dev_reset, "", "");
KSYMTAB_FUNC(mptscsih_target_reset, "", "");
KSYMTAB_FUNC(mptscsih_bus_reset, "", "");
KSYMTAB_FUNC(mptscsih_host_reset, "", "");
KSYMTAB_FUNC(mptscsih_bios_param, "", "");
KSYMTAB_FUNC(mptscsih_io_done, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_complete, "", "");
KSYMTAB_FUNC(mptscsih_scandv_complete, "", "");
KSYMTAB_FUNC(mptscsih_event_process, "", "");
KSYMTAB_FUNC(mptscsih_ioc_reset, "", "");
KSYMTAB_FUNC(mptscsih_change_queue_depth, "", "");

SYMBOL_CRC(mptscsih_flush_running_cmds, 0x29bd9db2, "");
SYMBOL_CRC(mptscsih_IssueTaskMgmt, 0xd796b457, "");
SYMBOL_CRC(mptscsih_taskmgmt_response_code, 0x3299d9a6, "");
SYMBOL_CRC(mptscsih_is_phys_disk, 0x59309d92, "");
SYMBOL_CRC(mptscsih_raid_id_to_num, 0x502d11e3, "");
SYMBOL_CRC(mptscsih_get_scsi_lookup, 0x8f67b3b3, "");
SYMBOL_CRC(mptscsih_host_attr_groups, 0x303380c3, "");
SYMBOL_CRC(mptscsih_remove, 0x6a02b690, "");
SYMBOL_CRC(mptscsih_shutdown, 0xed88c10d, "");
SYMBOL_CRC(mptscsih_suspend, 0x65578f3a, "");
SYMBOL_CRC(mptscsih_resume, 0xf6ccae8e, "");
SYMBOL_CRC(mptscsih_show_info, 0xdfa7f4fd, "");
SYMBOL_CRC(mptscsih_info, 0xa52c3b86, "");
SYMBOL_CRC(mptscsih_qcmd, 0x3e14ea83, "");
SYMBOL_CRC(mptscsih_slave_destroy, 0x11a49062, "");
SYMBOL_CRC(mptscsih_slave_configure, 0x7b819b4d, "");
SYMBOL_CRC(mptscsih_abort, 0xe4b364e6, "");
SYMBOL_CRC(mptscsih_dev_reset, 0xa27372b6, "");
SYMBOL_CRC(mptscsih_target_reset, 0x5531f88a, "");
SYMBOL_CRC(mptscsih_bus_reset, 0x68ae713c, "");
SYMBOL_CRC(mptscsih_host_reset, 0x3d413eec, "");
SYMBOL_CRC(mptscsih_bios_param, 0x474f3993, "");
SYMBOL_CRC(mptscsih_io_done, 0xef86960a, "");
SYMBOL_CRC(mptscsih_taskmgmt_complete, 0xf0b3d558, "");
SYMBOL_CRC(mptscsih_scandv_complete, 0xa468955e, "");
SYMBOL_CRC(mptscsih_event_process, 0x68ef83ae, "");
SYMBOL_CRC(mptscsih_ioc_reset, 0xb3f1be0d, "");
SYMBOL_CRC(mptscsih_change_queue_depth, 0x4ba783bd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2bc30ff5, "scsi_print_command" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x37a0cba, "kfree" },
	{ 0x6b24f245, "scsi_host_put" },
	{ 0xb4051da2, "mpt_detach" },
	{ 0xa6bafe6, "scsi_block_requests" },
	{ 0xc793ea02, "mpt_suspend" },
	{ 0x9d21a182, "mpt_resume" },
	{ 0x85f167a1, "scsi_unblock_requests" },
	{ 0xc0501744, "mpt_print_ioc_summary" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0xd0ff3d28, "scsi_dma_map" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd1b0719a, "mpt_get_msg_frame" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x4fdb233c, "mpt_put_msg_frame" },
	{ 0xa8bf5078, "mpt_free_msg_frame" },
	{ 0xed82ec35, "mpt_GetIocState" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5155b6d9, "mpt_set_taskmgmt_in_progress_flag" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2ae86fb0, "mpt_send_handshake_request" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd6991cb3, "mpt_clear_taskmgmt_in_progress_flag" },
	{ 0x37a12267, "mpt_Soft_Hard_ResetHandler" },
	{ 0x360f23c4, "mpt_HardResetHandler" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf1b32501, "mpt_put_msg_frame_hi_pri" },
	{ 0xa6257a2f, "complete" },
	{ 0xda44042d, "scsi_change_queue_depth" },
	{ 0x765ab64f, "blk_queue_dma_alignment" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x754d539c, "strlen" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x79b4177c, "mpt_raid_phys_disk_get_num_paths" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x15a6fa2d, "mpt_raid_phys_disk_pg1" },
	{ 0x5caee3f1, "scsi_dma_unmap" },
	{ 0x417ccf97, "scsi_done" },
	{ 0x476cfcb0, "sdev_prefix_printk" },
	{ 0x502108d0, "mpt_fwfault_debug" },
	{ 0xb5c06564, "mpt_halt_firmware" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "mptbase");


MODULE_INFO(srcversion, "9137CA81BF39A17E7D7C699");
