#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0x16fb8470, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0x7aed5ce9, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0x62b9ce49, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0x6f31146f, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0xfa1e1bc4, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0x18560b6a, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0x2ea6985c, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0x0e359b35, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0xfcc278d1, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0xf751b07a, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0xdfceba2b, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0xaf07ab49, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0x24d152ae, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0x85d238c9, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0xd7f122e3, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0x87fbc63e, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0x557a7064, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0x669c8df5, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0xdceb334b, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0x157d4340, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0x74c525a7, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0x683a3413, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0x330d823c, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0xea268cf6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x5b4f4cd8, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x5066e5a7, "pci_disable_msi" },
	{ 0x95363ee4, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd3e981e, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5f41e5c1, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xb8595789, "pm_schedule_suspend" },
	{ 0x553f0c8d, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xf6568107, "pci_enable_msi" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0xe836fbe8, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7157bbeb, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd00f8bb2, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb19b445, "ioread8" },
	{ 0xc747289f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd71c5fd1, "pm_runtime_forbid" },
	{ 0x5de01362, "dma_free_attrs" },
	{ 0x1487e867, "pm_runtime_allow" },
	{ 0x2699bfc, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0x1f4063ab, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe7aa8c1f, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x12541d7e, "pci_disable_device" },
	{ 0xaaf192a5, "mfd_remove_devices" },
	{ 0x215c3120, "dma_set_mask" },
	{ 0x53c54541, "dma_unmap_sg_attrs" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xef788211, "pci_read_config_byte" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeb819371, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcd42fdf5, "pci_write_config_dword" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xe2dd851a, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x69b0375d, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x11db6f4b, "pci_find_ext_capability" },
	{ 0xf5583990, "pci_enable_device" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005264sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "A1FDFBA8B366572C39CF75E");
