#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mmc_command_done, "", "");
KSYMTAB_FUNC(mmc_request_done, "", "");
KSYMTAB_FUNC(mmc_start_request, "", "");
KSYMTAB_FUNC(mmc_wait_for_req_done, "", "");
KSYMTAB_FUNC(mmc_cqe_start_req, "", "");
KSYMTAB_FUNC(mmc_cqe_request_done, "", "");
KSYMTAB_FUNC(mmc_cqe_post_req, "", "");
KSYMTAB_FUNC(mmc_cqe_recovery, "", "");
KSYMTAB_FUNC(mmc_is_req_done, "", "");
KSYMTAB_FUNC(mmc_wait_for_req, "", "");
KSYMTAB_FUNC(mmc_wait_for_cmd, "", "");
KSYMTAB_FUNC(mmc_set_data_timeout, "", "");
KSYMTAB_FUNC(__mmc_claim_host, "", "");
KSYMTAB_FUNC(mmc_release_host, "", "");
KSYMTAB_FUNC(mmc_get_card, "", "");
KSYMTAB_FUNC(mmc_put_card, "", "");
KSYMTAB_FUNC(mmc_detect_change, "", "");
KSYMTAB_FUNC(mmc_erase, "", "");
KSYMTAB_FUNC(mmc_can_erase, "", "");
KSYMTAB_FUNC(mmc_can_trim, "", "");
KSYMTAB_FUNC(mmc_can_discard, "", "");
KSYMTAB_FUNC(mmc_can_secure_erase_trim, "", "");
KSYMTAB_FUNC(mmc_erase_group_aligned, "", "");
KSYMTAB_FUNC(mmc_calc_max_discard, "", "");
KSYMTAB_FUNC(mmc_card_is_blockaddr, "", "");
KSYMTAB_FUNC(mmc_set_blocklen, "", "");
KSYMTAB_FUNC(mmc_hw_reset, "", "");
KSYMTAB_FUNC(mmc_sw_reset, "", "");
KSYMTAB_FUNC(mmc_detect_card_removed, "", "");
KSYMTAB_FUNC(mmc_card_alternative_gpt_sector, "", "");
KSYMTAB_FUNC(mmc_register_driver, "", "");
KSYMTAB_FUNC(mmc_unregister_driver, "", "");
KSYMTAB_FUNC(mmc_retune_pause, "", "");
KSYMTAB_FUNC(mmc_retune_unpause, "", "");
KSYMTAB_FUNC(mmc_retune_timer_stop, "", "");
KSYMTAB_FUNC(mmc_retune_release, "", "");
KSYMTAB_FUNC(mmc_of_parse_clk_phase, "", "");
KSYMTAB_FUNC(mmc_of_parse, "", "");
KSYMTAB_FUNC(mmc_of_parse_voltage, "", "");
KSYMTAB_FUNC(mmc_alloc_host, "", "");
KSYMTAB_FUNC(devm_mmc_alloc_host, "", "");
KSYMTAB_FUNC(mmc_add_host, "", "");
KSYMTAB_FUNC(mmc_remove_host, "", "");
KSYMTAB_FUNC(mmc_free_host, "", "");
KSYMTAB_FUNC(__mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_get_ext_csd, "_gpl", "");
KSYMTAB_FUNC(__mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_prepare_busy_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_switch, "_gpl", "");
KSYMTAB_FUNC(mmc_send_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_send_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_run_bkops, "", "");
KSYMTAB_FUNC(mmc_cmdq_enable, "_gpl", "");
KSYMTAB_FUNC(mmc_cmdq_disable, "_gpl", "");
KSYMTAB_FUNC(mmc_sanitize, "_gpl", "");
KSYMTAB_FUNC(mmc_app_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_sd_switch, "_gpl", "");
KSYMTAB_FUNC(sdio_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_host, "_gpl", "");
KSYMTAB_FUNC(sdio_release_host, "_gpl", "");
KSYMTAB_FUNC(sdio_enable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_disable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_set_block_size, "_gpl", "");
KSYMTAB_FUNC(sdio_align_size, "_gpl", "");
KSYMTAB_FUNC(sdio_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_fromio, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_toio, "_gpl", "");
KSYMTAB_FUNC(sdio_readsb, "_gpl", "");
KSYMTAB_FUNC(sdio_writesb, "_gpl", "");
KSYMTAB_FUNC(sdio_readw, "_gpl", "");
KSYMTAB_FUNC(sdio_writew, "_gpl", "");
KSYMTAB_FUNC(sdio_readl, "_gpl", "");
KSYMTAB_FUNC(sdio_writel, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_get_host_pm_caps, "_gpl", "");
KSYMTAB_FUNC(sdio_set_host_pm_flags, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_disable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_enable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_hold_now, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_release, "_gpl", "");
KSYMTAB_FUNC(sdio_signal_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_release_irq, "_gpl", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_get_ro, "", "");
KSYMTAB_FUNC(mmc_gpio_get_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_wake, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_isr, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd, "", "");
KSYMTAB_FUNC(mmc_can_gpio_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_ro, "", "");
KSYMTAB_FUNC(mmc_can_gpio_ro, "", "");
KSYMTAB_FUNC(mmc_regulator_set_ocr, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_set_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_get_supply, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_enable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_disable_vqmmc, "_gpl", "");

SYMBOL_CRC(mmc_command_done, 0x6a955a9c, "");
SYMBOL_CRC(mmc_request_done, 0xacf8c2d6, "");
SYMBOL_CRC(mmc_start_request, 0x88be7161, "");
SYMBOL_CRC(mmc_wait_for_req_done, 0x69642b2c, "");
SYMBOL_CRC(mmc_cqe_start_req, 0x60ac6d0d, "");
SYMBOL_CRC(mmc_cqe_request_done, 0x460e5c42, "");
SYMBOL_CRC(mmc_cqe_post_req, 0x1c132a08, "");
SYMBOL_CRC(mmc_cqe_recovery, 0xd70ee92e, "");
SYMBOL_CRC(mmc_is_req_done, 0x6b9a5533, "");
SYMBOL_CRC(mmc_wait_for_req, 0x4bdbbe8a, "");
SYMBOL_CRC(mmc_wait_for_cmd, 0xe7a5759c, "");
SYMBOL_CRC(mmc_set_data_timeout, 0xa37e0bf4, "");
SYMBOL_CRC(__mmc_claim_host, 0xa3bceba6, "");
SYMBOL_CRC(mmc_release_host, 0x6fdb486b, "");
SYMBOL_CRC(mmc_get_card, 0x6064ef6f, "");
SYMBOL_CRC(mmc_put_card, 0xd8545c26, "");
SYMBOL_CRC(mmc_detect_change, 0xb368cae5, "");
SYMBOL_CRC(mmc_erase, 0xa4b387f9, "");
SYMBOL_CRC(mmc_can_erase, 0xe65e8429, "");
SYMBOL_CRC(mmc_can_trim, 0xc0a53d84, "");
SYMBOL_CRC(mmc_can_discard, 0xe7dcc5ff, "");
SYMBOL_CRC(mmc_can_secure_erase_trim, 0xb0737a98, "");
SYMBOL_CRC(mmc_erase_group_aligned, 0x721666ff, "");
SYMBOL_CRC(mmc_calc_max_discard, 0xd7fb5dbf, "");
SYMBOL_CRC(mmc_card_is_blockaddr, 0xcdc0b6a1, "");
SYMBOL_CRC(mmc_set_blocklen, 0xb940c06d, "");
SYMBOL_CRC(mmc_hw_reset, 0x799a5700, "");
SYMBOL_CRC(mmc_sw_reset, 0xa5488548, "");
SYMBOL_CRC(mmc_detect_card_removed, 0xd41c91d9, "");
SYMBOL_CRC(mmc_card_alternative_gpt_sector, 0xa4db4c25, "");
SYMBOL_CRC(mmc_register_driver, 0xdb1ce64f, "");
SYMBOL_CRC(mmc_unregister_driver, 0x65297a36, "");
SYMBOL_CRC(mmc_retune_pause, 0x4e8b53aa, "");
SYMBOL_CRC(mmc_retune_unpause, 0xa0f69e8d, "");
SYMBOL_CRC(mmc_retune_timer_stop, 0x961a7a20, "");
SYMBOL_CRC(mmc_retune_release, 0xa406d286, "");
SYMBOL_CRC(mmc_of_parse_clk_phase, 0x337eca90, "");
SYMBOL_CRC(mmc_of_parse, 0x92ce3df0, "");
SYMBOL_CRC(mmc_of_parse_voltage, 0x185c7c28, "");
SYMBOL_CRC(mmc_alloc_host, 0xe75a54c9, "");
SYMBOL_CRC(devm_mmc_alloc_host, 0x6e6ba858, "");
SYMBOL_CRC(mmc_add_host, 0x9933d2b3, "");
SYMBOL_CRC(mmc_remove_host, 0x6c197163, "");
SYMBOL_CRC(mmc_free_host, 0x1eb9b63b, "");
SYMBOL_CRC(__mmc_send_status, 0xaa678f5e, "_gpl");
SYMBOL_CRC(mmc_send_status, 0xbc1dfe78, "_gpl");
SYMBOL_CRC(mmc_get_ext_csd, 0x606eb58f, "_gpl");
SYMBOL_CRC(__mmc_poll_for_busy, 0x85361b94, "_gpl");
SYMBOL_CRC(mmc_poll_for_busy, 0xdb82a51d, "_gpl");
SYMBOL_CRC(mmc_prepare_busy_cmd, 0xf6b5e355, "_gpl");
SYMBOL_CRC(mmc_switch, 0x0ddeb9da, "_gpl");
SYMBOL_CRC(mmc_send_tuning, 0x03b2b934, "_gpl");
SYMBOL_CRC(mmc_send_abort_tuning, 0x6c9cb0fa, "_gpl");
SYMBOL_CRC(mmc_run_bkops, 0xf449e818, "");
SYMBOL_CRC(mmc_cmdq_enable, 0xf95c95a7, "_gpl");
SYMBOL_CRC(mmc_cmdq_disable, 0x2f1cec8c, "_gpl");
SYMBOL_CRC(mmc_sanitize, 0xd39a820f, "_gpl");
SYMBOL_CRC(mmc_app_cmd, 0xff557017, "_gpl");
SYMBOL_CRC(mmc_sd_switch, 0x9e9b01dd, "_gpl");
SYMBOL_CRC(sdio_register_driver, 0x08fa7888, "_gpl");
SYMBOL_CRC(sdio_unregister_driver, 0x2f1bfeae, "_gpl");
SYMBOL_CRC(sdio_claim_host, 0xd282fc85, "_gpl");
SYMBOL_CRC(sdio_release_host, 0x7e093f47, "_gpl");
SYMBOL_CRC(sdio_enable_func, 0xded0e597, "_gpl");
SYMBOL_CRC(sdio_disable_func, 0xdda69caf, "_gpl");
SYMBOL_CRC(sdio_set_block_size, 0x1779d4db, "_gpl");
SYMBOL_CRC(sdio_align_size, 0x70dc3ca2, "_gpl");
SYMBOL_CRC(sdio_readb, 0x8edf72b5, "_gpl");
SYMBOL_CRC(sdio_writeb, 0x083289a7, "_gpl");
SYMBOL_CRC(sdio_writeb_readb, 0x04e879c7, "_gpl");
SYMBOL_CRC(sdio_memcpy_fromio, 0xf7f7e2ee, "_gpl");
SYMBOL_CRC(sdio_memcpy_toio, 0x103ee3f6, "_gpl");
SYMBOL_CRC(sdio_readsb, 0x707612b4, "_gpl");
SYMBOL_CRC(sdio_writesb, 0x26679c74, "_gpl");
SYMBOL_CRC(sdio_readw, 0xda909dcf, "_gpl");
SYMBOL_CRC(sdio_writew, 0x6a005f5e, "_gpl");
SYMBOL_CRC(sdio_readl, 0xccb6e4b1, "_gpl");
SYMBOL_CRC(sdio_writel, 0x5ba35e19, "_gpl");
SYMBOL_CRC(sdio_f0_readb, 0xe225928b, "_gpl");
SYMBOL_CRC(sdio_f0_writeb, 0xb2125cba, "_gpl");
SYMBOL_CRC(sdio_get_host_pm_caps, 0x23c6f15b, "_gpl");
SYMBOL_CRC(sdio_set_host_pm_flags, 0xf473f9d2, "_gpl");
SYMBOL_CRC(sdio_retune_crc_disable, 0xa0fa31ef, "_gpl");
SYMBOL_CRC(sdio_retune_crc_enable, 0x4aa4cc03, "_gpl");
SYMBOL_CRC(sdio_retune_hold_now, 0x894e30fa, "_gpl");
SYMBOL_CRC(sdio_retune_release, 0xb1138e44, "_gpl");
SYMBOL_CRC(sdio_signal_irq, 0x2dd4f3fa, "_gpl");
SYMBOL_CRC(sdio_claim_irq, 0xd6be8a73, "_gpl");
SYMBOL_CRC(sdio_release_irq, 0xf5378669, "_gpl");
SYMBOL_CRC(mmc_gpio_set_cd_irq, 0x23160a0b, "");
SYMBOL_CRC(mmc_gpio_get_ro, 0x99151454, "");
SYMBOL_CRC(mmc_gpio_get_cd, 0x2337762d, "");
SYMBOL_CRC(mmc_gpiod_request_cd_irq, 0xe86531bc, "");
SYMBOL_CRC(mmc_gpio_set_cd_wake, 0xaba4cdd4, "");
SYMBOL_CRC(mmc_gpio_set_cd_isr, 0x9b749a18, "");
SYMBOL_CRC(mmc_gpiod_request_cd, 0xb4634fdc, "");
SYMBOL_CRC(mmc_can_gpio_cd, 0x3317db99, "");
SYMBOL_CRC(mmc_gpiod_request_ro, 0x39a9b2d7, "");
SYMBOL_CRC(mmc_can_gpio_ro, 0x2d71a820, "");
SYMBOL_CRC(mmc_regulator_set_ocr, 0xde638c86, "_gpl");
SYMBOL_CRC(mmc_regulator_set_vqmmc, 0xac998633, "_gpl");
SYMBOL_CRC(mmc_regulator_get_supply, 0xd4fa3746, "_gpl");
SYMBOL_CRC(mmc_regulator_enable_vqmmc, 0x18a4dcd9, "_gpl");
SYMBOL_CRC(mmc_regulator_disable_vqmmc, 0x850f5333, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe0ce84ec, "devm_gpiod_get_index" },
	{ 0xf79fb603, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6354b77c, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x20289e68, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x47037719, "regulator_count_voltages" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6684ac59, "regulator_list_voltage" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x71d688de, "regulator_is_supported_voltage" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcf8ee6a2, "kthread_create_on_node" },
	{ 0x12a5aab2, "devm_kasprintf" },
	{ 0xf77ab6d, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6ab51983, "gpiod_cansleep" },
	{ 0xb1ed295e, "debugfs_create_file" },
	{ 0x49bc5bf5, "gpiod_is_active_low" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0x2699bfc, "__pm_runtime_resume" },
	{ 0xb34f7ecd, "debugfs_create_x32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x341ee2bd, "single_release" },
	{ 0xafc48fdd, "regulator_disable" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x9e8cc687, "__pm_runtime_suspend" },
	{ 0x93ffa57a, "set_primary_fwnode" },
	{ 0xbe3acf1d, "led_trigger_event" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x2c9f77fa, "single_open" },
	{ 0xff64dff3, "gpiod_set_consumer_name" },
	{ 0xfe474462, "__pm_runtime_disable" },
	{ 0x83f63baa, "debugfs_create_dir" },
	{ 0xbb7baf0c, "regulator_set_voltage" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x8fbbb79e, "driver_register" },
	{ 0x77d23480, "class_register" },
	{ 0xeb819371, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8bfcf81d, "__dev_fwnode" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x817f5acb, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xbddeb14f, "gpiod_get_value_cansleep" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6a9ac227, "regulator_enable" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x336fd715, "device_property_present" },
	{ 0xcfabd350, "wakeup_source_register" },
	{ 0xff8dfec2, "is_acpi_device_node" },
	{ 0x8214e6d7, "simple_attr_open" },
	{ 0x47a47635, "devm_request_threaded_irq" },
	{ 0xcbb89af8, "debugfs_attr_write" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc37abed6, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0x34747759, "trace_event_printf" },
	{ 0x5b6dff2e, "led_trigger_register_simple" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x353bfcad, "device_initialize" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0x442313d9, "gpiod_to_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x598d312b, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x39c52621, "gpiod_toggle_active_low" },
	{ 0xf4fedc8f, "dev_pm_domain_attach" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1b4f270e, "bpf_trace_run2" },
	{ 0x248452fd, "gpiod_get_value" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3c7398be, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5208d4f4, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xb46ca42, "sched_set_fifo_low" },
	{ 0xde5c0ea0, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x42a404fe, "devm_regulator_get_optional" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1d890853, "wake_up_process" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0x7ab985, "pm_generic_runtime_resume" },
	{ 0xc2a9aebe, "pm_generic_resume" },
	{ 0xb3211539, "regulator_get_voltage" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcbdbeb02, "__pm_runtime_set_status" },
	{ 0x1739e8d4, "pm_wakeup_ws_event" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x5b4597cc, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a9dbedd, "put_device" },
	{ 0xf0799e, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x65488c16, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xb7a8b423, "gpiod_set_debounce" },
	{ 0x9d8fdb73, "dev_pm_domain_detach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x56d9b2b5, "pm_generic_runtime_suspend" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xe7108886, "pm_generic_suspend" },
	{ 0x657c67bf, "debugfs_attr_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0xb87c4fd0, "bus_unregister" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xd8e0dee0, "debugfs_create_file_unsafe" },
	{ 0x21b8348a, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x378487c, "simple_attr_release" },
	{ 0x854ec664, "wakeup_source_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9e637e13, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xcfb9f211, "__devres_alloc_node" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0xc2015173, "driver_unregister" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9F4AEFCD645B805E05B0B14");
