#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nanddev_isbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_markbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_isreserved, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_erase, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_max_bad_blocks, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_update, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_get_block_status, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_set_block_status, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_prepare_io_req, "", "");
KSYMTAB_FUNC(nand_ecc_finish_io_req, "", "");
KSYMTAB_FUNC(nand_get_small_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_hamming_ooblayout, "_gpl", "");
KSYMTAB_FUNC(of_get_nand_ecc_user_config, "", "");
KSYMTAB_FUNC(nand_ecc_is_strong_enough, "", "");
KSYMTAB_FUNC(nand_ecc_init_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_cleanup_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_tweak_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_restore_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_get_sw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_die_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_register_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_unregister_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_put_on_host_hw_engine, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_get_engine, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_get_engine, "", "");

SYMBOL_CRC(nanddev_isbad, 0x5c374d14, "_gpl");
SYMBOL_CRC(nanddev_markbad, 0x1bd318c8, "_gpl");
SYMBOL_CRC(nanddev_isreserved, 0xf7b4967e, "_gpl");
SYMBOL_CRC(nanddev_mtd_erase, 0x0921c871, "_gpl");
SYMBOL_CRC(nanddev_mtd_max_bad_blocks, 0x27ce8ec2, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_init, 0x705aaf0a, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_cleanup, 0xc05bae94, "_gpl");
SYMBOL_CRC(nanddev_init, 0x7551eab6, "_gpl");
SYMBOL_CRC(nanddev_cleanup, 0x5351c942, "_gpl");
SYMBOL_CRC(nanddev_bbt_init, 0x0ccf79dc, "_gpl");
SYMBOL_CRC(nanddev_bbt_cleanup, 0x9d5630d2, "_gpl");
SYMBOL_CRC(nanddev_bbt_update, 0x118dbc8d, "_gpl");
SYMBOL_CRC(nanddev_bbt_get_block_status, 0xf63cf1ea, "_gpl");
SYMBOL_CRC(nanddev_bbt_set_block_status, 0xee8119f3, "_gpl");
SYMBOL_CRC(nand_ecc_init_ctx, 0xa37a1263, "");
SYMBOL_CRC(nand_ecc_cleanup_ctx, 0xf5272107, "");
SYMBOL_CRC(nand_ecc_prepare_io_req, 0x8255226f, "");
SYMBOL_CRC(nand_ecc_finish_io_req, 0x9978dac2, "");
SYMBOL_CRC(nand_get_small_page_ooblayout, 0xb0c222c2, "_gpl");
SYMBOL_CRC(nand_get_large_page_ooblayout, 0x6e6ba81f, "_gpl");
SYMBOL_CRC(nand_get_large_page_hamming_ooblayout, 0x8de3c6e2, "_gpl");
SYMBOL_CRC(of_get_nand_ecc_user_config, 0x7aa69113, "");
SYMBOL_CRC(nand_ecc_is_strong_enough, 0x14242e3a, "");
SYMBOL_CRC(nand_ecc_init_req_tweaking, 0x57d6f727, "_gpl");
SYMBOL_CRC(nand_ecc_cleanup_req_tweaking, 0x12808395, "_gpl");
SYMBOL_CRC(nand_ecc_tweak_req, 0xd0603f95, "_gpl");
SYMBOL_CRC(nand_ecc_restore_req, 0xcde5643c, "_gpl");
SYMBOL_CRC(nand_ecc_get_sw_engine, 0x4fbf3120, "");
SYMBOL_CRC(nand_ecc_get_on_die_hw_engine, 0xdf8deebe, "");
SYMBOL_CRC(nand_ecc_register_on_host_hw_engine, 0x1b3615c3, "");
SYMBOL_CRC(nand_ecc_unregister_on_host_hw_engine, 0x0ec754f4, "");
SYMBOL_CRC(nand_ecc_get_on_host_hw_engine, 0xe5b93dd9, "");
SYMBOL_CRC(nand_ecc_put_on_host_hw_engine, 0xb4b7c8f7, "");
SYMBOL_CRC(ecc_sw_hamming_calculate, 0xff4351b0, "");
SYMBOL_CRC(nand_ecc_sw_hamming_calculate, 0x4695a287, "");
SYMBOL_CRC(ecc_sw_hamming_correct, 0xe6db989b, "");
SYMBOL_CRC(nand_ecc_sw_hamming_correct, 0x018d5b47, "");
SYMBOL_CRC(nand_ecc_sw_hamming_init_ctx, 0x6113a322, "");
SYMBOL_CRC(nand_ecc_sw_hamming_cleanup_ctx, 0xe142ca5f, "");
SYMBOL_CRC(nand_ecc_sw_hamming_get_engine, 0x65a42c10, "");
SYMBOL_CRC(nand_ecc_sw_bch_calculate, 0x1a89890f, "");
SYMBOL_CRC(nand_ecc_sw_bch_correct, 0x3b9aa96b, "");
SYMBOL_CRC(nand_ecc_sw_bch_init_ctx, 0xf442690f, "");
SYMBOL_CRC(nand_ecc_sw_bch_cleanup_ctx, 0x107f0e03, "");
SYMBOL_CRC(nand_ecc_sw_bch_get_engine, 0xf450127d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x33419934, "mtd_ooblayout_set_eccbytes" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a9dbedd, "put_device" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd3e3481, "bch_free" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1ab46847, "mtd_ooblayout_count_eccbytes" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x860a2eab, "bch_decode" },
	{ 0x1a267fa8, "bch_init" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xc3604d77, "mtd_ooblayout_get_eccbytes" },
	{ 0xc303f52, "bch_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "mtd,bch");


MODULE_INFO(srcversion, "C8CC18D47CCA8CBC7F50A06");
