#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0xeaa1ec95, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0x39d296ae, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0xceb5a4a4, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0x20684e5d, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0x3657e278, "_gpl");
SYMBOL_CRC(m_can_class_register, 0xa06e4316, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0xeba504c5, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0x7de6851d, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0x11f9ec88, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x1e2b4d15, "unregister_candev" },
	{ 0x317eaeb3, "can_rx_offload_del" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf75cdd75, "netif_napi_add_weight" },
	{ 0x1a70de3e, "devm_clk_get" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xb7260ad7, "netif_tx_wake_queue" },
	{ 0x2699bfc, "__pm_runtime_resume" },
	{ 0x26c74fe2, "phy_power_on" },
	{ 0x54eea9ce, "open_candev" },
	{ 0xa49dfdd1, "phy_power_off" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x23659da5, "netdev_err" },
	{ 0x3e47b778, "close_candev" },
	{ 0xeb819371, "__pm_runtime_idle" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x11e1e18, "napi_disable" },
	{ 0xa5b4b2d4, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xcf2b7eb7, "napi_enable" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x21dc5d56, "can_put_echo_skb" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0x80f2742b, "can_dropped_invalid_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96dda744, "netdev_printk" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe84671af, "pinctrl_pm_select_sleep_state" },
	{ 0x6527dc4c, "netif_device_detach" },
	{ 0x83f9643c, "pinctrl_pm_select_default_state" },
	{ 0x7d444937, "netif_device_attach" },
	{ 0xa53794b0, "register_candev" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x1c0a1fc0, "can_rx_offload_add_manual" },
	{ 0xa78a9571, "alloc_can_skb" },
	{ 0xb105100f, "can_rx_offload_queue_timestamp" },
	{ 0x3cde6b95, "alloc_canfd_skb" },
	{ 0xf7549f75, "__dynamic_netdev_dbg" },
	{ 0x44425efd, "netif_receive_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x69b55ffe, "can_bus_off" },
	{ 0x2b09a2f0, "alloc_can_err_skb" },
	{ 0xdde02604, "napi_schedule_prep" },
	{ 0xbb545620, "can_rx_offload_threaded_irq_finish" },
	{ 0x68de546, "__napi_schedule" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0xedb6af44, "napi_complete_done" },
	{ 0xbcb4244d, "ethtool_op_get_ts_info" },
	{ 0x9103b605, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x8bfcf81d, "__dev_fwnode" },
	{ 0xd580d82c, "fwnode_property_read_u32_array" },
	{ 0x8715eda5, "alloc_candev_mqs" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xb70355bf, "free_candev" },
	{ 0x976bed67, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0x4b265d7c, "can_get_echo_skb" },
	{ 0xb5622163, "can_free_echo_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2ab8879f, "netdev_warn" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "B2AA917169031CACB7D7B17");
