#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x4f21db89, "pci_iomap_range" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xbfe0f8fa, "devlink_port_unregister" },
	{ 0x56c1e185, "devlink_flash_update_timeout_notify" },
	{ 0x57bc19d2, "down_write" },
	{ 0x457ef90d, "devm_kfree" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xdadd8594, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x9a336f6d, "softnet_data" },
	{ 0x40d2feb4, "debugfs_create_bool" },
	{ 0x96a5916b, "ptp_clock_register" },
	{ 0xdb4cf901, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8b872df0, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7157bbeb, "dma_alloc_attrs" },
	{ 0x9e637e13, "debugfs_remove" },
	{ 0xcf2b7eb7, "napi_enable" },
	{ 0xbcca2e66, "register_netdev" },
	{ 0x9d8240a0, "debugfs_create_u64" },
	{ 0xcc103646, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x94b7c3fa, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb7260ad7, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xe86e39d8, "dma_sync_single_for_cpu" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xf2f5941a, "netif_schedule_queue" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xc747289f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x62b8f890, "debugfs_create_u32" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2982e6c9, "ptp_clock_unregister" },
	{ 0x824238be, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x668b19a1, "down_read" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf7549f75, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa32e3f01, "dma_set_coherent_mask" },
	{ 0xf77ab6d, "seq_read" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb1ed295e, "debugfs_create_file" },
	{ 0x5de01362, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xb34f7ecd, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1f4063ab, "pci_release_regions" },
	{ 0x80584309, "pcie_print_link_status" },
	{ 0xe5c09172, "alloc_pages" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xde478dc4, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0x7955863a, "devlink_priv" },
	{ 0x670f8ef2, "__hw_addr_sync_dev" },
	{ 0x854a65ac, "devlink_port_register_with_ops" },
	{ 0xb84db59a, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe042f87b, "netif_carrier_on" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x12541d7e, "pci_disable_device" },
	{ 0x6d073985, "seq_puts" },
	{ 0x341ee2bd, "single_release" },
	{ 0x215c3120, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa4191c0b, "memset_io" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xd5e23968, "__napi_schedule_irqoff" },
	{ 0xdde02604, "napi_schedule_prep" },
	{ 0x11e1e18, "napi_disable" },
	{ 0x977e7413, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x2c9f77fa, "single_open" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x83f63baa, "debugfs_create_dir" },
	{ 0x9c5aa90d, "ptp_schedule_worker" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x920cd9ad, "pci_free_irq_vectors" },
	{ 0xe83a9527, "pci_enable_sriov" },
	{ 0x7b919e09, "skb_clone_tx_timestamp" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xbcb4244d, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x17ca30b3, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5482639f, "alloc_etherdev_mqs" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x24439a21, "napi_gro_frags" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x45bbaeb1, "devlink_unregister" },
	{ 0x47a47635, "devm_request_threaded_irq" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0x1f629a95, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x1071af95, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x767df306, "__napi_alloc_skb" },
	{ 0xd0f79a5e, "pci_enable_device_mem" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0x5203eddc, "pci_iomap" },
	{ 0xd18ae90b, "pci_alloc_irq_vectors" },
	{ 0xf75cdd75, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x110d5c86, "unregister_netdev" },
	{ 0x43ba31fd, "napi_get_frags" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x55d22e49, "debugfs_create_u16" },
	{ 0x230e0c0, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0x5b4f4cd8, "__pci_register_driver" },
	{ 0x9609f503, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x21887863, "pci_num_vf" },
	{ 0x15fd3af0, "skb_add_rx_frag" },
	{ 0xe7ee01c, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x5f6d5ba2, "ptp_clock_index" },
	{ 0x344ac146, "debugfs_create_blob" },
	{ 0x95363ee4, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31217597, "devlink_alloc_ns" },
	{ 0x8052ee06, "devlink_register" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x598d312b, "seq_lseek" },
	{ 0x15b11bff, "pci_reset_function_locked" },
	{ 0xb6065a4, "devlink_free" },
	{ 0xdcda42ec, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2ab8879f, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x6a25b888, "pci_irq_vector" },
	{ 0x8d1a83fe, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd3e981e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xb0669bdc, "eth_commit_mac_addr_change" },
	{ 0x23659da5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb68e8454, "pskb_expand_head" },
	{ 0x8ff6d532, "devlink_flash_update_status_notify" },
	{ 0x908529d9, "dev_driver_string" },
	{ 0x415aaf81, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xf40b5f74, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x176cfc0f, "dma_map_page_attrs" },
	{ 0xedb6af44, "napi_complete_done" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x62a2657d, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4c75c6fd, "debugfs_create_x64" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfc18b431, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0x68de546, "__napi_schedule" },
	{ 0x146b0e38, "eth_prepare_mac_addr_change" },
	{ 0xa916b694, "strnlen" },
	{ 0x6527dc4c, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x4a449c6d, "__free_pages" },
	{ 0x2c4e28a6, "debugfs_create_regset32" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x6007c8b0, "napi_gro_receive" },
	{ 0x7d444937, "netif_device_attach" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001DD8d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DD8d00001003sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F654CEB69236202A8B3353B");
