#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf40b5f74, "eth_type_trans" },
	{ 0x17ca30b3, "netdev_info" },
	{ 0xde478dc4, "netif_carrier_off" },
	{ 0xe042f87b, "netif_carrier_on" },
	{ 0x2ab8879f, "netdev_warn" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xd086861c, "pci_restore_state" },
	{ 0x7d444937, "netif_device_attach" },
	{ 0x7157bbeb, "dma_alloc_attrs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xf5583990, "pci_enable_device" },
	{ 0x5482639f, "alloc_etherdev_mqs" },
	{ 0x95363ee4, "pci_request_regions" },
	{ 0xc747289f, "pci_set_master" },
	{ 0xabba3379, "pci_read_config_word" },
	{ 0x965eef51, "pci_write_config_word" },
	{ 0xb3379349, "pci_try_set_mwi" },
	{ 0xef788211, "pci_read_config_byte" },
	{ 0x215c3120, "dma_set_mask" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x5f41e5c1, "pci_read_config_dword" },
	{ 0xcd42fdf5, "pci_write_config_dword" },
	{ 0xa32e3f01, "dma_set_coherent_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5203eddc, "pci_iomap" },
	{ 0xb7a24f31, "pci_save_state" },
	{ 0xbcca2e66, "register_netdev" },
	{ 0xf7549f75, "__dynamic_netdev_dbg" },
	{ 0x1496bdd7, "eth_mac_addr" },
	{ 0xdcda42ec, "eth_validate_addr" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x5b4f4cd8, "__pci_register_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x23659da5, "netdev_err" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x230e0c0, "dma_unmap_page_attrs" },
	{ 0x977e7413, "dev_kfree_skb_any_reason" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xe5c09172, "alloc_pages" },
	{ 0x176cfc0f, "dma_map_page_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x754d539c, "strlen" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x46f22022, "dev_kfree_skb_irq_reason" },
	{ 0x96dda744, "netdev_printk" },
	{ 0xb7260ad7, "netif_tx_wake_queue" },
	{ 0x78e70a9c, "request_firmware" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd3e981e, "pci_unregister_driver" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1000e51, "schedule" },
	{ 0x110d5c86, "unregister_netdev" },
	{ 0x999e8297, "vfree" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5de01362, "dma_free_attrs" },
	{ 0xacf8166d, "pci_iounmap" },
	{ 0xcc103646, "free_netdev" },
	{ 0x1f4063ab, "pci_release_regions" },
	{ 0x12541d7e, "pci_disable_device" },
	{ 0xe7aa8c1f, "pci_write_config_byte" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x6bd7f287, "pci_status_get_and_clear_errors" },
	{ 0x4a449c6d, "__free_pages" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6a7b1ab3, "__skb_pad" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfb578fc5, "memset" },
	{ 0x4d1e8619, "netif_rx" },
	{ 0x6527dc4c, "netif_device_detach" },
	{ 0x415aaf81, "dev_addr_mod" },
	{ 0x4f2ad77a, "__netdev_alloc_skb" },
	{ 0xe86e39d8, "dma_sync_single_for_cpu" },
	{ 0x9609f503, "dma_sync_single_for_device" },
	{ 0x1f629a95, "skb_put" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v0000108Ed0000ABBAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000100Bd00000035sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "6F17E068E992AF46B525B2D");
