#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x5db02e73, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xb9dc7045, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xdaeaab6f, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x1988ce8b, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x6da4ae89, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7297fcae, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x30bc7743, "eth_header_cache_update" },
	{ 0x38926558, "nf_register_net_hooks" },
	{ 0x28a94654, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x8bd50eab, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xda3cd6cf, "__dev_get_by_index" },
	{ 0x92beaee1, "rtnl_link_unregister" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1cdc765a, "netif_stacked_transfer_operstate" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0xf4352763, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbb890fdd, "ns_capable" },
	{ 0x57140fcc, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x94b7c3fa, "ethtool_op_get_link" },
	{ 0xb6e2ca56, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xe9c14ab8, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x824238be, "__pskb_pull_tail" },
	{ 0x4d1e8619, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xccd5a73b, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xb75298da, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe90f7468, "vlan_vid_add" },
	{ 0x5ccd89d0, "call_netdevice_notifiers" },
	{ 0xde3378c8, "vlan_vid_del" },
	{ 0xd883028c, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd912ffa1, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xda86e943, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6c46e1c5, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x32706f7, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x89b334fb, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x5d3f8d9, "dev_mc_unsync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8c981ff8, "dev_change_flags" },
	{ 0xead61eaa, "netdev_core_stats_inc" },
	{ 0xbc13dda9, "dev_forward_skb" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xff759055, "register_netdevice" },
	{ 0x4fb5b9d9, "__do_once_done" },
	{ 0xedfa1ca5, "ip6_route_input_lookup" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x68fc04cd, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xcc6d90d2, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x60676ee0, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfa220970, "netdev_update_features" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0x581ab97e, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x425eea45, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3fe48c3a, "rtnl_link_register" },
	{ 0x21b83006, "netif_inherit_tso_max" },
	{ 0x5ad774a6, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x73641259, "pcpu_hot" },
	{ 0xcb9786f9, "ip_route_output_flow" },
	{ 0xfc9af44c, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8b03f215, "dev_uc_unsync" },
	{ 0x500333e6, "ether_setup" },
	{ 0x23659da5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50968999, "netdev_upper_dev_link" },
	{ 0x54c3a404, "register_pernet_subsys" },
	{ 0x415aaf81, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xd1679f39, "eth_header_parse" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A718702CFF342B4DC11D0BF");
