#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(smsc_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_config_init, "_gpl", "");
KSYMTAB_FUNC(lan87xx_read_status, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_get_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_set_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_probe, "_gpl", "");

SYMBOL_CRC(smsc_phy_config_intr, 0x58c2e21e, "_gpl");
SYMBOL_CRC(smsc_phy_handle_interrupt, 0x9919b39a, "_gpl");
SYMBOL_CRC(smsc_phy_config_init, 0xc161ac29, "_gpl");
SYMBOL_CRC(lan87xx_read_status, 0xf34d7f31, "_gpl");
SYMBOL_CRC(smsc_phy_get_tunable, 0x254399fd, "_gpl");
SYMBOL_CRC(smsc_phy_set_tunable, 0xf48cfa2e, "_gpl");
SYMBOL_CRC(smsc_phy_probe, 0xc04e8012, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf2cc7ab, "genphy_read_status" },
	{ 0xb957f449, "mdiobus_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0x336fd715, "device_property_present" },
	{ 0x88c69e86, "devm_clk_get_optional_enabled" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x5b8f221b, "dev_err_probe" },
	{ 0xc9f81a77, "phy_drivers_register" },
	{ 0x16a2c207, "phy_read_mmd" },
	{ 0xf6b25c40, "__genphy_config_aneg" },
	{ 0xb78085c5, "phy_modify" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x3790204d, "genphy_soft_reset" },
	{ 0x707dc952, "phy_drivers_unregister" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xa463c483, "phy_write_mmd" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd8acf09, "genphy_suspend" },
	{ 0x216df67e, "genphy_resume" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc6a4ff9b, "mdiobus_read" },
	{ 0xf8423a4e, "phy_trigger_machine" },
	{ 0xb14793f, "phy_error" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("mdio:0000000000000111110000001010????");
MODULE_ALIAS("mdio:0000000000000111110000001011????");
MODULE_ALIAS("mdio:0000000000000111110000001100????");
MODULE_ALIAS("mdio:0000000000000111110000001101????");
MODULE_ALIAS("mdio:0000000000000111110000001111????");
MODULE_ALIAS("mdio:0000000000000111110000010001????");
MODULE_ALIAS("mdio:0000000000000111110000010011??0?");

MODULE_INFO(srcversion, "66F96A3A218F829563119ED");
