#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0xd5f653b1, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0xc2ef21ac, "");
SYMBOL_CRC(team_options_register, 0x16fecab2, "");
SYMBOL_CRC(team_options_unregister, 0x4159d371, "");
SYMBOL_CRC(team_option_inst_set_change, 0xc70e31f8, "");
SYMBOL_CRC(team_options_change_check, 0xdb616c38, "");
SYMBOL_CRC(team_mode_register, 0x0871fb84, "");
SYMBOL_CRC(team_mode_unregister, 0x5fa78874, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x11089ac7, "_ctype" },
	{ 0xaeef1660, "__nlmsg_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x2ab8879f, "netdev_warn" },
	{ 0xb6e2ca56, "__ethtool_get_link_ksettings" },
	{ 0x47d27382, "try_module_get" },
	{ 0x17ca30b3, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x754d539c, "strlen" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xf4352763, "netdev_upper_dev_unlink" },
	{ 0x7297fcae, "netdev_rx_handler_unregister" },
	{ 0xc03d7c20, "vlan_vids_del_by_dev" },
	{ 0x449aad1a, "dev_close" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xed49ec00, "netdev_change_features" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x14facdd4, "netdev_has_upper_dev" },
	{ 0x902e5ac1, "dev_uc_flush" },
	{ 0x4297c518, "dev_mc_flush" },
	{ 0xc0c22d20, "vlan_uses_dev" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x94a51e72, "dev_open" },
	{ 0xff942469, "vlan_vids_add_by_dev" },
	{ 0x6c46e1c5, "netdev_rx_handler_register" },
	{ 0xb95991dc, "netdev_master_upper_dev_link" },
	{ 0xf8f613f6, "dev_disable_lro" },
	{ 0x73641259, "pcpu_hot" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x94b7c3fa, "ethtool_op_get_link" },
	{ 0x6a9845a1, "passthru_features_check" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93327508, "dev_set_mac_address" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc5a48841, "netlink_unicast" },
	{ 0x91ba374f, "dev_get_by_index" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe042f87b, "netif_carrier_on" },
	{ 0xde478dc4, "netif_carrier_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd883028c, "dev_set_allmulti" },
	{ 0x622061f0, "dev_set_promiscuity" },
	{ 0x8b03f215, "dev_uc_unsync" },
	{ 0x5d3f8d9, "dev_mc_unsync" },
	{ 0xe035c4e3, "dev_set_mtu" },
	{ 0x23659da5, "netdev_err" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf7549f75, "__dynamic_netdev_dbg" },
	{ 0x977e7413, "dev_kfree_skb_any_reason" },
	{ 0x1222487d, "dev_uc_sync_multiple" },
	{ 0x3c7720b5, "dev_mc_sync_multiple" },
	{ 0x415aaf81, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xde3378c8, "vlan_vid_del" },
	{ 0xe90f7468, "vlan_vid_add" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x90974934, "module_put" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x17b48051, "__alloc_skb" },
	{ 0x5156fd10, "genlmsg_put" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0xff759055, "register_netdevice" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x500333e6, "ether_setup" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3fe48c3a, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x5a71b544, "genl_register_family" },
	{ 0x92beaee1, "rtnl_link_unregister" },
	{ 0xda75f552, "genl_unregister_family" },
	{ 0x788f9c5f, "netlink_broadcast_filtered" },
	{ 0xd912ffa1, "skb_clone" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb75298da, "__dev_queue_xmit" },
	{ 0xf7e162d5, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x3c08530b, "netpoll_send_skb" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xd1ca8031, "__netpoll_setup" },
	{ 0x37a0cba, "kfree" },
	{ 0x4fbf85d8, "__netpoll_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xc7ed8c8e, "skb_trim" },
	{ 0x23a578c8, "netdev_lower_state_changed" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x5ccd89d0, "call_netdevice_notifiers" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2C936B5FBB2D4C223A93931");
