#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0xaf754f7d, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x03c6353d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xefdbff79, "xdp_return_frame_rx_napi" },
	{ 0xf6ac632b, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x34152f9a, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x63e40b20, "sock_init_data_uid" },
	{ 0x8cf8d1c4, "sk_free" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xdb6d7eee, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x7b919e09, "skb_clone_tx_timestamp" },
	{ 0x4714a25f, "skb_tx_error" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x1071af95, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x1615c610, "skb_copy_ubufs" },
	{ 0x141f685f, "__skb_get_hash_symmetric" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2b81a9e2, "___pskb_trim" },
	{ 0xa2f74584, "skb_queue_purge_reason" },
	{ 0x11e1e18, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6a5a8bf0, "xdp_rxq_info_unreg" },
	{ 0x8d1a83fe, "__netif_napi_del" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x90974934, "module_put" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0xdb4cf901, "netif_set_real_num_tx_queues" },
	{ 0x8b872df0, "netif_set_real_num_rx_queues" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xfc9af44c, "unregister_netdevice_queue" },
	{ 0x4490ae01, "netdev_state_change" },
	{ 0xd595b1c4, "build_skb" },
	{ 0x1f629a95, "skb_put" },
	{ 0xd758e0d3, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x43ba31fd, "napi_get_frags" },
	{ 0x46f6bc12, "iov_iter_single_seg_count" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xb68e8454, "pskb_expand_head" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6612c560, "sock_recv_errqueue" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x8ef46581, "__skb_flow_dissect" },
	{ 0x3f260463, "skb_partial_csum_set" },
	{ 0x824238be, "__pskb_pull_tail" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x2b44250c, "xdp_rxq_info_is_reg" },
	{ 0xc9e89c57, "lock_sock_nested" },
	{ 0xd7da75dd, "sk_attach_filter" },
	{ 0x7b5df07a, "release_sock" },
	{ 0x77a226bb, "__xdp_rxq_info_reg" },
	{ 0xfd4dd03d, "xdp_rxq_info_reg_mem_model" },
	{ 0xf75cdd75, "netif_napi_add_weight" },
	{ 0xcf2b7eb7, "napi_enable" },
	{ 0xb6fb3c38, "__dev_get_by_name" },
	{ 0xbb890fdd, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x9721fba6, "alloc_netdev_mqs" },
	{ 0xbc3dd9bd, "ip_tunnel_header_ops" },
	{ 0xff759055, "register_netdevice" },
	{ 0xb7260ad7, "netif_tx_wake_queue" },
	{ 0x500333e6, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x415aaf81, "dev_addr_mod" },
	{ 0xcc103646, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xaad2026e, "get_net_ns" },
	{ 0x3ce36b6d, "open_related_ns" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x4b7bb731, "make_kgid" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xfb58bff7, "sk_detach_filter" },
	{ 0xfa220970, "netdev_update_features" },
	{ 0x46a651a4, "dev_get_mac_address" },
	{ 0x5c18a965, "dev_set_mac_address_user" },
	{ 0x99a29332, "make_kuid" },
	{ 0x570f1ba9, "init_user_ns" },
	{ 0x7096b84a, "from_kuid" },
	{ 0x5ccd89d0, "call_netdevice_notifiers" },
	{ 0x2a742678, "from_kgid" },
	{ 0x6f575ff8, "__module_get" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xf40b5f74, "eth_type_trans" },
	{ 0xf12c8f5b, "xdp_master_redirect" },
	{ 0x978a9894, "do_xdp_generic" },
	{ 0x9cdffd39, "__page_frag_cache_drain" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x8aa4c1e1, "__folio_put" },
	{ 0x50f6bb06, "__put_devmap_managed_page_refs" },
	{ 0x3a013bf6, "skb_page_frag_refill" },
	{ 0x397aaefe, "copy_page_from_iter" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xf19e3eaf, "_copy_from_iter" },
	{ 0xa5624e85, "iov_iter_npages" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x184b15c0, "skb_copy_datagram_from_iter" },
	{ 0x70734d0, "sock_alloc_send_pskb" },
	{ 0x9ceebe66, "zerocopy_sg_from_iter" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd2bf1b2b, "iov_iter_revert" },
	{ 0xf5f300, "skb_push" },
	{ 0x4cd88844, "eth_get_headlen" },
	{ 0xdde02604, "napi_schedule_prep" },
	{ 0x24439a21, "napi_gro_frags" },
	{ 0x68de546, "__napi_schedule" },
	{ 0x6a9845a1, "passthru_features_check" },
	{ 0x1496bdd7, "eth_mac_addr" },
	{ 0xdcda42ec, "eth_validate_addr" },
	{ 0x94b7c3fa, "ethtool_op_get_link" },
	{ 0xbcb4244d, "ethtool_op_get_ts_info" },
	{ 0xfdee2bc8, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc00d4724, "fasync_helper" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x6e0c0ba4, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x17ca30b3, "netdev_info" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x44425efd, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe042f87b, "netif_carrier_on" },
	{ 0xde478dc4, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x8fa9687, "from_kgid_munged" },
	{ 0xe18fd051, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xff57ee38, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb5b2a91b, "dev_get_tstats64" },
	{ 0xf1ea4501, "netif_tx_stop_all_queues" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xb5ee596c, "bpf_prog_get_type_dev" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3fe48c3a, "rtnl_link_register" },
	{ 0x84d8f5c5, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x92beaee1, "rtnl_link_unregister" },
	{ 0x90d67b64, "misc_deregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2cb01d08, "xdp_return_frame" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x1bab0b55, "kill_fasync" },
	{ 0x391ac9fa, "_copy_to_iter" },
	{ 0x22703997, "iov_iter_advance" },
	{ 0x55b8730a, "skb_copy_datagram_iter" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6007c8b0, "napi_gro_receive" },
	{ 0xedb6af44, "napi_complete_done" },
	{ 0x9599dca2, "bpf_prog_put" },
	{ 0xead61eaa, "netdev_core_stats_inc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8b0bb76f, "xdp_do_redirect" },
	{ 0xed20aa8b, "bpf_warn_invalid_xdp_action" },
	{ 0x1976fee7, "__tracepoint_xdp_exception" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F3585996E32693964D0C5C8");
