#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf9a482f9, "msleep" },
	{ 0x23659da5, "netdev_err" },
	{ 0xddb53154, "usbnet_update_max_qlen" },
	{ 0x89b30e3e, "usbnet_suspend" },
	{ 0xcc4c1f59, "mii_ethtool_gset" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe042f87b, "netif_carrier_on" },
	{ 0x95292568, "mii_nway_restart" },
	{ 0xc3382fd5, "usbnet_resume" },
	{ 0x78934fa, "usbnet_probe" },
	{ 0x6ed8ab90, "usbnet_open" },
	{ 0xa96415e6, "usbnet_stop" },
	{ 0xe2c62e42, "usbnet_start_xmit" },
	{ 0xdcda42ec, "eth_validate_addr" },
	{ 0x74257af7, "usbnet_tx_timeout" },
	{ 0xb5b2a91b, "dev_get_tstats64" },
	{ 0xaa70b28c, "usbnet_get_msglevel" },
	{ 0xcaa46c6c, "usbnet_set_msglevel" },
	{ 0x71b4db07, "usbnet_nway_reset" },
	{ 0x94b7c3fa, "ethtool_op_get_link" },
	{ 0xbcb4244d, "ethtool_op_get_ts_info" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb68e8454, "pskb_expand_head" },
	{ 0xf5f300, "skb_push" },
	{ 0x824238be, "__pskb_pull_tail" },
	{ 0x977e7413, "dev_kfree_skb_any_reason" },
	{ 0xe319d0d0, "usbnet_read_cmd" },
	{ 0x920dbc6f, "usbnet_read_cmd_nopm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2ab8879f, "netdev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x84995f0b, "usbnet_write_cmd" },
	{ 0xc2d275d3, "usbnet_write_cmd_nopm" },
	{ 0x63374054, "mii_ethtool_set_link_ksettings" },
	{ 0x46061c2, "mii_ethtool_get_link_ksettings" },
	{ 0xc6401d5f, "generic_mii_ioctl" },
	{ 0x403c6fd6, "usb_register_driver" },
	{ 0x2afebaff, "usbnet_disconnect" },
	{ 0x163d1c5f, "usb_deregister" },
	{ 0x744412b3, "usbnet_link_change" },
	{ 0x17ca30b3, "netdev_info" },
	{ 0x2ebf0981, "usbnet_get_endpoints" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x12ea625c, "netif_set_tso_max_size" },
	{ 0x65978d76, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xc7ed8c8e, "skb_trim" },
	{ 0xd912ffa1, "skb_clone" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0x4c728121, "usbnet_skb_return" },
	{ 0x415aaf81, "dev_addr_mod" },
	{ 0x61895aa1, "eth_platform_get_mac_address" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf7549f75, "__dynamic_netdev_dbg" },
	{ 0x37a0cba, "kfree" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "usbnet,mii");

MODULE_ALIAS("usb:v0B95p1790d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0B95p178Ad*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04B4p3610d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v2001p4A00d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0DF6p0072d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04E8pA100d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v17EFp304Bd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v050Dp0128d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0930p0A13d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0711p0179d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Ed*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Fd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p0010d*dc*dsc*dp*icFFiscFFip00in*");

MODULE_INFO(srcversion, "82581F8818B410E855626F2");
