#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf6b25c40, "__genphy_config_aneg" },
	{ 0xd334d617, "fixed_phy_unregister" },
	{ 0xd738ca1b, "phy_unregister_fixup_for_uid" },
	{ 0xd11952d4, "usb_get_from_anchor" },
	{ 0xdde02604, "napi_schedule_prep" },
	{ 0x68de546, "__napi_schedule" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5a37f439, "handle_simple_irq" },
	{ 0xd5b38af7, "irq_domain_create_simple" },
	{ 0x11fd192e, "irq_create_mapping_affinity" },
	{ 0x714c1b89, "mdiobus_alloc_size" },
	{ 0x15423fb4, "__mdiobus_register" },
	{ 0xfb578fc5, "memset" },
	{ 0x81e2bdf4, "generic_handle_irq_safe" },
	{ 0x7b919e09, "skb_clone_tx_timestamp" },
	{ 0x1071af95, "skb_tstamp_tx" },
	{ 0x87eb1074, "usb_alloc_urb" },
	{ 0x17b48051, "__alloc_skb" },
	{ 0x8d1a83fe, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x110d5c86, "unregister_netdev" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xc9df9665, "phy_disconnect" },
	{ 0x807766ea, "usb_scuttle_anchored_urbs" },
	{ 0xcc103646, "free_netdev" },
	{ 0xf1f676dc, "usb_put_dev" },
	{ 0x23df8cb5, "skb_unlink" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcaf900c6, "usb_get_dev" },
	{ 0x5482639f, "alloc_etherdev_mqs" },
	{ 0x12ea625c, "netif_set_tso_max_size" },
	{ 0xf75cdd75, "netif_napi_add_weight" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbcca2e66, "register_netdev" },
	{ 0x876dd181, "pm_runtime_set_autosuspend_delay" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x2836c0a7, "usb_clear_halt" },
	{ 0xedb6af44, "napi_complete_done" },
	{ 0x44ef42e0, "phy_start" },
	{ 0xcf2b7eb7, "napi_enable" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x7d444937, "netif_device_attach" },
	{ 0xde478dc4, "netif_carrier_off" },
	{ 0xdcda42ec, "eth_validate_addr" },
	{ 0x35d16e6d, "phy_do_ioctl_running" },
	{ 0xbe57e8a1, "phy_ethtool_nway_reset" },
	{ 0xbcb4244d, "ethtool_op_get_ts_info" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x403c6fd6, "usb_register_driver" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x55f7b798, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2ab8879f, "netdev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x415aaf81, "dev_addr_mod" },
	{ 0x61895aa1, "eth_platform_get_mac_address" },
	{ 0xf7549f75, "__dynamic_netdev_dbg" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x23659da5, "netdev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc771b64d, "usb_get_urb" },
	{ 0x29cf84c1, "usb_unlink_urb" },
	{ 0xcf27add6, "usb_free_urb" },
	{ 0x73641259, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x7beef246, "skb_dequeue" },
	{ 0xe03ac162, "skb_queue_tail" },
	{ 0xa2f74584, "skb_queue_purge_reason" },
	{ 0xd3aafb57, "usb_autopm_get_interface" },
	{ 0x8f96421f, "usb_autopm_put_interface" },
	{ 0xe09e6bf7, "phy_ethtool_ksettings_set" },
	{ 0xc6a4ff9b, "mdiobus_read" },
	{ 0xb957f449, "mdiobus_write" },
	{ 0x78c3c541, "phy_ethtool_ksettings_get" },
	{ 0x5be43eb9, "phy_ethtool_set_eee" },
	{ 0xa52185bb, "phy_ethtool_get_eee" },
	{ 0x6a9e1a9a, "device_set_wakeup_enable" },
	{ 0x47da890e, "phy_ethtool_set_wol" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x11e1e18, "napi_disable" },
	{ 0xc91ed8d9, "phy_stop" },
	{ 0x25bdf9aa, "usb_kill_urb" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x17ca30b3, "netdev_info" },
	{ 0xf40b5f74, "eth_type_trans" },
	{ 0xb33fb709, "skb_defer_rx_timestamp" },
	{ 0x6007c8b0, "napi_gro_receive" },
	{ 0xb60f1ed9, "irq_set_chip_and_handler_name" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x7287e773, "phy_print_status" },
	{ 0xb3a73211, "phy_find_first" },
	{ 0xfefbfc4b, "phy_register_fixup_for_uid" },
	{ 0x3386cd89, "fixed_phy_register" },
	{ 0x16a2c207, "phy_read_mmd" },
	{ 0xa463c483, "phy_write_mmd" },
	{ 0x163d1c5f, "usb_deregister" },
	{ 0xbe81d8df, "skb_copy_bits" },
	{ 0x824238be, "__pskb_pull_tail" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0x767df306, "__napi_alloc_skb" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1f629a95, "skb_put" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x977e7413, "dev_kfree_skb_any_reason" },
	{ 0xc8347f2f, "netif_tx_lock" },
	{ 0x90202f7e, "netif_tx_unlock" },
	{ 0xae28736e, "usb_autopm_get_interface_async" },
	{ 0x77c96678, "usb_submit_urb" },
	{ 0x8faf01c7, "usb_autopm_put_interface_async" },
	{ 0x6527dc4c, "netif_device_detach" },
	{ 0xb7260ad7, "netif_tx_wake_queue" },
	{ 0x90adf3ea, "usb_anchor_urb" },
	{ 0x81f0cfdc, "mdiobus_unregister" },
	{ 0x4cd89ce1, "mdiobus_free" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x55274b7e, "irq_domain_remove" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf2cc7ab, "genphy_read_status" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x90724116, "phy_connect_direct" },
	{ 0x5d9f089e, "phy_remove_link_mode" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("usb:v0424p7800d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7850d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7801d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07C9p0012d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0E03E7B99F849273BA32945");
