#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_modal_eeprom, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_base_eeprom, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_stat_rx, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_recv, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_phy_err, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0x9cb32e9d, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0xfcf66524, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0x5eb7e54e, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0xeaeb4fb7, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0x349f3791, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0xa0252a6d, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0x7a845aa8, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0xc7738ab1, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0x32bb85f6, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0x93c94518, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0x96d3acda, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0xfcb9cd5d, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0xc1ea441f, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0x89c356ce, "");
SYMBOL_CRC(ath9k_cmn_debug_modal_eeprom, 0xc33ba106, "");
SYMBOL_CRC(ath9k_cmn_debug_base_eeprom, 0x86dbb005, "");
SYMBOL_CRC(ath9k_cmn_debug_stat_rx, 0x1a0aa030, "");
SYMBOL_CRC(ath9k_cmn_debug_recv, 0x3b851019, "");
SYMBOL_CRC(ath9k_cmn_debug_phy_err, 0x79756f5d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xed6731fe, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc8448811, "simple_open" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x44cf8709, "default_llseek" },
	{ 0x5fafc8be, "ath9k_hw_gettsf64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb1ed295e, "debugfs_create_file" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xbf7ef94a, "ath9k_hw_set_txpowerlimit" },
	{ 0x98dc6ee8, "ath_hw_keyreset" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0xb0e602eb, "memmove" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,ath9k_hw,ath");


MODULE_INFO(srcversion, "BD058D5C6536F7696F72A1B");
