#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_wed_setup, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_wed_reset, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_mtd, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_nvmem, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_find_power_limits_node, "_gpl", "");
KSYMTAB_FUNC(mt76_find_channel_node, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x145d6fe1, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0xefd16c89, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x2c25266b, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0xde87237b, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x24fbae39, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x0f3c28fb, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x2b29dbd4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0x7d991782, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0xbcc579a7, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x0eb9effe, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x84778701, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0x199da828, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0x9a2876d7, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x1fee38ba, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x7a238686, "_gpl");
SYMBOL_CRC(mt76_dma_wed_setup, 0x09cc459b, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x6229f305, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x655ec781, "_gpl");
SYMBOL_CRC(mt76_dma_wed_reset, 0xe3a507ff, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0xecd05205, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x1d2d1399, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x19c799cc, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0xe6c3a95c, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x375fc85f, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0xfda8fd6a, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0xb5fccdb0, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x10f538b9, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x4ba46a66, "_gpl");
SYMBOL_CRC(mt76_free_device, 0xfdb9c968, "_gpl");
SYMBOL_CRC(mt76_rx, 0x790ec322, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0xaf30aab5, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x9bd1d927, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x2ea3cb17, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0x2569ecdb, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0x380dcfe0, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0xbd36b536, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x62a2f05b, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0x90827517, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x57e3b03f, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0xf5496305, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0xa305d184, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0x22fa3044, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x5f9ec0db, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0xcfc60d20, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0xb0809343, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xca31e9f2, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0xc340f8c1, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x53e1a702, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x8e0cf56a, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0xb16f0931, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0xdeab873b, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0xa893e85c, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0xe084f2c1, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x2c0def33, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x27d67cac, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0xcd8e8256, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0xc3895789, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x54c8d714, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0xdd98fe87, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0xdf33f552, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0xe8401ad7, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0x81b52467, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0xdd12b53b, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0x5951f463, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0x0590aa99, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x6098d775, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0xcddc3ab0, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0xf6027ffd, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0xd81ebacf, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0x7190d829, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0xeef91dca, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0xa151b433, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x7f65f8ee, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0x55d162e7, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x128bad3d, "_gpl");
SYMBOL_CRC(mt76_tx, 0xc8f2ea2c, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x5ec138ec, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0xd9f77988, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0xd1ed228b, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0x3e4890c7, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x9de8c3a3, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x0cb46023, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0xecd7fac1, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0x5a539ae6, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0xb61805c7, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0xe153ee22, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x02c22a5b, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x3dcbbd39, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0xc71b3ddb, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x0a63b27b, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x873e460f, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0xad58616f, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x70502ef9, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0xf062e83b, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x60851482, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x1fd23f9f, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x35a4638e, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x80de96b3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xa9619034, "page_pool_destroy" },
	{ 0x8987ffbf, "ieee80211_register_hw" },
	{ 0x95078c48, "led_classdev_unregister" },
	{ 0x3e0f190, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x53c01751, "ieee80211_sta_eosp" },
	{ 0xed6731fe, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8d1a83fe, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf6f8993f, "kthread_park" },
	{ 0xb46ca42, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d890853, "wake_up_process" },
	{ 0x908529d9, "dev_driver_string" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x176cfc0f, "dma_map_page_attrs" },
	{ 0xedb6af44, "napi_complete_done" },
	{ 0xa9b14d52, "ieee80211_get_tx_rates" },
	{ 0x234a4af3, "ieee80211_send_bar" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x7317b48, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x83aa2d97, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x17b48051, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x9c0d5238, "pci_disable_link_state" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x6007c8b0, "napi_gro_receive" },
	{ 0xe03ac162, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x777c9d2d, "dev_set_threaded" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x657c67bf, "debugfs_attr_read" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x91da0ca5, "ieee80211_queue_delayed_work" },
	{ 0xaa7048ce, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xd8e0dee0, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x378487c, "simple_attr_release" },
	{ 0xff270c12, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5e4a89ef, "ieee80211_find_sta_by_ifaddr" },
	{ 0x28591232, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe836fbe8, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf5f300, "skb_push" },
	{ 0xcf2b7eb7, "napi_enable" },
	{ 0x19cc2e3b, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0x6e8aecc5, "ieee80211_sta_pspoll" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6354b77c, "kthread_stop" },
	{ 0xa42e5d14, "ieee80211_free_txskb" },
	{ 0x86b2eae8, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xce3c4690, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x843a59df, "ieee80211_tx_dequeue" },
	{ 0xc9712d0b, "ieee80211_rx_list" },
	{ 0xe86e39d8, "dma_sync_single_for_cpu" },
	{ 0x90b5ccf4, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x62b8f890, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcf8ee6a2, "kthread_create_on_node" },
	{ 0xb45799f9, "cfg80211_reg_can_beacon" },
	{ 0x822cf32a, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0xf2bc808e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2d33dbb2, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xaf390dff, "napi_build_skb" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6d073985, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x6d734f47, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x71acc0c7, "debugfs_create_u8" },
	{ 0x83f63baa, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x914a7ef4, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xa81bfea4, "ieee80211_csa_finish" },
	{ 0xf1b9297d, "page_pool_put_unrefed_page" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa5f5d14, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x69b0375d, "pcie_capability_read_word" },
	{ 0x6a7b1ab3, "__skb_pad" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8214e6d7, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdfc8108a, "__ieee80211_schedule_txq" },
	{ 0xcbb89af8, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0x1f629a95, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4f49639d, "page_pool_alloc_frag" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf75cdd75, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x297884c2, "dmam_alloc_attrs" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x7beef246, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8be5adc2, "ieee80211_free_hw" },
	{ 0x230e0c0, "dma_unmap_page_attrs" },
	{ 0xd35f175e, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x34747759, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9609f503, "dma_sync_single_for_device" },
	{ 0x15fd3af0, "skb_add_rx_frag" },
	{ 0xf4540057, "ieee80211_tx_status_ext" },
	{ 0x344ac146, "debugfs_create_blob" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "C8C7FCD5436049DA126085A");
