#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5f9ec0db, "mt76_get_txpower" },
	{ 0xcb46023, "mt76_wake_tx_queue" },
	{ 0xe084f2c1, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4de6cd34, "mt76x02_sta_ps" },
	{ 0xa974f2e4, "mt76u_resume_rx" },
	{ 0x87745aa7, "mt76x02_sta_rate_tbl_update" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb5fccdb0, "mt76_alloc_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf1f676dc, "usb_put_dev" },
	{ 0x13f26ab8, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x786d0ed6, "mt76x02_update_channel" },
	{ 0xcaf900c6, "usb_get_dev" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xb3cc943e, "mt76x02_configure_filter" },
	{ 0xfdb9c968, "mt76_free_device" },
	{ 0x9d10c51b, "mt76x0_chip_onoff" },
	{ 0x1beacfd9, "mt76x02_queue_rx_skb" },
	{ 0x905795af, "mt76u_queues_deinit" },
	{ 0x91da0ca5, "ieee80211_queue_delayed_work" },
	{ 0xfe06c7b6, "mt76x0_config" },
	{ 0x51ed9341, "mt76x0_register_device" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x2b6a2e50, "mt76x02u_mcu_fw_reset" },
	{ 0xc1b21c7e, "mt76x0_phy_calibrate" },
	{ 0x53e1a702, "mt76_set_tim" },
	{ 0x46bec3e5, "mt76x02_sw_scan_complete" },
	{ 0xfa061874, "mt76x02_tx" },
	{ 0x13d55925, "mt76x02_sta_remove" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x163d1c5f, "usb_deregister" },
	{ 0x956fa662, "mt76x02_tx_status_data" },
	{ 0xe2ebeab4, "mt76x02_sta_add" },
	{ 0xbe978991, "mt76x0_mac_stop" },
	{ 0x70d19652, "mt76x02u_mcu_fw_send_data" },
	{ 0x5294d49d, "mt76u_init" },
	{ 0x380dcfe0, "mt76_get_survey" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x76140d5e, "mt76x02u_init_mcu" },
	{ 0x8462b4d7, "mt76x02u_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x67171b41, "mt76x02_set_rts_threshold" },
	{ 0x57e3b03f, "mt76_sta_state" },
	{ 0xef45573c, "mt76x0_init_hardware" },
	{ 0x986b7eba, "mt76x02u_mac_start" },
	{ 0xe84b4241, "mt76x02_bss_info_changed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x49289371, "mt76u_alloc_queues" },
	{ 0xbe5886a0, "mt76u_stop_tx" },
	{ 0x9b350acd, "mt76x02u_init_beacon_config" },
	{ 0x2d33dbb2, "ieee80211_unregister_hw" },
	{ 0x7016529d, "mt76u_vendor_request" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x487437a7, "mt76x02_add_interface" },
	{ 0xde87237b, "____mt76_poll_msec" },
	{ 0x7c833035, "mt76x02u_exit_beacon_config" },
	{ 0x5514f973, "mt76u_stop_rx" },
	{ 0x77dc4071, "mt76x02_ampdu_action" },
	{ 0x53e982da, "mt76x02_conf_tx" },
	{ 0xdeab873b, "mt76_sw_scan" },
	{ 0xf5496305, "mt76_sta_pre_rcu_remove" },
	{ 0x2c25266b, "__mt76_poll" },
	{ 0xb2f55a89, "mt76x02_remove_interface" },
	{ 0x4e16e277, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0x2f89e0ba, "mt76x0_set_sar_specs" },
	{ 0x7116a2b5, "firmware_request_nowarn" },
	{ 0x3444a3bc, "mt76x02_set_ethtool_fwver" },
	{ 0x4c22020f, "mt76x02_set_key" },
	{ 0x5ec138ec, "mt76_release_buffered_frames" },
	{ 0x78e70a9c, "request_firmware" },
	{ 0x403c6fd6, "usb_register_driver" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,mt76-usb,mt76x0-common,mac80211,mt76x02-usb");

MODULE_ALIAS("usb:v148Fp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pA711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp761Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17D1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17DBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0075d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB31d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3D02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3425d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0951d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8502d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v293Cp5702d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v20F4p806Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pC711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0079d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p010Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7630d*dc*dsc*dp*icFFisc02ipFFin*");
MODULE_ALIAS("usb:v0E8Dp7650d*dc*dsc*dp*icFFisc02ipFFin*");

MODULE_INFO(srcversion, "3F876D49879E6C24E2C91DE");
