#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc7952060, "mt76x02_mcu_set_radio_state" },
	{ 0xcb46023, "mt76_wake_tx_queue" },
	{ 0x5903e8d9, "mt76x02e_init_beacon_config" },
	{ 0xe084f2c1, "mt76_get_antenna" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x1d2d1399, "mt76_set_stream_caps" },
	{ 0x6cc3cc59, "mt76x2_apply_gain_adj" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd303ffe1, "pci_set_power_state" },
	{ 0x4de6cd34, "mt76x02_sta_ps" },
	{ 0xef6bcedb, "mt76x2_set_sar_specs" },
	{ 0x87745aa7, "mt76x02_sta_rate_tbl_update" },
	{ 0xf6f8993f, "kthread_park" },
	{ 0xecd05205, "mt76_dma_cleanup" },
	{ 0xd3e981e, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6a43045e, "mt76x02_reconfig_complete" },
	{ 0xb5fccdb0, "mt76_alloc_device" },
	{ 0x1d890853, "wake_up_process" },
	{ 0x796d0261, "mt76x02_mac_shared_key_setup" },
	{ 0xf799e02e, "mt76x02_ext_pa_enabled" },
	{ 0xa38d6720, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa6505550, "mt76x2_mac_stop" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbb782bdc, "mt76x02_set_tx_ackto" },
	{ 0x786d0ed6, "mt76x02_update_channel" },
	{ 0x68de546, "__napi_schedule" },
	{ 0xe2813d60, "mt76x2_configure_tx_delay" },
	{ 0x80de96b3, "mt76_pci_disable_aspm" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xb3cc943e, "mt76x02_configure_filter" },
	{ 0xfdb9c968, "mt76_free_device" },
	{ 0x1beacfd9, "mt76x02_queue_rx_skb" },
	{ 0x268019db, "kthread_unpark" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xf949e186, "pcim_iomap_regions" },
	{ 0x91da0ca5, "ieee80211_queue_delayed_work" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x55d4bd33, "mt76x02_rx_poll_complete" },
	{ 0xd032d685, "mt76x02_mac_setaddr" },
	{ 0x10f538b9, "mt76_register_device" },
	{ 0x53e1a702, "mt76_set_tim" },
	{ 0x46bec3e5, "mt76x02_sw_scan_complete" },
	{ 0xa25eeb8, "mt76x02_phy_set_bw" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2b61e95a, "mt76x02_phy_set_band" },
	{ 0x2569ecdb, "mt76_set_channel" },
	{ 0xb9d36d41, "mt76x02_init_device" },
	{ 0xcf2b7eb7, "napi_enable" },
	{ 0xfa061874, "mt76x02_tx" },
	{ 0xefd16c89, "mt76_mmio_init" },
	{ 0xcedefe82, "ieee80211_wake_queues" },
	{ 0x13d55925, "mt76x02_sta_remove" },
	{ 0x633c394a, "mt76x02_edcca_init" },
	{ 0xeabd20f8, "mt76x2_eeprom_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe2ebeab4, "mt76x02_sta_add" },
	{ 0x4ba46a66, "mt76_unregister_device" },
	{ 0xfe6faaed, "mt76x2_mcu_load_cr" },
	{ 0xd086861c, "pci_restore_state" },
	{ 0xed07dd91, "mt76x2_init_txpower" },
	{ 0x916aa0bf, "mt76x02_init_debugfs" },
	{ 0x380dcfe0, "mt76_get_survey" },
	{ 0xc747289f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x675f6011, "mt76x2_mcu_init_gain" },
	{ 0x67171b41, "mt76x02_set_rts_threshold" },
	{ 0x4ef0716f, "mt76x02_tx_complete_skb" },
	{ 0x57e3b03f, "mt76_sta_state" },
	{ 0x6fab252, "mt76x02_mcu_msg_send" },
	{ 0xbf740153, "mt76x2_phy_tssi_compensate" },
	{ 0x9b75ebd6, "ieee80211_stop_queues" },
	{ 0xc1cf3f5f, "mt76x02_mac_cc_reset" },
	{ 0xe84b4241, "mt76x02_bss_info_changed" },
	{ 0x9d598b4c, "mt76x02_init_agc_gain" },
	{ 0x40a74420, "mt76x2_phy_update_channel_gain" },
	{ 0x85103bdd, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd1ed228b, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x487437a7, "mt76x02_add_interface" },
	{ 0xde87237b, "____mt76_poll_msec" },
	{ 0xcbf05e1, "mt76x02_dfs_init_params" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x15426af8, "mt76x02_config_mac_addr_list" },
	{ 0xb0809343, "mt76_get_sar_power" },
	{ 0xa0a3eb8f, "mt76x02_tx_prepare_skb" },
	{ 0x32f32bd1, "mt76x02_mcu_cleanup" },
	{ 0x77dc4071, "mt76x02_ampdu_action" },
	{ 0x76d6f2eb, "mt76x02_mcu_calibrate" },
	{ 0x53e982da, "mt76x02_conf_tx" },
	{ 0x41b76aa8, "mt76x02_mcu_function_select" },
	{ 0x215c3120, "dma_set_mask" },
	{ 0xdeab873b, "mt76_sw_scan" },
	{ 0xf5496305, "mt76_sta_pre_rcu_remove" },
	{ 0x62fad45a, "pcim_iomap_table" },
	{ 0x45bb412b, "mt76x2_get_temp_comp" },
	{ 0xd25326f0, "mt76x02_mac_wcid_setup" },
	{ 0xdde02604, "napi_schedule_prep" },
	{ 0x11e1e18, "napi_disable" },
	{ 0x2c25266b, "__mt76_poll" },
	{ 0x97a88840, "mt76x2_read_rx_gain" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7802eb6b, "pcim_enable_device" },
	{ 0xcba9c0db, "mt76x2_phy_set_txpower_regs" },
	{ 0x15ff4452, "mt76x2_phy_set_txpower" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0x6a3ab788, "mt76x02_mac_start" },
	{ 0xb2f55a89, "mt76x02_remove_interface" },
	{ 0x43d3a67a, "mt76x02_dma_init" },
	{ 0xb7a24f31, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x47a47635, "devm_request_threaded_irq" },
	{ 0x2b8c7ff8, "pci_choose_state" },
	{ 0x3444a3bc, "mt76x02_set_ethtool_fwver" },
	{ 0x9c5d1b08, "mt76x02_tx_set_txpwr_auto" },
	{ 0x4c22020f, "mt76x02_set_key" },
	{ 0x34256ab1, "mt76x02_mcu_parse_response" },
	{ 0x5ec138ec, "mt76_release_buffered_frames" },
	{ 0x78e70a9c, "request_firmware" },
	{ 0x5f9ec0db, "mt76_get_txpower" },
	{ 0x5b4f4cd8, "__pci_register_driver" },
	{ 0x30d3300e, "mt76_write_mac_initvals" },
	{ 0x24a61a69, "mt76x2_reset_wlan" },
	{ 0x331d5403, "mt76x2_mcu_set_channel" },
	{ 0xc9adb122, "mt76x02_dma_disable" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mt76x2-common,mac80211");

MODULE_ALIAS("pci:v000014C3d00007662sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007612sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007602sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F93EEC31EDE1078C32498C0");
