#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x2f5be5e5, "rt2800_mcu_request" },
	{ 0x6c6efe6d, "rt2800mmio_toggle_irq" },
	{ 0x902ebd70, "rt2800mmio_enable_radio" },
	{ 0xa40ed1e9, "rt2x00pci_remove" },
	{ 0xe5aeb097, "rt2x00pci_pm_ops" },
	{ 0x8af63398, "rt2800mmio_queue_init" },
	{ 0xc5890c4, "rt2800_rt2x00debug" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0xd518060e, "rt2800mmio_probe_hw" },
	{ 0xcd96f027, "rt2800_check_firmware" },
	{ 0xe052c3d3, "rt2800_load_firmware" },
	{ 0xad69d46f, "rt2x00mmio_initialize" },
	{ 0x8eaafea1, "rt2x00mmio_uninitialize" },
	{ 0xa8576398, "rt2800mmio_get_entry_state" },
	{ 0xe6c8fec3, "rt2800mmio_clear_entry" },
	{ 0xb667a46c, "rt2800_rfkill_poll" },
	{ 0x5ef9bc92, "rt2800_link_stats" },
	{ 0x444b089b, "rt2800_reset_tuner" },
	{ 0xa764eec7, "rt2800_link_tuner" },
	{ 0x9828cd32, "rt2800_gain_calibration" },
	{ 0xa4fb0d86, "rt2800_vco_calibration" },
	{ 0x136011b1, "rt2800_watchdog" },
	{ 0x460d2f25, "rt2800mmio_start_queue" },
	{ 0xcd2b5685, "rt2800mmio_kick_queue" },
	{ 0xfd53c3fe, "rt2800mmio_stop_queue" },
	{ 0xdf228e01, "rt2800mmio_flush_queue" },
	{ 0x73e6a580, "rt2800mmio_write_tx_desc" },
	{ 0x17554c52, "rt2800_write_tx_data" },
	{ 0xfb94b29, "rt2800_write_beacon" },
	{ 0xf83fd06a, "rt2800_clear_beacon" },
	{ 0x7d79a56e, "rt2800mmio_fill_rxdone" },
	{ 0x6127cf90, "rt2800_config_shared_key" },
	{ 0x34442403, "rt2800_config_pairwise_key" },
	{ 0xeffd9751, "rt2800_config_filter" },
	{ 0xf5ad685, "rt2800_config_intf" },
	{ 0x4e4edb81, "rt2800_config_erp" },
	{ 0xb853a2e3, "rt2800_config_ant" },
	{ 0xe6fde7b, "rt2800_config" },
	{ 0xc6cf6ec, "rt2800_pre_reset_hw" },
	{ 0x49ccb538, "rt2x00mmio_regbusy_read" },
	{ 0x74d33414, "rt2800mmio_init_registers" },
	{ 0x92e25c26, "rt2800mmio_get_txwi" },
	{ 0x49d1f875, "rt2800mmio_get_dma_done" },
	{ 0x111fd5b7, "rt2x00mac_tx" },
	{ 0x2f71b33a, "rt2x00mac_start" },
	{ 0x40e426a0, "rt2x00mac_stop" },
	{ 0xf6af1fb0, "rt2x00mac_add_interface" },
	{ 0x9ce12966, "rt2x00mac_remove_interface" },
	{ 0x47c760c, "rt2x00mac_config" },
	{ 0x3c654d6a, "rt2x00mac_bss_info_changed" },
	{ 0xd6c9cc25, "rt2x00mac_configure_filter" },
	{ 0x9b5a0f20, "rt2x00mac_set_key" },
	{ 0x94c4b0fe, "rt2x00mac_sw_scan_start" },
	{ 0xada41c6d, "rt2x00mac_sw_scan_complete" },
	{ 0x8f91a472, "rt2x00mac_get_stats" },
	{ 0x594aaf12, "rt2800_get_key_seq" },
	{ 0xd76a4045, "rt2800_set_rts_threshold" },
	{ 0x3ba366d0, "rt2800_sta_add" },
	{ 0xad06aa74, "rt2800_sta_remove" },
	{ 0xf972d658, "rt2800_conf_tx" },
	{ 0x975fe06c, "rt2800_get_tsf" },
	{ 0x1760a890, "rt2800_ampdu_action" },
	{ 0xe38a2ae3, "rt2800_get_survey" },
	{ 0x240fe98b, "rt2x00mac_rfkill_poll" },
	{ 0x8eb7847d, "rt2x00mac_flush" },
	{ 0x5747975f, "rt2x00mac_get_ringparam" },
	{ 0x1eed3ae1, "rt2x00mac_tx_frames_pending" },
	{ 0xd76828f6, "rt2x00mac_reconfig_complete" },
	{ 0x5c021b65, "ieee80211_handle_wake_tx_queue" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b4f4cd8, "__pci_register_driver" },
	{ 0xaeeba39b, "rt2x00pci_probe" },
	{ 0xa80aecf7, "rt2800_efuse_detect" },
	{ 0x6d07760b, "rt2800_read_eeprom_efuse" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xd3e981e, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "rt2800lib,rt2800mmio,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "1A66DB6D48459E8237810C7");
