#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00debug_dump_frame, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0x4d5baf8e, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0xf0eddaa5, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0x1176792e, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0xe6f1d025, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0xbfffa360, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0x1106c9ab, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0xbe06a477, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0x9c853f04, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0x651b4be3, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0x18297352, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0xc7b19f3c, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0x6ab8a68f, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0x6668749d, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0x295491a0, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0x111fd5b7, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0x2f71b33a, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0x40e426a0, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0xd76828f6, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0xf6af1fb0, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0x9ce12966, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0x047c760c, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0xd6c9cc25, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0xb86e913a, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0x9b5a0f20, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0x94c4b0fe, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0xada41c6d, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0x8f91a472, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0x3c654d6a, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0xe7ed9041, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0x240fe98b, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0x8eb7847d, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0x4be36713, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0x9d853428, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0x5747975f, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0x1eed3ae1, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0x0bcc16f0, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0xd8d21812, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0x51752801, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0x9cda9a69, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0xa5fc8e65, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0xfb5e27fa, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0x52e6b9d5, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0x17997ce2, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0xf01c7780, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0xcc27fbc4, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0x74df210e, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0x9a1fe34c, "_gpl");
SYMBOL_CRC(rt2x00debug_dump_frame, 0x4be70ce8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x95078c48, "led_classdev_unregister" },
	{ 0x8987ffbf, "ieee80211_register_hw" },
	{ 0x3e0f190, "__ieee80211_create_tpt_led_trigger" },
	{ 0xd900b86e, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xed6731fe, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xb6b9b82f, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa2f74584, "skb_queue_purge_reason" },
	{ 0x908529d9, "dev_driver_string" },
	{ 0xe94a0ba5, "ieee80211_tx_status_skb" },
	{ 0x88e69ae, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x176cfc0f, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x17b48051, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xe03ac162, "skb_queue_tail" },
	{ 0x90974934, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x91da0ca5, "ieee80211_queue_delayed_work" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xc8448811, "simple_open" },
	{ 0xab65c5af, "ieee80211_ctstoself_get" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf5f300, "skb_push" },
	{ 0x9e637e13, "debugfs_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa42e5d14, "ieee80211_free_txskb" },
	{ 0x86b2eae8, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x44cf8709, "default_llseek" },
	{ 0xfb578fc5, "memset" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x62b8f890, "debugfs_create_u32" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe0c6d19, "ieee80211_stop_queue" },
	{ 0x4f2ad77a, "__netdev_alloc_skb" },
	{ 0x9b75ebd6, "ieee80211_stop_queues" },
	{ 0xc7ed8c8e, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26e0ac07, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdcd0d90a, "wiphy_rfkill_start_polling" },
	{ 0xb1ed295e, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf2bc808e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9d34ef41, "led_classdev_resume" },
	{ 0x2d33dbb2, "ieee80211_unregister_hw" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39fdd260, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xfee3e533, "ieee80211_rts_get" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x912ff358, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0x977e7413, "dev_kfree_skb_any_reason" },
	{ 0x83f63baa, "debugfs_create_dir" },
	{ 0xf87e77b4, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xa6519ff9, "ieee80211_rx_napi" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x47d27382, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5d4e8874, "ieee80211_iterate_interfaces" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1f629a95, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7beef246, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x230e0c0, "dma_unmap_page_attrs" },
	{ 0x78e70a9c, "request_firmware" },
	{ 0x95631db6, "led_classdev_suspend" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xf4540057, "ieee80211_tx_status_ext" },
	{ 0x344ac146, "debugfs_create_blob" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "A4A59513E696FACD2586B43");
