#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_restorepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_writepowerindex, "_gpl", "");
KSYMTAB_FUNC(dm_savepowerindex, "_gpl", "");
KSYMTAB_FUNC(rtl92c_dm_write_dig, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_edca_turbo, "", "");
KSYMTAB_FUNC(rtl92c_dm_check_txpower_tracking, "", "");
KSYMTAB_FUNC(rtl92c_dm_init_rate_adaptive_mask, "", "");
KSYMTAB_FUNC(rtl92c_dm_rf_saving, "", "");
KSYMTAB_FUNC(rtl92c_dm_init, "", "");
KSYMTAB_FUNC(rtl92c_dm_watchdog, "", "");
KSYMTAB_FUNC(rtl92c_bt_rssi_state_change, "", "");
KSYMTAB_FUNC(rtl92c_dm_bt_coexist, "", "");
KSYMTAB_FUNC(rtl92c_download_fw, "", "");
KSYMTAB_FUNC(rtl92c_fill_h2c_cmd, "", "");
KSYMTAB_FUNC(rtl92c_firmware_selfreset, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_pwrmode_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_rsvdpagepkt, "", "");
KSYMTAB_FUNC(rtl92c_set_fw_joinbss_report_cmd, "", "");
KSYMTAB_FUNC(rtl92c_set_p2p_ps_offload_cmd, "_gpl", "");
KSYMTAB_FUNC(rtl92c_phy_query_bb_reg, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bb_reg, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_fw_rf_serial_write, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_read, "", "");
KSYMTAB_FUNC(_rtl92c_phy_rf_serial_write, "", "");
KSYMTAB_FUNC(rtl92c_phy_rf_config, "", "");
KSYMTAB_FUNC(_rtl92c_phy_bb8192c_config_parafile, "", "");
KSYMTAB_FUNC(_rtl92c_store_pwrindex_diffrate_offset, "", "");
KSYMTAB_FUNC(_rtl92c_phy_init_bb_rf_register_definition, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_txpower_level, "", "");
KSYMTAB_FUNC(rtl92c_phy_update_txpower_dbm, "", "");
KSYMTAB_FUNC(_rtl92c_phy_dbm_to_txpwr_idx, "", "");
KSYMTAB_FUNC(_rtl92c_phy_txpwr_idx_to_dbm, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_bw_mode, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl_callback, "", "");
KSYMTAB_FUNC(rtl92c_phy_sw_chnl, "", "");
KSYMTAB_FUNC(rtl8192_phy_check_is_legal_rfpath, "", "");
KSYMTAB_FUNC(rtl92c_phy_iq_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_lc_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_ap_calibrate, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_rfpath_switch, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io_cmd, "", "");
KSYMTAB_FUNC(rtl92c_phy_set_io, "", "");
KSYMTAB_FUNC(rtl92ce_phy_set_rf_on, "", "");
KSYMTAB_FUNC(_rtl92c_phy_set_rf_sleep, "", "");

SYMBOL_CRC(dm_restorepowerindex, 0x1c75c3b8, "_gpl");
SYMBOL_CRC(dm_writepowerindex, 0x91d20320, "_gpl");
SYMBOL_CRC(dm_savepowerindex, 0x809566d5, "_gpl");
SYMBOL_CRC(rtl92c_dm_write_dig, 0x1183bb30, "");
SYMBOL_CRC(rtl92c_dm_init_edca_turbo, 0x65054e22, "");
SYMBOL_CRC(rtl92c_dm_check_txpower_tracking, 0x8d29b7ad, "");
SYMBOL_CRC(rtl92c_dm_init_rate_adaptive_mask, 0x85a7efde, "");
SYMBOL_CRC(rtl92c_dm_rf_saving, 0x25fb108e, "");
SYMBOL_CRC(rtl92c_dm_init, 0x37518e43, "");
SYMBOL_CRC(rtl92c_dm_watchdog, 0xe9554e89, "");
SYMBOL_CRC(rtl92c_bt_rssi_state_change, 0x62e4a000, "");
SYMBOL_CRC(rtl92c_dm_bt_coexist, 0x197e8a6b, "");
SYMBOL_CRC(rtl92c_download_fw, 0x7b6faefc, "");
SYMBOL_CRC(rtl92c_fill_h2c_cmd, 0x03bcc1d1, "");
SYMBOL_CRC(rtl92c_firmware_selfreset, 0x0072c2c2, "");
SYMBOL_CRC(rtl92c_set_fw_pwrmode_cmd, 0x2eadf581, "");
SYMBOL_CRC(rtl92c_set_fw_rsvdpagepkt, 0xc4272e20, "");
SYMBOL_CRC(rtl92c_set_fw_joinbss_report_cmd, 0xc50c1016, "");
SYMBOL_CRC(rtl92c_set_p2p_ps_offload_cmd, 0xe14ef866, "_gpl");
SYMBOL_CRC(rtl92c_phy_query_bb_reg, 0x91753aed, "");
SYMBOL_CRC(rtl92c_phy_set_bb_reg, 0x3bba4106, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_read, 0xf03512ec, "");
SYMBOL_CRC(_rtl92c_phy_fw_rf_serial_write, 0xa1667857, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_read, 0x812cbb38, "");
SYMBOL_CRC(_rtl92c_phy_rf_serial_write, 0xff018e26, "");
SYMBOL_CRC(rtl92c_phy_rf_config, 0x07df1e7b, "");
SYMBOL_CRC(_rtl92c_phy_bb8192c_config_parafile, 0xaf6e4f79, "");
SYMBOL_CRC(_rtl92c_store_pwrindex_diffrate_offset, 0xcd8e98e9, "");
SYMBOL_CRC(_rtl92c_phy_init_bb_rf_register_definition, 0x29f1c899, "");
SYMBOL_CRC(rtl92c_phy_set_txpower_level, 0x78f6b5ed, "");
SYMBOL_CRC(rtl92c_phy_update_txpower_dbm, 0xddb884ec, "");
SYMBOL_CRC(_rtl92c_phy_dbm_to_txpwr_idx, 0xb409d214, "");
SYMBOL_CRC(_rtl92c_phy_txpwr_idx_to_dbm, 0xf4af5e53, "");
SYMBOL_CRC(rtl92c_phy_set_bw_mode, 0x99938811, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl_callback, 0x6618fd26, "");
SYMBOL_CRC(rtl92c_phy_sw_chnl, 0x675ccc8f, "");
SYMBOL_CRC(rtl8192_phy_check_is_legal_rfpath, 0x65c19979, "");
SYMBOL_CRC(rtl92c_phy_iq_calibrate, 0x66b92935, "");
SYMBOL_CRC(rtl92c_phy_lc_calibrate, 0x1300c144, "");
SYMBOL_CRC(rtl92c_phy_ap_calibrate, 0x825573a5, "");
SYMBOL_CRC(rtl92c_phy_set_rfpath_switch, 0x9112bd63, "");
SYMBOL_CRC(rtl92c_phy_set_io_cmd, 0x4ef4e2cf, "");
SYMBOL_CRC(rtl92c_phy_set_io, 0xdf44e931, "");
SYMBOL_CRC(rtl92ce_phy_set_rf_on, 0xc8f20b3c, "");
SYMBOL_CRC(_rtl92c_phy_set_rf_sleep, 0x23a3639e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x76eb3b33, "rtl_cmd_send_packet" },
	{ 0xd961af97, "_rtl_dbg_print_data" },
	{ 0x5635ceda, "rtl_fw_page_write" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4f2ad77a, "__netdev_alloc_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xccc6b66a, "rtl_dm_diginit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0x1f629a95, "skb_put" },
	{ 0x472bed19, "rtl_fw_block_write" },
	{ 0x69acdf38, "memcpy" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x42281f7f, "_rtl_dbg_print" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "B08EAA805B0AB0630BCBC30");
