#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_disable_lps_deep_mode, "", "");
KSYMTAB_DATA(rtw_debug_mask, "", "");
KSYMTAB_FUNC(rtw_dump_fw, "", "");
KSYMTAB_FUNC(rtw_dump_reg, "", "");
KSYMTAB_FUNC(rtw_set_rx_freq_band, "", "");
KSYMTAB_FUNC(rtw_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw_core_init, "", "");
KSYMTAB_FUNC(rtw_core_deinit, "", "");
KSYMTAB_FUNC(rtw_register_hw, "", "");
KSYMTAB_FUNC(rtw_unregister_hw, "", "");
KSYMTAB_DATA(rtw_ops, "", "");
KSYMTAB_FUNC(check_hw_ready, "", "");
KSYMTAB_FUNC(rtw_restore_reg, "", "");
KSYMTAB_FUNC(rtw_tx_fill_tx_desc, "", "");
KSYMTAB_FUNC(rtw_tx_report_enqueue, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_rsvd_page_get, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_h2c_get, "", "");
KSYMTAB_FUNC(rtw_tx_ac_to_hwq, "", "");
KSYMTAB_FUNC(rtw_tx_queue_mapping, "", "");
KSYMTAB_FUNC(rtw_rx_stats, "", "");
KSYMTAB_FUNC(rtw_rx_fill_rx_status, "", "");
KSYMTAB_FUNC(rtw_set_channel_mac, "", "");
KSYMTAB_DATA(rtw_rate_section, "", "");
KSYMTAB_DATA(rtw_rate_size, "", "");
KSYMTAB_FUNC(rtw_phy_set_edcca_th, "", "");
KSYMTAB_FUNC(rtw_phy_init, "", "");
KSYMTAB_FUNC(rtw_phy_parsing_cfo, "", "");
KSYMTAB_FUNC(rtw_phy_rf_power_2_rssi, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_mix, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_phy_cond, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_bb_pg, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_txpwr_lmt, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_mac, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_agc, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_bb, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_rf, "", "");
KSYMTAB_FUNC(rtw_phy_load_tables, "", "");
KSYMTAB_FUNC(rtw_phy_get_tx_power_index, "", "");
KSYMTAB_FUNC(rtw_phy_set_tx_power_level, "", "");
KSYMTAB_FUNC(rtw_phy_config_swing_table, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_avg, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_thermal_changed, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_delta, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_pwridx, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_lck, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_iqk, "", "");
KSYMTAB_FUNC(rtw_coex_write_scbd, "", "");
KSYMTAB_FUNC(rtw_coex_read_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_coex_write_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_read8_physical_efuse, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_rx_irqsafe, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_isr, "", "");
KSYMTAB_FUNC(rtw_fw_do_iqk, "", "");
KSYMTAB_FUNC(rtw_fw_inform_rfk_status, "", "");
KSYMTAB_FUNC(rtw_power_mode_change, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_set_gid_table, "", "");
KSYMTAB_FUNC(rtw_bf_phy_init, "", "");
KSYMTAB_FUNC(rtw_bf_cfg_csi_rate, "", "");
KSYMTAB_FUNC(rtw_regd_get, "", "");
KSYMTAB_FUNC(rtw_regd_srrc, "", "");

SYMBOL_CRC(rtw_disable_lps_deep_mode, 0x36c5bfca, "");
SYMBOL_CRC(rtw_debug_mask, 0x33b3f3c0, "");
SYMBOL_CRC(rtw_dump_fw, 0xb2299953, "");
SYMBOL_CRC(rtw_dump_reg, 0x811c4f48, "");
SYMBOL_CRC(rtw_set_rx_freq_band, 0x57b794a5, "");
SYMBOL_CRC(rtw_chip_info_setup, 0x3d83bbec, "");
SYMBOL_CRC(rtw_core_init, 0x53ff9edb, "");
SYMBOL_CRC(rtw_core_deinit, 0x8bb0d87d, "");
SYMBOL_CRC(rtw_register_hw, 0x15caf1eb, "");
SYMBOL_CRC(rtw_unregister_hw, 0xefd9c85f, "");
SYMBOL_CRC(rtw_ops, 0x3e1b1710, "");
SYMBOL_CRC(check_hw_ready, 0x0552386b, "");
SYMBOL_CRC(rtw_restore_reg, 0x9339d202, "");
SYMBOL_CRC(rtw_tx_fill_tx_desc, 0x082440ad, "");
SYMBOL_CRC(rtw_tx_report_enqueue, 0x5806de01, "");
SYMBOL_CRC(rtw_tx_write_data_rsvd_page_get, 0x3422c61b, "");
SYMBOL_CRC(rtw_tx_write_data_h2c_get, 0x4099971a, "");
SYMBOL_CRC(rtw_tx_ac_to_hwq, 0x1dc2d072, "");
SYMBOL_CRC(rtw_tx_queue_mapping, 0x24236b28, "");
SYMBOL_CRC(rtw_rx_stats, 0x52632ac1, "");
SYMBOL_CRC(rtw_rx_fill_rx_status, 0x2182515b, "");
SYMBOL_CRC(rtw_set_channel_mac, 0x9577fef0, "");
SYMBOL_CRC(rtw_rate_section, 0x58210e60, "");
SYMBOL_CRC(rtw_rate_size, 0x519c8ba9, "");
SYMBOL_CRC(rtw_phy_set_edcca_th, 0xd66dc3aa, "");
SYMBOL_CRC(rtw_phy_init, 0xd407eccc, "");
SYMBOL_CRC(rtw_phy_parsing_cfo, 0x2f010b2c, "");
SYMBOL_CRC(rtw_phy_rf_power_2_rssi, 0x440b7589, "");
SYMBOL_CRC(rtw_phy_read_rf, 0xf3e330f4, "");
SYMBOL_CRC(rtw_phy_read_rf_sipi, 0xc7d225fa, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_sipi, 0xeb175f95, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_mix, 0x3c0af51a, "");
SYMBOL_CRC(rtw_parse_tbl_phy_cond, 0xafcbb0c0, "");
SYMBOL_CRC(rtw_parse_tbl_bb_pg, 0x7dce6cc7, "");
SYMBOL_CRC(rtw_parse_tbl_txpwr_lmt, 0x9fea4aa6, "");
SYMBOL_CRC(rtw_phy_cfg_mac, 0xb806f0c2, "");
SYMBOL_CRC(rtw_phy_cfg_agc, 0xbe2a4460, "");
SYMBOL_CRC(rtw_phy_cfg_bb, 0xb19ee014, "");
SYMBOL_CRC(rtw_phy_cfg_rf, 0xe7e5ef23, "");
SYMBOL_CRC(rtw_phy_load_tables, 0x1dad0c24, "");
SYMBOL_CRC(rtw_phy_get_tx_power_index, 0xbcd358c9, "");
SYMBOL_CRC(rtw_phy_set_tx_power_level, 0x5782f310, "");
SYMBOL_CRC(rtw_phy_config_swing_table, 0x787b3b8e, "");
SYMBOL_CRC(rtw_phy_pwrtrack_avg, 0xed8db8da, "");
SYMBOL_CRC(rtw_phy_pwrtrack_thermal_changed, 0x445a5ba8, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_delta, 0x27a336c2, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_pwridx, 0xe188d769, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_lck, 0x27201b8c, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_iqk, 0xa2215131, "");
SYMBOL_CRC(rtw_coex_write_scbd, 0x626a5e0c, "");
SYMBOL_CRC(rtw_coex_read_indirect_reg, 0xd56de46d, "");
SYMBOL_CRC(rtw_coex_write_indirect_reg, 0x4b5e835c, "");
SYMBOL_CRC(rtw_read8_physical_efuse, 0x65725b6d, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_rx_irqsafe, 0x790d43f6, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_isr, 0x62ce39fe, "");
SYMBOL_CRC(rtw_fw_do_iqk, 0x6b9fea81, "");
SYMBOL_CRC(rtw_fw_inform_rfk_status, 0x9e8e93cc, "");
SYMBOL_CRC(rtw_power_mode_change, 0xdfbdb959, "");
SYMBOL_CRC(rtw_bf_enable_bfee_su, 0x0f3db243, "");
SYMBOL_CRC(rtw_bf_enable_bfee_mu, 0xed055cce, "");
SYMBOL_CRC(rtw_bf_remove_bfee_su, 0x50988e9b, "");
SYMBOL_CRC(rtw_bf_remove_bfee_mu, 0x242af969, "");
SYMBOL_CRC(rtw_bf_set_gid_table, 0x26bda0b9, "");
SYMBOL_CRC(rtw_bf_phy_init, 0x02e1fa11, "");
SYMBOL_CRC(rtw_bf_cfg_csi_rate, 0x35675621, "");
SYMBOL_CRC(rtw_regd_get, 0x76f18ad1, "");
SYMBOL_CRC(rtw_regd_srrc, 0x6acf8f87, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5e4a89ef, "ieee80211_find_sta_by_ifaddr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf5f300, "skb_push" },
	{ 0xcedefe82, "ieee80211_wake_queues" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x809e8121, "ieee80211_iter_keys_rcu" },
	{ 0xa42e5d14, "ieee80211_free_txskb" },
	{ 0x5e6f86d2, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x843a59df, "ieee80211_tx_dequeue" },
	{ 0xfb578fc5, "memset" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4f2ad77a, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x9b75ebd6, "ieee80211_stop_queues" },
	{ 0x23df8cb5, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x999e8297, "vfree" },
	{ 0x873e2363, "ieee80211_scan_completed" },
	{ 0xf2bc808e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2d33dbb2, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x39fdd260, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb0747ae0, "skb_copy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa17acee7, "ieee80211_cqm_rssi_notify" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6df03e89, "ieee80211_request_smps" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x912ff358, "ieee80211_queue_work" },
	{ 0x977e7413, "dev_kfree_skb_any_reason" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x6a9e1a9a, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x4e258f42, "ieee80211_connection_loss" },
	{ 0x9b39546a, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfcc323af, "ieee80211_txq_get_depth" },
	{ 0x91bf7854, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x1f629a95, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7beef246, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6bf096c4, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xb8266240, "ieee80211_iterate_stations_atomic" },
	{ 0x12992aee, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf2efbf39, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x961e736c, "ieee80211_nullfunc_get" },
	{ 0xcf98f36d, "ieee80211_pspoll_get" },
	{ 0x8987ffbf, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd900b86e, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa2f74584, "skb_queue_purge_reason" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf5aa2c2c, "ieee80211_find_sta" },
	{ 0x6cef37ae, "ieee80211_iter_keys" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x28b01909, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x17b48051, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xe03ac162, "skb_queue_tail" },
	{ 0x269ddb25, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0x6091ff69, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x91da0ca5, "ieee80211_queue_delayed_work" },
	{ 0x5d88af75, "ieee80211_proberesp_get" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xfd759551, "request_firmware_nowait" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "720FDDFBC3AAB79278CF373");
