#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_integrity_init, "", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x21494ec8, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x569683d1, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0xd9060409, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0xa8e881b8, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0xa5f26a81, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0xd0217670, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0xe3611df5, "_gpl");
SYMBOL_CRC(nd_integrity_init, 0xbfbd342f, "");
SYMBOL_CRC(nd_device_notify, 0xa35eb6d4, "");
SYMBOL_CRC(nvdimm_region_notify, 0x2d2b3645, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x65707542, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0xf1fe1ab5, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xda44920e, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0xeb5d21e6, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xbd179cd5, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x1dda8331, "");
SYMBOL_CRC(nd_device_unregister, 0x2bd8cc58, "");
SYMBOL_CRC(__nd_driver_register, 0xafe87887, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0xbc016bef, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x3d9d694b, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0xce771e63, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x766500e9, "_gpl");
SYMBOL_CRC(to_ndd, 0x6b98780a, "");
SYMBOL_CRC(nvdimm_name, 0xb16965a6, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x1d059adb, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0xd996040a, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0xdade9664, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x7d7cfe21, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x0fdc155c, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x02df47e7, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x3c9a2e75, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x2982adca, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0xd8fef82f, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0xd1ebedc4, "_gpl");
SYMBOL_CRC(to_nd_region, 0x4f44c3f5, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x41a45759, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0xcd545054, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x4dd47d52, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x569c46d5, "");
SYMBOL_CRC(nd_region_release_lane, 0x2797d858, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0xdc2acb09, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x6b803adc, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0xb8fde983, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x654e5736, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0xd6f981fc, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0xf5870e98, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x678ca7dd, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x36931ac4, "");
SYMBOL_CRC(pmem_sector_size, 0x7fb6a468, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x82e7e4d0, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x17b20062, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0xeb7ee981, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x5131d621, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x876e115e, "");
SYMBOL_CRC(devm_namespace_enable, 0x73da3d51, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x85746c49, "_gpl");
SYMBOL_CRC(badrange_init, 0x11e06ee9, "_gpl");
SYMBOL_CRC(badrange_add, 0x2e08226d, "_gpl");
SYMBOL_CRC(badrange_forget, 0x82092899, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0xee018275, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x7f55f0a4, "");
SYMBOL_CRC(is_nd_btt, 0x0372456e, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x54593e48, "");
SYMBOL_CRC(nd_btt_version, 0x59d43afc, "");
SYMBOL_CRC(nd_btt_probe, 0x258ca190, "");
SYMBOL_CRC(to_nd_pfn, 0x0ee421de, "");
SYMBOL_CRC(is_nd_pfn, 0x613049b7, "");
SYMBOL_CRC(nd_pfn_validate, 0x51fa44ec, "");
SYMBOL_CRC(nd_pfn_probe, 0xb7cd9ad0, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0xdbb6523f, "_gpl");
SYMBOL_CRC(to_nd_dax, 0xc2935377, "");
SYMBOL_CRC(is_nd_dax, 0x5bd3f7fc, "");
SYMBOL_CRC(nd_dax_probe, 0xbf03fcdb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xf614479e, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x55590a4f, "__devm_release_region" },
	{ 0xa1a35660, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xf0bb9b99, "kernfs_put" },
	{ 0xd5de7767, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x904d6c2b, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xbe63e7e9, "boot_cpu_data" },
	{ 0x77001649, "badblocks_check" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x97cb628c, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0xa3508c67, "badblocks_clear" },
	{ 0x6e49224b, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0x8fbbb79e, "driver_register" },
	{ 0xbebdc272, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x817f5acb, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x585670f2, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x66b1eb0b, "blk_integrity_register" },
	{ 0x47d27382, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0xae0cf3dd, "devm_memremap" },
	{ 0xc37abed6, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x7ce4dbd2, "badblocks_set" },
	{ 0x57d9ca80, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x69e12432, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x353bfcad, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xf07cd072, "badblocks_exit" },
	{ 0x73641259, "pcpu_hot" },
	{ 0xf590648c, "device_for_each_child" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0x5208d4f4, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcce65251, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x908529d9, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa7233c17, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x6f0525cf, "__cpuhp_state_remove_instance" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a9dbedd, "put_device" },
	{ 0x87c81120, "badblocks_show" },
	{ 0xeeae3e8, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x90974934, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9101e98b, "compat_ptr_ioctl" },
	{ 0x6f66155c, "perf_pmu_migrate_context" },
	{ 0x15db99f7, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x746b3e8b, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0xb87c4fd0, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xd2cd008, "__cpuhp_setup_state" },
	{ 0x6c3d4a5, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x21b8348a, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0xdb1fecdb, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0x2b42dae8, "class_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8663226c, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0xc2015173, "driver_unregister" },
	{ 0x4c46c08d, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1dbd773, "perf_pmu_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x11984272, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AA568C06C7ACBEE57DD28BD");
