#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0xefed9631, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0x349842d1, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0x1d032ef0, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0x7f63685f, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0xf4c10c79, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0x515ab4fa, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0x68fb7135, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0x2f6ddd10, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0x0f2a7f50, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0x9764d3ed, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0xfe6bb732, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xe962393, "config_group_init_type_name" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x3352d984, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0x52774c03, "sg_miter_stop" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x55b2716f, "bio_chain" },
	{ 0x1929f708, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe2cd9fa9, "bio_add_page" },
	{ 0xf3a6fada, "crypto_shash_update" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb048b934, "nvme_find_get_ns" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1dd11a5, "bio_integrity_alloc" },
	{ 0x4fde3d5, "sg_miter_start" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x28373d9b, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x4289f05d, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x2417275d, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xa5c958f8, "nvme_passthru_start" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x10b89330, "crypto_has_shash" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0x98635afd, "crypto_shash_final" },
	{ 0x2e659447, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xfd96f5ae, "filp_close" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x2036f7ed, "blkdev_issue_flush" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x7b7b0236, "nvme_ctrl_from_file" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xe0dfc6c9, "nvme_init_request" },
	{ 0x754d539c, "strlen" },
	{ 0xf0beeaaa, "nvme_execute_rq" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7a5723ac, "nvme_put_ns" },
	{ 0xd3f883e5, "bdev_release" },
	{ 0x5852a792, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4dcd78dc, "nvme_auth_gen_privkey" },
	{ 0x9dde915d, "bio_alloc_bioset" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x8d572448, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x3d363d2b, "nvme_get_features" },
	{ 0x4adb1d81, "submit_bio_wait" },
	{ 0x5ac14439, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x474dd4db, "__blkdev_issue_discard" },
	{ 0x4faa41c1, "fs_bio_set" },
	{ 0x583a5d67, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xeeea0800, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x55afa084, "filp_open" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x47d27382, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa7846d64, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xc30815ef, "config_group_init" },
	{ 0xbb937186, "bio_add_zone_append_page" },
	{ 0xcb39603c, "nvme_auth_hmac_id" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7cb48f17, "bio_add_pc_page" },
	{ 0x77bc13a0, "strim" },
	{ 0xea56ebe5, "nvme_auth_extract_key" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xe4183924, "pci_dev_put" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xf3a09fe7, "crypto_has_kpp" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0x34747759, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x63b08692, "t10_pi_type1_crc" },
	{ 0xadf5df8d, "bdev_open_by_path" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6bc4c78d, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6d4c3dd3, "nvme_command_effects" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x1b4f270e, "bpf_trace_run2" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x6f575ff8, "__module_get" },
	{ 0x9eabf9c4, "kmem_cache_create" },
	{ 0x5208d4f4, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe147abf6, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf984dfb9, "nvme_passthru_end" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0x87fe483, "crypto_destroy_tfm" },
	{ 0xb49601a1, "sg_zero_buffer" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1953c958, "mempool_create" },
	{ 0x51fd5b77, "crypto_alloc_kpp" },
	{ 0xa1209ea8, "vfs_fallocate" },
	{ 0xdb1741f5, "blkdev_zone_mgmt" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a9dbedd, "put_device" },
	{ 0xb60e652c, "bdev_nr_zones" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0xefe40071, "blk_mq_free_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x44a19513, "blk_finish_plug" },
	{ 0x780989d1, "nvme_auth_dhgroup_id" },
	{ 0x399d9ac8, "nvme_auth_hmac_hash_len" },
	{ 0x9fe9d123, "submit_bio" },
	{ 0x90974934, "module_put" },
	{ 0x5444dd64, "nvme_auth_gen_pubkey" },
	{ 0x2e782799, "t10_pi_type3_crc" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x746b3e8b, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x411edb5f, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x3c916e11, "bio_endio" },
	{ 0xb390f77d, "sg_miter_next" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0x6789fc89, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xfc03e260, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x968c5441, "configfs_register_subsystem" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0x464c9ba7, "blk_execute_rq_nowait" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth,nvme-core,t10-pi");


MODULE_INFO(srcversion, "B97F72F7E142D28429D83EF");
