#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0x8b0f6263, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0x63b3da6c, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0x15602dda, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0xe9a69b09, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0xdbf049b5, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0x01b048c4, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0x013c0ce6, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0xe477905f, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0xc97102f5, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0x327b40ae, "");
SYMBOL_CRC(fcoe_link_speed_update, 0xd4fda0fb, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0x79eac97c, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0xfa5d46fd, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0x98f23df3, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x2fc82270, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0x2b312e30, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0xfdb10749, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0x56c2c293, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0xc3628e52, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x9dc4314c, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0xbac58840, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0xa889720d, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0x6b08233e, "");
SYMBOL_CRC(fcoe_transport_detach, 0xb1b49ee4, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x518ade6c, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0x92db5458, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0x3eea66f9, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0xd72c7ebd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x601a6ed0, "device_register" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x30610987, "fc_vport_id_lookup" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x12e63c1e, "fc_elsct_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xb9dc0b13, "fc_disc_config" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x824238be, "__pskb_pull_tail" },
	{ 0x50f3f2a1, "fc_fcp_init" },
	{ 0x4f2ad77a, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7ed8c8e, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb75298da, "__dev_queue_xmit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe5c09172, "alloc_pages" },
	{ 0x8aa4c1e1, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa7dd8adc, "dev_get_by_name" },
	{ 0xd912ffa1, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x5b5d4b09, "fc_seq_els_rsp_send" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0x33e3eff9, "fc_rport_create" },
	{ 0x4aac5cd7, "_dev_printk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x6dd0cc66, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x817f5acb, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb6db75ef, "fc_linkup" },
	{ 0x62f7b5e8, "fc_rport_lookup" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xea88d33f, "dev_get_stats" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x91bf7854, "param_ops_uint" },
	{ 0x1f629a95, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc37abed6, "dev_set_name" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0xecba10a0, "fc_lport_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x57d9ca80, "device_unregister" },
	{ 0x7beef246, "skb_dequeue" },
	{ 0x37a0cba, "kfree" },
	{ 0x8e26233f, "fc_rport_logoff" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x50f6bb06, "__put_devmap_managed_page_refs" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x799dd9b4, "fc_disc_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8547c3c2, "fc_rport_login" },
	{ 0xa2f74584, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x5d2cc870, "fc_linkdown" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a9dbedd, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xe03ac162, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x98246f99, "fc_lport_reset" },
	{ 0xb87c4fd0, "bus_unregister" },
	{ 0xdadd8594, "init_net" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf5f300, "skb_push" },
	{ 0x6148952f, "fc_lport_set_local_id" },
	{ 0xb579e3a3, "fc_exch_recv" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb6e2ca56, "__ethtool_get_link_ksettings" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "D0A2D437560AFBCC6CDFDF0");
