#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0xb9f04ee7, "");
SYMBOL_CRC(fc_host_post_event, 0x3a52ea61, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0x6e17808f, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0xc13ef422, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0xa5a3fed7, "");
SYMBOL_CRC(scsi_is_fc_rport, 0x0810df70, "");
SYMBOL_CRC(fc_eh_timed_out, 0xdce98616, "");
SYMBOL_CRC(fc_attach_transport, 0xad8e50da, "");
SYMBOL_CRC(fc_release_transport, 0xe66ff366, "");
SYMBOL_CRC(fc_remove_host, 0x911ad072, "");
SYMBOL_CRC(fc_remote_port_add, 0x2120572d, "");
SYMBOL_CRC(fc_remote_port_delete, 0xea9e4732, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0x68b21cec, "");
SYMBOL_CRC(fc_block_rport, 0x237742dc, "");
SYMBOL_CRC(fc_block_scsi_eh, 0xf190623e, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0x3725894f, "_gpl");
SYMBOL_CRC(fc_vport_create, 0xf829d3a2, "");
SYMBOL_CRC(fc_vport_terminate, 0xccaf69ab, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6b24f245, "scsi_host_put" },
	{ 0xf943f3ee, "sysfs_remove_link" },
	{ 0xefe2c8f6, "transport_remove_device" },
	{ 0x20289e68, "device_del" },
	{ 0xc0c69ec9, "transport_destroy_device" },
	{ 0x4aac5cd7, "_dev_printk" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x2f867b2b, "attribute_container_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4ac43d7a, "scsi_host_get" },
	{ 0x353bfcad, "device_initialize" },
	{ 0x5208d4f4, "get_device" },
	{ 0xc37abed6, "dev_set_name" },
	{ 0x8387aee6, "transport_setup_device" },
	{ 0x21b8348a, "device_add" },
	{ 0x3a8ce1f8, "transport_add_device" },
	{ 0xa9608af0, "transport_configure_device" },
	{ 0xe2484055, "sysfs_create_link" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6c04d7bd, "scsi_flush_work" },
	{ 0xbc2ef90c, "bsg_remove_queue" },
	{ 0x7c4b8710, "scsi_target_unblock" },
	{ 0x563198ea, "scsi_remove_target" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfb04afc0, "scsi_queue_work" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdb280ca0, "scsi_is_target_device" },
	{ 0xc117b2a6, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x87689182, "blk_mq_run_hw_queues" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x78f07f19, "bsg_job_get" },
	{ 0x2c4de49f, "blk_mq_end_request" },
	{ 0xf67e2a1c, "bsg_job_put" },
	{ 0x519eaed9, "bsg_job_done" },
	{ 0x91bf7854, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6a9dbedd, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5a921311, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xc37aad15, "scsi_scan_target" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x6e7ef55f, "transport_class_register" },
	{ 0xa2c864fc, "transport_class_unregister" },
	{ 0x38ff08a, "scsi_nl_sock" },
	{ 0x17b48051, "__alloc_skb" },
	{ 0xaeef1660, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x788f9c5f, "netlink_broadcast_filtered" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0x81dd2847, "scsi_is_host_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x48af4078, "bsg_setup_queue" },
	{ 0x868a5910, "__scsi_init_queue" },
	{ 0x54a67e4c, "blk_queue_rq_timeout" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x33a5015a, "attribute_container_unregister" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E7EE9F8EC3E8D124BAFCB53");
