#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0xd688956b, "");
SYMBOL_CRC(sas_remove_host, 0x2a5c8c47, "");
SYMBOL_CRC(sas_get_address, 0x44597d89, "");
SYMBOL_CRC(sas_tlr_supported, 0x793b0d31, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x67fa35c9, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x53ce4742, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x06bae31e, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x3dc5ab5e, "");
SYMBOL_CRC(sas_phy_add, 0x2298983f, "");
SYMBOL_CRC(sas_phy_free, 0xf4e607d8, "");
SYMBOL_CRC(sas_phy_delete, 0x917548af, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xced4212b, "");
SYMBOL_CRC(sas_port_alloc, 0xa5de7603, "");
SYMBOL_CRC(sas_port_alloc_num, 0x0f22d448, "");
SYMBOL_CRC(sas_port_add, 0x15f026e1, "");
SYMBOL_CRC(sas_port_free, 0x68cab9d0, "");
SYMBOL_CRC(sas_port_delete, 0x1efe39e4, "");
SYMBOL_CRC(scsi_is_sas_port, 0xe330e8a3, "");
SYMBOL_CRC(sas_port_get_phy, 0xa2196eb1, "");
SYMBOL_CRC(sas_port_add_phy, 0x43b23789, "");
SYMBOL_CRC(sas_port_delete_phy, 0xeeeda88e, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x8c9b5a87, "");
SYMBOL_CRC(sas_read_port_mode_page, 0xcc916855, "");
SYMBOL_CRC(sas_end_device_alloc, 0x439f0dbd, "");
SYMBOL_CRC(sas_expander_alloc, 0x402ba08c, "");
SYMBOL_CRC(sas_rphy_add, 0xa448736f, "");
SYMBOL_CRC(sas_rphy_free, 0x1389eb9e, "");
SYMBOL_CRC(sas_rphy_delete, 0x82eef752, "");
SYMBOL_CRC(sas_rphy_unlink, 0x28f4f6dc, "");
SYMBOL_CRC(sas_rphy_remove, 0xe62ffbd2, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x33b8c633, "");
SYMBOL_CRC(sas_attach_transport, 0xc0faea6c, "");
SYMBOL_CRC(sas_release_transport, 0xa5d28e4a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf943f3ee, "sysfs_remove_link" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4aac5cd7, "_dev_printk" },
	{ 0x33a5015a, "attribute_container_unregister" },
	{ 0x4b53c3dd, "scsi_get_vpd_page" },
	{ 0xba75ef04, "scsi_mode_sense" },
	{ 0x1e5eefa, "scsi_remove_host" },
	{ 0xbc2ef90c, "bsg_remove_queue" },
	{ 0x563198ea, "scsi_remove_target" },
	{ 0x81dd2847, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x519eaed9, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8d7cfc7d, "dma_opt_mapping_size" },
	{ 0x353bfcad, "device_initialize" },
	{ 0xc37abed6, "dev_set_name" },
	{ 0x8387aee6, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf590648c, "device_for_each_child" },
	{ 0x6a9dbedd, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x21b8348a, "device_add" },
	{ 0x3a8ce1f8, "transport_add_device" },
	{ 0xa9608af0, "transport_configure_device" },
	{ 0x20289e68, "device_del" },
	{ 0xc0c69ec9, "transport_destroy_device" },
	{ 0xefe2c8f6, "transport_remove_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5208d4f4, "get_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe2484055, "sysfs_create_link" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc37aad15, "scsi_scan_target" },
	{ 0x48af4078, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x6e7ef55f, "transport_class_register" },
	{ 0xa2c864fc, "transport_class_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x2f867b2b, "attribute_container_register" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "223C2971947F8D4DDF94D8F");
