#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0x09078820, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0x9aff7ce6, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0x9d59dd41, "");
SYMBOL_CRC(sdw_intel_startup, 0x4dd8ff27, "");
SYMBOL_CRC(sdw_intel_exit, 0xa2bdd9ed, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0xf8dce204, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x20289e68, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x12a5aab2, "devm_kasprintf" },
	{ 0xf77ab6d, "seq_read" },
	{ 0xb1ed295e, "debugfs_create_file" },
	{ 0xc1c856d1, "sdw_stream_add_master" },
	{ 0x2699bfc, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8e1a8a75, "cdns_read_ping_status" },
	{ 0x193d618e, "acpi_fetch_acpi_dev" },
	{ 0x46245683, "device_get_named_child_node" },
	{ 0xd4928a14, "sdw_cdns_probe" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9eb17850, "sdw_cdns_config_update" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0x74844210, "sdw_bus_master_delete" },
	{ 0x341ee2bd, "single_release" },
	{ 0x1feb4c92, "__auxiliary_driver_register" },
	{ 0x9061fffa, "sdw_cdns_check_self_clearing_bits" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x17883ce2, "__pm_runtime_use_autosuspend" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0x2c9f77fa, "single_open" },
	{ 0xfe474462, "__pm_runtime_disable" },
	{ 0x83f63baa, "debugfs_create_dir" },
	{ 0xc6c71f5a, "sdw_master_read_prop" },
	{ 0x36df848d, "sdw_compute_params" },
	{ 0xeb819371, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x8794b302, "sdw_cdns_pdi_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8214e6d7, "simple_attr_open" },
	{ 0xcbb89af8, "debugfs_attr_write" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0xd8729ad5, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xceb2ffa2, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc84e02f2, "sdw_cdns_clock_restart" },
	{ 0x3f021483, "sdw_cdns_debugfs_init" },
	{ 0x876dd181, "pm_runtime_set_autosuspend_delay" },
	{ 0x976e2fb8, "sdw_bus_master_add" },
	{ 0x3499b609, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcfc48bfe, "sdw_cdns_is_clock_stop" },
	{ 0x598d312b, "seq_lseek" },
	{ 0x25ca099c, "sdw_cdns_config_update_set_wait" },
	{ 0xf590648c, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3e81bb17, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcbdbeb02, "__pm_runtime_set_status" },
	{ 0x9f353385, "auxiliary_driver_unregister" },
	{ 0x67bfbca0, "devm_snd_soc_register_component" },
	{ 0xf27f6060, "cdns_bus_conf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a9dbedd, "put_device" },
	{ 0x13479cfe, "cdns_set_sdw_stream" },
	{ 0xf0799e, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd580d82c, "fwnode_property_read_u32_array" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xbfeed485, "sdw_clear_slave_status" },
	{ 0x657c67bf, "debugfs_attr_read" },
	{ 0x50f22a8f, "sdw_stream_remove_master" },
	{ 0xd6788328, "sdw_cdns_exit_reset" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x378487c, "simple_attr_release" },
	{ 0x87c2ea60, "__auxiliary_device_add" },
	{ 0xb5018d0a, "sdw_cdns_alloc_pdi" },
	{ 0x73764476, "sdw_cdns_clock_stop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9e637e13, "debugfs_remove" },
	{ 0xd3379bc6, "cdns_xfer_msg_defer" },
	{ 0xcfacfb11, "cdns_xfer_msg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus,soundwire-cadence,soundwire-generic-allocation,snd-pcm,snd-soc-core");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "59A385F6574C3F3CB846AE8");
