#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ssb_bus_resume, "", "");
KSYMTAB_FUNC(ssb_bus_suspend, "", "");
KSYMTAB_FUNC(ssb_bus_unregister, "", "");
KSYMTAB_FUNC(ssb_bus_sdiobus_register, "", "");
KSYMTAB_FUNC(__ssb_driver_register, "", "");
KSYMTAB_FUNC(ssb_driver_unregister, "", "");
KSYMTAB_FUNC(ssb_set_devtypedata, "", "");
KSYMTAB_FUNC(ssb_clockspeed, "", "");
KSYMTAB_FUNC(ssb_device_is_enabled, "", "");
KSYMTAB_FUNC(ssb_device_enable, "", "");
KSYMTAB_FUNC(ssb_device_disable, "", "");
KSYMTAB_FUNC(ssb_dma_translation, "", "");
KSYMTAB_FUNC(ssb_bus_may_powerdown, "", "");
KSYMTAB_FUNC(ssb_bus_powerup, "", "");
KSYMTAB_FUNC(ssb_commit_settings, "", "");
KSYMTAB_FUNC(ssb_admatch_base, "", "");
KSYMTAB_FUNC(ssb_admatch_size, "", "");
KSYMTAB_FUNC(ssb_pcihost_register, "", "");
KSYMTAB_FUNC(ssb_chipco_gpio_control, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_voltage, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_paref, "", "");
KSYMTAB_FUNC(ssb_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(ssb_pcicore_dev_irqvecs_enable, "", "");

SYMBOL_CRC(ssb_bus_resume, 0xac1a61dc, "");
SYMBOL_CRC(ssb_bus_suspend, 0x4cc24af6, "");
SYMBOL_CRC(ssb_bus_unregister, 0xdacfec7d, "");
SYMBOL_CRC(ssb_bus_sdiobus_register, 0xb830ee9c, "");
SYMBOL_CRC(__ssb_driver_register, 0x6db6dd82, "");
SYMBOL_CRC(ssb_driver_unregister, 0x58dd39c3, "");
SYMBOL_CRC(ssb_set_devtypedata, 0xe763d440, "");
SYMBOL_CRC(ssb_clockspeed, 0x98b815b1, "");
SYMBOL_CRC(ssb_device_is_enabled, 0x936b49f5, "");
SYMBOL_CRC(ssb_device_enable, 0x3f030ee6, "");
SYMBOL_CRC(ssb_device_disable, 0x249848c9, "");
SYMBOL_CRC(ssb_dma_translation, 0x63b95d5c, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0x927d4adb, "");
SYMBOL_CRC(ssb_bus_powerup, 0x64aacc81, "");
SYMBOL_CRC(ssb_commit_settings, 0xd6d954b8, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_pcihost_register, 0xeba3e276, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0x21af5a3f, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0x27b9b2da, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0x54160ad5, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0x8a6c66de, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0x5eb59ad9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a9dbedd, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x9ec59b8b, "device_create_file" },
	{ 0x707612b4, "sdio_readsb" },
	{ 0xb87c4fd0, "bus_unregister" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xabba3379, "pci_read_config_word" },
	{ 0xccb6e4b1, "sdio_readl" },
	{ 0xc2015173, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xacf8166d, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x601a6ed0, "device_register" },
	{ 0xd086861c, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5ba35e19, "sdio_writel" },
	{ 0xc747289f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xe2c59fba, "_dev_emerg" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1f4063ab, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x12541d7e, "pci_disable_device" },
	{ 0x26679c74, "sdio_writesb" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x965eef51, "pci_write_config_word" },
	{ 0x8fbbb79e, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcd42fdf5, "pci_write_config_dword" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x479e88a, "device_remove_file" },
	{ 0x817f5acb, "bus_register" },
	{ 0x8edf72b5, "sdio_readb" },
	{ 0x83289a7, "sdio_writeb" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xb7a24f31, "pci_save_state" },
	{ 0x7e093f47, "sdio_release_host" },
	{ 0x6a9e1a9a, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf5583990, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xc37abed6, "dev_set_name" },
	{ 0xd282fc85, "sdio_claim_host" },
	{ 0x5203eddc, "pci_iomap" },
	{ 0xda909dcf, "sdio_readw" },
	{ 0x57d9ca80, "device_unregister" },
	{ 0x1535203e, "pci_back_from_sleep" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x5b4f4cd8, "__pci_register_driver" },
	{ 0xdcf703ca, "pci_prepare_to_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0x95363ee4, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x6a005f5e, "sdio_writew" },
	{ 0x5208d4f4, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xd3e981e, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x908529d9, "dev_driver_string" },
	{ 0x5f41e5c1, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");

MODULE_ALIAS("pci:v000014E4d00004301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014A4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004324sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004325sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004328sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004329sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004351sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FBA3A9A8B2C23CB6F03D445");
