#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_send_command, 0x09dbf423, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0xcf1c8ba8, "_gpl");
SYMBOL_CRC(ucsi_resume, 0xb2a2c72a, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x565da8b7, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x2896fc78, "_gpl");
SYMBOL_CRC(ucsi_create, 0xa7686c1e, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0xeae87274, "_gpl");
SYMBOL_CRC(ucsi_register, 0x6091b367, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0x4d5b8f93, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9bdc1c17, "typec_partner_register_altmode" },
	{ 0xdd99bc33, "typec_partner_set_num_altmodes" },
	{ 0xe01076fc, "typec_unregister_partner" },
	{ 0x800ec95e, "typec_set_pwr_opmode" },
	{ 0x657c67bf, "debugfs_attr_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x6c4ba05e, "typec_altmode_update_active" },
	{ 0x7afba4cf, "device_property_read_u8_array" },
	{ 0x378487c, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x8d0108f5, "usb_power_delivery_register_capabilities" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9e637e13, "debugfs_remove" },
	{ 0x92e560e1, "usb_power_delivery_unregister" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0x339249fc, "typec_set_data_role" },
	{ 0x9952e858, "typec_get_negotiated_svdm_version" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x30e8d738, "typec_altmode_vdm" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4a86b532, "typec_unregister_port" },
	{ 0x5a24c2cf, "power_supply_get_drvdata" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0xd7ab3b48, "typec_register_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b1421ab, "typec_partner_set_usb_power_delivery" },
	{ 0xade099a, "power_supply_changed" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x12a5aab2, "devm_kasprintf" },
	{ 0xf222114e, "typec_partner_set_svdm_version" },
	{ 0xf77ab6d, "seq_read" },
	{ 0xb1ed295e, "debugfs_create_file" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe6a2d1, "typec_unregister_altmode" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x26088ee, "usb_power_delivery_unregister_capabilities" },
	{ 0x639b0cb6, "typec_get_drvdata" },
	{ 0x146ba844, "power_supply_unregister" },
	{ 0x341ee2bd, "single_release" },
	{ 0x656b1207, "typec_set_pwr_role" },
	{ 0x5b8f221b, "dev_err_probe" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x4afad210, "usb_debug_root" },
	{ 0xa52f77be, "fwnode_handle_put" },
	{ 0x2869cf86, "device_get_next_child_node" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x2c9f77fa, "single_open" },
	{ 0x83f63baa, "debugfs_create_dir" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8bfcf81d, "__dev_fwnode" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8214e6d7, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x14ca8d43, "typec_register_partner" },
	{ 0x266d4e85, "typec_port_set_usb_power_delivery" },
	{ 0xcbb89af8, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0x4fdc2efe, "typec_port_register_altmode" },
	{ 0x118377a3, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0xee051b5a, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0x34747759, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0xe578a9b1, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x598d312b, "seq_lseek" },
	{ 0x1b4f270e, "bpf_trace_run2" },
	{ 0xc8a3e6c3, "typec_set_mode" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0x5e2c8b2d, "typec_altmode2port" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2e884325, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "typec");


MODULE_INFO(srcversion, "FF444ECBF7A2DB4E28F02AA");
