#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(viafb_find_i2c_adapter, "_gpl", "");
KSYMTAB_FUNC(viafb_irq_enable, "_gpl", "");
KSYMTAB_FUNC(viafb_irq_disable, "_gpl", "");
KSYMTAB_FUNC(viafb_pm_register, "_gpl", "");
KSYMTAB_FUNC(viafb_pm_unregister, "_gpl", "");

SYMBOL_CRC(viafb_find_i2c_adapter, 0x8549193f, "_gpl");
SYMBOL_CRC(viafb_irq_enable, 0xcd538333, "_gpl");
SYMBOL_CRC(viafb_irq_disable, 0xb4606f8d, "_gpl");
SYMBOL_CRC(viafb_pm_register, 0xb4f863e6, "_gpl");
SYMBOL_CRC(viafb_pm_unregister, 0x31469540, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x824b421c, "i2c_del_adapter" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x41157b09, "gpiochip_get_data" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xdbc49d7f, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x69351014, "aperture_remove_conflicting_pci_devices" },
	{ 0x1feb7d51, "seq_putc" },
	{ 0xb9f263ca, "platform_device_add" },
	{ 0x8f1f58, "register_framebuffer" },
	{ 0x56b1aa0a, "fb_io_read" },
	{ 0x1ba85cca, "platform_device_alloc" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6005cc89, "cfb_imageblit" },
	{ 0xa568ee07, "proc_mkdir" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8b411c56, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9a467455, "fb_io_write" },
	{ 0xc631580a, "console_unlock" },
	{ 0xa1231ce1, "fb_set_suspend" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddcf944, "gpiochip_add_data_with_key" },
	{ 0x5ee3d1dd, "__platform_driver_register" },
	{ 0xf77ab6d, "seq_read" },
	{ 0xe8b6cbb6, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x38aa1397, "gpiod_add_lookup_table" },
	{ 0x6513a3fa, "fb_get_color_depth" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd6591c74, "cfb_fillrect" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xee0bc34a, "remove_proc_entry" },
	{ 0xae1d2c5e, "fb_modesetting_disabled" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8a6d8160, "i2c_transfer" },
	{ 0x12541d7e, "pci_disable_device" },
	{ 0x6d073985, "seq_puts" },
	{ 0x341ee2bd, "single_release" },
	{ 0xc70ac536, "proc_create_single_data" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x2cb467d8, "framebuffer_release" },
	{ 0x754d539c, "strlen" },
	{ 0xec1bd553, "fb_io_mmap" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0x2c9f77fa, "single_open" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x1663996b, "unregister_framebuffer" },
	{ 0x9bb960ea, "platform_device_put" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf5583990, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x58931d81, "platform_driver_unregister" },
	{ 0x652bde18, "proc_create" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x5570266b, "i2c_bit_add_bus" },
	{ 0xe4183924, "pci_dev_put" },
	{ 0x50014b02, "cfb_copyarea" },
	{ 0x60bf7d8a, "pci_get_device" },
	{ 0x5b4f4cd8, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x598d312b, "seq_lseek" },
	{ 0xc69ca2ab, "framebuffer_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd3e981e, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc07b0863, "fb_destroy_modedb" },
	{ 0x397edd5, "fb_edid_to_monspecs" },
	{ 0x5f41e5c1, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "i2c-algo-bit");

MODULE_ALIAS("pci:v00001106d00003122sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00007205sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003108sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003118sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003344sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003157sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003225sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003230sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003343sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00003371sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00001122sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00005122sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d00007122sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "004C476FAB032CC14B328C0");
