#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_pci_admin_has_legacy_io, "_gpl", "");
KSYMTAB_FUNC(virtio_pci_admin_legacy_common_io_write, "_gpl", "");
KSYMTAB_FUNC(virtio_pci_admin_legacy_device_io_write, "_gpl", "");
KSYMTAB_FUNC(virtio_pci_admin_legacy_device_io_read, "_gpl", "");
KSYMTAB_FUNC(virtio_pci_admin_legacy_common_io_read, "_gpl", "");
KSYMTAB_FUNC(virtio_pci_admin_legacy_io_notify_info, "_gpl", "");

SYMBOL_CRC(virtio_pci_admin_has_legacy_io, 0x889887d3, "_gpl");
SYMBOL_CRC(virtio_pci_admin_legacy_common_io_write, 0x2b4fca98, "_gpl");
SYMBOL_CRC(virtio_pci_admin_legacy_device_io_write, 0x46d0a818, "_gpl");
SYMBOL_CRC(virtio_pci_admin_legacy_device_io_read, 0x24cb3e14, "_gpl");
SYMBOL_CRC(virtio_pci_admin_legacy_common_io_read, 0x664d5501, "_gpl");
SYMBOL_CRC(virtio_pci_admin_legacy_io_notify_info, 0xd4481b5a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff05fa13, "vring_interrupt" },
	{ 0x848d372e, "iowrite8" },
	{ 0x102cb4ab, "vp_modern_avq_index" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a9dbedd, "put_device" },
	{ 0x9efeb900, "virtio_config_changed" },
	{ 0x9eb27f8b, "vp_legacy_set_status" },
	{ 0x563c6d71, "vp_modern_get_queue_enable" },
	{ 0x21fe7a56, "vp_modern_config_vector" },
	{ 0x41abd8a0, "virtqueue_get_vring_size" },
	{ 0x591e0e8c, "vp_modern_probe" },
	{ 0xd8b353f3, "pci_find_capability" },
	{ 0x6ae6e7b1, "pci_iov_vf_id" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5cd5ff02, "unregister_virtio_device" },
	{ 0xc338121b, "vp_legacy_queue_vector" },
	{ 0x21cdeac1, "virtqueue_get_desc_addr" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9abc362d, "vp_legacy_get_queue_enable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9d39d79d, "vp_modern_set_queue_size" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc2e5dd55, "vp_legacy_probe" },
	{ 0x4845a78e, "pci_device_is_present" },
	{ 0xabba3379, "pci_read_config_word" },
	{ 0xa3c6b7e3, "vp_modern_queue_vector" },
	{ 0x98512c3c, "virtio_device_freeze" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xba685d0, "vp_modern_set_queue_reset" },
	{ 0xacf8166d, "pci_iounmap" },
	{ 0xe0eccba3, "vp_modern_generation" },
	{ 0x5e648137, "virtqueue_add_sgs" },
	{ 0xb19b445, "ioread8" },
	{ 0x22b43e68, "pci_alloc_irq_vectors_affinity" },
	{ 0xd7fb5d58, "virtio_break_device" },
	{ 0xc747289f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf7e427dd, "vp_legacy_set_features" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x8855ae0c, "virtqueue_get_buf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd652b859, "vp_modern_set_features" },
	{ 0x65243e82, "pci_find_next_capability" },
	{ 0xfab77b08, "virtqueue_get_used_addr" },
	{ 0xd9492c38, "virtqueue_kick" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0x56470118, "__warn_printk" },
	{ 0x914f3105, "register_virtio_device" },
	{ 0xb84db59a, "pci_disable_sriov" },
	{ 0x7dad4a72, "vp_legacy_get_queue_size" },
	{ 0x329f6d15, "vp_legacy_get_features" },
	{ 0x12541d7e, "pci_disable_device" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x3c4ed421, "pci_irq_get_affinity" },
	{ 0xef788211, "pci_read_config_byte" },
	{ 0x8bffe935, "vp_modern_get_num_queues" },
	{ 0x486a5cdb, "__virtqueue_unbreak" },
	{ 0x920cd9ad, "pci_free_irq_vectors" },
	{ 0xe83a9527, "pci_enable_sriov" },
	{ 0x57f5d5e9, "vp_modern_set_queue_enable" },
	{ 0xcacece9b, "vring_del_virtqueue" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7ad2d931, "__virtqueue_break" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6032eb6d, "pci_iov_get_pf_drvdata" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xaaa00c1b, "vring_transport_features" },
	{ 0x11db6f4b, "pci_find_ext_capability" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x2a52b64d, "vp_modern_get_status" },
	{ 0xf5583990, "pci_enable_device" },
	{ 0x5956a5cb, "vp_modern_get_queue_reset" },
	{ 0x5e33a8ab, "vp_modern_map_vq_notify" },
	{ 0x266e97a4, "vp_legacy_config_vector" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xd7403280, "virtqueue_is_broken" },
	{ 0xcb49eb1c, "virtqueue_get_avail_addr" },
	{ 0x22a69a0d, "vp_modern_get_queue_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xde22fbf5, "pci_vfs_assigned" },
	{ 0x895abc1a, "vp_legacy_remove" },
	{ 0x72d4b137, "vp_legacy_set_queue_address" },
	{ 0x69a856ed, "vp_modern_remove" },
	{ 0xf03aa409, "vp_legacy_get_status" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x5b4f4cd8, "__pci_register_driver" },
	{ 0x1adb2274, "vring_create_virtqueue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xaefe2bb5, "vp_modern_get_features" },
	{ 0x7c5a5647, "vp_modern_set_status" },
	{ 0x6a25b888, "pci_irq_vector" },
	{ 0x5208d4f4, "get_device" },
	{ 0xf383ec14, "vp_modern_avq_num" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd3e981e, "pci_unregister_driver" },
	{ 0x9c4ec6d5, "vring_notification_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeed10cca, "vp_modern_queue_address" },
	{ 0x4799c6ea, "virtio_device_restore" },
	{ 0x5f41e5c1, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "virtio_pci_modern_dev,virtio_pci_legacy_dev");

MODULE_ALIAS("pci:v00001AF4d*sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "D8DDA3D501CB0B61C6DCC0F");
