#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x012bdb95, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x635a400a, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xc497f062, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0xdc9a339c, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x45147a35, "");
SYMBOL_CRC(fuse_abort_conn, 0xa8d7cc46, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x8a5be9b0, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0xd8077976, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x1410633d, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0xf49b4a39, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0xbbfa0fcc, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x4a6d5615, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x51112f8f, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x42388261, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0xe82de373, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xac080840, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x3a42c48f, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x878dae62, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0xdf68ef7c, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x6be3277a, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0xf98aaea8, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x3481bd17, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x3ed179ec, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0xe2a11964, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0xa7a1af6b, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x67424dc9, "");
SYMBOL_CRC(fuse_do_ioctl, 0x15d56ef3, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0xf96b561d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6789fc89, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x2dcb55f5, "generic_file_read_iter" },
	{ 0xafbbc3c7, "inode_maybe_inc_iversion" },
	{ 0x9366e6, "unlock_page" },
	{ 0xcece8797, "inc_node_page_state" },
	{ 0x58efad1e, "thp_get_unmapped_area" },
	{ 0xa07a37f0, "memchr" },
	{ 0x35a8a30b, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ea01205, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xaba5c9bf, "dec_node_page_state" },
	{ 0xb17713c, "write_cache_pages" },
	{ 0x2718779e, "file_update_time" },
	{ 0xfa0bfad0, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7fdcc276, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x2a742678, "from_kgid" },
	{ 0xc00d4724, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa0dbaf06, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xcd0eec12, "write_inode_now" },
	{ 0xaa6f5911, "dax_writeback_mapping_range" },
	{ 0x2debfcd4, "d_obtain_alias" },
	{ 0x8b5ce85a, "file_modified" },
	{ 0x77816d77, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1a253c8f, "finish_no_open" },
	{ 0x89df4bd6, "__folio_start_writeback" },
	{ 0xbda6fa0b, "kill_litter_super" },
	{ 0x10e87bc0, "folio_end_writeback" },
	{ 0x7096b84a, "from_kuid" },
	{ 0xc3c30687, "current_in_userns" },
	{ 0xc10ddff0, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0xd44e7263, "sysfs_remove_mount_point" },
	{ 0x84d8f5c5, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4b7bb731, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x77607a66, "d_delete" },
	{ 0x8fa9687, "from_kgid_munged" },
	{ 0x4f1db2b6, "end_page_writeback" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x6ade4a78, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xd6dbf979, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7749cb89, "nonseekable_open" },
	{ 0x8b588e0c, "dax_finish_sync_fault" },
	{ 0xc5f07122, "set_page_dirty" },
	{ 0x397aaefe, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9980a9be, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf5609c95, "noop_direct_IO" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf08243b3, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb57ef79, "generic_read_dir" },
	{ 0x1cf76046, "d_add" },
	{ 0xc2acba71, "set_page_writeback" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0x570f1ba9, "init_user_ns" },
	{ 0xc59b1ea5, "d_find_alias" },
	{ 0x7cd6299f, "invalidate_inode_pages2" },
	{ 0xe5c09172, "alloc_pages" },
	{ 0xb8b97948, "inode_set_ctime_current" },
	{ 0xc47db62a, "inc_nlink" },
	{ 0x8aa4c1e1, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x47943a70, "get_tree_bdev" },
	{ 0x2f3679c4, "set_anon_super_fc" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0x6a5afe24, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9c5b2615, "generic_delete_inode" },
	{ 0x9dbb6702, "deactivate_locked_super" },
	{ 0xcf9bb9f6, "touch_atime" },
	{ 0xf3033ff5, "__percpu_down_read" },
	{ 0x271833f, "__d_lookup_unhash_wake" },
	{ 0x2c2569b2, "set_page_dirty_lock" },
	{ 0x56c4a0d5, "pid_nr_ns" },
	{ 0x5050095e, "generic_file_open" },
	{ 0x37b82956, "truncate_inode_pages_range" },
	{ 0x217963d7, "__put_user_ns" },
	{ 0xfb6f584e, "__folio_lock" },
	{ 0x2157644e, "filemap_dirty_folio" },
	{ 0xe006b190, "pagecache_get_page" },
	{ 0x6d073985, "seq_puts" },
	{ 0x25a47389, "stream_open" },
	{ 0xb84066fe, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xb8273d0b, "__wake_up_sync" },
	{ 0xa6e343aa, "add_to_pipe" },
	{ 0x64a9c5a0, "__fs_parse" },
	{ 0x979196ad, "dax_layout_busy_page_range" },
	{ 0x15efa18, "filemap_splice_read" },
	{ 0x8b2da6a4, "posix_acl_to_xattr" },
	{ 0x765b21e3, "dget_parent" },
	{ 0xc405edcb, "kill_anon_super" },
	{ 0xe18fd051, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xd6aada0e, "iget5_locked" },
	{ 0xe06453f7, "security_dentry_init_security" },
	{ 0x872989dc, "filemap_write_and_wait_range" },
	{ 0xae39b9ac, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xa99dbb1a, "generic_write_checks" },
	{ 0xd2bf1b2b, "iov_iter_revert" },
	{ 0x70d546da, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5f9b7f6d, "mntget" },
	{ 0xac7fcbf5, "kmem_cache_alloc_lru" },
	{ 0xab2986bc, "filemap_fault" },
	{ 0xff5bb117, "d_invalidate" },
	{ 0xd240270f, "__mark_inode_dirty" },
	{ 0xf87e77b4, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfa5797b2, "make_bad_inode" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0xa5624e85, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xec3f732, "drop_nlink" },
	{ 0xaef4310d, "fault_in_iov_iter_readable" },
	{ 0xac8efbc3, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xe8a99592, "bdi_set_max_ratio" },
	{ 0xeeea0800, "kmem_cache_destroy" },
	{ 0xf8cbfa38, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xc5d79b13, "super_setup_bdi_name" },
	{ 0x72a47af4, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9e903c3c, "truncate_inode_pages" },
	{ 0x108893b5, "noop_backing_dev_info" },
	{ 0xf3543979, "pipe_lock" },
	{ 0x429a8da5, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x31c312e4, "vfs_fsync_range" },
	{ 0x6284f0cd, "setattr_prepare" },
	{ 0x7a875e13, "clear_nlink" },
	{ 0x95bfa1a6, "file_check_and_advance_wb_err" },
	{ 0x4aa8c53d, "d_alloc_parallel" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x135714a9, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x90d67b64, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd78c0416, "make_vfsgid" },
	{ 0xfac0e7b9, "clear_inode" },
	{ 0x14885cc, "inode_to_bdi" },
	{ 0x1acd52e8, "find_pid_ns" },
	{ 0x89f1e17f, "grab_cache_page_write_begin" },
	{ 0xeb9acb4c, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfba089bb, "pipe_unlock" },
	{ 0xe3f1e8ff, "fs_param_is_string" },
	{ 0x8ef958da, "folio_unlock" },
	{ 0x7d01d043, "new_inode" },
	{ 0x74b4890b, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0x83afc21e, "dump_page" },
	{ 0xed3b13a9, "forget_all_cached_acls" },
	{ 0x327e5b0, "init_special_inode" },
	{ 0xa541e2bd, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x810ec1f8, "task_active_pid_ns" },
	{ 0x46f6bc12, "iov_iter_single_seg_count" },
	{ 0x9c23cac1, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x5e358e10, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xadb28f30, "d_alloc_name" },
	{ 0xdebdfbf, "replace_page_cache_folio" },
	{ 0x5f4a11b2, "inode_query_iversion" },
	{ 0x22703997, "iov_iter_advance" },
	{ 0x1bab0b55, "kill_fasync" },
	{ 0x1f7bab86, "d_make_root" },
	{ 0xba8ba4af, "sb_set_blocksize" },
	{ 0x6b82765d, "fget" },
	{ 0x523c9fc7, "simple_fill_super" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x397fbfa, "sync_filesystem" },
	{ 0x7ad098aa, "noop_dirty_folio" },
	{ 0xb61a6378, "sget_fc" },
	{ 0x252bf298, "param_set_uint" },
	{ 0x56509a5, "d_splice_alias" },
	{ 0xf0d62f53, "iov_iter_get_pages2" },
	{ 0x25836fc0, "direct_write_fallback" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcc60db2c, "page_get_link" },
	{ 0xc77bdcf0, "generic_permission" },
	{ 0x3ab90fed, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x61a19abf, "invalidate_inode_pages2_range" },
	{ 0xa26599, "posix_lock_file" },
	{ 0x7320fd4, "finish_open" },
	{ 0x67197465, "dax_iomap_rw" },
	{ 0xa14cb1b6, "iput" },
	{ 0x73641259, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x7065087d, "logfc" },
	{ 0x50f6bb06, "__put_devmap_managed_page_refs" },
	{ 0x86286654, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xd92152b6, "init_pid_ns" },
	{ 0x6433bb9c, "dax_iomap_fault" },
	{ 0x68378a6a, "iov_iter_init" },
	{ 0x9a5478fe, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xeb91b2f6, "sysfs_create_mount_point" },
	{ 0x3739bb94, "generic_file_write_iter" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbc34101f, "register_filesystem" },
	{ 0x9eabf9c4, "kmem_cache_create" },
	{ 0x5ad15a9c, "folio_add_lru" },
	{ 0x2441bd54, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb74877cb, "sync_inode_metadata" },
	{ 0xbe884c9c, "simple_empty" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa3cd3bef, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1926801a, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0xb99a84df, "get_tree_nodev" },
	{ 0xd51a2ce3, "splice_file_range" },
	{ 0xce6dca0b, "simple_inode_init_ts" },
	{ 0x9336b860, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3ee09307, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xfeabef16, "fs_param_is_u32" },
	{ 0x39361352, "inode_newsize_ok" },
	{ 0xaf5480f6, "d_drop" },
	{ 0x50d16460, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xe1f81a4a, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x54834e22, "bdi_put" },
	{ 0xf0578680, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x67c775e2, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x99a29332, "make_kuid" },
	{ 0x8915deba, "truncate_inode_pages_final" },
	{ 0xe75c380f, "fs_kobj" },
	{ 0xb4279562, "__filemap_set_wb_err" },
	{ 0x1f791d41, "simple_dir_operations" },
	{ 0xe63e4718, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0x4a449c6d, "__free_pages" },
	{ 0x4830bf71, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x21c6f0a0, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x97ca5171, "setattr_should_drop_suidgid" },
	{ 0x75c690a4, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa843097e, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0xa1c09224, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x185108a8, "inode_init_once" },
	{ 0x3fead5e1, "file_write_and_wait_range" },
	{ 0x9101e98b, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xc8e8d9c9, "nosteal_pipe_buf_ops" },
	{ 0x3cadcd78, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5d133e98, "inode_nohighmem" },
	{ 0x59bc7428, "release_pages" },
	{ 0xd0f48f0c, "generic_file_direct_write" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "044E134E14935329DA9127F");
