#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xaf969565, "ocfs2_dlm_lock" },
	{ 0x5573589b, "mark_page_accessed" },
	{ 0x657c67bf, "debugfs_attr_read" },
	{ 0x3088fdd2, "seq_escape_mem" },
	{ 0x3cadcd78, "ilookup5" },
	{ 0x1475f64b, "ocfs2_dlm_lvb_valid" },
	{ 0x434be8fa, "jbd2_journal_clear_err" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3c1d5c44, "__brelse" },
	{ 0x5d133e98, "inode_nohighmem" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0x30bf089d, "jbd2_journal_init_inode" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x67f6d730, "jbd2_journal_abort" },
	{ 0x2dcb55f5, "generic_file_read_iter" },
	{ 0xafbbc3c7, "inode_maybe_inc_iversion" },
	{ 0x9366e6, "unlock_page" },
	{ 0xfa8d7881, "filemap_fdatawrite_wbc" },
	{ 0x4e3567f7, "match_int" },
	{ 0xc183536f, "qtree_release_dquot" },
	{ 0x1eaf30a6, "set_cached_acl" },
	{ 0x378487c, "simple_attr_release" },
	{ 0x590d4ac9, "unlock_two_nondirectories" },
	{ 0xc5196999, "ocfs2_dlm_unlock" },
	{ 0x3595a64c, "dquot_resume" },
	{ 0x4832181f, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4d68b582, "setattr_copy" },
	{ 0x16e4db1a, "jbd2_journal_release_jbd_inode" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xc7a0814e, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfa0bfad0, "set_nlink" },
	{ 0x7fdcc276, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x9e637e13, "debugfs_remove" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0xc98ebc4f, "security_inode_init_security" },
	{ 0x23eec36, "d_move" },
	{ 0x1feb7d51, "seq_putc" },
	{ 0x2a742678, "from_kgid" },
	{ 0xfafe8ddf, "qtree_read_dquot" },
	{ 0x1e7c2f3f, "__bh_read" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xdaaa7a67, "jbd2_journal_start_commit" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xbfef3cd9, "blkdev_issue_zeroout" },
	{ 0x53369f4d, "mpage_writepages" },
	{ 0xbe015f5b, "jbd2_journal_ack_err" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x678f387d, "ocfs2_plock" },
	{ 0x9c9df453, "kobject_init_and_add" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcd0eec12, "write_inode_now" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0xe262254f, "jbd2_trans_will_send_data_barrier" },
	{ 0xcfc7e36a, "jbd2_journal_extend" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x859586a3, "__audit_inode_child" },
	{ 0x2debfcd4, "d_obtain_alias" },
	{ 0x6354b77c, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf2417ac7, "__seq_open_private" },
	{ 0x64d9694, "ocfs2_kset" },
	{ 0xf80818ed, "block_dirty_folio" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2cc4a219, "dquot_alloc_inode" },
	{ 0x28373d9b, "bpf_trace_run1" },
	{ 0xa364561b, "bpf_trace_run9" },
	{ 0x5e533069, "jbd2_journal_dirty_metadata" },
	{ 0x7096b84a, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86307158, "generic_remap_file_range_prep" },
	{ 0xad4d04e, "__insert_inode_hash" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xf7742224, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x62b8f890, "debugfs_create_u32" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7cc4a5d, "printk_timed_ratelimit" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x475c3837, "register_quota_format" },
	{ 0x4b7bb731, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x3701e787, "jbd2_journal_wipe" },
	{ 0x77607a66, "d_delete" },
	{ 0xfecaab35, "jbd2_journal_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x35bab042, "unregister_quota_format" },
	{ 0xcf8ee6a2, "kthread_create_on_node" },
	{ 0xaad820ff, "block_read_full_folio" },
	{ 0xa095e02e, "generic_check_addressable" },
	{ 0x822cf32a, "bpf_trace_run3" },
	{ 0xf77ab6d, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x360c3200, "jbd2_journal_destroy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xec760c9c, "__dquot_alloc_space" },
	{ 0xdd64e639, "strscpy" },
	{ 0xac377650, "unlock_buffer" },
	{ 0xb1ed295e, "debugfs_create_file" },
	{ 0xf08243b3, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb57ef79, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe9ae1f65, "kobject_del" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0x87c39034, "__dquot_free_space" },
	{ 0x85df9b6c, "strsep" },
	{ 0x5c7148a, "mount_bdev" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x573538bc, "mpage_readahead" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf3ab5040, "filemap_fdatawait_range" },
	{ 0x76f40744, "ocfs2_dlm_lvb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x43bb8330, "jbd2_journal_check_used_features" },
	{ 0x6d6fec1f, "ktime_mono_to_any" },
	{ 0x570f1ba9, "init_user_ns" },
	{ 0xb8b97948, "inode_set_ctime_current" },
	{ 0xc47db62a, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x44e9a829, "match_token" },
	{ 0x8aa4c1e1, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0x6a5afe24, "dput" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf3033ff5, "__percpu_down_read" },
	{ 0x2dedc587, "jbd2_journal_force_commit" },
	{ 0x377d341e, "__lock_buffer" },
	{ 0x1d75d6c7, "jbd2_journal_get_undo_access" },
	{ 0x7c046a99, "qtree_get_next_id" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x8264aa0c, "jbd2_log_wait_commit" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x9ee7deb2, "posix_acl_update_mode" },
	{ 0x37b82956, "truncate_inode_pages_range" },
	{ 0xfb6f584e, "__folio_lock" },
	{ 0xe006b190, "pagecache_get_page" },
	{ 0x2036f7ed, "blkdev_issue_flush" },
	{ 0x9706a57, "is_bad_inode" },
	{ 0xb84066fe, "rcuwait_wake_up" },
	{ 0x6f52e860, "block_is_partially_uptodate" },
	{ 0x8351e6ec, "jbd2_journal_put_journal_head" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x15efa18, "filemap_splice_read" },
	{ 0x21143276, "done_path_create" },
	{ 0x8015e783, "seq_release_private" },
	{ 0xc94ba5db, "end_buffer_write_sync" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xd6aada0e, "iget5_locked" },
	{ 0x3424c130, "__generic_file_write_iter" },
	{ 0x8e547d49, "jbd2_journal_lock_updates" },
	{ 0x872989dc, "filemap_write_and_wait_range" },
	{ 0x9507547f, "ocfs2_cluster_disconnect" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x81b3b6a1, "bpf_trace_run7" },
	{ 0xe815c738, "clean_bdev_aliases" },
	{ 0xef5bfc54, "jbd2_journal_errno" },
	{ 0xa99dbb1a, "generic_write_checks" },
	{ 0x35cf67ab, "dqget" },
	{ 0x9546bbf3, "inode_permission" },
	{ 0x2f5bcc10, "user_path_at_empty" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbc59016b, "dqput" },
	{ 0x4d3af7fa, "ocfs2_cluster_hangup" },
	{ 0x623612c1, "dquot_quotactl_sysfile_ops" },
	{ 0xac7fcbf5, "kmem_cache_alloc_lru" },
	{ 0xab2986bc, "filemap_fault" },
	{ 0x83f63baa, "debugfs_create_dir" },
	{ 0xd240270f, "__mark_inode_dirty" },
	{ 0xf87e77b4, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfa5797b2, "make_bad_inode" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x151d0fef, "jbd2_journal_begin_ordered_truncate" },
	{ 0x53b954a2, "up_read" },
	{ 0x3810120f, "dquot_load_quota_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x40656087, "put_pid" },
	{ 0xec3f732, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xed176056, "jbd2_journal_flush" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3fe2ccbe, "memweight" },
	{ 0x3d5f6f5e, "kobject_get" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xeeea0800, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa5e421ea, "kset_create_and_add" },
	{ 0xd8e515af, "blkdev_issue_discard" },
	{ 0xf8cbfa38, "kobject_put" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9e903c3c, "truncate_inode_pages" },
	{ 0xe5e7b855, "bh_uptodate_or_lock" },
	{ 0x803ddbb6, "__posix_acl_create" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb84ea0e5, "inode_init_owner" },
	{ 0xfa5f7255, "filemap_fdatawrite" },
	{ 0x429a8da5, "generic_fillattr" },
	{ 0x6284f0cd, "setattr_prepare" },
	{ 0x7a875e13, "clear_nlink" },
	{ 0x4c1ad7fe, "jbd2_complete_transaction" },
	{ 0xf448cfb7, "filemap_flush" },
	{ 0xf2911efe, "__dquot_transfer" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x135714a9, "d_instantiate" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8214e6d7, "simple_attr_open" },
	{ 0xd78c0416, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfac0e7b9, "clear_inode" },
	{ 0x5755a06e, "bpf_trace_run4" },
	{ 0xfb1f46c8, "dquot_commit_info" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0xcbb89af8, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x206cced, "dquot_disable" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa8b0b03e, "dquot_free_inode" },
	{ 0x8ef958da, "folio_unlock" },
	{ 0xc09f74d0, "jbd2_journal_grab_journal_head" },
	{ 0x9609f4a9, "mode_strip_sgid" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7d01d043, "new_inode" },
	{ 0x7ce18c9f, "from_kqid" },
	{ 0x9fd90790, "user_path_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1613cf96, "jbd2_journal_stop" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0xed3b13a9, "forget_all_cached_acls" },
	{ 0x327e5b0, "init_special_inode" },
	{ 0xa541e2bd, "unregister_filesystem" },
	{ 0x8773ad4, "jbd2_journal_inode_ranged_write" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x3bf7e701, "bpf_trace_run6" },
	{ 0xf2352606, "jbd2_journal_restart" },
	{ 0x46a3f405, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfa39743b, "generic_error_remove_folio" },
	{ 0xa7b89cb1, "__find_get_block" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0x5e358e10, "filemap_fdatawrite_range" },
	{ 0xf269a5f4, "jbd2_journal_set_triggers" },
	{ 0x9c2c94eb, "__block_write_begin" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5f4a11b2, "inode_query_iversion" },
	{ 0x8b6bb07b, "__blockdev_direct_IO" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4bd20a55, "nop_posix_acl_access" },
	{ 0x4e50013c, "jbd2_journal_load" },
	{ 0x909d97d8, "nop_posix_acl_default" },
	{ 0x1f7bab86, "d_make_root" },
	{ 0x34747759, "trace_event_printf" },
	{ 0xeafc141f, "__posix_acl_chmod" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x70f76f22, "jbd2_journal_set_features" },
	{ 0xba8ba4af, "sb_set_blocksize" },
	{ 0x397fbfa, "sync_filesystem" },
	{ 0xcafdd707, "ocfs2_dlm_lock_status" },
	{ 0x2fa26ac5, "end_buffer_read_sync" },
	{ 0xe1d29223, "fsnotify" },
	{ 0x56509a5, "d_splice_alias" },
	{ 0x72f5e7b8, "jbd2_journal_unlock_updates" },
	{ 0x26248f93, "current_time" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0x808789c4, "fiemap_prep" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd38d70c, "unmap_mapping_range" },
	{ 0x57b82b51, "ihold" },
	{ 0xcc60db2c, "page_get_link" },
	{ 0xab231294, "inode_dio_wait" },
	{ 0xc77bdcf0, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0xa14cb1b6, "iput" },
	{ 0x1873cf1a, "kset_unregister" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x84264ced, "fs_umode_to_ftype" },
	{ 0x598d312b, "seq_lseek" },
	{ 0x3749e052, "wrap_directory_iterator" },
	{ 0xacb58443, "jbd2_journal_clear_features" },
	{ 0x50f6bb06, "__put_devmap_managed_page_refs" },
	{ 0x8d55bb8a, "qid_eq" },
	{ 0xbbc4ef97, "ocfs2_stack_supports_plocks" },
	{ 0x86286654, "iter_file_splice_write" },
	{ 0x1b4f270e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x443b73ff, "jbd2_journal_finish_inode_data_buffers" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbc34101f, "register_filesystem" },
	{ 0x2bb6099e, "dq_data_lock" },
	{ 0x9eabf9c4, "kmem_cache_create" },
	{ 0x75e4700, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8016adc2, "dquot_drop" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7b9bf865, "path_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x693e4c1b, "submit_bh" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa3cd3bef, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1926801a, "shrink_dcache_parent" },
	{ 0x67b1353, "make_vfsuid" },
	{ 0xc9fae756, "ocfs2_cluster_connect" },
	{ 0x1d890853, "wake_up_process" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3dde26ed, "dquot_scan_active" },
	{ 0x7ba7a4ce, "qtree_entry_unused" },
	{ 0x3ee09307, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x39361352, "inode_newsize_ok" },
	{ 0x21bc2c, "lock_two_nondirectories" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x50d16460, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x85a7e811, "mnt_want_write_file" },
	{ 0xe1f81a4a, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0xba86327c, "block_invalidate_folio" },
	{ 0x38eeb68d, "make_kprojid" },
	{ 0xfad1c4c5, "jbd2_journal_init_jbd_inode" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xcaa697e3, "jbd2_journal_get_write_access" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x99a29332, "make_kuid" },
	{ 0xac0da7eb, "try_to_free_buffers" },
	{ 0xd9064130, "create_empty_buffers" },
	{ 0x8915deba, "truncate_inode_pages_final" },
	{ 0x5739e4b4, "sync_blockdev" },
	{ 0x992066fa, "wait_for_stable_page" },
	{ 0xa916b694, "strnlen" },
	{ 0x577c2d5f, "sync_mapping_buffers" },
	{ 0x7e1d9ea6, "dquot_initialize" },
	{ 0x62cd9326, "locks_init_lock" },
	{ 0xd806a273, "ocfs2_dlm_dump_lksb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd344e4ee, "ocfs2_stack_glue_set_max_proto_version" },
	{ 0x4830bf71, "kmem_cache_alloc" },
	{ 0x97ca5171, "setattr_should_drop_suidgid" },
	{ 0x6a0c3847, "__mlog_printk" },
	{ 0x32d1c385, "block_commit_write" },
	{ 0x67556fd4, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x414aeb77, "mnt_drop_write_file" },
	{ 0xa726931, "ocfs2_cluster_this_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x185108a8, "inode_init_once" },
	{ 0x3fead5e1, "file_write_and_wait_range" },
	{ 0x73b48944, "qtree_write_dquot" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "ocfs2_stackglue,jbd2,ocfs2_nodemanager");


MODULE_INFO(srcversion, "529CF29EB5CF76C4F41D4A8");
