#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0xc8bf37c5, "");
SYMBOL_CRC(bt_sock_register, 0xf48f3cb4, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x9ae00599, "");
SYMBOL_CRC(bt_sock_link, 0x9dba54e9, "");
SYMBOL_CRC(bt_sock_unlink, 0x19e80c2f, "");
SYMBOL_CRC(bt_accept_enqueue, 0xae2303b9, "");
SYMBOL_CRC(bt_accept_unlink, 0xb540dbf2, "");
SYMBOL_CRC(bt_accept_dequeue, 0x6e4c347e, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x8ef120d4, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x442d0b09, "");
SYMBOL_CRC(bt_sock_poll, 0x213c7467, "");
SYMBOL_CRC(bt_sock_ioctl, 0x5e6ebd85, "");
SYMBOL_CRC(bt_sock_wait_state, 0x5d2f4f60, "");
SYMBOL_CRC(bt_sock_wait_ready, 0xdd719ace, "");
SYMBOL_CRC(bt_procfs_init, 0xcc938fb7, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x1046a1c5, "");
SYMBOL_CRC(bt_debugfs, 0xe06487f0, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x188de351, "");
SYMBOL_CRC(hci_free_dev, 0xc76967e2, "");
SYMBOL_CRC(hci_register_dev, 0x41a75897, "");
SYMBOL_CRC(hci_unregister_dev, 0xb29de6f5, "");
SYMBOL_CRC(hci_release_dev, 0x4d52cd68, "");
SYMBOL_CRC(hci_suspend_dev, 0x521c21e3, "");
SYMBOL_CRC(hci_resume_dev, 0x42f2a9b0, "");
SYMBOL_CRC(hci_reset_dev, 0xf2dddd4d, "");
SYMBOL_CRC(hci_recv_frame, 0xc825443f, "");
SYMBOL_CRC(hci_recv_diag, 0x0434695c, "");
SYMBOL_CRC(hci_set_hw_info, 0x0d421a47, "");
SYMBOL_CRC(hci_set_fw_info, 0x67c5d84f, "");
SYMBOL_CRC(hci_register_cb, 0x84cc9a44, "");
SYMBOL_CRC(hci_unregister_cb, 0x81896633, "");
SYMBOL_CRC(__hci_cmd_send, 0x02531301, "");
SYMBOL_CRC(hci_get_route, 0x07ff4cec, "");
SYMBOL_CRC(hci_conn_security, 0x65c6572a, "");
SYMBOL_CRC(hci_conn_check_secure, 0xe1b5e636, "");
SYMBOL_CRC(hci_conn_switch_role, 0x70aab9a1, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x185ba6eb, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x796cadff, "");
SYMBOL_CRC(l2cap_add_psm, 0xac6a195d, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x32e4f708, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x26b4b470, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x49cffa26, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xc9a37612, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0xac6edcb2, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x3d460f62, "");
SYMBOL_CRC(l2cap_register_user, 0xb791ed1c, "");
SYMBOL_CRC(l2cap_unregister_user, 0xe301c2cb, "");
SYMBOL_CRC(l2cap_conn_get, 0x170f33a6, "");
SYMBOL_CRC(l2cap_conn_put, 0x98bd21e8, "");
SYMBOL_CRC(l2cap_chan_send, 0xd92a9a80, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x2df2f38c, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x81a6ec1c, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x662fdcbe, "");
SYMBOL_CRC(__hci_cmd_sync, 0xbfb14cb5, "");
SYMBOL_CRC(hci_cmd_sync, 0x6192a06b, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x87a3f6b0, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0xca211c28, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0xb9866ff0, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x0d6e1bd2, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x8b995d72, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0xac1fb497, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x09a9f9bb, "");
SYMBOL_CRC(hci_devcd_init, 0x23eed407, "");
SYMBOL_CRC(hci_devcd_append, 0x96c10a4a, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0xa4abe0e7, "");
SYMBOL_CRC(hci_devcd_complete, 0x99cd8924, "");
SYMBOL_CRC(hci_devcd_abort, 0xb46cf6ca, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8963dccc, "__put_cred" },
	{ 0xcff03d67, "put_cmsg" },
	{ 0xa2f74584, "skb_queue_purge_reason" },
	{ 0x87fe483, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x51fd5b77, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x766e55d4, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x722abe01, "sock_register" },
	{ 0xe2e123b2, "datagram_poll" },
	{ 0x97fa0a46, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a9dbedd, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x17b48051, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x62959dd6, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe03ac162, "skb_queue_tail" },
	{ 0x90974934, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x657c67bf, "debugfs_attr_read" },
	{ 0x4457b35, "__sock_recv_timestamp" },
	{ 0x9ecdd859, "sock_no_shutdown" },
	{ 0xdb6d7eee, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xdadd8594, "init_net" },
	{ 0xfc03e260, "crypto_shash_setkey" },
	{ 0xc8448811, "simple_open" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x21b8348a, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x378487c, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x42d3793, "init_uts_ns" },
	{ 0x8cf8d1c4, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x30cbf56, "device_move" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0x631be75f, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf5f300, "skb_push" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x785398ae, "sock_no_listen" },
	{ 0x9e637e13, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x1feb7d51, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0x19271a8f, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x6b181009, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf79fb603, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xc9e89c57, "lock_sock_nested" },
	{ 0x11984272, "device_find_child" },
	{ 0x5e6f86d2, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x55b8730a, "skb_copy_datagram_iter" },
	{ 0x6298f839, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x34152f9a, "sk_alloc" },
	{ 0x20289e68, "device_del" },
	{ 0xc8697e76, "__sock_queue_rcv_skb" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x44cf8709, "default_llseek" },
	{ 0x65c4e35b, "__sock_recv_wifi_status" },
	{ 0x7096b84a, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8a9df7ea, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x448bb406, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd30c6d32, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x824238be, "__pskb_pull_tail" },
	{ 0x293e1fd7, "__scm_destroy" },
	{ 0x8fa9687, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xc7ed8c8e, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x23df8cb5, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf77ab6d, "seq_read" },
	{ 0xe6044d49, "sock_i_ino" },
	{ 0xb1ed295e, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe77d3328, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x3009a518, "skb_recv_datagram" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x70734d0, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xee0bc34a, "remove_proc_entry" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb0747ae0, "skb_copy" },
	{ 0xd912ffa1, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf19e3eaf, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xd4fc452b, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x6d073985, "seq_puts" },
	{ 0xbd4652d, "sock_gettstamp" },
	{ 0x341ee2bd, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x520df5b, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe18fd051, "from_kuid_munged" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xd2bf1b2b, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf6ea45a7, "proc_create_seq_private" },
	{ 0x71acc0c7, "debugfs_create_u8" },
	{ 0x2c9f77fa, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x5852a792, "crypto_alloc_shash" },
	{ 0x83f63baa, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x3902161c, "fwnode_property_read_u8_array" },
	{ 0x40656087, "put_pid" },
	{ 0x77d23480, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x1ddb726f, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8bfcf81d, "__dev_fwnode" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x7b5df07a, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa4703ab2, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xbb41366b, "skb_free_datagram" },
	{ 0xb92aeb2, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x47d27382, "try_module_get" },
	{ 0x97608d1c, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8214e6d7, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xcbb89af8, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x1f629a95, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xc37abed6, "dev_set_name" },
	{ 0xfca1827f, "scm_detach_fds" },
	{ 0xc0bbfdfa, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x57d9ca80, "device_unregister" },
	{ 0x7beef246, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x55d22e49, "debugfs_create_u16" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x353bfcad, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x598d312b, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x37c11ddf, "sock_no_connect" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x46f22022, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6f575ff8, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x5208d4f4, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x3e3dff81, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "rfkill,ecdh_generic");


MODULE_INFO(srcversion, "1AC490473B9DA68B2C9DABA");
