#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0xb925748d, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xb8e93c30, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xec1c77c3, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x9cf497b4, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x42b8bca2, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xc30893b7, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x87e81f25, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x1f7d3ed3, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x420715e3, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x37d05d8e, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x40e6a491, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x55e7a09f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xdadd8594, "init_net" },
	{ 0x9721fba6, "alloc_netdev_mqs" },
	{ 0xbcca2e66, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0xcc103646, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92beaee1, "rtnl_link_unregister" },
	{ 0x581ab97e, "ip6_local_out" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xbac9768f, "gro_cells_init" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xbe81d8df, "skb_copy_bits" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x824238be, "__pskb_pull_tail" },
	{ 0xff759055, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x4490ae01, "netdev_state_change" },
	{ 0xbb890fdd, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x99a29332, "make_kuid" },
	{ 0x748c5901, "ip6_redirect" },
	{ 0xe51350b8, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd7c873f4, "dst_cache_get" },
	{ 0x28a94654, "ip6_route_output_flags" },
	{ 0x30508877, "xfrm_lookup" },
	{ 0xb0fa6ac1, "ip6_mtu" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xccd5a73b, "skb_scrub_packet" },
	{ 0xed3a8c87, "skb_realloc_headroom" },
	{ 0xd758e0d3, "skb_set_owner_w" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0xe474cb35, "ipv6_push_frag_opts" },
	{ 0xf5f300, "skb_push" },
	{ 0x3fe5c28c, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x462e2e74, "ipv6_dev_get_saddr" },
	{ 0xe99b05c9, "ip6_dst_hoplimit" },
	{ 0x49e95968, "ipv4_mtu" },
	{ 0xca91e7bd, "neigh_destroy" },
	{ 0x1f58cb47, "iptunnel_handle_offloads" },
	{ 0x1240141a, "icmpv6_ndo_send" },
	{ 0x626dbd6e, "icmp_ndo_send" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0xd912ffa1, "skb_clone" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0xf3281224, "icmp6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x20503de9, "gro_cells_receive" },
	{ 0xf40b5f74, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x284782, "__xfrm_policy_check" },
	{ 0x67b237db, "__iptunnel_pull_header" },
	{ 0x4e3c30cb, "metadata_dst_alloc" },
	{ 0xcb9786f9, "ip_route_output_flow" },
	{ 0x8bd50eab, "ip_route_input_noref" },
	{ 0xcdf5c0af, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xb5b2a91b, "dev_get_tstats64" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x24fb2be0, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x9258ed4a, "ipv6_chk_addr_and_flags" },
	{ 0x2526a0f6, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xd95283bc, "register_pernet_device" },
	{ 0xe10dad48, "xfrm6_tunnel_register" },
	{ 0x3fe48c3a, "rtnl_link_register" },
	{ 0x64506d00, "unregister_pernet_device" },
	{ 0x53569ed4, "xfrm6_tunnel_deregister" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfc9af44c, "unregister_netdevice_queue" },
	{ 0x415aaf81, "dev_addr_mod" },
	{ 0x79f140f2, "rt6_lookup" },
	{ 0xda86e943, "dst_release" },
	{ 0xda3cd6cf, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xbc3dd9bd, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "36734AFCEFEE3D4AE2BEDAC");
