#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x2fb31f08, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x7f8508ed, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0xda8ac2d1, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0x6fd374ec, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x6710b5a4, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x03bebc8e, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0xd4dfb74b, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0xdf5cf1c9, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xeaae10ef, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0x646a856c, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x8a328a7e, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x37aa5ab4, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x465dcf5f, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0xdc406eee, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0xb63b9e21, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x963dc383, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x3f8646a7, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x6ae7ff0a, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x753875ae, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x2817ebb0, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x2ac08f72, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x34747759, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x28373d9b, "bpf_trace_run1" },
	{ 0x1b4f270e, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd95283bc, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x122c3a7e, "_printk" },
	{ 0x64506d00, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe67cf2b, "sock_create_kern" },
	{ 0x2fc59294, "kernel_bind" },
	{ 0x7f06b449, "kernel_connect" },
	{ 0xea5ffdd8, "udp_sock_create6" },
	{ 0x497c9da2, "kernel_sock_shutdown" },
	{ 0xdc2b020a, "sock_release" },
	{ 0x1ca3a899, "udp_sock_create4" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x73641259, "pcpu_hot" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8cf8d1c4, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0x7beef246, "skb_dequeue" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe03ac162, "skb_queue_tail" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc1e158e7, "udp_set_csum" },
	{ 0xcdd079ea, "ip_queue_xmit" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb68e8454, "pskb_expand_head" },
	{ 0x97862774, "udp6_set_csum" },
	{ 0x5f19ffa2, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xda86e943, "dst_release" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x6849114c, "sockfd_lookup" },
	{ 0xc9e89c57, "lock_sock_nested" },
	{ 0x7b5df07a, "release_sock" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x6789fc89, "fput" },
	{ 0x9208ef88, "setup_udp_tunnel_sock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x824238be, "__pskb_pull_tail" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "D293F8DC0B380930B28E0B4");
