#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0xc7ed8c8e, "skb_trim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7239b7e, "ipv6_find_hdr" },
	{ 0x9b566c23, "nf_ct_handle_fragments" },
	{ 0x824238be, "__pskb_pull_tail" },
	{ 0x5fc309a5, "nf_connlabels_get" },
	{ 0x22cc020a, "nf_ct_tmpl_alloc" },
	{ 0x4704b0ac, "nf_ct_add_helper" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x4cf02bce, "nf_connlabels_put" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x7c7f4b52, "flow_offload_lookup" },
	{ 0xdadd8594, "init_net" },
	{ 0x371f4bbb, "flow_offload_refresh" },
	{ 0x2d41c3f4, "nf_ct_acct_add" },
	{ 0xfc431370, "flow_offload_teardown" },
	{ 0xbedea805, "flow_offload_alloc" },
	{ 0xab48785, "flow_offload_add" },
	{ 0x46caec1b, "flow_offload_free" },
	{ 0xf7e162d5, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x73641259, "pcpu_hot" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe5d6b0bc, "nf_flow_table_init" },
	{ 0x6f575ff8, "__module_get" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x6fb49676, "queue_rcu_work" },
	{ 0x88e23368, "nf_conntrack_helper_put" },
	{ 0xf577e358, "nf_nat_helper_put" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xd5812fc7, "tcf_idr_check_alloc" },
	{ 0xf36b8d7d, "tcf_action_check_ctrlact" },
	{ 0xc74389d0, "tcf_chain_put_by_act" },
	{ 0x1fc00da4, "tcf_idr_release" },
	{ 0x2c9deab3, "tcf_idr_create_from_flags" },
	{ 0xf47985e0, "tcf_idr_cleanup" },
	{ 0x7654e7b0, "tcf_action_set_ctrlact" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xda20ccfd, "skb_pull_rcsum" },
	{ 0x3c9bf2d4, "nf_ct_skb_network_trim" },
	{ 0x3df5b1f9, "nf_conntrack_in" },
	{ 0xbe81d8df, "skb_copy_bits" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf5f300, "skb_push" },
	{ 0x7239a4e, "nf_ct_deliver_cached_events" },
	{ 0x92e062ed, "nf_ct_nat" },
	{ 0x37473fb1, "nf_ct_helper" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xad3c0250, "__nf_ct_try_assign_helper" },
	{ 0x498f2b6e, "nf_connlabels_replace" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x1fac2d1c, "nf_ct_ext_add" },
	{ 0xb0c8efa1, "nf_ct_delete" },
	{ 0x28788637, "__nf_conntrack_confirm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2d78bbbe, "tcf_idrinfo_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7ae27556, "tcf_action_update_stats" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0xd9c7dc9f, "nf_flow_table_free" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x90974934, "module_put" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdde4aa32, "tcf_register_action" },
	{ 0x22d60537, "tcf_frag_xmit_count" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x70f1529d, "tcf_unregister_action" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_flow_table,nf_nat");


MODULE_INFO(srcversion, "4A84AC58D0D2CC66ABCFD6C");
