#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_fragment_element, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(__cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(cfg80211_wext_siwscan, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwscan, "_gpl", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_schedule_channels_check, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(nl80211_chan_width_to_mhz, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_usable, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_cac_time, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon_relax, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_valid_disable_subchannel_bitmap, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(wiphy_locked_debugfs_read, "_gpl", "");
KSYMTAB_FUNC(wiphy_locked_debugfs_write, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwname, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrange, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwretry, "_gpl", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0xfda41afb, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0xc93c430a, "");
SYMBOL_CRC(wiphy_register, 0x8ec0b6c2, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0xdcd0d90a, "");
SYMBOL_CRC(wiphy_unregister, 0x3904abbf, "");
SYMBOL_CRC(wiphy_free, 0xdf6432c0, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0x26e0ac07, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0x47024a66, "");
SYMBOL_CRC(cfg80211_stop_iface, 0xae9d7b1d, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0x4117f2e2, "");
SYMBOL_CRC(wiphy_work_queue, 0x73ec7ce8, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0xdc106683, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0xbcb4021d, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0x85de3f6f, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0x19d7bcbf, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0xaf9cc53c, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0x6c6b8d09, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0x43afadee, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x7acb86ed, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0x6aac3bef, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x272d6876, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x1bb59029, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0x2eb15cb6, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0xed6731fe, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0x61dbf421, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0x92d8b79f, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0xc8c271a8, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0x2a013fef, "");
SYMBOL_CRC(cfg80211_classify8021d, 0x30dd7bcc, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x5cba2be4, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x275269b3, "");
SYMBOL_CRC(ieee80211_fragment_element, 0xc1c42c2f, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0xfbedff0e, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0xd4831274, "");
SYMBOL_CRC(cfg80211_check_combinations, 0xc1990cd2, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0xdb2cc7c4, "");
SYMBOL_CRC(cfg80211_get_station, 0x2fa60400, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x3c86019a, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0x0bdf3dc5, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0x6dcab163, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0xd79f0e64, "");
SYMBOL_CRC(get_wiphy_regdom, 0x26a0f91b, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x8f495c47, "");
SYMBOL_CRC(freq_reg_info, 0x915129a6, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0xb40f373a, "");
SYMBOL_CRC(regulatory_hint, 0xf2efbf39, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0x4e470d61, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0xea766bf8, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0xc91f1266, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_scan_done, 0x5fea8f2b, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0x09dda4ff, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0xa362f835, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0xf76384a3, "");
SYMBOL_CRC(cfg80211_bss_flush, 0x26c40184, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(__cfg80211_get_bss, 0xf31777da, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x3aca71a1, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x117aca91, "");
SYMBOL_CRC(cfg80211_defragment_element, 0xd6c87a05, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0xdd3d7d68, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0x7149a335, "");
SYMBOL_CRC(cfg80211_ref_bss, 0xadee3a5a, "");
SYMBOL_CRC(cfg80211_put_bss, 0x7e1277f5, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0x10bc97de, "");
SYMBOL_CRC(cfg80211_bss_iter, 0x037e55c4, "");
SYMBOL_CRC(cfg80211_wext_siwscan, 0xc116a201, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwscan, 0xca71fe4d, "_gpl");
SYMBOL_CRC(nl80211_send_chandef, 0xcbfe769c, "");
SYMBOL_CRC(cfg80211_check_station_change, 0x373314c3, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0x228325bd, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0x9a03b158, "");
SYMBOL_CRC(cfg80211_nan_match, 0x8bc6b452, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0x7a85fd6a, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0x42fa6a5c, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0x8336a55f, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0x343fbc31, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0x8d757d76, "");
SYMBOL_CRC(cfg80211_links_removed, 0x97eb245b, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0x713d9b9d, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0x686ef63f, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0xf21d400b, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0x069b0ced, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0x81465683, "");
SYMBOL_CRC(cfg80211_new_sta, 0x03f70f8e, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0x17ecfe4f, "");
SYMBOL_CRC(cfg80211_conn_failed, 0x1f041c4e, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0xb614d62d, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0x9c774a5b, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0x1bd91c02, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0xa307af3f, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0xcbe5da2f, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0x91fa3ad4, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0x2f71ca95, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0x736b3f66, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0xf24ec293, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0xfcc05c70, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0x7bcdd1bd, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0xc8a3c0a2, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0xc748bb96, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0x40ca4d26, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0x8c0f5343, "");
SYMBOL_CRC(cfg80211_probe_status, 0x0fdbee31, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0x62dc3bb9, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0x05cc9c53, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0x90a1dac7, "");
SYMBOL_CRC(cfg80211_ft_event, 0x4d733508, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0x5027bfca, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0xe42e573c, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0x81c2a888, "");
SYMBOL_CRC(cfg80211_schedule_channels_check, 0x165a5833, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0x5b334961, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0x0164bd54, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0xca548786, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0xb617fcbb, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0xb88f2e18, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0x8b557844, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0xd2fb3855, "");
SYMBOL_CRC(__cfg80211_radar_event, 0x64c2122b, "");
SYMBOL_CRC(cfg80211_cac_event, 0x65f75751, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0x4e51766f, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0xec42383b, "");
SYMBOL_CRC(cfg80211_connect_done, 0x686a875d, "");
SYMBOL_CRC(cfg80211_roamed, 0x93abbf3b, "");
SYMBOL_CRC(cfg80211_port_authorized, 0x0632edee, "");
SYMBOL_CRC(cfg80211_disconnected, 0xef0660d6, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x46ae4ebf, "");
SYMBOL_CRC(nl80211_chan_width_to_mhz, 0x2c19c3c0, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0x731c2423, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xa6147877, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0xf4c59b96, "");
SYMBOL_CRC(cfg80211_chandef_dfs_usable, 0x7034449f, "");
SYMBOL_CRC(cfg80211_chandef_dfs_cac_time, 0x05fd8b9c, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0x396e9129, "");
SYMBOL_CRC(cfg80211_reg_can_beacon, 0xb45799f9, "");
SYMBOL_CRC(cfg80211_reg_can_beacon_relax, 0x31cbf0da, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0xa199cfb5, "");
SYMBOL_CRC(wdev_chandef, 0xa37b2879, "");
SYMBOL_CRC(cfg80211_valid_disable_subchannel_bitmap, 0x0faecde5, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0x7103e557, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0x32c00df7, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0x02c76035, "_gpl");
SYMBOL_CRC(wiphy_locked_debugfs_read, 0xe25b5f45, "_gpl");
SYMBOL_CRC(wiphy_locked_debugfs_write, 0x1a7d5d5a, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwname, 0x8351b158, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwmode, 0x03e1ef27, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwmode, 0xcb429b17, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrange, 0x90d120af, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwrts, 0x8bbbdbb0, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrts, 0xff9e6b82, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwfrag, 0x3ad9277c, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwfrag, 0xf27a534c, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwretry, 0xaea27266, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x824238be, "__pskb_pull_tail" },
	{ 0x4d1e8619, "netif_rx" },
	{ 0x4f2ad77a, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7ed8c8e, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x822cf32a, "bpf_trace_run3" },
	{ 0x1a7216d9, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfddfcaf2, "get_net_ns_by_pid" },
	{ 0x2cdc2fb8, "debugfs_rename" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb1ed295e, "debugfs_create_file" },
	{ 0x9bc8a450, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xde5574cf, "x509_load_certificate_list" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xdc2b020a, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xda75f552, "genl_unregister_family" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xea124bd1, "gcd" },
	{ 0x754d539c, "strlen" },
	{ 0x81b3b6a1, "bpf_trace_run7" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x83f63baa, "debugfs_create_dir" },
	{ 0x5a71b544, "genl_register_family" },
	{ 0xf87e77b4, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xec92028b, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd95283bc, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7fd5e8a6, "get_net_ns_by_fd" },
	{ 0x77d23480, "class_register" },
	{ 0xd08e1b1c, "bpf_trace_run11" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0xf69c5515, "debugfs_leave_cancellation" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xff759055, "register_netdevice" },
	{ 0xe914e41e, "strcpy" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0x4afa7278, "__sock_create" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x26a93eb2, "verify_pkcs7_signature" },
	{ 0x5755a06e, "bpf_trace_run4" },
	{ 0xbe81d8df, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x1f629a95, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xc37abed6, "dev_set_name" },
	{ 0xe0c17edd, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x66453ad9, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x3bf7e701, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x78e70a9c, "request_firmware" },
	{ 0x34747759, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x353bfcad, "device_initialize" },
	{ 0x15fd3af0, "skb_add_rx_frag" },
	{ 0x5156fd10, "genlmsg_put" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x73641259, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x1b4f270e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd0dfad9, "genlmsg_multicast_allns" },
	{ 0xe2964344, "__wake_up" },
	{ 0xfc9af44c, "unregister_netdevice_queue" },
	{ 0x75e4700, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x788f9c5f, "netlink_broadcast_filtered" },
	{ 0x8bec6393, "keyring_alloc" },
	{ 0x23659da5, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x38675c1a, "device_rename" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0xf40b5f74, "eth_type_trans" },
	{ 0x1e8fac8e, "wireless_nlevent_flush" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a9dbedd, "put_device" },
	{ 0xc41f20f3, "net_ns_type_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0x17b48051, "__alloc_skb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe2484055, "sysfs_create_link" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x73790159, "inet_csk_get_port" },
	{ 0x746b3e8b, "key_put" },
	{ 0xecfc5ec4, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xda3cd6cf, "__dev_get_by_index" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0xdadd8594, "init_net" },
	{ 0xfd759551, "request_firmware_nowait" },
	{ 0xc8448811, "simple_open" },
	{ 0xc87d30ae, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x21b8348a, "device_add" },
	{ 0xf943f3ee, "sysfs_remove_link" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x42d3793, "init_uts_ns" },
	{ 0xdbc49d7f, "platform_device_unregister" },
	{ 0xc5a48841, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x91ba374f, "dev_get_by_index" },
	{ 0x4832181f, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfaf3852f, "kfree_skb_reason" },
	{ 0x449aad1a, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf5f300, "skb_push" },
	{ 0x9e637e13, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4101f5c7, "wireless_send_event" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa444c2dc, "debugfs_enter_cancellation" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf79fb603, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x64506d00, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6298f839, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x28373d9b, "bpf_trace_run1" },
	{ 0x20289e68, "device_del" },
	{ 0x44cf8709, "default_llseek" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8b411c56, "param_ops_charp" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "FB8CC1BCD57CA2664BDB1FB");
