#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_pcm_format_name, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_new_stream, "", "");
KSYMTAB_FUNC(snd_pcm_new, "", "");
KSYMTAB_FUNC(snd_pcm_new_internal, "", "");
KSYMTAB_FUNC(snd_pcm_stream_lock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_lock_irq, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irq, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave_nested, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irqrestore, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_hw_refine, "", "");
KSYMTAB_FUNC(snd_pcm_stop, "", "");
KSYMTAB_FUNC(snd_pcm_stop_xrun, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_suspend_all, "", "");
KSYMTAB_FUNC(snd_pcm_release_substream, "", "");
KSYMTAB_FUNC(snd_pcm_open_substream, "", "");
KSYMTAB_FUNC(snd_pcm_kernel_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_lib_default_mmap, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_mmap_iomem, "", "");
KSYMTAB_FUNC(snd_pcm_mmap_data, "", "");
KSYMTAB_FUNC(snd_pcm_debug_name, "", "");
KSYMTAB_FUNC(snd_pcm_set_ops, "", "");
KSYMTAB_FUNC(snd_pcm_set_sync, "", "");
KSYMTAB_FUNC(snd_interval_refine, "", "");
KSYMTAB_FUNC(snd_interval_ratnum, "", "");
KSYMTAB_FUNC(snd_interval_list, "", "");
KSYMTAB_FUNC(snd_interval_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_add, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_mask64, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_integer, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_minmax, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_list, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratnums, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratdens, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_msbits, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_step, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_pow2, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_noresample, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_params_any, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_value, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_param_setempty, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_first, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_last, "", "");
KSYMTAB_FUNC(snd_pcm_hw_params_bits, "", "");
KSYMTAB_FUNC(snd_pcm_lib_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed_under_stream_lock, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(__snd_pcm_lib_xfer, "", "");
KSYMTAB_DATA(snd_pcm_std_chmaps, "_gpl", "");
KSYMTAB_DATA(snd_pcm_alt_chmaps, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_format_signed, "", "");
KSYMTAB_FUNC(snd_pcm_format_unsigned, "", "");
KSYMTAB_FUNC(snd_pcm_format_linear, "", "");
KSYMTAB_FUNC(snd_pcm_format_little_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_big_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_physical_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_size, "", "");
KSYMTAB_FUNC(snd_pcm_format_silence_64, "", "");
KSYMTAB_FUNC(snd_pcm_format_set_silence, "", "");
KSYMTAB_FUNC(snd_pcm_hw_limit_rates, "", "");
KSYMTAB_FUNC(snd_pcm_rate_to_rate_bit, "", "");
KSYMTAB_FUNC(snd_pcm_rate_bit_to_rate, "", "");
KSYMTAB_FUNC(snd_pcm_rate_mask_intersect, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_rate_range_to_bits, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_free_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_malloc_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_pages, "", "");
KSYMTAB_FUNC(_snd_pcm_lib_alloc_vmalloc_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_vmalloc_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_lib_get_vmalloc_page, "", "");
KSYMTAB_FUNC(snd_dma_alloc_dir_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_pages_fallback, "", "");
KSYMTAB_FUNC(snd_dma_free_pages, "", "");
KSYMTAB_FUNC(snd_devm_alloc_dir_pages, "_gpl", "");
KSYMTAB_FUNC(snd_dma_buffer_mmap, "", "");
KSYMTAB_FUNC(snd_dma_buffer_sync, "_gpl", "");
KSYMTAB_FUNC(snd_sgbuf_get_addr, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_page, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_chunk_size, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_eld, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer_default, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_fill_iec958_consumer, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_fill_iec958_consumer_hw_params, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer, "", "");
KSYMTAB_FUNC(snd_pcm_create_iec958_consumer_hw_params, "", "");

SYMBOL_CRC(snd_pcm_format_name, 0xa286a234, "_gpl");
SYMBOL_CRC(snd_pcm_new_stream, 0x519f95f9, "");
SYMBOL_CRC(snd_pcm_new, 0x2977c58a, "");
SYMBOL_CRC(snd_pcm_new_internal, 0xfbd00a79, "");
SYMBOL_CRC(snd_pcm_stream_lock, 0x8b2e6cbf, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock, 0xed76acaf, "_gpl");
SYMBOL_CRC(snd_pcm_stream_lock_irq, 0xc61a0f5e, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irq, 0xd11fddb0, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave, 0x40f97a1e, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave_nested, 0xada9b43c, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irqrestore, 0xa2473561, "_gpl");
SYMBOL_CRC(snd_pcm_hw_refine, 0xa4d4fc55, "");
SYMBOL_CRC(snd_pcm_stop, 0xbd7d6d07, "");
SYMBOL_CRC(snd_pcm_stop_xrun, 0x6bae4982, "_gpl");
SYMBOL_CRC(snd_pcm_suspend_all, 0x50277cc9, "");
SYMBOL_CRC(snd_pcm_release_substream, 0x6d311288, "");
SYMBOL_CRC(snd_pcm_open_substream, 0xd9ce60d5, "");
SYMBOL_CRC(snd_pcm_kernel_ioctl, 0x245cdce3, "");
SYMBOL_CRC(snd_pcm_lib_default_mmap, 0x1de6edd4, "_gpl");
SYMBOL_CRC(snd_pcm_lib_mmap_iomem, 0x6a35c834, "");
SYMBOL_CRC(snd_pcm_mmap_data, 0x84463e40, "");
SYMBOL_CRC(snd_pcm_debug_name, 0x3f8544f1, "");
SYMBOL_CRC(snd_pcm_set_ops, 0xae4ef456, "");
SYMBOL_CRC(snd_pcm_set_sync, 0xb0e32009, "");
SYMBOL_CRC(snd_interval_refine, 0x04cda566, "");
SYMBOL_CRC(snd_interval_ratnum, 0xac437f7b, "");
SYMBOL_CRC(snd_interval_list, 0x94098ff8, "");
SYMBOL_CRC(snd_interval_ranges, 0x503bd137, "");
SYMBOL_CRC(snd_pcm_hw_rule_add, 0xdc95a534, "");
SYMBOL_CRC(snd_pcm_hw_constraint_mask64, 0x1a4745f8, "");
SYMBOL_CRC(snd_pcm_hw_constraint_integer, 0xc0818b95, "");
SYMBOL_CRC(snd_pcm_hw_constraint_minmax, 0x44afb357, "");
SYMBOL_CRC(snd_pcm_hw_constraint_list, 0x49c43dd9, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ranges, 0x55552835, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratnums, 0xba5e6b83, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratdens, 0xb937fa6a, "");
SYMBOL_CRC(snd_pcm_hw_constraint_msbits, 0xf1baa6b7, "");
SYMBOL_CRC(snd_pcm_hw_constraint_step, 0x44940943, "");
SYMBOL_CRC(snd_pcm_hw_constraint_pow2, 0x407cc5b0, "");
SYMBOL_CRC(snd_pcm_hw_rule_noresample, 0x23eebf86, "");
SYMBOL_CRC(_snd_pcm_hw_params_any, 0x0283dfe3, "");
SYMBOL_CRC(snd_pcm_hw_param_value, 0x52e3e4a5, "");
SYMBOL_CRC(_snd_pcm_hw_param_setempty, 0x39bf9301, "");
SYMBOL_CRC(snd_pcm_hw_param_first, 0xa6f21152, "");
SYMBOL_CRC(snd_pcm_hw_param_last, 0x8d5af32c, "");
SYMBOL_CRC(snd_pcm_hw_params_bits, 0x41aa5e29, "");
SYMBOL_CRC(snd_pcm_lib_ioctl, 0x412ba24e, "");
SYMBOL_CRC(snd_pcm_period_elapsed_under_stream_lock, 0xde21212d, "");
SYMBOL_CRC(snd_pcm_period_elapsed, 0x3d573d16, "");
SYMBOL_CRC(__snd_pcm_lib_xfer, 0x7dc96ab0, "");
SYMBOL_CRC(snd_pcm_std_chmaps, 0x04e1b99f, "_gpl");
SYMBOL_CRC(snd_pcm_alt_chmaps, 0x09e913c1, "_gpl");
SYMBOL_CRC(snd_pcm_add_chmap_ctls, 0xd00871d5, "_gpl");
SYMBOL_CRC(snd_pcm_format_signed, 0x1d027e4b, "");
SYMBOL_CRC(snd_pcm_format_unsigned, 0xa61aa028, "");
SYMBOL_CRC(snd_pcm_format_linear, 0x6ef8fcd8, "");
SYMBOL_CRC(snd_pcm_format_little_endian, 0x3796bdcc, "");
SYMBOL_CRC(snd_pcm_format_big_endian, 0x4f816e9b, "");
SYMBOL_CRC(snd_pcm_format_width, 0xe56a9336, "");
SYMBOL_CRC(snd_pcm_format_physical_width, 0x68a24153, "");
SYMBOL_CRC(snd_pcm_format_size, 0x834dc955, "");
SYMBOL_CRC(snd_pcm_format_silence_64, 0x650f8603, "");
SYMBOL_CRC(snd_pcm_format_set_silence, 0x5e7f4920, "");
SYMBOL_CRC(snd_pcm_hw_limit_rates, 0xbbdd3e30, "");
SYMBOL_CRC(snd_pcm_rate_to_rate_bit, 0xb9638db4, "");
SYMBOL_CRC(snd_pcm_rate_bit_to_rate, 0xff6104d0, "");
SYMBOL_CRC(snd_pcm_rate_mask_intersect, 0xab8bc1a2, "_gpl");
SYMBOL_CRC(snd_pcm_rate_range_to_bits, 0x8d864069, "_gpl");
SYMBOL_CRC(snd_pcm_lib_preallocate_free_for_all, 0xdb55520d, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages, 0xf3507cb7, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages_for_all, 0xe2eb0c7d, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer, 0xc8c20d51, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer_all, 0x0823e3a5, "");
SYMBOL_CRC(snd_pcm_lib_malloc_pages, 0xee1af3d5, "");
SYMBOL_CRC(snd_pcm_lib_free_pages, 0x163a2ee2, "");
SYMBOL_CRC(_snd_pcm_lib_alloc_vmalloc_buffer, 0x14d732bf, "");
SYMBOL_CRC(snd_pcm_lib_free_vmalloc_buffer, 0x356f8128, "");
SYMBOL_CRC(snd_pcm_lib_get_vmalloc_page, 0x6d048e4d, "");
SYMBOL_CRC(snd_dma_alloc_dir_pages, 0xcae59853, "");
SYMBOL_CRC(snd_dma_alloc_pages_fallback, 0x38537da9, "");
SYMBOL_CRC(snd_dma_free_pages, 0x1d767818, "");
SYMBOL_CRC(snd_devm_alloc_dir_pages, 0x83387e35, "_gpl");
SYMBOL_CRC(snd_dma_buffer_mmap, 0x5ba109a2, "");
SYMBOL_CRC(snd_dma_buffer_sync, 0x970603e2, "_gpl");
SYMBOL_CRC(snd_sgbuf_get_addr, 0xda5e32fb, "");
SYMBOL_CRC(snd_sgbuf_get_page, 0xeb92b9fc, "");
SYMBOL_CRC(snd_sgbuf_get_chunk_size, 0x3ec15470, "");
SYMBOL_CRC(snd_pcm_hw_constraint_eld, 0x5607d701, "_gpl");
SYMBOL_CRC(snd_pcm_create_iec958_consumer_default, 0x649892e8, "_gpl");
SYMBOL_CRC(snd_pcm_fill_iec958_consumer, 0xdafc3cf1, "_gpl");
SYMBOL_CRC(snd_pcm_fill_iec958_consumer_hw_params, 0x5c407196, "_gpl");
SYMBOL_CRC(snd_pcm_create_iec958_consumer, 0x886ef39c, "");
SYMBOL_CRC(snd_pcm_create_iec958_consumer_hw_params, 0x11eba48e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb578fc5, "memset" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc930e4bc, "snd_ctl_unregister_ioctl" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7749cb89, "nonseekable_open" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x822cf32a, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7d56cf70, "dma_free_noncontiguous" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x47a64bf3, "dma_alloc_noncontiguous" },
	{ 0xd66b26f, "dma_mmap_noncontiguous" },
	{ 0x32d66bba, "set_pages_array_wc" },
	{ 0x5de01362, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x1ee6614f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb84da5d8, "vm_map_pages" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0xe6754668, "snd_ctl_register_ioctl_compat" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xb86a5e5a, "snd_info_create_card_entry" },
	{ 0xf19e3eaf, "_copy_from_iter" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0x85813d75, "snd_power_wait" },
	{ 0xbe63e7e9, "boot_cpu_data" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xb0b2ae94, "dma_mmap_attrs" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x520df5b, "pid_vnr" },
	{ 0x448700e9, "snd_device_free" },
	{ 0xadaed9ad, "snd_card_file_remove" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xea124bd1, "gcd" },
	{ 0xfcbf3b07, "remap_vmalloc_range" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x767ddb02, "set_memory_wc" },
	{ 0x754d539c, "strlen" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x636e2610, "snd_device_register" },
	{ 0xd86d55ac, "snd_register_device" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x40656087, "put_pid" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x93979396, "dma_can_mmap" },
	{ 0x47d27382, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbff8a015, "dma_ops" },
	{ 0x391ac9fa, "_copy_to_iter" },
	{ 0x7a854aac, "snd_info_register" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xac25f511, "snd_info_create_module_entry" },
	{ 0x27aea12b, "snd_ctl_unregister_ioctl_compat" },
	{ 0x5b2ef2a1, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xc37abed6, "dev_set_name" },
	{ 0x24be565f, "snd_ctl_add" },
	{ 0x906b1217, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x67fd7ef6, "trace_raw_output_prep" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x1b78198d, "snd_timer_notify" },
	{ 0x8cc0e34, "snd_ctl_get_preferred_subdevice" },
	{ 0x96797185, "dma_vunmap_noncontiguous" },
	{ 0x50cae3bd, "__trace_trigger_soft_disabled" },
	{ 0xada31e57, "gen_pool_dma_alloc_align" },
	{ 0x8cf24914, "vm_iomap_memory" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0xfc0ea298, "dma_mmap_pages" },
	{ 0x34747759, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x97b9e310, "dma_sync_sg_for_cpu" },
	{ 0xb9f28bff, "dma_free_pages" },
	{ 0x9609f503, "dma_sync_single_for_device" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x73a58a31, "snd_timer_interrupt" },
	{ 0x7012b86, "snd_info_free_entry" },
	{ 0x9a07861, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0xa1a41cb2, "remap_pfn_range" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x9e6d79f8, "snd_info_get_str" },
	{ 0x73641259, "pcpu_hot" },
	{ 0xdf0ca3f4, "cpu_latency_qos_request_active" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x1b4f270e, "bpf_trace_run2" },
	{ 0xba595ab, "snd_fasync_helper" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6fd37d3b, "import_ubuf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xa57ab3cd, "snd_ctl_remove" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xde5c0ea0, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xda4c61d0, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xa9940d82, "snd_ctl_new1" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xde7c8071, "dma_alloc_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a9dbedd, "put_device" },
	{ 0xd4e4b97a, "snd_ctl_register_ioctl" },
	{ 0xdf704497, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x73d82724, "set_pages_array_wb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x90974934, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc3e9dcfb, "perf_trace_run_bpf_submit" },
	{ 0x6789fc89, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xf99b09, "dma_vmap_noncontiguous" },
	{ 0x4832181f, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8f595b11, "snd_major" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7157bbeb, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xcfb9f211, "__devres_alloc_node" },
	{ 0x7aba2d42, "trace_event_reg" },
	{ 0x2bd1d5a4, "dma_need_sync" },
	{ 0x6b181009, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x795aa7f3, "vmap" },
	{ 0xd6f2f322, "snd_unregister_device" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xf2f2d832, "snd_device_alloc" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8d675b7a, "snd_timer_new" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x28373d9b, "bpf_trace_run1" },
	{ 0x5fc72f0e, "alloc_pages_exact" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x97122dad, "snd_device_new" },
	{ 0xe86e39d8, "dma_sync_single_for_cpu" },
	{ 0x6943a40, "dma_sync_sg_for_device" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-timer");


MODULE_INFO(srcversion, "1157A4226FFDEB17CA62F3A");
