#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hdac_ext_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_device_remove, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_register, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_int_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_ml_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_link_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_addr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_set_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_clear_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_get, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_put, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_host_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_init_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_clear, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_cstream_assign, "_gpl", "");

SYMBOL_CRC(snd_hdac_ext_bus_init, 0xe0bb365c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_exit, 0xd37970f3, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_device_remove, 0xd166de31, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_register, 0xe46e27f9, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_unregister, 0x3d58dca4, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_enable, 0xf2618407, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_int_enable, 0x20c9f80c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_ml_capabilities, 0x7351a330, "_gpl");
SYMBOL_CRC(snd_hdac_ext_link_free_all, 0x8552b9e4, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_addr, 0x9fcf82ca, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_name, 0x36dd94a9, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up, 0x0f5b5d75, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down, 0x4847a165, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up_all, 0x44e86a41, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down_all, 0x88b7a073, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_set_stream_id, 0xa38ea493, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_clear_stream_id, 0xcf247765, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_get, 0x48e3db5b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_put, 0x946668f6, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power, 0xaa8aa856, "_gpl");
SYMBOL_CRC(snd_hdac_ext_host_stream_setup, 0x3bc79144, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_init_all, 0x53cc5e29, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_free_all, 0x9fd373c5, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple_locked, 0xed1bbd0b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple, 0xcb756800, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_start, 0x90f5eddd, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_clear, 0xe5d4109f, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_reset, 0x1e35eb49, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_setup, 0x5e49e279, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_assign, 0x980150fd, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_release, 0xbb755621, "_gpl");
SYMBOL_CRC(snd_hdac_ext_cstream_assign, 0xf19fe419, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0a34e52, "snd_hdac_bus_link_power" },
	{ 0x37a0cba, "kfree" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbb3e0a44, "snd_hdac_bus_exit" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a9dbedd, "put_device" },
	{ 0xc1552ef4, "snd_hdac_bus_init" },
	{ 0x68eb8251, "snd_hdac_stream_init" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x172d0332, "snd_hdac_device_unregister" },
	{ 0x90384848, "snd_hdac_stream_assign" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc2015173, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xfc282bd8, "snd_hdac_bus_stop_cmd_io" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc1bec03a, "snd_hdac_bus_init_cmd_io" },
	{ 0x71836bce, "snd_hda_bus_type" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcf8604d5, "snd_hdac_stream_setup" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x8fbbb79e, "driver_register" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xd96f9184, "snd_hdac_stream_release" },
	{ 0x73c5f23, "snd_hdac_stream_release_locked" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core");


MODULE_INFO(srcversion, "180A3C7D21DEA709F6C09A4");
