#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x84064c0f, "snd_hda_get_path_from_idx" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x97b13880, "snd_hda_gen_update_outputs" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0xb87a2b3f, "snd_hda_jack_unsol_event" },
	{ 0x4fee790e, "snd_hda_gen_build_pcms" },
	{ 0x4d65a76b, "snd_hda_mixer_amp_tlv" },
	{ 0x4be6d8c6, "snd_hda_pick_fixup" },
	{ 0x1834ad83, "snd_hda_apply_fixup" },
	{ 0x96d561fe, "snd_hda_gen_parse_auto_config" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xcbd91e72, "snd_hdac_codec_read" },
	{ 0xaedf5423, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0xa5d8b040, "snd_hda_codec_get_pin_target" },
	{ 0x87c69432, "snd_hda_gen_free" },
	{ 0x6bb56e9b, "snd_hda_gen_add_mute_led_cdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xc72ece64, "snd_hda_add_new_ctls" },
	{ 0xa2a2ed02, "snd_hda_gen_build_controls" },
	{ 0x2c95ff93, "snd_hda_gen_mic_autoswitch" },
	{ 0xa2775a73, "query_amp_caps" },
	{ 0xbfdd3f90, "snd_hda_mixer_amp_volume_info" },
	{ 0x6271be51, "snd_hdac_regmap_read_raw" },
	{ 0xbdd4e287, "snd_hda_jack_detect_state_mst" },
	{ 0x285fc0bc, "snd_hda_gen_spec_init" },
	{ 0xdc1939c0, "snd_hda_mixer_amp_switch_info" },
	{ 0xcc124eb1, "hda_codec_driver_unregister" },
	{ 0x88014648, "snd_hda_add_new_path" },
	{ 0xe55c95b4, "snd_hdac_codec_write" },
	{ 0xeac3fe5d, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x7282768, "snd_hda_gen_add_kctl" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb46172ec, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0xf51d743e, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xab54cc1c, "snd_ctl_boolean_mono_info" },
	{ 0xc33ea93c, "snd_hda_override_amp_caps" },
	{ 0xe707ab7f, "__hda_codec_driver_register" },
	{ 0x272b3cc, "snd_hda_jack_set_gating_jack" },
	{ 0x938f3233, "snd_hda_parse_pin_defcfg" },
	{ 0xf126d939, "snd_hda_gen_init" },
	{ 0x67ce4733, "snd_hda_activate_path" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf5ec555e, "snd_hda_gen_add_micmute_led_cdev" },
	{ 0x1f70e722, "snd_hdac_regmap_add_vendor_verb" },
	{ 0xf14234c4, "snd_hda_codec_set_pin_target" },
	{ 0x8a41940b, "snd_hda_gen_check_power_status" },
	{ 0x7d05c276, "snd_hdac_regmap_write_raw" },
	{ 0xac869fe0, "snd_hda_mixer_amp_volume_get" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec-generic,snd-hda-codec,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F11F87r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F120D0r*a01*");
MODULE_ALIAS("hdaudio:v14F120D1r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "025E920694265666B174B48");
