#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0x285fc0bc, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0x07282768, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0x4212b544, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0x84064c0f, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0x88014648, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0x67ce4733, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0x6bb56e9b, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0xf5ec555e, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0xbf41f6f0, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0x97b13880, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0x2c071bb2, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0x2c099c14, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0x2c95ff93, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0xaad93555, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0xab65b466, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0x96d561fe, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0xa2a2ed02, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0x4fee790e, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0xf126d939, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0x87c69432, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0x8a41940b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe609fea1, "snd_hdac_regmap_sync" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0x3393dfa3, "snd_hda_apply_verbs" },
	{ 0x56030963, "snd_hda_codec_amp_update" },
	{ 0xc72ece64, "snd_hda_add_new_ctls" },
	{ 0xe7639f72, "snd_hda_get_connections" },
	{ 0x44efab8e, "snd_hda_codec_amp_init_stereo" },
	{ 0x7211605e, "snd_hda_set_vmaster_tlv" },
	{ 0xce4cdacb, "hda_get_autocfg_input_label" },
	{ 0xa2775a73, "query_amp_caps" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0xbfdd3f90, "snd_hda_mixer_amp_volume_info" },
	{ 0xbdd4e287, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd2b3ded0, "snd_hda_codec_setup_stream" },
	{ 0xdc1939c0, "snd_hda_mixer_amp_switch_info" },
	{ 0xcc124eb1, "hda_codec_driver_unregister" },
	{ 0x35412987, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe55c95b4, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0x8e974039, "snd_hda_jack_tbl_get_mst" },
	{ 0xedee24f9, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0x63f3a365, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0x95078c48, "led_classdev_unregister" },
	{ 0x17215e5f, "snd_hda_codec_pcm_new" },
	{ 0xc4d1fb62, "__snd_hda_codec_cleanup_stream" },
	{ 0x62eaae65, "snd_ctl_sync_vmaster" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xcfd55c5a, "snd_hda_multi_out_dig_cleanup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8b405c96, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd976e52e, "snd_hda_add_imux_item" },
	{ 0x3b6fd6fa, "snd_hda_correct_pin_ctl" },
	{ 0xf51d743e, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xb843c129, "snd_hda_create_dig_out_ctls" },
	{ 0xa353bdd9, "snd_hda_multi_out_dig_close" },
	{ 0xa364213, "snd_hda_get_conn_index" },
	{ 0xbc965a5, "snd_hda_multi_out_analog_open" },
	{ 0xb0d2b253, "snd_hda_get_bool_hint" },
	{ 0x8af430af, "snd_hda_create_spdif_share_sw" },
	{ 0xcca8ec58, "snd_hda_find_mixer_ctl" },
	{ 0xf700965d, "snd_hda_get_int_hint" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xe707ab7f, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0x938f3233, "snd_hda_parse_pin_defcfg" },
	{ 0x664f542f, "snd_hda_codec_amp_init" },
	{ 0xd4bd04a7, "snd_hda_create_spdif_in_ctls" },
	{ 0xde1487c5, "is_jack_detectable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x57084aac, "snd_hda_multi_out_analog_cleanup" },
	{ 0x476a012c, "snd_hda_multi_out_analog_prepare" },
	{ 0x435d472e, "snd_ctl_boolean_stereo_info" },
	{ 0xa6f6334a, "snd_hda_get_conn_list" },
	{ 0xcf4299b0, "snd_hda_mixer_amp_switch_get" },
	{ 0xf14234c4, "snd_hda_codec_set_pin_target" },
	{ 0x86b2eae8, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x18ec21c2, "snd_hda_attach_beep_device" },
	{ 0x7fbe6615, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0x7d05c276, "snd_hdac_regmap_write_raw" },
	{ 0xac869fe0, "snd_hda_mixer_amp_volume_get" },
	{ 0xe060d988, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x2024a0ce, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcd1b5273, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb87a2b3f, "snd_hda_jack_unsol_event" },
	{ 0x3e5f61b3, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4d65a76b, "snd_hda_mixer_amp_tlv" },
	{ 0xac3bb512, "snd_hda_jack_add_kctls" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0xa4309cad, "__snd_hda_add_vmaster" },
	{ 0x257f2f9e, "snd_hda_codec_amp_stereo" },
	{ 0xa13abe71, "snd_hda_sync_vmaster_hook" },
	{ 0x1834ad83, "snd_hda_apply_fixup" },
	{ 0xf765286d, "snd_hda_enum_helper_info" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0xa14593db, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x754d539c, "strlen" },
	{ 0xcbd91e72, "snd_hdac_codec_read" },
	{ 0xaedf5423, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0xd735d4b2, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0xa5d8b040, "snd_hda_codec_get_pin_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core,snd,snd-hda-codec");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "9BC8D8AAC6625F92095EB1E");
