#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa32e3f01, "dma_set_coherent_mask" },
	{ 0x46bb267a, "snd_card_disconnect" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe5cd9e74, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe7aa8c1f, "pci_write_config_byte" },
	{ 0xe87e0ee6, "snd_i2c_sendbytes" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a9a55ab, "seq_printf" },
	{ 0x57f72554, "snd_ice1712_akm4xxx_build_controls" },
	{ 0x13d52d80, "snd_mpu401_uart_new" },
	{ 0xf1baa6b7, "snd_pcm_hw_constraint_msbits" },
	{ 0x215c3120, "dma_set_mask" },
	{ 0xc21c07da, "snd_i2c_device_create" },
	{ 0x3d573d16, "snd_pcm_period_elapsed" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0x7802eb6b, "pcim_enable_device" },
	{ 0x965eef51, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xa7aedc66, "snd_akm4xxx_init" },
	{ 0x47a47635, "devm_request_threaded_irq" },
	{ 0x20f3abb1, "snd_ice1712_akm4xxx_init" },
	{ 0x24be565f, "snd_ctl_add" },
	{ 0xce641a25, "snd_ac97_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2977c58a, "snd_pcm_new" },
	{ 0x918e9307, "snd_card_register" },
	{ 0xaab6f1e9, "snd_akm4xxx_write" },
	{ 0xc48b64dc, "snd_cs8427_iec958_active" },
	{ 0x5b4f4cd8, "__pci_register_driver" },
	{ 0xf6b26f07, "param_array_ops" },
	{ 0x95363ee4, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf530f755, "snd_ac97_set_rate" },
	{ 0x84049fa7, "snd_card_rw_proc_new" },
	{ 0x4e5e7a7d, "snd_ac97_mixer" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xdf1d076, "snd_ac97_bus" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb0e32009, "snd_pcm_set_sync" },
	{ 0xd3e981e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8b7f9d43, "snd_cs8427_iec958_pcm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa9940d82, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xec58b169, "snd_i2c_readbytes" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x107dd15c, "snd_cs8427_init" },
	{ 0xb43a79f6, "snd_i2c_bus_create" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xbb7cb45a, "snd_ice1712_akm4xxx_free" },
	{ 0xc45a27e3, "snd_cs8427_create" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xe35bad95, "snd_card_new" },
	{ 0x2280ec00, "snd_ac97_suspend" },
	{ 0xab54cc1c, "snd_ctl_boolean_mono_info" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x71bc1c96, "snd_cs8427_iec958_build" },
	{ 0xcb586cc6, "snd_akm4xxx_reset" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xabba3379, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8e79c1e8, "snd_ctl_notify" },
	{ 0x435d472e, "snd_ctl_boolean_stereo_info" },
	{ 0xae4ef456, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x49c43dd9, "snd_pcm_hw_constraint_list" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x823e3a5, "snd_pcm_set_managed_buffer_all" },
	{ 0x7a60886a, "snd_cs8427_reg_write" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0xc747289f, "pci_set_master" },
	{ 0x8b411c56, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-i2c,snd-ice17xx-ak4xxx,snd-mpu401-uart,snd-pcm,snd-ak4xxx-adda,snd-ac97-codec,snd-cs8427");

MODULE_ALIAS("pci:v00001412d00001712sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "7F799CB581FEE9347AAFB59");
