#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0xafc48cde, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0x0b4abe2b, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0x6b552559, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0xd3ad4d22, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0xa0746220, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0x0f20235e, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x2705d282, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0x17f8d04e, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0x20df2446, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0x7c5aad0e, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0xfa337f84, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0x2ac43d3b, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x7cc978ba, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0x6d8d3e9f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x44afb357, "snd_pcm_hw_constraint_minmax" },
	{ 0x10c416d3, "regcache_sync_region" },
	{ 0xd0934d6b, "snd_soc_put_enum_double" },
	{ 0x7f8c6a76, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd723ca95, "devm_gpiod_get_optional" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x67bfbca0, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe336903e, "regulator_bulk_disable" },
	{ 0x65488c16, "device_property_read_u32_array" },
	{ 0x592789ab, "snd_soc_get_enum_double" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0xf088745f, "snd_soc_info_volsw" },
	{ 0x9e1f75c3, "regcache_drop_region" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfe5b2a03, "snd_soc_info_enum_double" },
	{ 0x55868d2a, "regulator_bulk_enable" },
	{ 0x6589263d, "devm_regulator_bulk_get" },
	{ 0xf357396d, "snd_soc_get_volsw" },
	{ 0x7755b1fe, "regmap_read" },
	{ 0x6136b998, "snd_soc_put_volsw" },
	{ 0x4d11def3, "snd_soc_component_update_bits" },
	{ 0x2699bfc, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x62d2f8e2, "regmap_bulk_read" },
	{ 0x2e1895c0, "regmap_update_bits_base" },
	{ 0x5b8f221b, "dev_err_probe" },
	{ 0x5dd316c9, "regmap_multi_reg_write" },
	{ 0x9e8cc687, "__pm_runtime_suspend" },
	{ 0x4fa1782d, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x336fd715, "device_property_present" },
	{ 0xf76e3e1, "regcache_cache_only" },
	{ 0xf2b59f00, "regcache_sync" },
	{ 0x81d1ca75, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x4b0f081c, "snd_soc_jack_report" },
	{ 0xff013bae, "gpiod_set_value_cansleep" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-soc-core");


MODULE_INFO(srcversion, "CEDA7796E285E32048592C3");
