#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt5640_dmic_enable, "_gpl", "");
KSYMTAB_FUNC(rt5640_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5640_enable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_disable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_detect_headset, "_gpl", "");
KSYMTAB_FUNC(rt5640_set_ovcd_params, "_gpl", "");

SYMBOL_CRC(rt5640_dmic_enable, 0xd791522d, "_gpl");
SYMBOL_CRC(rt5640_sel_asrc_clk_src, 0xabe3bd5b, "_gpl");
SYMBOL_CRC(rt5640_enable_micbias1_for_ovcd, 0x5d498ce4, "_gpl");
SYMBOL_CRC(rt5640_disable_micbias1_for_ovcd, 0x3d0f833a, "_gpl");
SYMBOL_CRC(rt5640_detect_headset, 0x85bab9a9, "_gpl");
SYMBOL_CRC(rt5640_set_ovcd_params, 0xb9bfc06d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba83f4f4, "snd_soc_component_write" },
	{ 0x67bfbca0, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x47ff95d1, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x65488c16, "device_property_read_u32_array" },
	{ 0x592789ab, "snd_soc_get_enum_double" },
	{ 0x59f18048, "i2c_register_driver" },
	{ 0xf088745f, "snd_soc_info_volsw" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9c3bb34, "snd_soc_dapm_put_volsw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdc62fbf1, "snd_soc_dapm_force_bias_level" },
	{ 0xd60b49a9, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xd6571208, "snd_soc_add_component_controls" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0xe071c213, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfe5b2a03, "snd_soc_info_enum_double" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf357396d, "snd_soc_get_volsw" },
	{ 0x7755b1fe, "regmap_read" },
	{ 0x6136b998, "snd_soc_put_volsw" },
	{ 0x4d11def3, "snd_soc_component_update_bits" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc06f16af, "snd_soc_dapm_new_controls" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x2e1895c0, "regmap_update_bits_base" },
	{ 0xffe67460, "snd_soc_dapm_get_volsw" },
	{ 0x97cb628c, "__devm_add_action" },
	{ 0xfaadbe5f, "i2c_del_driver" },
	{ 0xc268222e, "regmap_register_patch" },
	{ 0xfd8ba557, "snd_soc_dapm_get_enum_double" },
	{ 0xff64dff3, "gpiod_set_consumer_name" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x2774c0d2, "snd_soc_dapm_put_enum_double" },
	{ 0xbddeb14f, "gpiod_get_value_cansleep" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x336fd715, "device_property_present" },
	{ 0xf76e3e1, "regcache_cache_only" },
	{ 0xf2b59f00, "regcache_sync" },
	{ 0x81d1ca75, "regmap_write" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0x4b0f081c, "snd_soc_jack_report" },
	{ 0xcbd4502b, "snd_soc_component_read" },
	{ 0xff013bae, "gpiod_set_value_cansleep" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0x442313d9, "gpiod_to_irq" },
	{ 0x1a3491e4, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xd0934d6b, "snd_soc_put_enum_double" },
	{ 0x7f8c6a76, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x248452fd, "gpiod_get_value" },
	{ 0xd723ca95, "devm_gpiod_get_optional" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xf54c770, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0x1a70de3e, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,regmap-i2c,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("i2c:rt5640");
MODULE_ALIAS("i2c:rt5639");
MODULE_ALIAS("i2c:rt5642");
MODULE_ALIAS("acpi*:INT33CA:*");
MODULE_ALIAS("acpi*:10EC3276:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC5642:*");
MODULE_ALIAS("acpi*:INTCCFFD:*");

MODULE_INFO(srcversion, "DF8B64433CCC09086D185D6");
