#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rt5682_supply_names, "_gpl", "");
KSYMTAB_FUNC(rt5682_apply_patch_list, "_gpl", "");
KSYMTAB_DATA(rt5682_reg, "_gpl", "");
KSYMTAB_FUNC(rt5682_volatile_register, "_gpl", "");
KSYMTAB_FUNC(rt5682_readable_register, "_gpl", "");
KSYMTAB_FUNC(rt5682_reset, "_gpl", "");
KSYMTAB_FUNC(rt5682_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5682_jack_detect_handler, "_gpl", "");
KSYMTAB_FUNC(rt5682_register_dai_clks, "_gpl", "");
KSYMTAB_DATA(rt5682_aif1_dai_ops, "_gpl", "");
KSYMTAB_DATA(rt5682_aif2_dai_ops, "_gpl", "");
KSYMTAB_DATA(rt5682_soc_component_dev, "_gpl", "");
KSYMTAB_FUNC(rt5682_parse_dt, "_gpl", "");
KSYMTAB_FUNC(rt5682_get_ldo1, "_gpl", "");
KSYMTAB_FUNC(rt5682_calibrate, "_gpl", "");

SYMBOL_CRC(rt5682_supply_names, 0x0d18594a, "_gpl");
SYMBOL_CRC(rt5682_apply_patch_list, 0xaebd3699, "_gpl");
SYMBOL_CRC(rt5682_reg, 0xb897de56, "_gpl");
SYMBOL_CRC(rt5682_volatile_register, 0x44e01b54, "_gpl");
SYMBOL_CRC(rt5682_readable_register, 0xe06e29a1, "_gpl");
SYMBOL_CRC(rt5682_reset, 0x9fad52ea, "_gpl");
SYMBOL_CRC(rt5682_sel_asrc_clk_src, 0x07c79c4e, "_gpl");
SYMBOL_CRC(rt5682_jack_detect_handler, 0x59d3d967, "_gpl");
SYMBOL_CRC(rt5682_register_dai_clks, 0xb129fa0f, "_gpl");
SYMBOL_CRC(rt5682_aif1_dai_ops, 0x9e6546a2, "_gpl");
SYMBOL_CRC(rt5682_aif2_dai_ops, 0x7552fda1, "_gpl");
SYMBOL_CRC(rt5682_soc_component_dev, 0xbade8140, "_gpl");
SYMBOL_CRC(rt5682_parse_dt, 0x1e24ab2d, "_gpl");
SYMBOL_CRC(rt5682_get_ldo1, 0x99116828, "_gpl");
SYMBOL_CRC(rt5682_calibrate, 0xeb36ba7a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65488c16, "device_property_read_u32_array" },
	{ 0xf088745f, "snd_soc_info_volsw" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0x9c3bb34, "snd_soc_dapm_put_volsw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xacec4da0, "device_property_read_string_array" },
	{ 0xd60b49a9, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x2d233086, "snd_soc_dapm_get_pin_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfe5b2a03, "snd_soc_info_enum_double" },
	{ 0xf357396d, "snd_soc_get_volsw" },
	{ 0x7755b1fe, "regmap_read" },
	{ 0x6136b998, "snd_soc_put_volsw" },
	{ 0x4d11def3, "snd_soc_component_update_bits" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0x858d17d3, "clk_hw_get_parent" },
	{ 0x2e1895c0, "regmap_update_bits_base" },
	{ 0x5dd316c9, "regmap_multi_reg_write" },
	{ 0xffe67460, "snd_soc_dapm_get_volsw" },
	{ 0xfd8ba557, "snd_soc_dapm_get_enum_double" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x2774c0d2, "snd_soc_dapm_put_enum_double" },
	{ 0x336fd715, "device_property_present" },
	{ 0x804507ad, "devm_clk_hw_register_clkdev" },
	{ 0xf76e3e1, "regcache_cache_only" },
	{ 0xf2b59f00, "regcache_sync" },
	{ 0x81d1ca75, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4b0f081c, "snd_soc_jack_report" },
	{ 0xcbd4502b, "snd_soc_component_read" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0x1a3491e4, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x21b34dbd, "snd_soc_dapm_disable_pin" },
	{ 0x24ad6aae, "devm_clk_hw_register" },
	{ 0x7f8c6a76, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9ce292cd, "clk_hw_get_name" },
	{ 0xd723ca95, "devm_gpiod_get_optional" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0xf54c770, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xba83f4f4, "snd_soc_component_write" },
	{ 0xa00acb77, "snd_soc_dapm_sync" },
	{ 0xe3f488f, "__clk_get_hw" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");


MODULE_INFO(srcversion, "332E9E81917BE222E0A9B73");
