#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(skl_dsp_set_dma_control, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_create_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_delete_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_pipeline_state, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_save_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_restore_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_dx, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_init_instance, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_bind_unbind, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_load_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_unload_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_get_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_sst_ipc_load_library, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_d0ix, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_get_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_put_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_wake, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_sleep, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(is_skl_dsp_running, "_gpl", "");
KSYMTAB_FUNC(cnl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(skl_clear_module_cnt, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(skl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_instance_id_map, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_id, "_gpl", "");
KSYMTAB_FUNC(skl_put_pvt_id, "_gpl", "");

SYMBOL_CRC(skl_dsp_set_dma_control, 0x8a43e015, "_gpl");
SYMBOL_CRC(skl_ipc_create_pipeline, 0xa817da32, "_gpl");
SYMBOL_CRC(skl_ipc_delete_pipeline, 0x543ac2f7, "_gpl");
SYMBOL_CRC(skl_ipc_set_pipeline_state, 0x7fd9ce82, "_gpl");
SYMBOL_CRC(skl_ipc_save_pipeline, 0xb2be6258, "_gpl");
SYMBOL_CRC(skl_ipc_restore_pipeline, 0x16c45858, "_gpl");
SYMBOL_CRC(skl_ipc_set_dx, 0x0cbbbecf, "_gpl");
SYMBOL_CRC(skl_ipc_init_instance, 0xdeb008d0, "_gpl");
SYMBOL_CRC(skl_ipc_bind_unbind, 0x7e71050a, "_gpl");
SYMBOL_CRC(skl_ipc_load_modules, 0xeae4a690, "_gpl");
SYMBOL_CRC(skl_ipc_unload_modules, 0x1a56f937, "_gpl");
SYMBOL_CRC(skl_ipc_set_large_config, 0x6354fd3a, "_gpl");
SYMBOL_CRC(skl_ipc_get_large_config, 0x1efe3ee9, "_gpl");
SYMBOL_CRC(skl_sst_ipc_load_library, 0x7ed6b3fc, "_gpl");
SYMBOL_CRC(skl_ipc_set_d0ix, 0xfa31ae67, "_gpl");
SYMBOL_CRC(skl_dsp_get_core, 0x3e61cac1, "_gpl");
SYMBOL_CRC(skl_dsp_put_core, 0x3022ff22, "_gpl");
SYMBOL_CRC(skl_dsp_wake, 0xfe24db12, "_gpl");
SYMBOL_CRC(skl_dsp_sleep, 0x94c61a6a, "_gpl");
SYMBOL_CRC(skl_dsp_free, 0x01142e1a, "_gpl");
SYMBOL_CRC(is_skl_dsp_running, 0xc9d6216d, "_gpl");
SYMBOL_CRC(cnl_dsp_free, 0xdce18669, "_gpl");
SYMBOL_CRC(skl_clear_module_cnt, 0xb92df9ca, "_gpl");
SYMBOL_CRC(skl_sst_dsp_init, 0x7bff51ae, "_gpl");
SYMBOL_CRC(skl_sst_init_fw, 0xdc1abe56, "_gpl");
SYMBOL_CRC(skl_sst_dsp_cleanup, 0xbf2fb969, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_init, 0x61b57a12, "_gpl");
SYMBOL_CRC(bxt_sst_init_fw, 0xb6abd696, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_cleanup, 0xdf1fda48, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_init, 0xda7ea8e5, "_gpl");
SYMBOL_CRC(cnl_sst_init_fw, 0x6d6dec37, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_cleanup, 0x8f95bffa, "_gpl");
SYMBOL_CRC(skl_get_pvt_instance_id_map, 0x2149e4da, "_gpl");
SYMBOL_CRC(skl_get_pvt_id, 0xcfa3f18a, "_gpl");
SYMBOL_CRC(skl_put_pvt_id, 0x6f55f736, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65907d68, "intel_nhlt_get_endpoint_blob" },
	{ 0x4d0a72ed, "snd_hdac_stream_cleanup" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d4254d0, "sst_dsp_shim_read_unlocked" },
	{ 0x457ef90d, "devm_kfree" },
	{ 0x9be0abd1, "_dev_err" },
	{ 0xc8448811, "simple_open" },
	{ 0x336f81a3, "snd_soc_acpi_intel_bxt_machines" },
	{ 0x3a0b6743, "snd_hdac_bus_exit_link_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdbc49d7f, "platform_device_unregister" },
	{ 0x525a4ee0, "sst_ipc_fini" },
	{ 0x980150fd, "snd_hdac_ext_stream_assign" },
	{ 0xbb755621, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x53cc5e29, "snd_hdac_ext_stream_init_all" },
	{ 0x9e637e13, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x80c0a0bb, "sst_dsp_shim_update_bits_unlocked" },
	{ 0x8af193f9, "sst_dsp_shim_update_bits_forced" },
	{ 0xb9f263ca, "platform_device_add" },
	{ 0x9166fada, "strncpy" },
	{ 0x1ba85cca, "platform_device_alloc" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x775dec5d, "sst_ipc_init" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe53d43e4, "snd_soc_acpi_intel_glk_machines" },
	{ 0xf92e0204, "snd_soc_tplg_component_load" },
	{ 0x4064afc7, "sst_dsp_shim_read" },
	{ 0x5e49e279, "snd_hdac_ext_stream_setup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfc282bd8, "snd_hdac_bus_stop_cmd_io" },
	{ 0xef52a99c, "snd_hdac_stream_sync" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd086861c, "pci_restore_state" },
	{ 0x44cf8709, "default_llseek" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x823e3a5, "snd_pcm_set_managed_buffer_all" },
	{ 0xd0d4454c, "_dev_warn" },
	{ 0x16e86983, "sst_shim32_read" },
	{ 0xc747289f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4fec7a6c, "sst_dsp_mailbox_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x361dd969, "sst_ipc_tx_msg_reply_complete" },
	{ 0x27eaa00f, "snd_soc_tplg_component_remove" },
	{ 0xc1bec03a, "snd_hdac_bus_init_cmd_io" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xdfb2511b, "snd_hdac_stream_format_bits" },
	{ 0xa32e3f01, "dma_set_coherent_mask" },
	{ 0xc0818b95, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb22d4286, "sst_dsp_shim_update_bits" },
	{ 0xb1ed295e, "debugfs_create_file" },
	{ 0x9b8f5d53, "snd_hdac_bus_parse_capabilities" },
	{ 0x9bc8a450, "platform_device_register_full" },
	{ 0x6ee59ff, "sst_dsp_outbox_write" },
	{ 0x1487e867, "pm_runtime_allow" },
	{ 0x2699bfc, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8caf9305, "uuid_is_valid" },
	{ 0x4c8cf3a3, "sst_dsp_inbox_read" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xc8bc20f4, "snd_hdac_stream_set_params" },
	{ 0x1f4063ab, "pci_release_regions" },
	{ 0x7484a23a, "snd_soc_acpi_intel_cnl_machines" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3bc79144, "snd_hdac_ext_host_stream_setup" },
	{ 0x7351a330, "snd_hdac_ext_bus_get_ml_capabilities" },
	{ 0xafe35f44, "snd_hdac_bus_handle_stream_irq" },
	{ 0xe7aa8c1f, "pci_write_config_byte" },
	{ 0x48677bbf, "snd_hdac_stream_drsm_enable" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x198ce651, "snd_soc_acpi_intel_skl_machines" },
	{ 0x36dd94a9, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x2072b6b8, "snd_soc_set_runtime_hwparams" },
	{ 0xaa82e969, "snd_hdac_get_stream" },
	{ 0x12541d7e, "pci_disable_device" },
	{ 0xa38ea493, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xdb642180, "snd_hdac_stream_sync_trigger" },
	{ 0x946668f6, "snd_hdac_ext_bus_link_put" },
	{ 0x309c0b34, "snd_hda_codec_device_init" },
	{ 0x215c3120, "dma_set_mask" },
	{ 0xdcb61650, "snd_hdac_stream_format" },
	{ 0x7693830c, "snd_hdac_set_codec_wakeup" },
	{ 0x54980823, "snd_hdac_stream_reset" },
	{ 0x1b155639, "sst_dsp_shim_write" },
	{ 0x3d573d16, "snd_pcm_period_elapsed" },
	{ 0xfe34983e, "kmalloc_trace" },
	{ 0x9e8cc687, "__pm_runtime_suspend" },
	{ 0x27102415, "snd_hdac_bus_alloc_stream_pages" },
	{ 0x88f3690b, "snd_soc_tplg_widget_bind_event" },
	{ 0xef788211, "pci_read_config_byte" },
	{ 0xe394d016, "snd_hdac_dsp_trigger" },
	{ 0x754d539c, "strlen" },
	{ 0xe9c6de99, "sst_shim32_write" },
	{ 0x17d522dc, "param_ops_int" },
	{ 0xd0e279, "intel_nhlt_init" },
	{ 0x2662d6d3, "snd_hdac_stop_streams_and_chip" },
	{ 0x16abd06c, "snd_hdac_dsp_cleanup" },
	{ 0x83f63baa, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x1e35eb49, "snd_hdac_ext_stream_reset" },
	{ 0x5f4c3a0b, "snd_hdac_stop_streams" },
	{ 0xcf247765, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0x57f3ff41, "snd_hdac_stream_start" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcd42fdf5, "pci_write_config_dword" },
	{ 0x1d854afc, "kmalloc_caches" },
	{ 0x61d799cc, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5a14b74, "snd_hdac_stream_set_dpibr" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xc9b37e00, "snd_soc_acpi_intel_hda_machines" },
	{ 0x9bb960ea, "platform_device_put" },
	{ 0xb7a24f31, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x88b7a073, "snd_hdac_ext_bus_link_power_down_all" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa8219cca, "sst_dsp_register_poll" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xcae59853, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x28c312e1, "devm_kmalloc" },
	{ 0xf5583990, "pci_enable_device" },
	{ 0xcbe07196, "snd_hdac_bus_send_cmd" },
	{ 0xb800fc1b, "sysfs_create_file_ns" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa189eadd, "snd_hdac_stream_set_spib" },
	{ 0x347ad808, "snd_hdac_bus_enter_link_reset" },
	{ 0x64a84af4, "sst_ipc_tx_message_wait" },
	{ 0x3423c46c, "intel_nhlt_get_dmic_geo" },
	{ 0x4c9c3022, "snd_hdac_bus_get_response" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x90f5eddd, "snd_hdac_ext_stream_start" },
	{ 0x35b63e6c, "snd_soc_acpi_intel_kbl_machines" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9fd373c5, "snd_hdac_ext_stream_free_all" },
	{ 0x98cc2e95, "snd_hdac_bus_update_rirb" },
	{ 0x1cdaf057, "sst_dsp_shim_write_unlocked" },
	{ 0xf2618407, "snd_hdac_ext_bus_ppcap_enable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x78e70a9c, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x5b4f4cd8, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x44afb357, "snd_pcm_hw_constraint_minmax" },
	{ 0xd0bd4d28, "snd_hdac_bus_stop_chip" },
	{ 0x95363ee4, "pci_request_regions" },
	{ 0xf5b5d75, "snd_hdac_ext_bus_link_power_up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe0bb365c, "snd_hdac_ext_bus_init" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x491fc96, "snd_intel_dsp_driver_probe" },
	{ 0x44496a44, "snd_hdac_stream_set_lpib" },
	{ 0xda5e32fb, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd843c186, "__dynamic_dev_dbg" },
	{ 0x3ec15470, "snd_sgbuf_get_chunk_size" },
	{ 0xc10ef6a5, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd166de31, "snd_hdac_ext_bus_device_remove" },
	{ 0x20c9f80c, "snd_hdac_ext_bus_ppcap_int_enable" },
	{ 0xb0e32009, "snd_pcm_set_sync" },
	{ 0xd3e981e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x22f9dd4d, "platform_device_add_data" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa9ac0cf5, "snd_hdac_stream_timecounter_init" },
	{ 0x8552b9e4, "snd_hdac_ext_link_free_all" },
	{ 0xde2e9077, "sst_ipc_tx_message_nowait" },
	{ 0x5f41e5c1, "pci_read_config_dword" },
	{ 0x1d767818, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x67bfbca0, "devm_snd_soc_register_component" },
	{ 0xe1e253d8, "snd_hdac_bus_free_stream_pages" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xfe0ed29e, "snd_hdac_dsp_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x44e86a41, "snd_hdac_ext_bus_link_power_up_all" },
	{ 0xd37970f3, "snd_hdac_ext_bus_exit" },
	{ 0x553f0c8d, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a9dbedd, "put_device" },
	{ 0x2f9c7733, "sysfs_remove_file_ns" },
	{ 0xcb756800, "snd_hdac_ext_stream_decouple" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0xe5d4109f, "snd_hdac_ext_stream_clear" },
	{ 0xa916b694, "strnlen" },
	{ 0x9f2ae133, "snd_hdac_device_register" },
	{ 0xf5809796, "snd_hdac_stream_spbcap_enable" },
	{ 0xeb92125a, "sst_ipc_tx_message_nopm" },
	{ 0x7f7a4100, "_dev_info" },
	{ 0x71e66e21, "snd_hdac_bus_init_chip" },
	{ 0x7c11f717, "snd_hdac_stream_stop" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x565b6f93, "module_layout" },
};

MODULE_INFO(depends, "snd-intel-dspcfg,snd-hda-core,snd-soc-sst-dsp,snd-soc-acpi-intel-match,snd-soc-sst-ipc,snd-hda-ext-core,snd-soc-acpi,snd-soc-core,snd-pcm,snd-hda-codec");

MODULE_ALIAS("pci:v00008086d00009D70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005A98sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D71sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003198sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "235752A8DCE3247CE18BBE5");
